## 1、获取投诉数量 ##

获取投诉数量（?method=web.complaints.getCount）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|uid|int|否|3204031||用户id| 

注意，通用的头部没有列出。  
请求示例  
http://192.168.102.205:8080/gateway/?method=web.complaints.getCount&uid=3204031&client_type=web&client_secret=4bfdf461a964aa56d04a8927acc38363&app_version=1&v=1&os_version=1&client_secret=1&screen_size=1

### 响应
code为200即为成功，否则是失败。 
响应参数，data部分  

| 参数名称 | 参数类型 | 示例 | 默认值 | 备注 |  
|:-------| -----:|-----:|-----:|-----:|  
|count|int|20|0|投诉数量|  

响应JSON格式如下所示:
```json
{
  "code": 200,
  "data": {
    "count": 24
  },
  "message": "成功"
}
```


## 2、获取投诉列表 ##

获取投诉数量（?method=web.complaints.getList）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|uid|int|否|3204031||用户id|
|page|int|否|1|1|分页页码| 
|limit|int|否|10|10|分页大小| 

注意，通用的头部没有列出。  

请求示例  
http://192.168.102.205:8080/gateway/?method=web.complaints.getList&uid=3204031&page=1&limit=10&client_type=web&client_secret=20d26f1707b809bfa6e7a7a64af449c5&app_version=1&v=1&os_version=1&client_secret=1&screen_size=1

### 响应
code为200即为成功，否则是失败。 

响应参数，data部分 ： 

| 参数名称 | 参数类型 | 示例 | 默认值 | 备注 |  
|:-------| -----:|-----:|-----:|-----:|
|page|int|||当前页码|
|pageSize|int|||分页大小|
|page_total|int|||总页数|
|total|int|||总数大小|  
|complaintList|list|||我的投诉对象列表【见下面】|

响应参数，complaintList部分[是个数组]：

| 参数名称 | 参数类型 | 示例 | 默认值 | 备注 |  
|:-------| -----:|-----:|-----:|-----:|
|complaintsType|int|1|0|投诉类型：0全部 1：产品相关 2：物流相关|
|content|string|这是投诉内容|""|投诉内容|
|createTime|string|2016-03-18 11:43:48|""|投诉时间|
|customer|string|客服A|""|投诉对象|
|id|int|18993|0|投诉id|
|orderCode|string|9508684560|""|涉及的订单号|
|pid|int|0|0|数据库的字段，没用|
|reply|string|您好，如果有问题可以咨询4008899646或者在线客服处理，感谢您对有货的支持！|""|回复内容|
|replyTime|string|2016-03-19 11:43:48|""|回复时间|
|status|int|1|1|投诉的状态 1：正常，-1：自己取消|
|title|string|这双鞋不能穿||投诉的标题|
|uid|int|3204031||投诉人的uid|

响应JSON格式如下所示:
```json
{
  "code": 200,
  "data": {
    "complaintList": [
      {
        "complaintsType": 1,
        "content": "content",
        "createTime": "2016-03-18 11:43:48",
        "customer": "customer",
        "id": 18993,
        "orderCode": "orderCode",
        "pid": 0,
        "reply": "",
        "replyTime": "",
        "status": 1,
        "title": "title",
        "uid": 3204031
      },
      {
        "complaintsType": 1,
        "content": "content",
        "createTime": "2016-03-17 08:33:35",
        "customer": "customer",
        "id": 18987,
        "orderCode": "orderCode",
        "pid": 0,
        "reply": "",
        "replyTime": "",
        "status": 1,
        "title": "title",
        "uid": 3204031
      }
    ],
    "page": 1,
    "pageSize": 10,
    "page_total": 3,
    "total": 24
  },
  "message": "成功"
}
```

## 3、取消投诉 ##

取消投诉（?method=web.complaints.cancel）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|uid|int|否|3204031||用户id| 
|id|int|否|17||投诉id|

注意，通用的头部没有列出。  

请求示例  
http://192.168.102.205:8080/gateway/?method=web.complaints.cancel&uid=3204031&id=17&client_type=web&client_secret=f22e55e7d9db4c575ae1f9f410a4dac8&app_version=1&v=1&os_version=1&client_secret=1&screen_size=1

### 响应
code为200即为成功，否则是失败。 

响应JSON格式如下所示:
```json
{
  "code": 200,
  "data": [],
  "message": "取消投诉成功"
}
```


## 4、新增投诉 ##

新增投诉（?method=web.complaints.add）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|uid|int|否|3204031||用户id| 
|title|string|否|你家鞋子不好||投诉标题，最长50|
|customer|string|是|客服B||投诉对象，最长30|
|complaintsType|int|否|1|0|投诉类型：0全部 1：产品相关 2：物流相关|
|orderCode|string|否|9508684560||涉及的订单号|
|content|string|否|这是投诉内容||投诉内容，最长255|

注意，通用的头部没有列出。  

请求示例  
http://192.168.102.205:8080/gateway/?method=web.complaints.add&uid=3204031&title=title&customer=customer&complaintsType=1&orderCode=orderCode&content=content&client_type=web&client_secret=15dac0a8c9fb216cbd12d66155ec7bd5&app_version=1&v=1&os_version=1&client_secret=1&screen_size=1

### 响应
code为200即为成功，否则是失败。 

响应JSON格式如下所示:
```json
{
  "code": 200,
  "data": [],
  "message": "新增投诉成功"
}
```

## 5、PC帮助中心重构 ##

获取帮助中心列表（?method=web.help.category）

#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|caption|String|是|常见问题||帮助的标题| 

注意，通用的头部没有列出。  
请求示例  
http://192.168.102.205:8080/gateway/?method=web.help.category

### 响应
code为200即为成功，否则是失败。 

响应JSON格式如下所示:
```json
{
  "code": 200,
  "data": [
    {
      "caption": "常见问题",
      "id": 37
    },
    {
      "caption": "警惕网络诈骗公告",
      "id": 58
    },
  ],
  "message": "操作成功"
}
```

## 6、获取帮助中心内容 ##

获取帮助中心内容（?method=web.help.getHelpDetailList）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|category_id|String|否|37||帮助类别id| 
|problem|String|是|送货要多长时间||问题|
|page|int|否|1|1|分页页码| 
|limit|int|否|10|10|分页大小| 

请求示例  
http://192.168.102.205:8080/gateway/?method=web.help.getHelpDetailList&category_id=37

### 响应
code为200即为成功，否则是失败
响应JSON格式如下所示:。 
响应参数，data部分
```json  
{
  "code": 200,
  "data": {
    "helpdetail_list": [
      {
        "answer": "您好，根据地域的不同，在您确认订购后的3-5天内我们会将货品送到。如果在您订购完成后7天内商品仍没有送达，您可以直接与YOHO！有货客服中心联系。需要说明的是：化妆品等液体商品，走的是陆运，会比普通商品晚2-3天左右，敬请谅解。如有任何疑问，请联系官网右上方的【在线客服】或致电客服热线：400-889-9646，我们将竭诚为您服务。",
        "problem": "送货要多长时间？"
      },
	   "message": "操作成功"
}
```

## 7、PC端帮助中心常见问题 ##

PC端帮助中心常见问题(?method=web.help.getCommonFaqList)

#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|category_id|String|否|37||帮助类别id| 以category_id为id去category查询的help_type不能是1
|problem|String|是|送货要多长时间||问题|

请求示例  
http://192.168.102.205:8080/gateway/?method=web.help.getCommonFaqList&category_id=37

### 响应
code为200即为成功，否则是失败
响应JSON格式如下所示:。 
响应参数，data部分 
```json  
{
  "code": 200,
  "data": {
    "helpdetail_list": [
      {
        "answer": "您好，根据地域的不同，在您确认订购后的3-5天内我们会将货品送到。如果在您订购完成后7天内商品仍没有送达，您可以直接与YOHO！有货客服中心联系。需要说明的是：化妆品等液体商品，走的是陆运，会比普通商品晚2-3天左右，敬请谅解。如有任何疑问，请联系官网右上方的【在线客服】或致电客服热线：400-889-9646，我们将竭诚为您服务。",
        "problem": "送货要多长时间？"
      },
	    "message": "操作成功"
}
```

## 8、兑换礼品卡 ##

兑换礼品卡(?method=web.personCen.giftExchange)

请求示例  
http://127.0.0.1:8080/gateway/?method=web.personCen.giftExchange&uid=5687179&giftCardCode1=123&giftCardCode2=456&giftCardCode3=789&captchaCode=1234
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
giftCardCode1|String|否|兑换码1|4597
giftCardCode2|String|否|兑换码2|1365
giftCardCode3|String|否|兑换码3|7546
captchaCode|String|否|验证码|k754
uid|String|否|用户id|457

### 响应
code为200即为成功，否则是失败
响应JSON格式如下所示:
```json 
{
  "code": 200,
  "message": "礼品卡充值成功.",
  "data": {
    "denomination": 10000
  },
  "md5": "4129cb45c9e7001ff5b90d0e221a6d29"
}
```

## 9 获取用户信息 ##

获取用户信息（?method=open.passport.get）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|uid|int|否|5357305||用户id| 

注意，通用的头部没有列出。  
请求示例  
http://192.168.102.205:8080/gateway/?method=open.passport.get&uid=5357305

### 响应
code为200即为成功，否则是失败。 

响应JSON格式如下所示:（与PHP返回一致）
```json
{
  "code": 200,
  "data": {
    "data": {
      "YohocoinCount": 0, //有货币数量
      "couponCount": 0, //优惠券数量
      "head_ico": "", //头像
      "messageCount": 0, //未读消息数
      "orderCount": 10, //待处理订单数
      "profile_name": "18****59670", //名称
      "random": 1458380115.093, 
      "refundCount": 0, //退换货数量
      "token": "",
      "uid": 5357305, //用户id
      "vip": { //VIP信息
        "curTotalCost": "0.0",
        "curVipInfo": {
          "commonDiscount": "1.0",
          "curLevel": "0",
          "needCost": "0.0",
          "nextLevel": "1",
          "premiumScops": [],
          "promotionDiscount": "1.0",
          "title": "普通会员"
        },
        "curYearCost": "0.0",
        "curYearCostPer": "0",
        "fitTime": "1451053087",
        "nextVipInfo": {
          "commonDiscount": "0.95",
          "curLevel": "1",
          "needCost": "600.0",
          "nextLevel": "2",
          "premiumScops": ["1", "4","10","8","9"],
          "promotionDiscount": "0.95",
          "title": "银卡会员"
        },
        "upgradeNeedCost": "600.0", //升级需要消费的数量
        "upgradeNeedCostPer": "100", //升级需要消费的比例
        "vipEndDay": "295", 
        "vipEndTime": "1483885087",
        "vipRemainDays": "295",
        "vipStartTime": "1452349087"
      }
    },
    "result": "1"
  },
  "message": "User info"
}
```

## 10、PC重构--我的咨询 ##

我的咨询（？method=web.personCen.buyConsult）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|uid|string|否|12|0|用户id|
|page|int|否|1|1|分页页码| 
|limit|int|否|10|10|分页大小| 

注意，通用的头部没有列出。  
请求示例  
http://127.0.0.1:8080/gateway/?method=web.personCen.buyConsult&uid=12

### 响应
code为200即为成功，否则是失败。

响应JSON格式如下所示:
```json
{
  "code": 200,
  "data": {
    "consult_list": [
      {
        "answer": "您好，这款衣服只有这一个颜色了，感谢您的关注。",
        "answerTime": 1309530731,
        "answerUserId": 1,
        "ask": "",
        "askTime": 1308711168,
        "askUserId": 12,
        "brandId": 63,
        "id": 4,
        "maxSortId": 2,
        "middleSortId": 19,
        "productId": 943,
        "productName": "K*facto.2y梭织肌理印花短袖西装",
        "skn": 50000116,
        "smallSortId": 122
      }
    ],
    "page": 1,
    "page_total": 1,
    "total": 1
  },
  "message": "my consult list"
}
```



## 11、批量设置消息为已读 ##

批量设置消息为已读（method=web.inbox.setread）
#### 请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:|    
|ids|string||否|1,2,3||需要设置为已读的消息的id，以逗号分隔|
|uid|string||否|123456|0|用户id|

注意，通用的头部没有列出。  
请求示例  
http://127.0.0.1:8080/gateway?method=web.inbox.setread&uid=5088713&ids=9,10,11

### 响应
用户响应JSON格式如下所示:
```json
{
  "code": 200,
  "data": {
    "code": 200,
    "message": "success."
  },
  "message": "操作成功"
}
```
code为200即为成功，否则是失败。



## 12、获取用户的验证信息 ##

获取用户的验证信息（method=web.passport.getUserVerifyInfo）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|uid|string|否|123456|0|用户id| 

注意，通用的头部没有列出。  
请求示例  
http://127.0.0.1:8080/gateway?method=web.passport.getUserVerifyInfo&uid=12345

### 响应
code为200即为成功，否则是失败。 
响应参数，data部分  

| 参数名称 | 参数类型 | 示例 | 默认值 | 备注 |  
|:-------| -----:|-----:|-----:|-----:|  
|email|string|123@139.com||用户email|  
|emailVerify|string|N||是否验证过邮箱(Y-是；N-否)|  
|emailVerifyTime|string|2015-01-01 12:00:00||验证邮箱时间|  
|mobile|string|13912345678||用户手机|  
|mobileVerify|string|N||是否验证过手机(Y-是；N-否)|  
|mobileVerifyTime|string|2015-01-01 12:00:00||验证手机时间|  
|uid|int|6030455||用户id|  
用户响应JSON格式如下所示:
```json
{
  "code": 200,
  "data": {
    "email": "123abc@139.com",
    "emailVerify": "N",
    "emailVerifyTime": "",
    "mobile": "",
    "mobileVerify": "Y",
    "mobileVerifyTime": "2015-11-13 14:14:35",
    "uid": 6030455
  },
  "message": "操作成功"
}
```

----------


## 13、验证密码是否正确 ##

验证密码是否正确（method=web.passport.verifyUserPwd）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|uid|string|否|123456|0|用户id| 
|password|string|否|123456|0|用户密码| 

注意，通用的头部没有列出。  
请求示例  
http://127.0.0.1:8080/gateway?method=web.passport.verifyUserPwd&uid=12345&password=1234567

### 响应
code为200即为成功，否则是失败。 

用户响应JSON格式如下所示:
```json
{
  "code": 200,
  "data": {
    "code": 200,
    "message": "success."
  },
  "message": "操作成功"
}
```

----------

## 14、修改当前账号密码 ##

修改当前账号密码（method=web.passport.changePwd）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|uid|string|否|123456|0|用户id| 
|newPassword|string|否|123456|0|用户新密码| 

注意，通用的头部没有列出。  
请求示例  
http://127.0.0.1:8080/gateway?method=web.passport.changePwd&uid=12345&newPassword=1234567

### 响应
code为200即为成功，否则是失败。 

用户响应JSON格式如下所示:
```json
{
  "code": 200,
  "data": {
    "code": 200,
    "message": "success."
  },
  "message": "操作成功"
}
```

----------

## 15、发送短信验证码到手机 ##

发送短信验证码到手机（method=web.passport.sendcode）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|mobile|string|否|13912345678||手机号码| 
|area|string|否|86||国家码| 
|uid|string|否|123||用户id| 

注意，通用的头部没有列出。  
请求示例  
http://127.0.0.1:8080/gateway?method=web.passport.sendcode&area=86&mobile=13912345678&uid=123456

### 响应
code为200即为成功，否则是失败。 

用户响应JSON格式如下所示:
```json
{
  "code": 200,
  "data": [],
  "message": "发送成功"
}
```

----------

## 16、验证短信验证码是否正确 ##

验证短信验证码是否正确（method=web.passport.checkcode）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|mobile|string|否|13912345678||手机号码| 
|area|string|否|86||国家码| 
|code|string|否|||短信验证码| 

注意，通用的头部没有列出。  
请求示例  
http://127.0.0.1:8080/gateway?method=web.passport.checkcode&area=86&mobile=13912345678&code=9691

### 响应
code为200即为成功，否则是失败。 

用户响应JSON格式如下所示:
```json
{
  "code": 200,
  "data": [],
  "message": "校验成功"
}
```

----------


## 17、修改验证手机前的检查 ##

修改验证的手机前的检查（method=web.passport.checkVerifyMobile）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|mobile|string|否|13912345678||手机号码| 
|area|string|否|86||国家码| 
|uid|int|否|||用户id| 

注意，通用的头部没有列出。  
请求示例  
http://127.0.0.1:8080/gateway?method=web.passport.checkVerifyMobile&area=86&mobile=13912345678&uid=111

### 响应
code为200即为成功，否则是失败。 

用户响应JSON格式如下所示:
```json
{
  "code": 200,
  "data": [],
  "message": "操作成功"
}
```


----------

## 18、修改验证的手机 ##

修改验证的手机（method=web.passport.changeVerifyMobile）   
调用该方法前，必须先要调用web.passport.checkVerifyMobile该接口做检查
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|newMobile|string|否|13912345678||新的手机号码| 
|area|string|否|86||国家码| 
|uid|string|否|||用户id| 

注意，通用的头部没有列出。  
请求示例  
http://127.0.0.1:8080/gateway?method=web.passport.changeVerifyMobile&uid=8041015&newMobile=13912345678&area=86

### 响应
code为200即为成功，否则是失败。 

用户响应JSON格式如下所示:
```json
{
  "code": 200,
  "data": {
    "code": 200,
    "message": "success."
  },
  "message": "操作成功"
}
```


----------

## 19、验证邮箱，发送邮件 ##

验证邮箱，发送邮件（method=web.passport.verifyEmail）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|email|string|否|t@163.com||用户邮箱| 
|uid|string|否|||用户id| 

注意，通用的头部没有列出。  
请求示例  
http://127.0.0.1:8080/gateway?method=web.passport.verifyEmail&email=t@163.com&uid=12345

### 响应
code为200即为成功，否则是失败。 

用户响应JSON格式如下所示:
```json
{
  "code": 200,
  "data": [],
  "message": "操作成功"
}
```

----------

## 20、找回密码，判断code是否有效 ##

找回密码，判断code是否有效（method=web.passport.checkCodeValid）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|code|string|否|abcdef||加密的字符串| 

注意，通用的头部没有列出。  
请求示例  
http://127.0.0.1:8081/gateway?method=web.passport.checkCodeValid&code=abcdef

### 响应
code为200即为成功，否则是失败。 

用户响应JSON格式如下所示:
```json
{
  "code": 200,
  "data": [],
  "message": "操作成功"
}
```

----------

## 21、修改验证的邮箱 ##

修改验证的邮箱（method=web.passport.changeVerifyEmail）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|code|string|否|abcdef||加密的字符串| 

注意，通用的头部没有列出。  
请求示例  
http://127.0.0.1:8081/gateway?method=web.passport.changeVerifyEmail&code=abcdef

### 响应
code为200即为成功，否则是失败。 

用户响应JSON格式如下所示:
```json
{
  "code": 200,
  "data": [],
  "message": "操作成功"
}
```


----------
## 22、查询我的有货币列表 ##

查询我的有货币列表（method=app.yohocoin.lists）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|uid|int|否|123||用户id| 
|limit|int|是|10|10|查询多少条| 
|page|int|是|1|1|第几页（从第一页开始）| 
|queryType|int|是|1|0|查询类型（0-所有；1-收入；2-支出）| 
|beginTime|string|是|2015-12-12||查询开始时间（格式：yyyy-MM-dd）| 
|endTime|string|是|2015-12-22||查询结束时间（格式：yyyy-MM-dd）| 

注意，通用的头部没有列出。  
请求示例  
http://127.0.0.1:8081/gateway?method=app.yohocoin.lists&uid=123&queryType=1

### 响应
code为200即为成功，否则是失败。 

用户响应JSON格式如下所示:
```json
{
  "code": 200,
  "data": {
    "coinlist": [
      {
        "date": "2015-12-30 20:18:59",
        "message": "充值",
        "num": 1
      },
      {
        "date": "2015-12-30 19:19:34",
        "message": "晒单奖励：",
        "num": 1
      },
      ....
    ],
    "limit": 20,
    "page": 1,
    "page_total": 11,
    "total": 11
  },
  "message": "yoho coin list"
}
```

----------
## 23、查询我的红包列表 ##

查询我的红包列表（method=app.yoho.redpacketList）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|uid|int|否|123||用户id| 

注意，通用的头部没有列出。  
请求示例  
http://127.0.0.1:8081/gateway?method=app.yoho.redpacketList&uid=123

### 响应
code为200即为成功，否则是失败。 

用户响应JSON格式如下所示:
```json
{
  "code": 200,
  "data": [
    {
      "amount": 0.68,
      "endTime": "",
      "id": 851414,
      "remark": "加红包",
      "startTime": ""
    },
    {
      "amount": 2.48,
      "endTime": "",
      "id": 851415,
      "remark": "加红包",
      "startTime": ""
    },
    .....
  ],
  "message": "操作成功"
}
```


----------
## 24、查询我的vip信息 ##

查询我的VIP信息（method=app.passport.vip）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|uid|int|否|123||用户id| 
|client_type|String|否|web||客户端类型（web,h5,android,ipad,iphone）| 

注意，通用的头部没有列出。  
请求示例  
http://127.0.0.1:8081/gateway?method=app.passport.vip&uid=123&client_type=iphone

### 响应
code为200即为成功，否则是失败。 

用户响应JSON格式如下所示:
```json
{
  "code": 200,
  "data": {
    "current_total_cost": "0.00",
    "current_vip_level": "0",
    "current_vip_title": "普通会员",
    "current_year_cost": "0.00",
    "enjoy_preferential": [],
    "next_need_cost": 600,
    "next_vip_level": "1",
    "next_vip_title": "银卡会员",
    "upgrade_need_cost": "600.0",
    "vip_end_time": "1461136668",
    "vip_reach_time": "1428304668",
    "vip_start_time": "1429600668"
  },
  "message": "vip."
}
```


----------

## 25、发送验证邮件到邮箱 ##

发送验证邮件到邮箱（method=web.passport.sendVerifyEmailInfo）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|email|string|否|abcdef||待发送邮件的邮箱| 
|callback|string|否|abcdef||邮件中，点击的连接地址| 

注意，通用的头部没有列出。  
请求示例  
http://127.0.0.1:8081/gateway?method=web.passport.sendVerifyEmailInfo&email=abcdef&callback=xxxxxxxx

### 响应
code为200即为成功，否则是失败。 

用户响应JSON格式如下所示:
```json
{
  "code": 200,
  "data": [],
  "message": "操作成功"
}
```


----------

## 26、检查该邮箱是否可以验证 ##

检查该邮箱是否可以验证（method=web.passport.checkVerifyEmail）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|email|string|否|abcdef||待验证的邮箱| 
|uid|string|否|abcdef||用户id| 

注意，通用的头部没有列出。  
请求示例  
http://127.0.0.1:8081/gateway?method=web.passport.checkVerifyEmail&email=abcdef&uid=123

### 响应
code为200即为成功，否则是失败。 

用户响应JSON格式如下所示:
```json
{
  "code": 200,
  "data": [],
  "message": "操作成功"
}
```

## 27、发送短信##

发送短信（method=app.message.sendMsg）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|area|String|是|86||国家码| 
|client_Type|String|是|||客户端类型| 
|template|String|否|yohood_order_sms||短信模板|
|codes|String|否|156,467||发送消息验证码|
|mobile|String|否|15052889346||手机号码|

注意，通用的头部没有列出。
请求示例http://127.0.0.1:8080/gateway/?method=app.message.sendMsg&mobile=15051889346&area=025&template=yohood_order_sms&codes=7854,201647

### 响应
code为200即为成功，否则是失败。
响应JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": [],
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "message": "发送成功."
}
```




----------

## 28、根据邮箱查询用户信息 ##

根据邮箱查询用户信息（method=app.passport.getProfileByEmail）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|email|string|否|abcdef||邮箱| 


注意，通用的头部没有列出。  
请求示例  
http://127.0.0.1:8081/gateway?method=app.passport.getProfileByEmail&email=abcdef

### 响应
code为200即为成功，否则是失败。 

用户响应JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "email": "terry2870@163.com",
    "mobile": "13951882433",
    "nickname": "haha1245阿斯蒂芬123",
    "profile_name": "haha1245阿斯蒂芬123",
    "uid": 8041015
  },
  "md5": "4ddf61bfa512e5c803636f66c3d44057",
  "message": "请求成功"
}
```


----------

## 29、根据手机号查询用户信息 ##

根据手机号查询用户信息（method=app.passport.getProfileByMobile）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|mobile|string|否|13912345678||手机号| 
|area|string|否|86||国家码| 


注意，通用的头部没有列出。  
请求示例  
http://127.0.0.1:8081/gateway?method=app.passport.getProfileByMobile&mobile=abcdef&area=86

### 响应
code为200即为成功，否则是失败。 

用户响应JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "email": "terry2870@163.com",
    "mobile": "13951882433",
    "nickname": "haha1245阿斯蒂芬123",
    "profile_name": "haha1245阿斯蒂芬123",
    "uid": 8041015
  },
  "md5": "4ddf61bfa512e5c803636f66c3d44057",
  "message": "请求成功"
}
```
## 30、添加商家入驻申请记录 ##

添加商家入驻申请记录（?method=app.shops.insertApply）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 |  
|:-------| -----:|-----:|-----:|-----:|----:|  
|brandName|String|是|卫龙|||  
|registerStatus|String|是|已申请|||  
|sellerName|String|是|卫龙辣条|||  
|sellerAddress|String|是|中国山西|||  
|zipCode|String|是|350000|||  
|contacts|String|是|梁走召|||  
|contactPhone|String|是|13000000000|||  
|contactEmail|String|是|sss@dd.com|||  
|onlineShopWebsite|String|是|1|||  
|categoryInfo|String|是||||  
|storeInfo|String|是||||  
|sellerRole|String|是|品牌商|||  
|brandWebsite|String|是|1|||  
|billingCycle|String|是|月结|||  
|warehouseAddress|String|是|11|||  
|producer|String|是|111|||  
|invoiceType|String|是|17%的增值税发票|||  
|newCycle|String|是|每周|||  
|quarterNum|int|是|1|||  
|supplyCycle|String|是|每周|||  
|haveStore|String|是|0|||  
|brandMaterial|String|是|/2015/04/12/18/0179f42b2a0d47.ppt|||  
|goodsMaterial|String|是|/2015/04/12/18/7b26b4ed2f8b391a55.xlsx|||  
|uid|int|是|4865015|||  


注意，通用的头部没有列出。  
请求示例  
http://192.168.102.205:8080/geteway/?method=app.shops.insertApply&brandName=卫龙best8888&registerStatus=已申请&sellerName=卫龙辣条&sellerAddress=中国山西&zipCode=350000&contacts=梁走召ss&contactPhone=1300000000013000000000130000000001300000000013000000000130000000001300000000013000000000&contactEmail=ssssssssww@dd.com&onlineShopWebsite=1&categoryInfo={\"0\":{\"category_one\":\"6\",\"category_two\":\"46\",\"category_price\":\"700-800\"},\"2\":{\"category_one\":\"3\",\"category_two\":\"28\",\"category_price\":\"1000-1500\"}}&storeInfo=[{\"store_address\":\"山东青岛市台东利群3楼linkcode男装专柜\",\"store_sales_volume\":\"100000\"}]&sellerRole=品牌商&brandWebsite=1&billingCycle=月结&warehouseAddress=11&producer=111&invoiceType=17%25的增值税发票&newCycle=每周&quarterNum=1&supplyCycle=每周&haveStore=0&brandMaterial=/2015/04/12/18/0174889f4ee3a51593f84f19f42b2a0d47.ppt&goodsMaterial=/2015/04/12/18/01b6ed2362f985b07b26b4ed2f8b391a55.xlsx&uid=4865015

### 响应
code为200即为成功，否则是失败。 
响应参数，data部分  
响应成功JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": [],
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "message": "添加商家入驻申请记录成功。"
}
```
响应失败JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 500,
  "data": [],
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "message": "添加商家入驻申请记录失败。"
}
```

## 31、商家入驻获取产品大分类的列表 ##

商家入驻获取产品大分类的列表（?method=app.category.queryMax）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 |  
|:-------| -----:|-----:|-----:|-----:|----:|  


注意，通用的头部没有列出。  
请求示例  
http://192.168.102.205:8080/geteway/?method=app.category.queryMax

### 响应
code为200即为成功，否则是失败。 
响应参数，data部分  
响应成功JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": [
    {
      "category_id": 1,
      "category_name": "上衣"
    },
    {
      "category_id": 3,
      "category_name": "裤装"
    },
    {
      "category_id": 4,
      "category_name": "裙装"
    },
    {
      "category_id": 6,
      "category_name": "鞋靴"
    },
    {
      "category_id": 7,
      "category_name": "包类/装备"
    },
    {
      "category_id": 8,
      "category_name": "服配"
    },
    {
      "category_id": 308,
      "category_name": "内衣/家居服"
    },
    {
      "category_id": 10,
      "category_name": "创意生活"
    },
    {
      "category_id": 567,
      "category_name": "一级目录"
    },
    {
      "category_id": 360,
      "category_name": "泳衣"
    },
    {
      "category_id": 592,
      "category_name": "0408新增1"
    },
    {
      "category_id": 365,
      "category_name": "潮童"
    },
    {
      "category_id": 241,
      "category_name": "数码周边"
    }
  ],
  "md5": "8d152a99a6403afb3028b108d4a73d32",
  "message": "Category Product List."
}
```

## 32、商家入驻根据parentId获取二级分类的列表 ##

商家入驻根据parentId获取二级分类的列表（?method=app.category.queryMin）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 |  
|:-------| -----:|-----:|-----:|-----:|----:|  
|parent_id|String|否|1||| 

注意，通用的头部没有列出。  
请求示例  
http://192.168.102.205:8080/geteway/?method=app.category.queryMin&parent_id=1

### 响应
code为200即为成功，否则是失败。 
响应参数，data部分  
响应成功JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": [
    {
      "category_id": 11,
      "category_name": "T恤"
    },
    {
      "category_id": 13,
      "category_name": "POLO"
    },
    {
      "category_id": 14,
      "category_name": "背心"
    },
    {
      "category_id": 12,
      "category_name": "衬衫"
    },
    {
      "category_id": 16,
      "category_name": "卫衣"
    },
    {
      "category_id": 257,
      "category_name": "毛衣/针织"
    },
    {
      "category_id": 21,
      "category_name": "夹克"
    },
    {
      "category_id": 22,
      "category_name": "大衣/风衣"
    },
    {
      "category_id": 226,
      "category_name": "防风外套"
    },
    {
      "category_id": 19,
      "category_name": "西装"
    },
    {
      "category_id": 15,
      "category_name": "马甲"
    },
    {
      "category_id": 20,
      "category_name": "棉衣"
    },
    {
      "category_id": 18,
      "category_name": "羽绒服"
    },
    {
      "category_id": 172,
      "category_name": "皮衣"
    },
    {
      "category_id": 412,
      "category_name": "套装"
    }
  ],
  "md5": "5e9e33f14cfb223f8833008c9c5b27fe",
  "message": "Category Product List."
}
```

## 32、添加反馈 ##
#### 请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:|
|feedback_id|int|10|否||||
|question_id|int|20|否||||
|solution|string|100|是||||
|answer|string|200|是|||solution和answer不能同时为空|
|uid|int|20|是||0|用户id|
#### 返回错误
|错误code|错误提示|
|:-------| -----:|
|400|Question Id is null |
|401|Feedback Id is null|
|402|Answer is null|

注意，通用的头部没有列出。 
http://127.0.0.1:8080/gateway/?method=open.feedback.submit&question_id=2&feedback_id=4&solution=2

### 响应 
code为200即为成功，否则是失败。
用户响应JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "result": 1
  },
  "md5": "180dad439fb2b74b6731a3b70cf6fca0",
  "message": "success"
}
```


## 33、通过邮箱添加订阅 ##
#### 请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:|
|email|String|100|否|||邮箱|
|uid|int|20|是||0||
#### 返回错误
|错误code|错误提示|
|:-------| -----:|
|400|邮箱已经存在|
|401|邮箱错误|
|402|邮箱格式错误|

注意，通用的头部没有列出。 
http://localhost:8080/gateway/?method=open.subscriber.subscriber&email=9704743411@qq.com


### 响应
code为200即为成功，否则是失败。
用户响应JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "code": 200,
    "message": "Subscriber OK"
  },
  "md5": "e8c8764ead70e82000deef8dfee20687",
  "message": "success"
}
```


## 34、发送短信 ##
#### 请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:|
|project|String|30|否||||
|message|String|100|否||||
|target|String|20|否|||目标手机号|
|token|String|20|否|||签名|
|start_time|String|20|是||0||
|end_time|String|20|是||0||
#### 返回错误
|错误code|错误提示|
|:-------| -----:|
|201|项目参数不能为空！|
|204|消息不能为空！|
|207|token不能为空！|
|208|签名错误|

注意，通用的头部没有列出。 
http://localhost:8080/gateway/?method=Base.Sms.send&project=test&message=test,djk,328,dk&target=15051889346&token=852960117fcf23a5482cbedc5d0e17b5

### 响应
code为200即为成功，否则是失败。
用户响应JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": [],
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "message": "发送成功."
}
```
