## 1、登录前检查 ##
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|
#### 请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|area|string|2-3|是|86||国家码|
|mobile|string|7-20|否|15051889346||手机号码|
|open_id|string|1-100|是|oGUyctxNLU9FnfzkLtcLt-FnzimU||第三方登录账号|
|email|string|1-100|是|||email和open_id不能同时为空|
|source_type|string|2-10|否|||来源类型|
#### 接口说明
| 接口说明|| 
|:-------| -----:|
|请求域名|http://api.yoho.cn|
|接口名|app.passport.signCheck|
|接口说明|绑定登录前检查|
|http请求方式|POST/GET|

#### 返回错误
|错误code|错误提示|
|:-------| -----:|
|505|该手机号已经绑定了其他账号，请更换手机号码|
|506|绑定失败，该帐号已经注册过，请更换|
|401|手机号码错误|
|402|手机号码格式错误|
|400|请选择登录方式|

注意，通用的头部没有列出。 

http://127.0.0.1:8080/gateway/?method=app.passport.signCheck&open_id=oGUyctxNLU9FnfzkLtcLt-FnzimU&mobile=15051889346&source_type=web

### 响应
用户响应JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "is_register": 3
  },
  "md5": "7269599ce5ecd8112c379f4ccff4edf7",
  "message": "操作成功"
}
```
code为200即为成功，否则是失败。
is_register为3表示需要跳转到关联，为0，1表示跳转到绑定



## 2、手机关联 ##
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|
#### 请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:|
|area|string|2-3|是|86||国家码|
|mobile|string|7-20|否|15051889346||手机号码|
|openId|string|1-100|否|oGUyctxNLU9FnfzkLtcLt-FnzimU||第三方登录账号|
|source_type|string|2-10|否|wechat||来源类型|
#### 接口说明
| 接口说明|| 
|:-------| -----:|
| 请求域名 |http://api.yoho.cn/|
|接口名|app.passport.relatedMobile|
|接口说明|解决第三方登录时需要绑定的手机号已经注册不能绑定的问题|
|http请求方式|POST/GET|
#### 返回错误
|错误code|错误提示|
|:-------| -----:|
|602|账号已经关联手机号码 |
|400|请输入手机号|
|402|手机号码格式错误|
|400|Open Id 错误|
|502|Source Type Is Null or is error|

注意，通用的头部没有列出。 
http://127.0.0.1:8080/gateway/?method=app.passport.relatedMobile&openId=oGUyctxNLU9FnfzkLtcLt-FnzimU&mobile=15051889346&area=86&source_type=wechat

### 响应
用户响应JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "session_key": "aa00af909565b4c27b2da76c2a8f0468",
    "uid": 8041839
  },
  "md5": "85acccdc6eb9c925cccef7fe085298c5",
  "message": "手机号关联成功！"
}
```
code为200即为成功，否则是失败。