## 1、获取用户签到信息##

获取用户签到信息（method=app.sign.userSignInfo）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|uid|int|否|213|0|用户id|

注意，通用的头部没有列出。  
请求示例
http://192.168.102.217:8080/gateway/?method=app.sign.userSignInfo&uid=213&debug=XYZ

### 响应(data里所有的字段返回都是string类型)
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "constantDay": "1",
    "pushFlag": "1",
    "signInfoList": [
      {
        "constantDay": "1",
        "dateKey": "Today",
        "signed": "true",
        "today": "true",
        "yohoCoinNum": "5"
      },
      {
        "constantDay": "2",
        "dateKey": "3.25",
        "signed": "false",
        "today": "false",
        "yohoCoinNum": "10"
      },
      {
        "constantDay": "3",
        "dateKey": "3.26",
        "signed": "false",
        "today": "false",
        "yohoCoinNum": "10"
      },
      {
        "constantDay": "4",
        "dateKey": "3.27",
        "signed": "false",
        "today": "false",
        "yohoCoinNum": "15"
      },
      {
        "constantDay": "5",
        "dateKey": "3.28",
        "signed": "false",
        "today": "false",
        "yohoCoinNum": "15"
      },
      {
        "constantDay": "6",
        "dateKey": "3.29",
        "signed": "false",
        "today": "false",
        "yohoCoinNum": "20"
      },
      {
        "constantDay": "7",
        "dateKey": "3.30",
        "signed": "false",
        "today": "false",
        "yohoCoinNum": "100"
      }
    ],
    "todayCanGainYohoCoinNum": "5",
    "todayKey": "3.24",
    "todaySigned": "true",
    "tomorrowCanGainYohoCoinNum": "10",
    "totalYohoCoinNum": "5",
    "uid": "213"
  },
  "md5": "7518388918692bfd92ea26f972fc89f7",
  "message": "获取签到信息成功"
}
```

## 2、用户签到接口##

用户签到接口（method=app.sign.userSign）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|uid|int|否|213|0|用户id|

注意，通用的头部没有列出。  
请求示例
http://192.168.102.217:8080/gateway/?method=app.sign.userSign&uid=213&debug=XYZ

### 响应(data里所有的字段返回都是string类型)
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
  "code": 500,
  "message": "用户已经签到过"
}
```
或者
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "gainYohoCoinNum": "5",
    "totalYohoCoinNum": "5",
    "uid": "215"
  },
  "md5": "01620cc59749b4a09571dad331136736",
  "message": "用户签到成功"
}
```

## 3、用户开启/关闭推送##

用户开启/关闭推送（method=app.sign.changePushFlag）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|uid|int|否|213|0|用户id|
|pushFlag|int|否|1|0|0:关闭推送1：开启推送|

注意，通用的头部没有列出。  
请求示例
http://192.168.102.217:8080/gateway/?method=app.sign.changePushFlag&uid=213&pushFlag=1&debug=XYZ

### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": [],
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "message": "修改成功"
}
```
