## 1、获取用户浏览记录商品列表 ##

获取用户浏览记录商品列表（?method=app.browse.product）
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|
#### 请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |  
|:-------| -----:|-----:|-----:|-----:|-----:|----:|  
|uid|int|否|1-11|3566164||用户id| 
|page|int|否||1||页数| 
|limit|int|否||10||一页显示条数| 
#### 接口说明
| 接口说明|| 
|:-------| -----:|
|请求域名|http://api.yoho.cn|
|接口名|app.browse.product|
|获取用户浏览记录商品列表|
|http请求方式|POST/GET|
#### 返回错误
|错误code|错误提示|
|:-------| -----:|
|500|请先登录|

注意，通用的头部没有列出。 
请求示例  
http://192.168.102.205:8080/gateway?method=app.browse.product&uid=8040080&page=1&limit=10

### 响应
code为200即为成功，否则是失败。 
响应参数，data部分  
响应成功JSON格式如下所示:
```json
{
  "code": 200,
  "message": "Sales Product List",
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "alg": "SALT_MD5",
  "data": []
}
```
响应失败JSON格式如下所示:
```json
{
  "code": 500,
  "message": "请先登录",
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "alg": "SALT_MD5",
  "data": []
}
```


2.删除/清空用户浏览记录
删除/清空用户浏览记录（?method=app.browse.delete）
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|
#### 请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |  
|:-------| -----:|-----:|-----:|-----:|-----:|----:|  
|uid|int|否|1-11|8004080||用户id| 
|skn|String|否|1-11|51082157||skn| 
|category_id|String|否|1-5|123||分类id| 
#### 接口说明
| 接口说明|| 
|:-------| -----:|
|请求域名|http://api.yoho.cn|
|接口名|app.browse.delete|
|删除/清空用户浏览记录|
|http请求方式|POST/GET|

#### 返回错误
|错误code|错误提示|
|:-------| -----:|
|400|用户ID错误|
|400|请先登录|

注意，通用的头部没有列出。  
请求示例  
http://192.168.102.205:8080/gateway?method=app.browse.delete&uid=8004080&skn=51082157&category_id=125
### 响应
code为200即为成功，否则是失败。 
响应参数，data部分  
响应成功JSON格式如下所示:
```json
{
  "code": 200,
  "message": "delete success",
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "alg": "SALT_MD5",
  "data": []
}
```
响应失败JSON格式如下所示:
```json
{
  "code": 400,
  "message": "用户ID错误",
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "alg": "SALT_MD5",
  "data": []
}
```
```json
{
  "code": 400,
  "message": "请先登录",
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "alg": "SALT_MD5",
  "data": []
}
```

## 3、批量新增浏览记录 ##

批量新增浏览记录（?method=app.browse.addBrowseBatch）
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|
#### 请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |  
|:-------| -----:|-----:|-----:|-----:|-----:|----:|  
|uid|String|否|1-11|8040080||用户id| 
|udid|String|否|1-100|f5f38dbc1ec9ddde5ee8bff4091bdf960f76d532||udid| 
|browseList|String|否||[{"product_skn":"51082157","category_id":"1"},{"product_skn":"51149414","category_id":"1"}]||批量浏览记录| 
#### 接口说明
| 接口说明|| 
|:-------| -----:|
|请求域名|http://api.yoho.cn|
|接口名|app.browse.addBrowseBatch|
|接口说明|批量新增浏览记录|
|http请求方式|POST/GET|

#### 返回错误
|错误code|错误提示|
|:-------| -----:|
|400|用户ID错误|
|400|浏览记录列表为空|

注意，通用的头部没有列出。  
请求示例  
http://192.168.102.205:8080/gateway?method=app.browse.addBrowseBatch&uid=8040080&udid=f5f38dbc1ec9ddde5ee8bff4091bdf960f76d532&browseList=[{"product_skn":"51082157","category_id":"1"},{"product_skn":"51149414","category_id":"1"}]
### 响应
code为200即为成功，否则是失败。 
响应参数，data部分  
响应成功JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": 6,
  "md5": "b3ba9f9280e241bff5f4b630cbedd06e",
  "message": "addBrowseBatch success"
}
```

响应失败JSON格式如下所示:
```json
{
  "code": 400,
  "message": "用户ID错误",
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "alg": "SALT_MD5",
  "data": []
}
```
```json
{
  "code": 400,
  "message": "浏览记录列表为空",
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "alg": "SALT_MD5",
  "data": []
}
```

## 4、获取浏览记录的数量 ##

获取浏览记录的数量（?method=app.home.getInfoNum）
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|
#### 请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |  
|:-------| -----:|-----:|-----:|-----:|-----:|----:|  
|uid|int|否|1-11|8040080||用户id| 
|udid|String|否|1-100|f5f38dbc1ec9ddde5ee8bff4091bdf960f76d532||udid| 
#### 接口说明
| 接口说明|| 
|:-------| -----:|
|请求域名|http://api.yoho.cn|
|接口名|app.home.getInfoNum|
|接口说明|获取浏览记录的数量|
|http请求方式|POST/GET|

#### 返回错误
|错误code|错误提示|
|:-------| -----:|
|500|uid is null|

注意，通用的头部没有列出。  
请求示例  
http://192.168.102.205:8080/gateway?method=app.home.getInfoNumu&uid=8040080&udid=f5f38dbc1ec9ddde5ee8bff4091bdf960f76d532
### 响应
code为200即为成功，否则是失败。 
响应参数，data部分  
响应成功JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "brand_favorite_total": 0,
    "comment_total": 0,
    "coupon_num": 0,
    "inbox_total": 0,
    "limitCodeNum": 0,
    "product_browse": 20,
    "product_favorite_total": 1,
    "refund_exchange_num": 0,
    "send_cargo_num": 0,
    "showOrderNum": 1,
    "toShareOrderNum": 1,
    "wait_cargo_num": 0,
    "wait_pay_num": 0,
    "yoho_coin_num": 0
  },
  "md5": "bc44aca8c575ddf9718fd73d7ba07852",
  "message": "Get info num is success!"
}
```
响应失败JSON格式如下所示:
```json
{
  "code": 500,
  "message": "uid is null",
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "alg": "SALT_MD5",
  "data": []
}

