## 1.资讯内容点赞 ##

资讯内容点赞（/guang/api/*/praise/setPraise）（app接口）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:|
|article_id|int|是|1|-|资讯id|
|udid|String|是|213165413|-|udid|

注意，通用的头部没有列出。  
请求示例  
http://testservice.yoho.cn:28077/guang/api/v2/praise/setPraise?app_version=4.1.0.1603120001&article_id=33532&client_secret=a6228ce8b30093cf1d144ef7065f2239&client_type=iphone&os_version=9.2.1&screen_size=320x568&udid=258e608815a77ba2f9094da936f896ef4fd65721&v=7

### 响应
code为200即为成功，否则是失败。
响应JSON格式如下所示:
```json
        {
		"code": 200,
		"data": 1,
		"message": "success"
	}
```

## 2.资讯内容取消赞 ##

资讯内容取消赞（/guang/api/*/praise/cancel）（app接口）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:|
|article_id|int|是|1|-|资讯id|
|udid|String|是|213165413|-|udid|

注意，通用的头部没有列出。  
请求示例  
http://testservice.yoho.cn:28077/guang/api/v2/praise/cancel?app_version=4.1.0.1603120001&article_id=33532&client_secret=a6228ce8b30093cf1d144ef7065f2239&client_type=iphone&os_version=9.2.1&screen_size=320x568&udid=258e608815a77ba2f9094da936f896ef4fd65721&v=7

### 响应
code为200即为成功，否则是失败。
响应JSON格式如下所示:
```json
        {
		"code": 200,
		"data": 0,
		"message": "success"
	}
```

## 3.获取资讯内容详情 ##

获取资讯内容详情（/guang/api/*/article/getArticleBaseInfo）（app接口）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:|
|id|int|否|1|-|资讯id|
|uid|String|是|25|-|uid|
|udid|String|是|132646783|-|udid|

注意，通用的头部没有列出。  
请求示例  
http://testservice.yoho.cn:28077/guang/api/v2/article/getArticleBaseInfo?app_version=4.1.0.1603120001&client_secret=fda947ffa036e19e63ae42d186697f95&client_type=iphone&id=33533&os_version=9.2.1&screen_size=320x568&udid=258e608815a77ba2f9094da936f896ef4fd65721&uid=8039983&v=7

### 响应
code为200即为成功，否则是失败。
响应JSON格式如下所示:
```json
        {
		"code": 200,
		"data": {
			"category_id": 4,
			"id": 33533,
			"intro": "435345345345",
			"isFavor": "N",
			"isPraise": "N",
			"is_recommended": 1,
			"praise_num": 0,
			"publish_time": "2016-02-17 10:26:50",
			"src": "http://img12.static.yhbimg.com/yhb-img01/2016/03/03/06/0232f5ed5a28935ee0c5daf8ee87114629.jpg?imageView/{mode}/w/{width}/h/{height}",
			"title": "是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是",
			"view_num": 18
		},
		"message": "文章分享"
	}
```

## 4.获取我的收藏资讯列表 ##

获取我的收藏资讯列表（/guang/api/*/favorite/getUserFavArticleList）（app接口）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:|
|uid|int|是|25|-|uid|
|udid|String|是|132145631|-|udid|
|client_type|String|是|iphone|h5|客户端类型|
|page|int|是|哈哈|1|页码|
|limit|int|是|哈哈|10|分页大小|

注意，通用的头部没有列出。  
请求示例  
http://testservice.yoho.cn:28077/guang/api/v1/favorite/getUserFavArticleList?app_version=4.1.0.1603120001&client_secret=e062cc1edbc89d0da8d91d499173f992&client_type=iphone&limit=10&os_version=9.2.1&page=1&screen_size=320x568&udid=258e608815a77ba2f9094da936f896ef4fd65721&uid=8039983&v=7

### 响应
code为200即为成功，否则是失败。
响应JSON格式如下所示:
```json
        {
		"code": 200,
		"data": {
			"data": [{
					"author": {
						"author_id": "521285",
						"avatar": "http://img12.static.yhbimg.com/yhb-img02/2015/06/11/20/02b8e3fd4824df3ada9a87912baed658a9.jpg?imageView/0/w/100/h/100",
						"name": "Milk",
						"url": "http://guang.m.yohobuy.com/author/index?id=521285&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"521285\"},\"share\":\"\",\"id\":\"521285\",\"type\":0,\"islogin\":\"N\",\"url\":\"http://guang.m.yohobuy.com/author/index\"}}"
					},
					"category_id": 4,
					"category_name": "潮品hh",
					"conver_image_type": 1,
					"id": 33532,
					"intro": "是短发撒的发的发打发斯",
					"isDelete": "N",
					"isFavor": "Y",
					"isPraise": "N",
					"is_recommended": 1,
					"praise_num": 0,
					"publish_time": "02月05日  18:07",
					"src": "http://img12.static.yhbimg.com/yhb-img01/2016/02/05/10/02ba45c8f60456a672e003a875e469d0eb.jpg?imageView/{mode}/w/{width}/h/{height}",
					"title": "哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈",
					"url": "http://guang.m.yohobuy.com/info/index?id=33532&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"33532\"},\"share\":\"/guang/api/v1/share/guang?id=33532\",\"id\":\"33532\",\"title\":\"\\u54C8\\u54C8\\u54C8\\u662F\\u662F\\u662F\\u662F\\u54C8\\u54C8\\u54C8\\u662F\\u662F\\u662F\\u662F\\u54C8\\u54C8\\u54C8\\u662F\\u662F\\u662F\\u662F\\u54C8\\u54C8\",\"type\":1,\"islogin\":\"N\",\"url\":\"http://guang.m.yohobuy.com/info/index\"}}",
					"views_num": 5
				},
				{
					"author": {
						"author_id": "521285",
						"avatar": "http://img12.static.yhbimg.com/yhb-img02/2015/06/11/20/02b8e3fd4824df3ada9a87912baed658a9.jpg?imageView/0/w/100/h/100",
						"name": "Milk",
						"url": "http://guang.m.yohobuy.com/author/index?id=521285&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"521285\"},\"share\":\"\",\"id\":\"521285\",\"type\":0,\"islogin\":\"N\",\"url\":\"http://guang.m.yohobuy.com/author/index\"}}"
					},
					"category_id": 4,
					"category_name": "潮品hh",
					"conver_image_type": 1,
					"id": 33533,
					"intro": "435345345345",
					"isDelete": "N",
					"isFavor": "Y",
					"isPraise": "N",
					"is_recommended": 1,
					"praise_num": 0,
					"publish_time": "02月17日  10:26",
					"src": "http://img12.static.yhbimg.com/yhb-img01/2016/03/03/06/0232f5ed5a28935ee0c5daf8ee87114629.jpg?imageView/{mode}/w/{width}/h/{height}",
					"title": "是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是",
					"url": "http://guang.m.yohobuy.com/info/index?id=33533&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"33533\"},\"share\":\"/guang/api/v1/share/guang?id=33533\",\"id\":\"33533\",\"title\":\"\\u662F\\u54C8\\u54C8\\u54C8\\u662F\\u662F\\u662F\\u662F\\u54C8\\u54C8\\u54C8\\u662F\\u662F\\u662F\\u662F\\u54C8\\u54C8\\u54C8\\u662F\\u662F\\u662F\\u662F\\u54C8\\u54C8\\u54C8\\u662F\\u662F\\u662F\\u662F\\u54C8\\u54C8\\u54C8\\u662F\\u662F\\u662F\\u662F\\u54C8\\u54C8\\u54C8\\u662F\\u662F\\u662F\\u662F\\u54C8\\u54C8\\u54C8\\u662F\\u662F\\u662F\\u662F\\u54C8\\u54C8\\u54C8\\u662F\\u662F\\u662F\\u662F\\u54C8\\u54C8\\u54C8\\u662F\\u662F\\u662F\\u662F\",\"type\":1,\"islogin\":\"N\",\"url\":\"http://guang.m.yohobuy.com/info/index\"}}",
					"views_num": 113
				}
			],
			"page": 1,
			"total": 4,
			"totalPage": 1
		},
		"message": "收藏列表"
	}
```
## 5.获得星潮教室中星搭配的文章
星搭配文章取逛后台新增的标签分类‘星潮教室’，标签开启状态下的文章（/guang/api/*/article/getStarClassroomArticleList）（app接口）

| 接口说明 |  接口说明 | 
|:------- | -----:|
|请求域名 | http://api.yoho.cn/ |
|接口名 | /guang/api/*/article/getStarClassroomArticleList |
|接口说明 | 获得星潮教室中星搭配的文章 |
|接口说明 | get |

#### 请求参数

| 参数名称 | 参数类型 | 长度 |  是否必须 | 示例值 | 默认值 | 描述 | 
|:---------| --------:|-----:| ---------:| ------:| ------:| ----:| 
|page|Integer|3|否|1|1|页码|

#### 正常返回结果

```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "datetime": "1460342224",
    "list": {
      "artList": [
        {
          "ads_img_size": "",
          "article_type": "1",
          "author": {
            "author_id": "5105041",
            "avatar": "http://img12.static.yhbimg.com/yhb-img02/2015/06/15/14/02e77877049e6949eb5e8b121b6f58204d.jpg?imageView/0/w/100/h/100",
            "name": "雷恩雷恩",
            "url": "http://guang.m.yohobuy.com/author/index?id=5105041&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"5105041\"},\"share\":\"\",\"id\":5105041,\"type\":0,\"islogin\":\"N\",\"url\":\"http://guang.m.yohobuy.com/author/index\"}}"
          },
          "author_id": "5105041",
          "category_id": "1",
          "category_name": "话题",
          "conver_image_type": "2",
          "id": 29630,
          "intro": "Wuli凡凡前天回广州老家，小蛮腰可是为他亮起了欢迎语~这阵仗，简直了。看来《老炮儿》和wuli凡凡的人气，实在是高的不要不要。~",
          "isFavor": "N",
          "isPraise": "N",
          "is_recommended": "0",
          "praiseStatus": "true",
          "praise_num": "46",
          "publish_time": "12月25日 22:00",
          "share": {
            "url": "http://guang.m.yohobuy.com/info/index?id=29630&openby:yohobuy={\"action\":\"go.share\",\"params\":{\"pic\":\"http://img11.static.yhbimg.com/yhb-img01/2015/12/25/10/014df3a77aad110a75f4c63865461785da.jpg?imageView/2/w/640/h/640\",\"title\":\"《老炮儿》造型大吐槽！吴亦凡李易峰戏里戏外造型PK！\",\"url\":\"http://guang.m.yohobuy.com/info/index?id=29630\",\"content\":\"潮流资讯，新鲜贩售，YOHO!有货【逛】不停\"}}"
          },
          "src": "http://img11.static.yhbimg.com/yhb-img01/2015/12/25/10/014df3a77aad110a75f4c63865461785da.jpg?imageView/{mode}/w/{width}/h/{height}",
          "title": "《老炮儿》造型大吐槽！吴亦凡李易峰戏里戏外造型PK！",
          "url": "http://guang.m.yohobuy.com/info/index?id=29630&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"29630\"},\"update_flag\":\"a585b3d889ca39701f76149e194ae268\",\"shareparam\":{\"id\":29630},\"share\":\"/guang/api/v1/share/guang\",\"id\":29630,\"type\":1,\"url\":\"http://guang.m.yohobuy.com/info/index\",\"islogin\":\"N\"}}",
          "views_num": "57133"
        },
        {
          "article_type": "1",
          "author": {
            "author_id": "5514979",
            "avatar": "http://img12.static.yhbimg.com/yhb-img02/2015/06/12/15/025ff50f6d72fd19abe00c1bc3f0576eaa.jpg?imageView/0/w/100/h/100",
            "name": "XpecialSux",
            "url": "http://guang.m.yohobuy.com/author/index?id=5514979&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"5514979\"},\"share\":\"\",\"id\":5514979,\"type\":0,\"islogin\":\"N\",\"url\":\"http://guang.m.yohobuy.com/author/index\"}}"
          },
          "author_id": "5514979",
          "category_id": "2",
          "category_name": "搭配",
          "conver_image_type": "1",
          "id": 589,
          "intro": "印象里松糕鞋总是女生的专属，殊不知，男生穿上松糕鞋同样也可以萌萌哒，简单的白色短袖T恤搭配迷彩短裤，原创的松糕鞋编织鞋头细节承载麂皮绒的特殊质感，表达年轻人拒绝平庸主义的态度。",
          "isFavor": "N",
          "isPraise": "N",
          "is_recommended": "0",
          "praiseStatus": "true",
          "praise_num": "25",
          "publish_time": "06月05日 16:10",
          "share": {
            "url": "http://guang.m.yohobuy.com/info/index?id=589&openby:yohobuy={\"action\":\"go.share\",\"params\":{\"pic\":\"http://img11.static.yhbimg.com/yhb-img01/2015/06/01/13/01c00f0fe35939d71161f98f4996dbe703.jpg?imageView/2/w/640/h/640\",\"title\":\"男生穿松糕鞋也可以萌萌哒\",\"url\":\"http://guang.m.yohobuy.com/info/index?id=589\",\"content\":\"潮流资讯，新鲜贩售，YOHO!有货【逛】不停\"}}"
          },
          "src": "http://img11.static.yhbimg.com/yhb-img01/2015/06/01/13/01c00f0fe35939d71161f98f4996dbe703.jpg?imageView/{mode}/w/{width}/h/{height}",
          "title": "男生穿松糕鞋也可以萌萌哒",
          "url": "http://guang.m.yohobuy.com/info/index?id=589&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"589\"},\"update_flag\":\"5b9724501839dfbe5ffcc00201868dc0\",\"shareparam\":{\"id\":589},\"share\":\"/guang/api/v1/share/guang\",\"id\":589,\"type\":1,\"url\":\"http://guang.m.yohobuy.com/info/index\",\"islogin\":\"N\"}}",
          "views_num": "25960"
        }
      ]
    },
    "page": 1,
    "total": 2,
    "totalPage": 1
  },
  "md5": "6b2878c28018dbae9435cdc49a019e3e",
  "message": "星潮教室文章列表"
}
```
#### 响应内容描述
| Param Name | Param Type | Desc | 
|:---------| --------:|-----:| 
|alg |String | |
|code |int |状态码 |
|md5 |String | |
|message |String |返回结果内容描述 |
|data |json |返回数据内容 |
|datetime |String |当前时间 |
|page |int |当前页 |
|total |int |总记录数 |
|totalPage |int |总页数 |
|list |json |文章集合对象 |
|artList |array |文章数组 |
|ads_img_size |String |广告图片尺寸 |
|article_type |String |文章类型 |
|author_id |String |作者ID |
|author |json |作者对象json |
|author_id |String |作者ID |
|avatar |String |产品的图片URL |
|name |String |名称 |
|url |String |链接的地址 |
|category_id |String |分类ID |
|category_name |String |分类名称 |
|conver_image_type |String |图片类型 1方图,2长图 |
|id |String | |
|intro |String |文章信息 |
|isFavor |String |是否收藏 |
|isPraise |String |是否点赞 |
|is_recommended |String |是否推荐 |
|praiseStatus |String |点赞状态 |
|praise_num |String |点赞数量 |
|publish_time |String |发布时间 |
|share |json |分享链接 |
|url |String |分享链接地址 |
|src |String |图片绝对路径 |
|title |String |文章标题 |
|url |String |URL |
|views_num |String |查看数量 |


#### 异常返回结果：
| 错误码code | 错误message | 说明 | 
|:---------| --------:|-----:| 
| 500| | 内部错误|


## 6.获取逛某一分类下资讯列表 ##

获取逛某一分类下资讯列表（/guang/api/*/article/getList）（app接口）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|sort_id|int|是|-|0|分类id|
|gender|string|是|-|emptyString|性别|
|author_id|int|是|1|0|作者id|
|tag|string|是|-|emptyString|标签|
|uid|int|是|25|0|uid|
|udid|String|是|-|emptyString|udid|
|client_type|String|是|iphone|h5|客户端类型|
|page|Integer|是|1|1|页码|
|limit|Integer|是|10|10|分页大小|

注意，通用的头部没有列出。  
请求示例  
http://testservice.yoho.cn:28077/guang/api/v2/article/getList?app_version=4.1.0.1603120001&client_secret=0955a436492e71767d4b9a825a367799&client_type=iphone&gender=2%2C3&limit=20&os_version=9.2.1&page=1&screen_size=320x568&sort_id=0&udid=258e608815a77ba2f9094da936f896ef4fd65721&uid=8039983&v=7&yh_channel=2

### 响应
code为200即为成功，否则是失败。
响应JSON格式如下所示:
```json
        {
		"code": 200,
		"data": {
			"datetime": "1458290534",
			"gender": "2,3",
			"list": {
				"adlist": [
					{
						"bgColor": "",
						"src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/15/10/01fd86495edd6c9d051ed93f50de6bbbce.jpg?imageView/{mode}/w/{width}/h/{height}",
						"title": "",
						"url": "http://feature.yoho.cn/0115LIXIANGXIANG/index.html?title=YOHO!BUY对话李祥祥SEAN&share_id=658&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"share_id\":\"658\",\"title\":\"YOHO!BUY对话李祥祥SEAN\"},\"share\":\"/operations/api/v5/webshare/getShare\",\"shareparam\":{\"share_id\":\"658\"},\"title\":\"YOHO!BUY对话李祥祥SEAN\",\"url\":\"http://feature.yoho.cn/0115LIXIANGXIANG/index.html\"}}"
					},
					{
						"bgColor": "",
						"src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/15/06/028599b9ee7a7f0444bf0cbbe74be88081.jpg?imageView/{mode}/w/{width}/h/{height}",
						"title": "",
						"url": "http://feature.yohobuy.com/0/0/774/index.html?title=大学生背包调查报告&share_id=656&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"share_id\":\"656\",\"title\":\"大学生背包调查报告\"},\"share\":\"/operations/api/v5/webshare/getShare\",\"shareparam\":{\"share_id\":\"656\"},\"title\":\"大学生背包调查报告\",\"url\":\"http://feature.yohobuy.com/0/0/774/index.html\"}}"
					}
				  ],
				  "artList": [
					{
						"ads_img_size": "",
						"article_type": "1",
						"author": {
							"author_id": "521285",
							"avatar": "http://img12.static.yhbimg.com/yhb-img02/2015/06/11/20/02b8e3fd4824df3ada9a87912baed658a9.jpg?imageView/0/w/100/h/100",
							"name": "Milk",
							"url": "http://guang.m.yohobuy.com/author/index?id=521285&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"521285\"},\"share\":\"\",\"id\":521285,\"type\":0,\"islogin\":\"N\",\"url\":\"http://guang.m.yohobuy.com/author/index\"}}"
						},
						"author_id": "521285",
						"category_id": "2",
						"category_name": "搭配",
						"conver_image_type": "1",
						"id": 33534,
						"intro": "是短发的司法是的发生的法师打发是否",
						"isFavor": "N",
						"isPraise": "N",
						"is_recommended": "0",
						"praiseStatus": "true",
						"praise_num": "1",
						"publish_time": "03月04日 14:05",
						"share": {
							"url": "http://guang.m.yohobuy.com/info/index?id=33534&openby:yohobuy={\"action\":\"go.share\",\"params\":{\"pic\":\"http://img11.static.yhbimg.com/yhb-img01/2016/03/04/06/012b04df3ecc1d94afddff082d139c6f15.jpg?imageView/2/w/640/h/640\",\"title\":\"测试普通文章\",\"url\":\"http://guang.m.yohobuy.com/info/index?id=33534\",\"content\":\"潮流资讯，新鲜贩售，YOHO!有货【逛】不停\"}}"
						},
						"src": "http://img11.static.yhbimg.com/yhb-img01/2016/03/04/06/012b04df3ecc1d94afddff082d139c6f15.jpg?imageView/{mode}/w/{width}/h/{height}",
						"title": "测试普通文章",
						"url": "http://guang.m.yohobuy.com/info/index?id=33534&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"33534\"},\"update_flag\":\"d6a15c22bf7063e79c14d7ee92e14dc6\",\"shareparam\":{\"id\":33534},\"share\":\"/guang/api/v1/share/guang\",\"id\":33534,\"type\":1,\"url\":\"http://guang.m.yohobuy.com/info/index\",\"islogin\":\"N\"}}",
						"views_num": "57"
					},
					{
						"ads_img_size": "",
						"article_type": "1",
						"author": {
							"author_id": "3997053",
							"avatar": "http://img13.static.yhbimg.com/yhb-img02/2015/06/12/13/02e09398fe2b9335212f798495f8a8ae6c.jpg?imageView/0/w/100/h/100",
							"name": "艾迪虎",
							"url": "http://guang.m.yohobuy.com/author/index?id=3997053&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"3997053\"},\"share\":\"\",\"id\":3997053,\"type\":0,\"islogin\":\"N\",\"url\":\"http://guang.m.yohobuy.com/author/index\"}}"
						},
						"author_id": "3997053",
						"category_id": "5",
						"category_name": "小贴士",
						"conver_image_type": "2",
						"id": 33508,
						"intro": "“ 听说穿成这样很容易把妹 ”",
						"isFavor": "N",
						"isPraise": "N",
						"is_recommended": "0",
						"praiseStatus": "true",
						"praise_num": "0",
						"publish_time": "02月01日 14:31",
						"share": {
							"url": "http://guang.m.yohobuy.com/info/index?id=33508&openby:yohobuy={\"action\":\"go.share\",\"params\":{\"pic\":\"http://img11.static.yhbimg.com/yhb-img01/2016/01/19/11/014a55114eff791041f0228674fa08a07f.gif?imageView/2/w/640/h/640\",\"title\":\"一秒变暖男 | 男生高领衫穿搭攻略！\",\"url\":\"http://guang.m.yohobuy.com/info/index?id=33508\",\"content\":\"潮流资讯，新鲜贩售，YOHO!有货【逛】不停\"}}"
						},
						"src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/19/11/014a55114eff791041f0228674fa08a07f.gif?imageView/{mode}/w/{width}/h/{height}",
						"title": "一秒变暖男 | 男生高领衫穿搭攻略！",
						"url": "http://guang.m.yohobuy.com/info/index?id=33508&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"33508\"},\"update_flag\":\"c3481b5b2bb7d7c38385f6c096782157\",\"shareparam\":{\"id\":33508},\"share\":\"/guang/api/v1/share/guang\",\"id\":33508,\"type\":1,\"url\":\"http://guang.m.yohobuy.com/info/index\",\"islogin\":\"N\"}}",
						"views_num": "2"
					}
				]
			},
			"page": 1,
			"total": 9254,
			"totalPage": 926
		},
		"message": "资讯列表"
	}
```

## 7.获取明星原创（潮品/潮牌）列表 ##

获取明星原创（潮品/潮牌）列表（/guang/api/*/plustar/getlist）（app接口）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:|
|brand_type|int|否|1|-|类别|
|gender|int|是|1|0|性别|
|is_recommend|int|是|1|0|是否推荐|
|client_type|String|是|iphone|app|客户端类型|

注意，通用的头部没有列出。  
请求示例  
http://testservice.yoho.cn:28077/guang/api/v3/plustar/getlist?app_version=4.1.0.1603120001&brand_type=2&client_secret=b6b430ba25f469046bfd8ba59872863d&client_type=iphone&os_version=9.2.1&screen_size=320x568&v=7

### 响应
code为200即为成功，否则是失败。
响应JSON格式如下所示:
```json
        {
		"code": 200,
		"data": {
			"brand_type": 2,
			"brand_type_name": "明星潮品",
			"data": {
				"foot": [],
				"head": [],
				"list": [
					{
						"data": [
							{
								"brand_id": "891",
								"brand_name": "金銀帝國",
								"brand_title": "",
								"data": [
									{
										"src": "http://img12.static.yhbimg.com/yhb-img01/2015/09/15/07/02d0586acab715eff4e31250adba22edec.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"295\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":295},\"id\":295,\"type\":0,\"islogin\":\"N\"},\"id\":295,\"title\":\"金銀帝國\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img12.static.yhbimg.com/yhb-img01/2015/09/15/07/02a2139e57ebaf3bfc3dfbbfc25ab41998.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"295\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":295},\"id\":295,\"type\":0,\"islogin\":\"N\"},\"id\":295,\"title\":\"金銀帝國\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "295",
								"sort_id": "32767"
							},
							{
								"brand_id": "1102",
								"brand_name": "PHANTACi",
								"brand_title": "",
								"data": [
									{
										"src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/13/05/011992a28d65f3297dd46834c2093a2526.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"376\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":376},\"id\":376,\"type\":0,\"islogin\":\"N\"},\"id\":376,\"title\":\"PHANTACi\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/13/05/010af7ef4fd573a01841eaa14bf711dd4e.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"376\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":376},\"id\":376,\"type\":0,\"islogin\":\"N\"},\"id\":376,\"title\":\"PHANTACi\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "376",
								"sort_id": "190"
							},
							{
								"brand_id": "710",
								"brand_name": "MADNESS",
								"brand_title": "",
								"data": [
									{
										"src": "http://img11.static.yhbimg.com/yhb-img01/2015/10/14/06/01cd97c920f468d9794b275c973fe294cd.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"87\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":87},\"id\":87,\"type\":0,\"islogin\":\"N\"},\"id\":87,\"title\":\"MADNESS\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img12.static.yhbimg.com/yhb-img01/2015/10/14/06/025323a4d3792a3744efdd2cdd47db458a.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"87\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":87},\"id\":87,\"type\":0,\"islogin\":\"N\"},\"id\":87,\"title\":\"MADNESS\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "87",
								"sort_id": "50"
							},
							{
								"brand_id": "197",
								"brand_name": "STAYREAL",
								"brand_title": "",
								"data": [
									{
										"src": "http://img12.static.yhbimg.com/yhb-img01/2015/10/14/06/0274f62a3e125b2cc257e0c22fa0c15b70.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"71\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":71},\"id\":71,\"type\":0,\"islogin\":\"N\"},\"id\":71,\"title\":\"STAYREAL\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img12.static.yhbimg.com/yhb-img01/2015/10/14/06/02ada442188c0f3df6f461970a5c54dc73.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"71\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":71},\"id\":71,\"type\":0,\"islogin\":\"N\"},\"id\":71,\"title\":\"STAYREAL\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "71",
								"sort_id": "48"
							},
							{
								"brand_id": "614",
								"brand_name": "YYYOHOOD",
								"brand_title": "",
								"data": [
									{
										"src": "http://img12.static.yhbimg.com/yhb-img01/2015/10/14/06/028a63b7dd3f38c2e38d02910cedc47c51.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"67\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":67},\"id\":67,\"type\":0,\"islogin\":\"N\"},\"id\":67,\"title\":\"YYYOHOOD\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img11.static.yhbimg.com/yhb-img01/2015/10/14/06/010f12a2b99bbbe1400583de2e7c708bf6.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"67\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":67},\"id\":67,\"type\":0,\"islogin\":\"N\"},\"id\":67,\"title\":\"YYYOHOOD\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "67",
								"sort_id": "45"
							},
							{
								"brand_id": "543",
								"brand_name": "SPLITMAN",
								"brand_title": "",
								"data": [
									{
										"src": "http://img12.static.yhbimg.com/yhb-img01/2015/10/14/06/026615d88fea397d91990d8f729e4538b6.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"297\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":297},\"id\":297,\"type\":0,\"islogin\":\"N\"},\"id\":297,\"title\":\"SPLITMAN\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img11.static.yhbimg.com/yhb-img01/2015/10/14/06/014ec9ba7c5a26f14f6f8a8ea695f7bcf3.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"297\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":297},\"id\":297,\"type\":0,\"islogin\":\"N\"},\"id\":297,\"title\":\"SPLITMAN\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "297",
								"sort_id": "40"
							},
							{
								"brand_id": "228",
								"brand_name": "SMG",
								"brand_title": "",
								"data": [
									{
										"src": "http://img12.static.yhbimg.com/yhb-img01/2015/10/14/06/0277302f85fbfa1a56bcfda49985c1427b.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"47\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":47},\"id\":47,\"type\":0,\"islogin\":\"N\"},\"id\":47,\"title\":\"SMG\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img12.static.yhbimg.com/yhb-img01/2015/10/14/06/02dbba3122cfa23010915d18d6b08ce535.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"47\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":47},\"id\":47,\"type\":0,\"islogin\":\"N\"},\"id\":47,\"title\":\"SMG\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "47",
								"sort_id": "38"
							},
							{
								"brand_id": "598",
								"brand_name": "DOPE PLUS K",
								"brand_title": "",
								"data": [
									{
										"src": "http://img11.static.yhbimg.com/yhb-img01/2015/10/14/06/014399fe987fe4a5b6592124562dd413c3.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"299\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":299},\"id\":299,\"type\":0,\"islogin\":\"N\"},\"id\":299,\"title\":\"DOPE PLUS K\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img11.static.yhbimg.com/yhb-img01/2015/10/14/06/0170d3b6f426159e759cc51ad38bf7efb0.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"299\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":299},\"id\":299,\"type\":0,\"islogin\":\"N\"},\"id\":299,\"title\":\"DOPE PLUS K\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "299",
								"sort_id": "35"
							},
							{
								"brand_id": "108",
								"brand_name": "OVKLAB",
								"brand_title": "",
								"data": [
									{
										"src": "http://img11.static.yhbimg.com/yhb-img01/2015/10/14/06/013856339bd3b1c3c4eae6772e1d1114be.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"301\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":301},\"id\":301,\"type\":0,\"islogin\":\"N\"},\"id\":301,\"title\":\"OVKLAB\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img12.static.yhbimg.com/yhb-img01/2015/10/14/06/025946bb7fe2bc532c37a779adda432b47.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"301\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":301},\"id\":301,\"type\":0,\"islogin\":\"N\"},\"id\":301,\"title\":\"OVKLAB\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "301",
								"sort_id": "28"
							},
							{
								"brand_id": "131",
								"brand_name": "STAGE",
								"brand_title": "",
								"data": [
									{
										"src": "http://img11.static.yhbimg.com/yhb-img01/2015/05/29/16/0129fc5e63a668956e6deefc318998dfec.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"91\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":91},\"id\":91,\"type\":0,\"islogin\":\"N\"},\"id\":91,\"title\":\"STAGE\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img10.static.yhbimg.com/yhb-img01/2015/05/29/16/0116ec644c3eb9a6dc1ef6e8e5c36dbb4e.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"91\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":91},\"id\":91,\"type\":0,\"islogin\":\"N\"},\"id\":91,\"title\":\"STAGE\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "91",
								"sort_id": "24"
							},
							{
								"brand_id": "593",
								"brand_name": "Naught",
								"brand_title": "",
								"data": [
									{
										"src": "http://img12.static.yhbimg.com/yhb-img01/2015/10/14/07/02fcdc67bb394d473b28fdf2f40e478c22.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"303\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":303},\"id\":303,\"type\":0,\"islogin\":\"N\"},\"id\":303,\"title\":\"Naught\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img12.static.yhbimg.com/yhb-img01/2015/10/14/07/0297ea23c909ecb42c3e8fcb8c5cb2bdcc.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"303\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":303},\"id\":303,\"type\":0,\"islogin\":\"N\"},\"id\":303,\"title\":\"Naught\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "303",
								"sort_id": "22"
							},
							{
								"brand_id": "106",
								"brand_name": "outerspace",
								"brand_title": "",
								"data": [
									{
										"src": "http://img12.static.yhbimg.com/yhb-img01/2015/10/14/07/02c956ede9681afd0f0be6a448eceb114a.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"73\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":73},\"id\":73,\"type\":0,\"islogin\":\"N\"},\"id\":73,\"title\":\"outerspace\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img12.static.yhbimg.com/yhb-img01/2015/10/14/07/021ee7fb34ba6ce3238ba4b5e37cb6ece4.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"73\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":73},\"id\":73,\"type\":0,\"islogin\":\"N\"},\"id\":73,\"title\":\"outerspace\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "73",
								"sort_id": "18"
							},
							{
								"brand_id": "662",
								"brand_name": "CR7 underwear",
								"brand_title": "",
								"data": [
									{
										"src": "http://img11.static.yhbimg.com/yhb-img01/2015/07/03/14/0179b210fc7d6c57c73acada0eadc598ae.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"25\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":25},\"id\":25,\"type\":0,\"islogin\":\"N\"},\"id\":25,\"title\":\"CR7 underwear\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img10.static.yhbimg.com/yhb-img01/2015/07/03/14/0124693dc5fccbb4a68436d3b05cf5cc14.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"25\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":25},\"id\":25,\"type\":0,\"islogin\":\"N\"},\"id\":25,\"title\":\"CR7 underwear\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "25",
								"sort_id": "16"
							},
							{
								"brand_id": "837",
								"brand_name": "YOHO! × Why So Cool",
								"brand_title": "",
								"data": [
									{
										"src": "http://img11.static.yhbimg.com/yhb-img01/2015/10/14/07/01f6db611e992e5b3df9620bca705323c5.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"305\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":305},\"id\":305,\"type\":0,\"islogin\":\"N\"},\"id\":305,\"title\":\"YOHO! × Why So Cool\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img12.static.yhbimg.com/yhb-img01/2015/10/14/07/025afd2a21c34b9d71eb1962a7ca7f2bcf.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"305\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":305},\"id\":305,\"type\":0,\"islogin\":\"N\"},\"id\":305,\"title\":\"YOHO! × Why So Cool\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "305",
								"sort_id": "15"
							},
							{
								"brand_id": "735",
								"brand_name": "Burqa Ange 博嘉",
								"brand_title": "",
								"data": [
									{
										"src": "http://img12.static.yhbimg.com/yhb-img01/2015/10/14/07/020a8435484d3721adcbe881f240c8e3dd.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"219\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":219},\"id\":219,\"type\":0,\"islogin\":\"N\"},\"id\":219,\"title\":\"Burqa Ange 博嘉\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img12.static.yhbimg.com/yhb-img01/2015/10/14/07/02f9d14bd96a5f2090f246d5e3dfd7e9be.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"219\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":219},\"id\":219,\"type\":0,\"islogin\":\"N\"},\"id\":219,\"title\":\"Burqa Ange 博嘉\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "219",
								"sort_id": "10"
							},
							{
								"brand_id": "190",
								"brand_name": "begins",
								"brand_title": "",
								"data": [
									{
										"src": "http://img10.static.yhbimg.com/yhb-img01/2015/07/03/14/01f3608861b57f82dd4658a255d2ce65d6.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"17\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":17},\"id\":17,\"type\":0,\"islogin\":\"N\"},\"id\":17,\"title\":\"begins\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img11.static.yhbimg.com/yhb-img01/2015/07/03/14/01d3ebaf0802e8444e0d44b1578f217707.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"17\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":17},\"id\":17,\"type\":0,\"islogin\":\"N\"},\"id\":17,\"title\":\"begins\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "17",
								"sort_id": "9"
							},
							{
								"brand_id": "95",
								"brand_name": "NPC",
								"brand_title": "",
								"data": [
									{
										"src": "http://img10.static.yhbimg.com/yhb-img01/2015/05/29/17/01817a1a380f5fd6ea6295a0fe476f2f14.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"93\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":93},\"id\":93,\"type\":0,\"islogin\":\"N\"},\"id\":93,\"title\":\"NPC\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img10.static.yhbimg.com/yhb-img01/2015/05/29/17/01a4a693e8b678814471dfb65b5f1d2caa.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"93\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":93},\"id\":93,\"type\":0,\"islogin\":\"N\"},\"id\":93,\"title\":\"NPC\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "93",
								"sort_id": "8"
							},
							{
								"brand_id": "682",
								"brand_name": "DUEPLAY",
								"brand_title": "",
								"data": [
									{
										"src": "http://img10.static.yhbimg.com/yhb-img01/2015/07/03/14/01748b471bb757ca43a31086ae9b52b24b.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"33\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":33},\"id\":33,\"type\":0,\"islogin\":\"N\"},\"id\":33,\"title\":\"DUEPLAY\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img11.static.yhbimg.com/yhb-img01/2015/07/03/14/01eecf1b3b03936dd921d0a42c9fcb6011.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"33\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":33},\"id\":33,\"type\":0,\"islogin\":\"N\"},\"id\":33,\"title\":\"DUEPLAY\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "33",
								"sort_id": "4"
							},
							{
								"brand_id": "7",
								"brand_name": "adFunture",
								"brand_title": "",
								"data": [
									{
										"src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/22/07/013a48278791f1e88a9cecb13727a38d0b.png?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"426\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":426},\"id\":426,\"type\":0,\"islogin\":\"N\"},\"id\":426,\"title\":\"adFunture\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "426",
								"sort_id": "0"
							},
							{
								"brand_id": "1",
								"brand_name": "004",
								"brand_title": "",
								"data": [
									{
										"src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/22/07/013c8df966ea3fb54fc9156a4e69830c13.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"425\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":425},\"id\":425,\"type\":0,\"islogin\":\"N\"},\"id\":425,\"title\":\"004\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "425",
								"sort_id": "0"
							},
							{
								"brand_id": "266",
								"brand_name": "Hot Heart",
								"brand_title": "",
								"data": [
									{
										"src": "http://img11.static.yhbimg.com/yhb-img01/2015/06/23/10/01139c45917ebaa179915eb8485d5a8ee4.png?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"225\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":225},\"id\":225,\"type\":0,\"islogin\":\"N\"},\"id\":225,\"title\":\"Hot Heart\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img10.static.yhbimg.com/yhb-img01/2015/06/23/10/01af9f1ed5a7fbb73fb223faa0c61edbb0.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"225\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":225},\"id\":225,\"type\":0,\"islogin\":\"N\"},\"id\":225,\"title\":\"Hot Heart\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "225",
								"sort_id": "0"
							}
						],
						"template_intro": "品牌列表",
						"template_name": "brand_list"
					}
				]
			}
		},
		"message": "品牌列表"
	}
```
