## 1、PC根据域名查询品牌接口##

（method=web.brand.byDomain）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|domain|String|否|004|null|域名|

注意，通用的头部没有列出。  
请求示例
http://devapi.yoho.cn:58078/?debug=XYZ&app_version=3.8.2&client_type=android&os_version=yohobuy%3Ah5&screen_size=720x1280&v=7&method=web.brand.byDomain&domain=004

### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "brandAlif": "0",
    "brand_banner": "http://img12.static.yhbimg.com/brandBanner/2014/09/03/03/02197fb080acea9425d32dc2402d83910c.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/90",
    "brand_domain": "004",
    "brand_ico": "http://img10.static.yhbimg.com/brandLogo/2011/06/26/19/016f21d6a39d5071e1864943253dcdefde.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/90",
    "brand_intro": "<p>\n来自中国本土的品牌“004”，选用了一组简单的阿拉伯数字作为品牌名字。这组看似普通的数字，有着给人留下深刻印象的魔力，同时也体现了品牌的创办者放眼全球的市场定位。“004”\nLOGO的另一组成部分，是一个带着耳机，露出不满表情的年轻人的头像。耳机代表着年轻一代对音乐的热爱与追求。音乐，已逐渐成为年轻一代日常生活中不可或缺的一部分。而图案中人物的不满表情，代表着年轻一代不甘于现状，对“美”有更高的标准，对自己有更高的要求；要凭借年轻一代的力量，去建立一个属于我们这个时代的品牌，一个真正属于我们中国年轻人的品牌，正是“004”创立初衷.<br />\n\n<img alt=\"\" src=\n\"http://img01.static.yohobuy.com/brandContentImg/2013/03/05/15/0102658e6841e4a7d8b93def1963ef4d63.jpg\"\nstyle=\"width: 650px; height: 920px;\" /><br />\n&nbsp;</p>\n",
    "brand_name": "004",
    "brand_name_cn": "零零肆",
    "brand_name_en": "004111",
    "id": 1,
    "static_content_code": "20130222-140735"
  },
  "md5": "341b0e70487058c12416ea5eaddf4c56",
  "message": "brand info"
}
```

## 2、PC查询品牌分类接口##

（method=web.brand.folder）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|brand_id|int|否|248|0|品牌id|
|status|int|是|1|1|状态|

注意，通用的头部没有列出。  
请求示例
http://devapi.yoho.cn:58078/?debug=XYZ&app_version=3.8.2&client_type=android&os_version=yohobuy%3Ah5&screen_size=720x1280&v=7&method=web.brand.folder&brand_id=248&status=2&client_secret=3f31be8d35adb60425882cbb7298afa9
### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": [
    {
      "brand_id": 248,
      "brand_sort_ico": "http://img13.static.yhbimg.com/brandBanner/2015/04/03/10/020ca8ededdc8087357f6cadcb93f98d3f.jpg?imageView/{mode}/w/{width}/h/{height}",
      "brand_sort_name": "HUARACHE",
      "id": 1188,
      "order_by": 12,
      "parent_id": 0,
      "status": 1
    },
    {
      "brand_id": 248,
      "brand_sort_ico": "http://img11.static.yhbimg.com/brandBanner/2015/04/03/10/0162828177b1c5ecb3967df0944b2887e2.jpg?imageView/{mode}/w/{width}/h/{height}",
      "brand_sort_name": "FLIGHT",
      "id": 1176,
      "order_by": 11,
      "parent_id": 0,
      "status": 1
    },
    {
      "brand_id": 248,
      "brand_sort_ico": "http://img11.static.yhbimg.com/brandBanner/2014/04/24/06/0102a8ebab1244f71af26c1348e62fd1fb.jpg?imageView/{mode}/w/{width}/h/{height}",
      "brand_sort_name": "AIRMAX",
      "id": 260,
      "order_by": 10,
      "parent_id": 0,
      "status": 1
    },
    {
      "brand_id": 248,
      "brand_sort_ico": "http://img12.static.yhbimg.com/brandBanner/2014/04/24/07/02391a5e71663242380adb7adfed190295.jpg?imageView/{mode}/w/{width}/h/{height}",
      "brand_sort_name": "复古跑鞋",
      "id": 261,
      "order_by": 4,
      "parent_id": 0,
      "status": 1
    },
    {
      "brand_id": 248,
      "brand_sort_ico": "http://img11.static.yhbimg.com/brandBanner/2015/04/03/10/0170918b0458f3867362440ddef083c6d0.jpg?imageView/{mode}/w/{width}/h/{height}",
      "brand_sort_name": "凉拖",
      "id": 1189,
      "order_by": 2,
      "parent_id": 0,
      "status": 1
    },
    {
      "brand_id": 248,
      "brand_sort_ico": "http://img11.static.yhbimg.com/brandBanner/2014/04/24/07/01ed6baae9ca98b88fc2e32fc79bc9d54b.jpg?imageView/{mode}/w/{width}/h/{height}",
      "brand_sort_name": "OTHERS",
      "id": 38,
      "order_by": 1,
      "parent_id": 0,
      "status": 1
    }
  ],
  "md5": "e24c0c724646c486236bf24b7cb2a9a5",
  "message": "brand info"
}
```

## 3、PC查询品牌系列接口##

（method=web.brand.series）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|brand_id|int|否|248|0|品牌id|
|status|int|是|1|1|状态|

注意，通用的头部没有列出。  
请求示例
http://devapi.yoho.cn:58078/?debug=XYZ&app_version=3.8.2&client_type=android&os_version=yohobuy%3Ah5&screen_size=720x1280&v=7&method=web.brand.series&brand_id=248&status=2&client_secret=3f31be8d35adb60425882cbb7298afa9
### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": [
    {
      "brand_id": 248,
      "id": 7,
      "order_by": 2,
      "series_banner": "http://img11.static.yhbimg.com/brandBanner/2012/04/05/17/01801f6679d23f0d48ae8efcdce17cb4a5.jpg",
      "series_name": "NSW",
      "status": 0
    },
    {
      "brand_id": 248,
      "id": 8,
      "order_by": 1,
      "series_banner": "http://img13.static.yhbimg.com/brandBanner/2012/08/09/18/026e278aebf5b351b34ffe2312510ea717.jpg",
      "series_name": "Action Sports",
      "status": 0
    }
  ],
  "md5": "89445294eb4487a1233cff63b1df01e7",
  "message": "brand info"
}
```

## 4、PC批量查询品牌系列接口##

（method=web.brand.info）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|ids|int|否|248,187|0|品牌id列表|

注意，通用的头部没有列出。  
请求示例
http://devapi.yoho.cn:58078/?debug=XYZ&app_version=3.8.2&client_type=android&os_version=yohobuy%3Ah5&screen_size=720x1280&v=7&method=web.brand.info&ids=248,187&client_secret=3f31be8d35adb60425882cbb7298afa9
### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": [
    {
      "brand_domain": "nike",
      "brand_intro": "<p>1963年，俄勒冈大学毕业生比尔·鲍尔曼和校友菲尔·奈特共同创立了一家名为\"蓝带体育用品公司\"(Blue Ribbon\nSports)的公司，主营体育用品。1972年，蓝带公司更名为耐克公司，从此开始缔造属于自己的传奇。<br />\n&nbsp;<br />\n公司创始人比尔·鲍尔曼自1947年从俄勒冈大学毕业后一直留校担任田径教练，曾经训练出世界田径史上的传奇人物--史蒂夫·普雷方丹(Steve\nPrefontaine)。比尔·鲍尔曼幼年时家境贫寒，坎坷的经历培养了他铁一般的意志。而现任董事长兼首席执行官，菲尔·奈特作为公司的两位主要创始人之一对耐克的发展同样功不可没。<br />\n\n&nbsp;<br />\n1959年，菲尔·奈特从俄勒冈大学毕业，获得工商管理学士学位，一年后，他又进入著名的斯坦福大学攻读工商管理硕士学位。严格的管理教育使他具备成为一名优秀的管理者的素质。在以后的岁月里，两位校友携手并肩，同舟共济，带领公司不断发展壮大。如今，耐克公司生产经营活动遍布全球六大洲，其员工总数达到了22000人，与公司合作的供应商，托运商，零售商以及其他服务人员接近100万人。<br />\n\n&nbsp;<br />\n耐克公司一直将激励全世界的每一位运动员并为其献上最好的产品视为光荣的任务。耐克的语言就是运动的语言。三十年过去了，公司始终致力于为每一个人创造展现自我的机会。耐克深知：只有运用先进的技术才能生产出最好的产品。所以一直以来，耐克公司投入了大量的人力、物力用于[[新产品]]的开发和研制。耐克首创的气垫技术给体育界带来了一场革命。运用这项技术制造出的运动鞋可以很好地保护运动员的身体，尤其是脚踝与膝盖，防止其在作剧烈运动时扭伤，减少对膝盖的冲击与磨损。采用气垫技术的运动鞋一经推出就大受欢迎。普通消费者和专业运动员都对它爱不释手。<br />\n\n&nbsp;</p>\n<div style=\n\"widows: 2; text-transform: none; text-indent: 0px; font: bold small/15px calibri; white-space: normal; orphans: 2; letter-spacing: normal; color: rgb(34,34,34); word-spacing: 0px; -webkit-text-size-adjust: auto; -webkit-text-stroke-width: 0px\">\n<a href=\n\"http://e.weibo.com/1716184521/yeqsegzB2?ref=http%3A%2F%2Fweibo.com%2Fbeauest%2Fprofile%3Fleftnav%3D1%26wvr%3D4%26mod%3Dpersonnumber%26key_word%3D%25E8%25BD%25AC%25E5%258F%2591%26is_search%3D1\">\nhttp://e.weibo.com/1716184521/yeqsegzB2?ref=http%3A%2F%2Fweibo.com%2F<font color=\"#000000\"\nstyle=\n\"background-color: #ffff00\">beau</font>est%2Fprofile%3Fleftnav%3D1%26wvr%3D4%26mod%3Dpersonnumber%26key_word%3D%25E8%25BD%25AC%25E5%258F%2591%26is_search%3D1</a></div>\n<p><br />\n<img alt=\"\" src=\n\"http://img01.static.yohobuy.com/brandContentImg/2012/08/27/19/016c7ca17c16b77174a7a14aabf8807ce4.jpg\"\nstyle=\"width: 633px; height: 525px\" /></p>\n",
      "brand_name": "Nike",
      "id": 248
    },
    {
      "brand_domain": "wan",
      "brand_intro": "<p>&nbsp;</p>\n<div>来自地球潮流的创意团队·PLAY顽</div>\n<div>从此地球上除了诞生出更多的二氧化碳意外还顺便诞生出了地球上最潮的创意团队·PLAY顽</div>\n<div>玩偶？笔记本？背包？还是零钱袋？</div>\n<div>no no no</div>\n<div>你太out了。地球是很危险的，快回火星去吧！！</div>\n<div>我们想要做的不止是把我们的产品顺利的卖到你手里，更希望在你拿到我们心血结晶的时候，</div>\n<div>那些怪怪又可爱的小东西，能真正把我们所追求的一种生活态度 传递到你的内心里</div>\n<div>这才是我们真实的目的！</div>\n<div>不潮不生活，要顽才快活！<br />\n<img alt=\"\" src=\n\"http://img02.static.yohobuy.com/brandCertificate/2013/03/05/11/02597a5036e263a96f1f9e1c7fbc4ac136.jpg\" />\n</div>\n",
      "brand_name": "顽",
      "id": 187
    }
  ],
  "md5": "06aa5c51daafc04281c72bcfde720282",
  "message": "brand info"
}
```

## 5、PC查询所有品牌列表接口##

（method=web.brand.all）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|type|String|是|json|jsonp||
|callback|String|是||callback||

注意，通用的头部没有列出。  
请求示例
http://devapi.yoho.cn:58078/?debug=XYZ&app_version=3.8.2&client_type=android&os_version=yohobuy%3Ah5&screen_size=720x1280&v=7&method=web.brand.all&type=json&client_secret=3f31be8d35adb60425882cbb7298afa9
### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "brands": [
      {
        "id": 1,
        "image": "http://img10.static.yhbimg.com/brandLogo/2011/06/26/19/016f21d6a39d5071e1864943253dcdefde.jpg?imageMogr2/thumbnail/150x150/extent/150x150/background/d2hpdGU=/position/center/quality/90",
        "name": "004"
      },
      {
        "id": 2,
        "image": "http://img11.static.yhbimg.com/brandLogo/2014/12/09/14/01c268eeca1437276d8711e6db7746ddf1.jpg?imageMogr2/thumbnail/150x150/extent/150x150/background/d2hpdGU=/position/center/quality/90",
        "name": "10x1"
      },
      {
        "id": 4,
        "image": "http://img13.static.yhbimg.com/brandLogo/2016/03/01/06/024a32e5a272fdeb37e97a645f18b5541c.png?imageMogr2/thumbnail/150x150/extent/150x150/background/d2hpdGU=/position/center/quality/90",
        "name": "5CM"
      },
      {
        "id": 1558,
        "image": "http://img12.static.yhbimg.com/brandLogo/2016/03/21/20/02896e46dae4bcefdf256cdfdd2377906c.jpg?imageMogr2/thumbnail/150x150/extent/150x150/background/d2hpdGU=/position/center/quality/90",
        "name": "yhoood"
      }
    ]
  },
  "md5": "2394bdca8750984d74c1bfaf3a056479",
  "message": "brands list"
}
```

## 5、PC查询所有品牌列表接口##

（method=app.brand.newBrandList）
4.5版本新增接口
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|yh_channel|String|是|1|null|频道|

注意，通用的头部没有列出。  
请求示例
http://devapi.yoho.cn:58078/?debug=XYZ&app_version=3.8.2&client_type=android&os_version=yohobuy%3Ah5&screen_size=720x1280&v=7&method=app.brand.newBrandList&yh_channel=1&client_secret=3f31be8d35adb60425882cbb7298afa9
### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "all_list": {
      "0~9": [
        {
          "brand_alif": "0",
          "brand_domain": "004",
          "brand_ico": "http://img10.static.yhbimg.com/brandLogo/2011/06/26/19/016f21d6a39d5071e1864943253dcdefde.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
          "brand_keyword": "004,服装,包类",
          "brand_name": "004",
          "brand_name_cn": "零零肆__111",
          "brand_name_en": "00411111xxx12121",
          "hot_keyword": "004",
          "id": 1,
          "is_hot": "",
          "is_show_new": "N",
          "type": "0"
        },
        {
          "brand_alif": "1",
          "brand_domain": "shichengyi",
          "brand_ico": "http://img11.static.yhbimg.com/brandLogo/2014/12/09/14/01c268eeca1437276d8711e6db7746ddf1.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
          "brand_keyword": "10x1,时晨昳",
          "brand_name": "10x1",
          "brand_name_cn": "10x1",
          "brand_name_en": "10x1111",
          "hot_keyword": "10x1",
          "id": 2,
          "is_hot": "",
          "is_show_new": "N",
          "type": "0"
        },
        {
          "brand_alif": "7",
          "brand_domain": "jiajianchengchu",
          "brand_ico": "http://img12.static.yhbimg.com/brandLogo/2012/08/02/15/023909f130f5a5ea61b1227ab941e35fe0.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
          "brand_keyword": "加减乘除",
          "brand_name": "＋－×÷",
          "brand_name_cn": "加减乘除",
          "brand_name_en": "＋－×÷",
          "hot_keyword": "加减乘除是年轻化的高级时装，注重剪裁和细节。",
          "id": 298,
          "is_hot": "N",
          "is_show_new": "N",
          "type": "0"
        }
      ],
      "A": [
        {
          "brand_alif": "A",
          "brand_domain": "aape",
          "brand_ico": "http://img13.static.yhbimg.com/brandLogo/2015/12/03/15/02a0c256f3a75784fbcaa7d37715fcfa00.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
          "brand_keyword": "",
          "brand_name": "Aape",
          "brand_name_cn": "",
          "brand_name_en": "Aape",
          "hot_keyword": "",
          "id": 862,
          "is_hot": "N",
          "is_show_new": "N",
          "type": "0"
        }
        ]
    },
    "hot_list": [
      {
        "brand_alif": "A",
        "brand_domain": "ablejeans",
        "brand_ico": "http://img13.static.yhbimg.com/brandLogo/2014/05/08/12/0241b56aa9407b25d60b8d6c03ad6396c6.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
        "brand_keyword": "ABLE JEANS",
        "brand_name": "ABLE JEANS",
        "brand_name_cn": "欧帛牛仔",
        "brand_name_en": "ABLE JEANS",
        "hot_keyword": "",
        "id": 536,
        "is_hot": "Y",
        "is_show_new": "N",
        "type": "0"
      },
      {
        "brand_alif": "5",
        "brand_domain": "5cm",
        "brand_ico": "http://img13.static.yhbimg.com/brandLogo/2016/03/01/06/024a32e5a272fdeb37e97a645f18b5541c.png?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
        "brand_keyword": "5cm,it,摇滚,朋克,简约,英伦,时尚,潮流,正装,现代,前卫,摩登,个性,优雅,复古,独特,简洁,铆钉,民族",
        "brand_name": "5CM",
        "brand_name_cn": "",
        "brand_name_en": "5CM111",
        "hot_keyword": "潮流 it 5cm 香港 时尚 个性 独特",
        "id": 4,
        "is_hot": "Y",
        "is_show_new": "N",
        "type": "0"
      }
    ],
    "new_list": [
    {
        "brand_alif": "5",
        "brand_domain": "5cm",
        "brand_ico": "http://img13.static.yhbimg.com/brandLogo/2016/03/01/06/024a32e5a272fdeb37e97a645f18b5541c.png?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
        "brand_keyword": "5cm,it,摇滚,朋克,简约,英伦,时尚,潮流,正装,现代,前卫,摩登,个性,优雅,复古,独特,简洁,铆钉,民族",
        "brand_name": "5CM",
        "brand_name_cn": "",
        "brand_name_en": "5CM111",
        "hot_keyword": "潮流 it 5cm 香港 时尚 个性 独特",
        "id": 4,
        "is_hot": "Y",
        "is_show_new": "N",
        "type": "0"
      }
    ]
  },
  "message": "success"
}
```