##热搜品牌列表接口##

（method=app.search.hotBrands）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 


注意，通用的头部没有列出。  
请求示例
http://devapi.yoho.cn:58078/?debug=XYZ&app_version=3.8.2&client_type=android&os_version=yohobuy%3Ah5&screen_size=720x1280&v=7&method=app.search.hotBrands

### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
  "code": 200,
  "data":  [
      {
        "brandId": 1616,  --品牌id
        "brandName": "12", --品牌名
        "brandDomain" : "",-- 品牌domain
        "orderBy": 12123 --排序
      },
      {
        "brandId": 1616,
        "brandName": "12",
        "orderBy": 1123
      },
      {
        "brandId": 1632,
        "brandName": "test1",
        "orderBy": 122
      },
      
    ],
    
  "md5": "d4d43382e074027624d686bc8b909a93",
  "message": "查询品牌热搜词成功"
}

```

## 2、查询搜索品牌历史记录接口##

（method=app.search.hotBrandRecords）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|uid|int|是|248|0|用户id|
|records|String[]| 否|["时间戳_品牌_brandDomain_brandId"]|-|状态|

注意，通用的头部没有列出。  
请求示例
http://devapi.yoho.cn:58078/?debug=XYZ&app_version=3.8.2&client_type=android&os_version=yohobuy%3Ah5&screen_size=720x1280&v=7&method=app.search.hotBrandRecords&debug=XYZ&uid=9999&records
### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": [
  {
    "searchTerms": "test-chen", --品牌
    "searchTime": 1452043863, --时间戳
    "brandId": 1616,  --品牌id
    "brandDomain" : "",-- 品牌domain
  },
  {
    "searchTerms": "test-cc",
    "searchTime": 1452043873
  }
],
  "md5": "e24c0c724646c486236bf24b7cb2a9a5",
  "message": "success"
}
```

## 3、清理品牌历史##

（method=app.search.clearHotBrandRecords）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|uid|int|是|248|0|用户id|

注意，通用的头部没有列出。  
请求示例
http://devapi.yoho.cn:58078/?debug=XYZ&app_version=3.8.2&client_type=android&os_version=yohobuy%3Ah5&screen_size=720x1280&v=7&method=app.search.clearHotBrandRecords&debug=XYZ&uid=9999
### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  
  "md5": "89445294eb4487a1233cff63b1df01e7",
  "message": "brand info"
}
```

## 4、获取品牌信息及其优惠券##

（method=app.brand.getBrandIntro）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|brand_id|int|否|600|0|品牌id|
|uid|int|是|11961101|0|用户id|

注意，通用的头部没有列出。  
请求示例
http://devapi.yoho.cn:58078/?debug=XYZ&app_version=3.8.2&client_type=android&os_version=yohobuy%3Ah5&screen_size=720x1280&v=7&method=app.brand.getBrandIntro&debug=XYZ&uid=9999&brand_id=536
### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "brand_domain": "ablejeans",
    "brand_ico": "http://img13.static.yhbimg.com/brandLogo/2014/05/08/12/0241b56aa9407b25d60b8d6c03ad6396c6.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
    "brand_id": "536",
    "brand_intro": " OLD YOHO\nABLE JEANS——An urban jeans brand ,a leader in the trends.\n\nABLE JEANS is an international denim brand. By the epoch-making spirit and aesthetic vision of MODERN CHINESE, ABLE JEANS is creating a modern, young, cool look with its qualified products.\n\nThe creativity and design of ABLE JEANS come from real life, its vintage styles are interpreted in a modern way. The jeans and collections look cool, young, and comfortable to wear. The application of new technology and materials has given the brand a spirit both modern and timeless, fashionable and classic.\n\nABLE JEANS----live cool,Cool is an attitude,is free in you mind,is a natural feeling,is self-confidence,is timeless young,live cool,you are yourself!\n\nABLE JEANS——都市牛仔品牌，潮流版型专家。\nABLE JEANS基于现代中国人（MODERN CHINESE）的划时代精神，审美观，打造摩登、复古的国际化牛仔品牌形象。\n\nABLE JEANS的创意和设计立足于真实的生活态度，用现代感重新演绎复古风潮，穿着舒适修身，自然酷感。新工艺、新材料的运用赋予牛仔品牌现代而永恒，时尚而经典的精神。 \n",
    "brand_name": "ABLE JEANS",
    "coupons": [
      {
        "couponValidity": "2016.07.14-2016.07.26",
        "coupon_id": 12022,
        "coupon_name": "新客ABLE JEANS品牌优惠券满699减100元",
        "coupon_pic": "http://static.yohobuy.com/images/v2/activity/default_coupon.jpg",
        "money": "100.0",
        "status": 1
      }
    ],
    "is_favorite": "N"
  },
  "md5": "af77e943e2fb34ae0137a76fc21aa785",
  "message": "Brand Intro"
}
```