## 1、根据分类的信息查询当前分类下的商品列表
### （method=app.search.category,获取品类商品列表）

#### 请求参数
| 名称 | 类型 | 是否必须 | 示例值 | 默认值 | 描述 | 
| :-- | :--  | :--  | :-- | :-- | :-- |
| method	   | String     | 是    | app.search.category| |请求方法|
| type	     | String       | 否   | “new”        ||页面的标签字符串  “new” “price” “discount” |
| limit	     | int      | 否   | 10       ||每页展示条数，默认10条|
| sort	     |  String     | 否   | "116,117,115,119,124,122,413,258,173,227,125,118,121,123,114,293"        ||查询小分类ID,查多个小类以逗号分隔|
| page	     | int      | 否   | 1       ||当前页|
| yh_channel | String   | 否   | "1"        ||频道|
| order     | String      | 否  | "s_t_desc"        ||排序信息 |
| p_d	     | String      | 否   | "0.7"        ||打折区间，以逗号分隔|
| color	     | String      | 否  | "145"        ||颜色ID|
| brand     | String      | 否   | "125"        ||品牌ID|
| shop	     | String      | 否  | "155"        ||店铺ID|
| price	     | String     | 否   | "300,600"        ||价格区间，以逗号分隔|
| size	     | String     | 否   | "16,17"        ||尺寸ID，以逗号分隔|
| msort	     | String      | 否   | "95"        ||产品大分类ID|
| misort	     | String     | 否   | "918"        ||产品中分类ID|
| standard	     | String[]     | 否   | standard=13&standard=25      ||规格|
| categoryId	     | String     | 否   | "5"        ||运营二级分类ID|
| subCategoryId     | String     | 否   | "45"        || 运营三级分类ID|
| gender     | String     | 否   | "1,3"        ||性别，以逗号分隔|
| outlets    | int     | 否   | 1        ||outlets=1 奥莱商品 outlets=2非奥莱商品|


#### 注意：与以前方式兼容，如果筛选奥莱，只需增加outlets=1的请求参数

### 响应
code为200即为成功且只会返回200，每次都会有响应结果。 
响应JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "filter": {
      "brand": [
        {
          "brand_alif": "L",
          "brand_domain": "lhouse",
          "brand_ico": "http://img10.static.yhbimg.com/brandLogo/2011/06/27/19/01c1514a8a9d3f9bdf34d70c8ec0610870.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
          "brand_keyword": "l-house,T恤,休闲裤,包,LPAN,",
          "brand_name": "L-HOUSE",
          "brand_name_cn": "",
          "brand_name_en": "L-HOUSE",
          "hot_keyword": "l-house",
          "id": 72,
          "is_hot": "N"
        },
        {
          "brand_alif": "C",
          "brand_domain": "clottee",
          "brand_ico": "http://img11.static.yhbimg.com/brandLogo/2015/12/03/15/01de6bf632d371c2d6c5f74c212aa284fb.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
          "brand_keyword": "明星、潮流、设计、细节、凸显个人的风格",
          "brand_name": "CLOTtee",
          "brand_name_cn": "",
          "brand_name_en": "CLOTtee",
          "hot_keyword": "CLOT主理人Edison Chen(陈冠希)和Kevin Poon(潘世亨)以“Essential”为题进",
          "id": 518,
          "is_hot": "Y"
        }
      ],
      "color": [
        {
          "color_code": "FFFFFF",
          "color_id": 1,
          "color_name": "白色",
          "color_value": ""
        },
        {
          "color_code": "333333",
          "color_id": 2,
          "color_name": "黑色",
          "color_value": ""
        },
        {
          "color_code": "0000fe",
          "color_id": 7,
          "color_name": "蓝色",
          "color_value": ""
        }
      ],
      "discount": {
        "0.01,0.399": {
          "count": 1,
          "name": "1~3"
        }
      },
      "gender": {
        "1,3": "BOYS",
        "2,3": "GIRLS"
      },
      "group_sort": [
        {
          "category_id": "18",
          "category_name": "上衣",
          "node_count": 0,
          "parent_id": "2",
          "relation_parameter": {
            "sort": "227,173,125,258,121,123,119,124,118,122,115,117,114,293,116,413"
          },
          "sort_ico": "http://img12.static.yhbimg.com/taobaocms/2016/04/25/15/021f6d7c1a73dd5823c6758186ef270611.png",
          "sub": [
            {
              "category_id": "29",
              "category_name": "防风外套",
              "node_count": 0,
              "parent_id": "18",
              "relation_parameter": {
                "sort": "227"
              },
              "sort_ico": "http://img11.static.yhbimg.com/taobaocms/2015/09/01/14/01d48022e08742f1c96766caa6484593ce.jpg?imageView/{mode}/w/{width}/h/{height}"
            },
            {
              "category_id": "45",
              "category_name": "T恤",
              "node_count": 0,
              "parent_id": "5",
              "relation_parameter": {
                "sort": "114,293"
              },
              "sort_ico": ""
            }
          ]
        },
        {
          "category_id": "8",
          "category_name": "裤装",
          "node_count": 0,
          "parent_id": "1",
          "relation_parameter": {
            "sort": "131,129,346,133,348,130"
          },
          "sort_ico": "http://img10.static.yhbimg.com/taobaocms/2016/04/18/14/016bd577221e94e560d4686ec51f94a479.jpg",
          "sub": [
            {
              "category_id": "92",
              "category_name": "牛仔裤",
              "node_count": 0,
              "parent_id": "8",
              "relation_parameter": {
                "sort": "130,114,293"
              },
              "sort_ico": ""
            }
          ]
        }
      ],
      "priceRange": {
        "0,139": "￥0-139",
        "140,149": "￥140-149",
        "150,99999": "￥149以上"
      },
      "size": [
        {
          "size_id": 201,
          "size_name": "L"
        },
        {
          "size_id": 203,
          "size_name": "M"
        },
        {
          "size_id": 207,
          "size_name": "S"
        },
        {
          "size_id": 211,
          "size_name": "XL"
        },
        {
          "size_id": 216,
          "size_name": "XXL"
        }
      ]
    },
    "page": 1,
    "page_total": 1,
    "product_list": [
      {
        "brand_domain": "clottee",
        "brand_id": 518,
        "brand_name": "CLOTtee",
        "cn_alphabet": "CLA503OJ34ChongFengYi",
        "default_images": "http://img11.static.yhbimg.com/goodsimg/2015/09/30/08/01d2be5e9d6a18d8958484fede5af853bd.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
        "edit_time": 1452654408,
        "gender": "1",
        "goods_list": [
          {
            "color_code": "333333",
            "color_id": "2",
            "color_name": "黑色",
            "color_value": "",
            "cover_1": "",
            "cover_2": "",
            "goods_id": "314411",
            "images_url": "http://img11.static.yhbimg.com/goodsimg/2015/09/30/08/01d2be5e9d6a18d8958484fede5af853bd.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
            "is_default": "N",
            "product_skc": "258548",
            "status": "1"
          }
        ],
        "is_advance": "N",
        "is_discount": "Y",
        "is_limited": "N",
        "is_new": "N",
        "is_outlets": 1,
        "is_promotion": 101,
        "is_soon_sold_out": "N",
        "is_special": "N",
        "market_price": 699,
        "max_sort_id": 1,
        "middle_sort_id": 226,
        "product_id": 239715,
        "product_name": "CLOTtee camouflage Printing Coat Tech Jacket",
        "product_skn": 51134695,
        "sales_num": 2,
        "sales_phrase": "",
        "sales_price": 139,
        "shelve_time": 1452654408,
        "small_sort_id": 227,
        "status": 1,
        "stock_number": 765,
        "storage_num": 765,
        "tags": [
          "is_discount"
        ],
        "vip1_price": 132.04999999999998,
        "vip2_price": 125.10000000000001,
        "vip3_price": 122.32000000000001,
        "vip_discount_type": 3,
        "vip_price": 0
      },
      {
        "brand_domain": "lhouse",
        "brand_id": 72,
        "brand_name": "L-HOUSE",
        "cn_alphabet": "LHOUSEA308XiangJiLPANTXu",
        "default_images": "http://img13.static.yhbimg.com/goodsimg/2013/05/09/15/023d3a7e390c20c471978c847600399ba8.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
        "edit_time": 1395997048,
        "gender": "1",
        "goods_list": [
          {
            "color_code": "FFFFFF",
            "color_id": "1",
            "color_name": "白",
            "color_value": "",
            "cover_1": "",
            "cover_2": "",
            "goods_id": "59474",
            "images_url": "http://img13.static.yhbimg.com/goodsimg/2013/05/09/15/023d3a7e390c20c471978c847600399ba8.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
            "is_default": "Y",
            "product_skc": "96567",
            "status": "1"
          },
          {
            "color_code": "0000fe",
            "color_id": "7",
            "color_name": "蓝",
            "color_value": "",
            "cover_1": "",
            "cover_2": "",
            "goods_id": "59475",
            "images_url": "http://img10.static.yhbimg.com/goodsimg/2013/05/09/16/0102c226f7faa1274e05cc038dc3c29f9f.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
            "is_default": "N",
            "product_skc": "96568",
            "status": "1"
          }
        ],
        "is_advance": "N",
        "is_discount": "N",
        "is_limited": "N",
        "is_new": "N",
        "is_outlets": 1,
        "is_promotion": 0,
        "is_soon_sold_out": "Y",
        "is_special": "N",
        "market_price": 148,
        "max_sort_id": 1,
        "middle_sort_id": 11,
        "product_id": 38518,
        "product_name": "L-HOUSE 相机LPAN T恤",
        "product_skn": 51009846,
        "sales_num": 65,
        "sales_price": 148,
        "shelve_time": 1395997048,
        "small_sort_id": 114,
        "status": 1,
        "stock_number": 2,
        "storage_num": 2,
        "tags": [
          "is_soon_sold_out"
        ],
        "vip1_price": 140.6,
        "vip2_price": 133.20000000000002,
        "vip3_price": 130.24,
        "vip_discount_type": 3,
        "vip_price": 0
      }
    ],
    "standard": [
      {
        "standard_id": "879",
        "standard_name": "袖长",
        "sub": [
          {
            "standard_id": "4817",
            "standard_name": "长袖"
          }
        ]
      },
      {
        "standard_id": "878",
        "standard_name": "衣长",
        "sub": [
          {
            "standard_id": "4814",
            "standard_name": "长款"
          }
        ]
      },
      {
        "standard_id": "876",
        "standard_name": "经典款型",
        "sub": [
          {
            "standard_id": "5080",
            "standard_name": "冲锋衣"
          }
        ]
      },
      {
        "standard_id": "882",
        "standard_name": "厚度",
        "sub": [
          {
            "standard_id": "4822",
            "standard_name": "中"
          }
        ]
      },
      {
        "standard_id": "880",
        "standard_name": "版型",
        "sub": [
          {
            "standard_id": "4819",
            "standard_name": "正常"
          }
        ]
      }
    ],
    "total": 2
  },
  "md5": "2b4aa20d350ff2758d2d70687b788173",
  "message": "Category Product List."
}
```
## 2、首页模糊搜索的商品列表，支持按商品skn、品牌搜索或者店铺首页搜索
### （method=app.search.li，首页品类推荐获取商品列表页）
#### 请求参数
| 名称 | 类型 | 是否必须 | 示例值 | 默认值 | 描述 | 
| :-- | :--  | :--  | :-- | :-- | :-- |
| method	   | String     | 是   | app.search.li| |请求方法|
| query	     | String       | 否   |         ||关键词查询条件|
| limit	     | int      | 否   | 10       ||每页展示条数，默认10条|
| sort	     |  String     | 否   | "116,117,115,119,124,122,413,258,173,227,125,118,121,123,114,293"        ||查询小分类ID,查多个小类以逗号分隔|
| page	     | int      | 否   | 1       ||当前页|
| yh_channel | String   | 否   | "1"        ||频道|
| order     | String      | 否  | "s_t_desc"        ||排序信息 |
| p_d	     | String      | 否   | "0.7"        ||打折区间，以逗号分隔|
| color	     | String      | 否  | "145"        ||颜色ID|
| brand     | String      | 否   | "125"        ||品牌ID|
| shop	     | String      | 否  | "155"        ||店铺ID|
| price	     | String     | 否   | "300,600"        ||价格区间，以逗号分隔|
| size	     | String     | 否   | "16,17"        ||尺寸ID，以逗号分隔|
| msort	     | String      | 否   | "95"        ||产品大分类ID|
| misort	     | String     | 否   | "918"        ||产品中分类ID|
| promotion	     | String     | 否   | "5"        ||促销ID|
| from     | String     | 否   | "45"        || 来源于那个搜索词列表|
| gender     | String     | 否   | "1,3"        ||性别，以逗号分隔|
| outlets    | int     | 否   | 1        ||outlets=1 奥莱商品 outlets=2非奥莱商品|


#### 注意：与以前方式兼容，如果筛选奥莱，只需增加outlets=1的请求参数

### 响应
code为200即为成功且只会返回200，每次都会有响应结果。 
响应JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "filter": {
      "brand": [
        {
          "brand_alif": "C",
          "brand_domain": "cochinillo",
          "brand_ico": "http://img10.static.yhbimg.com/brandLogo/2012/11/01/19/01a5a5d79177613a31ef894697f59c3c43.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
          "brand_keyword": "",
          "brand_name": "Cochinillo",
          "brand_name_cn": "Cochinillo",
          "brand_name_en": "Cochinillo",
          "hot_keyword": "",
          "id": 323,
          "is_hot": "N"
        },
        {
          "brand_alif": "L",
          "brand_domain": "lhouse",
          "brand_ico": "http://img11.static.yhbimg.com/brandLogo/2011/06/27/19/01c1514a8a9d3f9bdf34d70c8ec0610870.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
          "brand_keyword": "l-house,T恤,休闲裤,包,LPAN,",
          "brand_name": "L-HOUSE",
          "brand_name_cn": "",
          "brand_name_en": "L-HOUSE",
          "hot_keyword": "l-house",
          "id": 72,
          "is_hot": "N"
        },
        {
          "brand_alif": "T",
          "brand_domain": "tyakasha",
          "brand_ico": "http://img13.static.yhbimg.com/brandLogo/2015/12/07/10/02c11ab89b90ad104a080efc17310836a0.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
          "brand_keyword": "tyakasha,服装,",
          "brand_name": "TYAKASHA",
          "brand_name_cn": "塔卡沙",
          "brand_name_en": "TYAKASHA",
          "hot_keyword": "tyakasha",
          "id": 141,
          "is_hot": "Y"
        },
        {
          "brand_alif": "P",
          "brand_domain": "protest",
          "brand_ico": "http://img13.static.yhbimg.com/brandLogo/2015/12/07/11/024f9654dd401202fa5aa93e21ab01056a.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
          "brand_keyword": "",
          "brand_name": "PROTEST博特斯",
          "brand_name_cn": "",
          "brand_name_en": "PROTEST",
          "hot_keyword": "",
          "id": 402,
          "is_hot": "N"
        },
        {
          "brand_alif": "C",
          "brand_domain": "clottee",
          "brand_ico": "http://img10.static.yhbimg.com/brandLogo/2015/12/03/15/01de6bf632d371c2d6c5f74c212aa284fb.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
          "brand_keyword": "明星、潮流、设计、细节、凸显个人的风格",
          "brand_name": "CLOTtee",
          "brand_name_cn": "",
          "brand_name_en": "CLOTtee",
          "hot_keyword": "CLOT主理人Edison Chen(陈冠希)和Kevin Poon(潘世亨)以“Essential”为题进",
          "id": 518,
          "is_hot": "Y"
        },
        {
          "brand_alif": "5",
          "brand_domain": "5preview",
          "brand_ico": "http://img12.static.yhbimg.com/brandLogo/2015/11/17/16/02202c3d541b9b0b67aaf32068b32f4884.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
          "brand_keyword": "趣味,休闲",
          "brand_name": "5 PREVIEW",
          "brand_name_cn": "",
          "brand_name_en": "5 PREVIEW",
          "hot_keyword": "",
          "id": 526,
          "is_hot": "N"
        }
      ],
      "color": [
        {
          "color_code": "0000fe",
          "color_id": 7,
          "color_name": "蓝色",
          "color_value": ""
        },
        {
          "color_code": "FFFFFF",
          "color_id": 1,
          "color_name": "白色",
          "color_value": ""
        },
        {
          "color_code": "8b5402",
          "color_id": 4,
          "color_name": "棕色",
          "color_value": ""
        },
        {
          "color_code": "#fffff",
          "color_id": 15,
          "color_name": "彩色",
          "color_value": "http://img02.static.yohobuy.com/adpic/2014/01/27/13/0272608508f09e2bf7eb5543bf5cc70d31.png"
        },
        {
          "color_code": "333333",
          "color_id": 2,
          "color_name": "黑色",
          "color_value": ""
        },
        {
          "color_code": "b9b7af",
          "color_id": 3,
          "color_name": "灰色",
          "color_value": ""
        },
        {
          "color_code": "710098",
          "color_id": 8,
          "color_name": "紫色",
          "color_value": ""
        }
      ],
      "discount": {
        "0.01,0.399": {
          "count": 3,
          "name": "1~3"
        },
        "0.4,0.699": {
          "count": 1,
          "name": "4~6"
        }
      },
      "gender": {
        "1,3": "BOYS",
        "2,3": "GIRLS"
      },
      "group_sort": [
        {
          "category_id": "5",
          "category_name": "上衣",
          "node_count": 0,
          "parent_id": "1",
          "relation_parameter": {
            "sort": "598"
          },
          "sort_ico": "http://img11.static.yhbimg.com/taobaocms/2015/09/01/14/01d48022e08742f1c96766caa6484593ce.jpg",
          "sub": [
            {
              "category_id": "56",
              "category_name": "衬衫",
              "node_count": 0,
              "parent_id": "5",
              "relation_parameter": {
                "sort": "115"
              },
              "sort_ico": ""
            },
            {
              "category_id": "29",
              "category_name": "防风外套",
              "node_count": 0,
              "parent_id": "18",
              "relation_parameter": {
                "sort": "227"
              },
              "sort_ico": "http://img11.static.yhbimg.com/taobaocms/2015/09/01/14/01d48022e08742f1c96766caa6484593ce.jpg?imageView/{mode}/w/{width}/h/{height}"
            },
            {
              "category_id": "42",
              "category_name": "毛衣/针织",
              "node_count": 0,
              "parent_id": "18",
              "relation_parameter": {
                "sort": "258"
              },
              "sort_ico": "http://img12.static.yhbimg.com/taobaocms/2015/09/01/14/02d48022e08742f1c96766caa6484593ce.jpg?imageView/{mode}/w/{width}/h/{height}"
            },
            {
              "category_id": "45",
              "category_name": "T恤",
              "node_count": 0,
              "parent_id": "5",
              "relation_parameter": {
                "sort": "114,293"
              },
              "sort_ico": ""
            },
            {
              "category_id": "53",
              "category_name": "背心",
              "node_count": 0,
              "parent_id": "5",
              "relation_parameter": {
                "sort": "117"
              },
              "sort_ico": ""
            }
          ]
        },
        {
          "category_id": "8",
          "category_name": "裤装",
          "node_count": 0,
          "parent_id": "1",
          "relation_parameter": {
            "sort": "131,129,346,133,348,130"
          },
          "sort_ico": "http://img10.static.yhbimg.com/taobaocms/2016/04/18/14/016bd577221e94e560d4686ec51f94a479.jpg",
          "sub": [
            {
              "category_id": "92",
              "category_name": "牛仔裤",
              "node_count": 0,
              "parent_id": "8",
              "relation_parameter": {
                "sort": "130,114,293"
              },
              "sort_ico": ""
            }
          ]
        }
      ],
      "priceRange": {
        "0,149": "￥0-149",
        "150,299": "￥150-299",
        "300,99999": "￥299以上"
      },
      "size": [
        {
          "size_id": 203,
          "size_name": "M"
        },
        {
          "size_id": 207,
          "size_name": "S"
        },
        {
          "size_id": 199,
          "size_name": "F"
        },
        {
          "size_id": 201,
          "size_name": "L"
        },
        {
          "size_id": 211,
          "size_name": "XL"
        },
        {
          "size_id": 213,
          "size_name": "XS"
        },
        {
          "size_id": 216,
          "size_name": "XXL"
        }
      ]
    },
    "page": 1,
    "page_total": 1,
    "product_list": [
      {
        "brand_domain": "lhouse",
        "brand_id": 72,
        "brand_name": "L-HOUSE",
        "cn_alphabet": "LHOUSEA308XiangJiLPANTXu",
        "default_images": "http://img12.static.yhbimg.com/goodsimg/2013/05/09/15/023d3a7e390c20c471978c847600399ba8.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
        "edit_time": 1395997048,
        "gender": "1",
        "goods_list": [
          {
            "color_code": "FFFFFF",
            "color_id": "1",
            "color_name": "白",
            "color_value": "",
            "cover_1": "",
            "cover_2": "",
            "goods_id": "59474",
            "images_url": "http://img12.static.yhbimg.com/goodsimg/2013/05/09/15/023d3a7e390c20c471978c847600399ba8.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
            "is_default": "Y",
            "product_skc": "96567",
            "status": "1"
          },
          {
            "color_code": "0000fe",
            "color_id": "7",
            "color_name": "蓝",
            "color_value": "",
            "cover_1": "",
            "cover_2": "",
            "goods_id": "59475",
            "images_url": "http://img10.static.yhbimg.com/goodsimg/2013/05/09/16/0102c226f7faa1274e05cc038dc3c29f9f.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
            "is_default": "N",
            "product_skc": "96568",
            "status": "1"
          }
        ],
        "is_advance": "N",
        "is_discount": "N",
        "is_limited": "N",
        "is_new": "N",
        "is_outlets": 1,
        "is_promotion": 0,
        "is_soon_sold_out": "Y",
        "is_special": "N",
        "market_price": 148,
        "max_sort_id": 1,
        "middle_sort_id": 11,
        "product_id": 38518,
        "product_name": "L-HOUSE 相机LPAN T恤",
        "product_skn": 51009846,
        "sales_num": 65,
        "sales_price": 148,
        "shelve_time": 1395997048,
        "small_sort_id": 114,
        "status": 1,
        "stock_number": 2,
        "storage_num": 2,
        "tags": [
          "is_soon_sold_out"
        ],
        "vip1_price": 140.6,
        "vip2_price": 133.20000000000002,
        "vip3_price": 130.24,
        "vip_discount_type": 3,
        "vip_price": 0
      },
      {
        "brand_domain": "tyakasha",
        "brand_id": 141,
        "brand_name": "TYAKASHA",
        "cn_alphabet": "TYAKASHANvKuanDaiZhenZhuErHuanDeAKAMaoYiT15DM6637B",
        "default_images": "http://img12.static.yhbimg.com/goodsimg/2015/11/11/03/02d26c7111e3512e259466c07e21d60df9.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
        "edit_time": 1447215936,
        "gender": "2",
        "goods_list": [
          {
            "color_code": "0000fe",
            "color_id": "7",
            "color_name": "蓝色",
            "color_value": "",
            "cover_1": "",
            "cover_2": "",
            "goods_id": "377595",
            "images_url": "http://img12.static.yhbimg.com/goodsimg/2015/11/11/03/02d26c7111e3512e259466c07e21d60df9.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
            "is_default": "N",
            "product_skc": "293242",
            "status": "1"
          }
        ],
        "is_advance": "N",
        "is_discount": "Y",
        "is_limited": "N",
        "is_new": "N",
        "is_outlets": 1,
        "is_promotion": 101,
        "is_soon_sold_out": "N",
        "is_special": "Y",
        "market_price": 678,
        "max_sort_id": 1,
        "middle_sort_id": 257,
        "product_id": 294671,
        "product_name": "TYAKASHA 女款戴珍珠耳环的AKA毛衣",
        "product_skn": 51165107,
        "sales_num": 0,
        "sales_phrase": "",
        "sales_price": 339,
        "shelve_time": 1447215936,
        "small_sort_id": 258,
        "status": 1,
        "stock_number": 423,
        "storage_num": 423,
        "tags": [],
        "vip1_price": 322.05,
        "vip2_price": 305.1,
        "vip3_price": 298.32,
        "vip_discount_type": 3,
        "vip_price": 0
      },
      {
        "brand_domain": "cochinillo",
        "brand_id": 323,
        "brand_name": "Cochinillo",
        "cn_alphabet": "COCHINILLO676620030TXuShan",
        "edit_time": 0,
        "gender": "2",
        "goods_list": [
          {
            "color_code": "0000fe",
            "color_id": "7",
            "color_name": "藏青",
            "color_value": "",
            "cover_1": "",
            "cover_2": "",
            "goods_id": "58024",
            "images_url": "http://img13.static.yhbimg.com/goodsimg/2013/03/27/13/02456cdb599a3dd5109400d1c3838d58a0.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
            "is_default": "N",
            "product_skc": "95108",
            "status": "1"
          },
          {
            "color_code": "FFFFFF",
            "color_id": "1",
            "color_name": "白",
            "color_value": "",
            "cover_1": "",
            "cover_2": "",
            "goods_id": "58025",
            "images_url": "http://img10.static.yhbimg.com/goodsimg/2013/03/27/13/01b84e5a6d1c493b8112029c5796bf794b.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
            "is_default": "N",
            "product_skc": "95109",
            "status": "1"
          },
          {
            "color_code": "8b5402",
            "color_id": "4",
            "color_name": "杏色",
            "color_value": "",
            "cover_1": "",
            "cover_2": "",
            "goods_id": "58026",
            "images_url": "http://img10.static.yhbimg.com/goodsimg/2013/03/27/13/01c5548a1e59b836728672a77b9c98917c.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
            "is_default": "Y",
            "product_skc": "95110",
            "status": "1"
          }
        ],
        "is_advance": "N",
        "is_discount": "Y",
        "is_limited": "N",
        "is_new": "N",
        "is_outlets": 1,
        "is_promotion": 0,
        "is_soon_sold_out": "N",
        "is_special": "N",
        "market_price": 458,
        "max_sort_id": 1,
        "middle_sort_id": 11,
        "product_id": 37574,
        "product_name": "Cochinillo  蕾丝拼接T恤衫",
        "product_skn": 51008901,
        "sales_num": 5,
        "sales_phrase": "5折封顶",
        "sales_price": 183,
        "shelve_time": 1366248083,
        "small_sort_id": 114,
        "status": 1,
        "stock_number": 5,
        "storage_num": 5,
        "tags": [
          "is_discount"
        ],
        "vip1_price": 173.85,
        "vip2_price": 164.70000000000002,
        "vip3_price": 161.04,
        "vip_discount_type": 3,
        "vip_price": 0
      },
      {
        "brand_domain": "cochinillo",
        "brand_id": 323,
        "brand_name": "Cochinillo",
        "cn_alphabet": "COCHINILLO661300110ChenShan",
        "default_images": "http://img10.static.yhbimg.com/goodsimg/2012/12/24/11/0171ead672ff178f83cee6dd46112a9fb3.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
        "edit_time": 0,
        "gender": "2",
        "goods_list": [
          {
            "color_code": "FFFFFF",
            "color_id": "1",
            "color_name": "白",
            "color_value": "",
            "cover_1": "",
            "cover_2": "",
            "goods_id": "43737",
            "images_url": "http://img13.static.yhbimg.com/goodsimg/2012/12/24/11/020b3137bc9f8f199ffb2bbc1d3acdab04.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
            "is_default": "N",
            "product_skc": "81171",
            "status": "1"
          },
          {
            "color_code": "8b5402",
            "color_id": "4",
            "color_name": "杏色",
            "color_value": "",
            "cover_1": "",
            "cover_2": "",
            "goods_id": "43738",
            "images_url": "http://img10.static.yhbimg.com/goodsimg/2012/12/24/11/0171ead672ff178f83cee6dd46112a9fb3.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
            "is_default": "Y",
            "product_skc": "81172",
            "status": "1"
          }
        ],
        "is_advance": "N",
        "is_discount": "Y",
        "is_limited": "N",
        "is_new": "N",
        "is_outlets": 1,
        "is_promotion": 101,
        "is_soon_sold_out": "Y",
        "is_special": "N",
        "market_price": 688,
        "max_sort_id": 1,
        "middle_sort_id": 12,
        "product_id": 29426,
        "product_name": "Cochinillo 豹纹雪纺上衣",
        "product_skn": 51000729,
        "sales_num": 11,
        "sales_phrase": "5折封顶",
        "sales_price": 275,
        "shelve_time": 1358301176,
        "small_sort_id": 115,
        "status": 1,
        "stock_number": 1,
        "storage_num": 1,
        "tags": [
          "is_discount",
          "is_soon_sold_out"
        ],
        "vip1_price": 261.25,
        "vip2_price": 247.5,
        "vip3_price": 242,
        "vip_discount_type": 3,
        "vip_price": 0
      },
      {
        "brand_domain": "5preview",
        "brand_id": 526,
        "brand_name": "5 PREVIEW",
        "cn_alphabet": "I914_A25",
        "default_images": "http://img10.static.yhbimg.com/goodsimg/2015/07/15/08/0151af4dd4ff03297dc92d4ef0a1efd724.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
        "edit_time": 1453952293,
        "gender": "2",
        "goods_list": [
          {
            "color_code": "#fffff",
            "color_id": "15",
            "color_name": "彩色",
            "color_value": "",
            "cover_1": "",
            "cover_2": "",
            "goods_id": "267285",
            "images_url": "http://img10.static.yhbimg.com/goodsimg/2015/07/15/08/0151af4dd4ff03297dc92d4ef0a1efd724.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
            "is_default": "N",
            "product_skc": "234928",
            "status": "1"
          }
        ],
        "is_advance": "N",
        "is_discount": "Y",
        "is_limited": "N",
        "is_new": "N",
        "is_outlets": 1,
        "is_promotion": 0,
        "is_soon_sold_out": "Y",
        "is_special": "N",
        "market_price": 980,
        "max_sort_id": 1,
        "middle_sort_id": 11,
        "product_id": 199467,
        "product_name": "5 PREVIEW 图案T恤",
        "product_skn": 51114538,
        "sales_num": 11,
        "sales_phrase": "",
        "sales_price": 294,
        "shelve_time": 1453952293,
        "small_sort_id": 114,
        "status": 1,
        "stock_number": 1,
        "storage_num": 1,
        "tags": [
          "is_discount",
          "is_soon_sold_out"
        ],
        "vip1_price": 279.3,
        "vip2_price": 264.6,
        "vip3_price": 258.72,
        "vip_discount_type": 3,
        "vip_price": 0
      },
      {
        "brand_domain": "clottee",
        "brand_id": 518,
        "brand_name": "CLOTtee",
        "cn_alphabet": "CLA503OJ34ChongFengYi",
        "default_images": "http://img10.static.yhbimg.com/goodsimg/2015/09/30/08/01d2be5e9d6a18d8958484fede5af853bd.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
        "edit_time": 1452654408,
        "gender": "1",
        "goods_list": [
          {
            "color_code": "333333",
            "color_id": "2",
            "color_name": "黑色",
            "color_value": "",
            "cover_1": "",
            "cover_2": "",
            "goods_id": "314411",
            "images_url": "http://img10.static.yhbimg.com/goodsimg/2015/09/30/08/01d2be5e9d6a18d8958484fede5af853bd.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
            "is_default": "N",
            "product_skc": "258548",
            "status": "1"
          }
        ],
        "is_advance": "N",
        "is_discount": "Y",
        "is_limited": "N",
        "is_new": "N",
        "is_outlets": 1,
        "is_promotion": 101,
        "is_soon_sold_out": "N",
        "is_special": "N",
        "market_price": 699,
        "max_sort_id": 1,
        "middle_sort_id": 226,
        "product_id": 239715,
        "product_name": "CLOTtee camouflage Printing Coat Tech Jacket",
        "product_skn": 51134695,
        "sales_num": 2,
        "sales_phrase": "",
        "sales_price": 139,
        "shelve_time": 1452654408,
        "small_sort_id": 227,
        "status": 1,
        "stock_number": 765,
        "storage_num": 765,
        "tags": [
          "is_discount"
        ],
        "vip1_price": 132.04999999999998,
        "vip2_price": 125.10000000000001,
        "vip3_price": 122.32000000000001,
        "vip_discount_type": 3,
        "vip_price": 0
      },
      {
        "brand_domain": "protest",
        "brand_id": 402,
        "brand_name": "PROTEST博特斯",
        "cn_alphabet": "PROTEST165521BeiXin",
        "default_images": "http://img10.static.yhbimg.com/goodsimg/2013/09/05/11/013fd21b367badee4c101362d58131df95.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
        "edit_time": 1441689353,
        "gender": "2",
        "goods_list": [
          {
            "color_code": "710098",
            "color_id": "8",
            "color_name": "紫",
            "color_value": "",
            "cover_1": "",
            "cover_2": "",
            "goods_id": "74891",
            "images_url": "http://img10.static.yhbimg.com/goodsimg/2013/09/05/11/013fd21b367badee4c101362d58131df95.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
            "is_default": "Y",
            "product_skc": "111991",
            "status": "1"
          },
          {
            "color_code": "b9b7af",
            "color_id": "3",
            "color_name": "灰",
            "color_value": "",
            "cover_1": "",
            "cover_2": "",
            "goods_id": "74892",
            "images_url": "http://img12.static.yhbimg.com/goodsimg/2013/09/04/14/02735f6597cdb30754a2af076587db12e9.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
            "is_default": "N",
            "product_skc": "111992",
            "status": "1"
          },
          {
            "color_code": "0000fe",
            "color_id": "7",
            "color_name": "蓝",
            "color_value": "",
            "cover_1": "",
            "cover_2": "",
            "goods_id": "74893",
            "images_url": "http://img12.static.yhbimg.com/goodsimg/2013/09/06/11/02d02d3702690b164f268d64a81ad247ee.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
            "is_default": "N",
            "product_skc": "111993",
            "status": "1"
          }
        ],
        "is_advance": "N",
        "is_discount": "Y",
        "is_limited": "N",
        "is_new": "N",
        "is_outlets": 1,
        "is_promotion": 0,
        "is_soon_sold_out": "N",
        "is_special": "N",
        "market_price": 349,
        "max_sort_id": 1,
        "middle_sort_id": 14,
        "product_id": 49470,
        "product_name": "PROTEST博特斯 女款针织连帽背心",
        "product_skn": 51020802,
        "sales_num": 1,
        "sales_price": 69,
        "shelve_time": 1378368243,
        "small_sort_id": 117,
        "status": 1,
        "stock_number": 27,
        "storage_num": 27,
        "tags": [
          "is_discount"
        ],
        "vip1_price": 65.55,
        "vip2_price": 62.1,
        "vip3_price": 60.72,
        "vip_discount_type": 3,
        "vip_price": 0
      }
    ],
    "standard": [
      {
        "standard_id": "789",
        "standard_name": "袖长",
        "sub": [
          {
            "standard_id": "4447",
            "standard_name": "短袖"
          },
          {
            "standard_id": "4449",
            "standard_name": "长袖"
          }
        ]
      },
      {
        "standard_id": "787",
        "standard_name": "领型",
        "sub": [
          {
            "standard_id": "4438",
            "standard_name": "圆领"
          }
        ]
      },
      {
        "standard_id": "788",
        "standard_name": "衣长",
        "sub": [
          {
            "standard_id": "4444",
            "standard_name": "短款"
          }
        ]
      },
      {
        "standard_id": "790",
        "standard_name": "版型",
        "sub": [
          {
            "standard_id": "4450",
            "standard_name": "修身"
          },
          {
            "standard_id": "4451",
            "standard_name": "正常"
          }
        ]
      },
      {
        "standard_id": "791",
        "standard_name": "厚度",
        "sub": [
          {
            "standard_id": "4453",
            "standard_name": "薄"
          }
        ]
      }
    ],
    "total": 7
  },
  "md5": "253e1f00dc682921e838fed19cc5974e",
  "message": "Search List."
}
```
## 3、 查询所有的分类列表
### （method=app.sort.get 品类商品列表页,获取运营品类列表)
#### 请求参数
| 名称 | 类型 | 是否必须 | 示例值 | 默认值 | 描述 | 
| :-- | :--  | :--  | :-- | :-- | :-- |
| method	   | String     | 是   | app.sort.get| |请求方法|

### 响应
code为200即为成功且只会返回200，每次都会有响应结果。 

响应JSON格式如下所示:
```json
{
    "alg": "SALT_MD5",
    "code": 200,
    "data": {
        "boy": [
            {
                "category_id": "5",
                "category_name": "上衣",
                "node_count": 0,
                "parent_id": "1",
                "relation_parameter": {
                    "sort": "114,293,116,117,115,119,124,122,413,258,173,227,125,118,121,123"
                },
                "sort_ico": "http://img11.static.yhbimg.com/taobaocms/2015/09/01/14/01d48022e08742f1c96766caa6484593ce.jpg?imageView/{mode}/w/{width}/h/{height}",
                "sub": [
                    {
                        "category_id": "45",
                        "category_name": "T恤",
                        "node_count": 0,
                        "parent_id": "5",
                        "relation_parameter": {
                            "sort": "114,293"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "56",
                        "category_name": "衬衫",
                        "node_count": 0,
                        "parent_id": "5",
                        "relation_parameter": {
                            "sort": "115"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "48",
                        "category_name": "POLO",
                        "node_count": 0,
                        "parent_id": "5",
                        "relation_parameter": {
                            "sort": "116"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "53",
                        "category_name": "背心",
                        "node_count": 0,
                        "parent_id": "5",
                        "relation_parameter": {
                            "sort": "117"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "66",
                        "category_name": "西装",
                        "node_count": 0,
                        "parent_id": "5",
                        "relation_parameter": {
                            "sort": "122"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "61",
                        "category_name": "卫衣",
                        "node_count": 0,
                        "parent_id": "5",
                        "relation_parameter": {
                            "sort": "119"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "72",
                        "category_name": "夹克",
                        "node_count": 0,
                        "parent_id": "5",
                        "relation_parameter": {
                            "sort": "124"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "201",
                        "category_name": "毛衣/针织",
                        "node_count": 0,
                        "parent_id": "5",
                        "relation_parameter": {
                            "sort": "258"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "213",
                        "category_name": "羽绒服",
                        "node_count": 0,
                        "parent_id": "5",
                        "relation_parameter": {
                            "sort": "121"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "211",
                        "category_name": "棉衣",
                        "node_count": 0,
                        "parent_id": "5",
                        "relation_parameter": {
                            "sort": "123"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "203",
                        "category_name": "大衣/风衣",
                        "node_count": 0,
                        "parent_id": "5",
                        "relation_parameter": {
                            "sort": "125"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "205",
                        "category_name": "皮衣",
                        "node_count": 0,
                        "parent_id": "5",
                        "relation_parameter": {
                            "sort": "173"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "207",
                        "category_name": "防风外套",
                        "node_count": 0,
                        "parent_id": "5",
                        "relation_parameter": {
                            "sort": "227"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "209",
                        "category_name": "马甲",
                        "node_count": 0,
                        "parent_id": "5",
                        "relation_parameter": {
                            "sort": "118"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "78",
                        "category_name": "套装",
                        "node_count": 0,
                        "parent_id": "5",
                        "relation_parameter": {
                            "sort": "413"
                        },
                        "sort_ico": ""
                    }
                ]
            },
            {
                "category_id": "8",
                "category_name": "裤装",
                "node_count": 0,
                "parent_id": "1",
                "relation_parameter": {
                    "sort": "129"
                },
                "sort_ico": "http://img11.static.yhbimg.com/taobaocms/2015/09/01/14/019b1a20d4cf319e0e8035cacf2d1d231f.jpg?imageView/{mode}/w/{width}/h/{height}",
                "sub": [
                    {
                        "category_id": "90",
                        "category_name": "休闲裤",
                        "node_count": 0,
                        "parent_id": "8",
                        "relation_parameter": {
                            "sort": "129"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "92",
                        "category_name": "牛仔裤",
                        "node_count": 0,
                        "parent_id": "8",
                        "relation_parameter": {
                            "sort": "130"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "86",
                        "category_name": "短裤",
                        "node_count": 0,
                        "parent_id": "8",
                        "relation_parameter": {
                            "sort": "131"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "98",
                        "category_name": "运动裤",
                        "node_count": 0,
                        "parent_id": "8",
                        "relation_parameter": {
                            "sort": "346"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "100",
                        "category_name": "打底裤/紧身裤",
                        "node_count": 0,
                        "parent_id": "8",
                        "relation_parameter": {
                            "sort": "133"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "102",
                        "category_name": "西裤",
                        "node_count": 0,
                        "parent_id": "8",
                        "relation_parameter": {
                            "sort": "348"
                        },
                        "sort_ico": ""
                    }
                ]
            },
            {
                "category_id": "11",
                "category_name": "鞋靴",
                "node_count": 0,
                "parent_id": "1",
                "relation_parameter": {
                    "sort": "147,149,148,151,231"
                },
                "sort_ico": "http://img11.static.yhbimg.com/taobaocms/2015/09/01/14/01a4c4324531f3e0c857e5605410110baa.jpg?imageView/{mode}/w/{width}/h/{height}",
                "sub": [
                    {
                        "category_id": "107",
                        "category_name": "休闲/运动鞋",
                        "node_count": 0,
                        "parent_id": "11",
                        "relation_parameter": {
                            "sort": "147"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "119",
                        "category_name": "靴子",
                        "node_count": 0,
                        "parent_id": "11",
                        "relation_parameter": {
                            "sort": "148"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "123",
                        "category_name": "时装鞋",
                        "node_count": 0,
                        "parent_id": "11",
                        "relation_parameter": {
                            "sort": "151"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "113",
                        "category_name": "凉鞋/凉拖",
                        "node_count": 0,
                        "parent_id": "11",
                        "relation_parameter": {
                            "sort": "149"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "126",
                        "category_name": "保养护理",
                        "node_count": 0,
                        "parent_id": "11",
                        "relation_parameter": {
                            "sort": "231"
                        },
                        "sort_ico": ""
                    }
                ]
            },
            {
                "category_id": "14",
                "category_name": "包类",
                "node_count": 0,
                "parent_id": "1",
                "relation_parameter": {
                    "sort": "152,153,196,238,239,240,349,157,342,156,161,300,160,233,341,340,210,339,351,195,197"
                },
                "sort_ico": "http://img11.static.yhbimg.com/taobaocms/2015/09/01/14/0155e4ec81db538c58a52f3066e396aac5.jpg?imageView/{mode}/w/{width}/h/{height}",
                "sub": [
                    {
                        "category_id": "136",
                        "category_name": "双肩包",
                        "node_count": 0,
                        "parent_id": "14",
                        "relation_parameter": {
                            "sort": "152"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "142",
                        "category_name": "手拎包/单肩包",
                        "node_count": 0,
                        "parent_id": "14",
                        "relation_parameter": {
                            "sort": "153,196,195,197"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "147",
                        "category_name": "钱包/卡包/手包/钥匙包",
                        "node_count": 0,
                        "parent_id": "14",
                        "relation_parameter": {
                            "sort": "238,239,240,349"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "150",
                        "category_name": "腰包",
                        "node_count": 0,
                        "parent_id": "14",
                        "relation_parameter": {
                            "sort": "157"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "156",
                        "category_name": "邮差包",
                        "node_count": 0,
                        "parent_id": "14",
                        "relation_parameter": {
                            "sort": "342"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "160",
                        "category_name": "电脑包",
                        "node_count": 0,
                        "parent_id": "14",
                        "relation_parameter": {
                            "sort": "156"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "163",
                        "category_name": "储物包",
                        "node_count": 0,
                        "parent_id": "14",
                        "relation_parameter": {
                            "sort": "161,300"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "165",
                        "category_name": "环保包",
                        "node_count": 0,
                        "parent_id": "14",
                        "relation_parameter": {
                            "sort": "160"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "168",
                        "category_name": "包配",
                        "node_count": 0,
                        "parent_id": "14",
                        "relation_parameter": {
                            "sort": "233"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "169",
                        "category_name": "tote包",
                        "node_count": 0,
                        "parent_id": "14",
                        "relation_parameter": {
                            "sort": "341"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "170",
                        "category_name": "旅行包",
                        "node_count": 0,
                        "parent_id": "14",
                        "relation_parameter": {
                            "sort": "340"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "171",
                        "category_name": "旅行箱",
                        "node_count": 0,
                        "parent_id": "14",
                        "relation_parameter": {
                            "sort": "210"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "172",
                        "category_name": "mini包",
                        "node_count": 0,
                        "parent_id": "14",
                        "relation_parameter": {
                            "sort": "351"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "173",
                        "category_name": "剑桥包",
                        "node_count": 0,
                        "parent_id": "14",
                        "relation_parameter": {
                            "sort": "339"
                        },
                        "sort_ico": ""
                    }
                ]
            },
            {
                "category_id": "17",
                "category_name": "服配",
                "node_count": 0,
                "parent_id": "1",
                "relation_parameter": {
                    "sort": "186,235,163,224,322,323,324,325,326,327,328,329,330,331,72,74,75,76,142,77,78,79,80,199,213,217,218,234,303,305,306,307,334,162,316,320,164,317,295,321"
                },
                "sort_ico": "http://img11.static.yhbimg.com/taobaocms/2015/09/01/14/01101f43a49ac92594f51ca543dd691096.jpg?imageView/{mode}/w/{width}/h/{height}",
                "sub": [
                    {
                        "category_id": "177",
                        "category_name": "太阳镜/眼镜",
                        "node_count": 0,
                        "parent_id": "17",
                        "relation_parameter": {
                            "sort": "186,235"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "178",
                        "category_name": "帽子",
                        "node_count": 0,
                        "parent_id": "17",
                        "relation_parameter": {
                            "sort": "163,224,322,323,324,325,326,327,328,329,330,331"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "179",
                        "category_name": "首饰",
                        "node_count": 0,
                        "parent_id": "17",
                        "relation_parameter": {
                            "sort": "72,74,75,76"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "180",
                        "category_name": "袜子",
                        "node_count": 0,
                        "parent_id": "17",
                        "relation_parameter": {
                            "sort": "142"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "181",
                        "category_name": "配饰",
                        "node_count": 0,
                        "parent_id": "17",
                        "relation_parameter": {
                            "sort": "77,78,79,80,199,213,217,218,234,303,305,306,307,334"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "182",
                        "category_name": "手表",
                        "node_count": 0,
                        "parent_id": "17",
                        "relation_parameter": {
                            "sort": "162"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "183",
                        "category_name": "围巾",
                        "node_count": 0,
                        "parent_id": "17",
                        "relation_parameter": {
                            "sort": "316"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "186",
                        "category_name": "手帕",
                        "node_count": 0,
                        "parent_id": "17",
                        "relation_parameter": {
                            "sort": "320"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "184",
                        "category_name": "丝巾",
                        "node_count": 0,
                        "parent_id": "17",
                        "relation_parameter": {
                            "sort": "321"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "187",
                        "category_name": "手套",
                        "node_count": 0,
                        "parent_id": "17",
                        "relation_parameter": {
                            "sort": "164"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "188",
                        "category_name": "披肩",
                        "node_count": 0,
                        "parent_id": "17",
                        "relation_parameter": {
                            "sort": "317"
                        },
                        "sort_ico": ""
                    }
                ]
            },
            {
                "category_id": "19",
                "category_name": "内衣/家居服",
                "node_count": 0,
                "parent_id": "1",
                "relation_parameter": {
                    "sort": "311,357,359"
                },
                "sort_ico": "http://img11.static.yhbimg.com/taobaocms/2015/09/01/14/0147953ebb2eab3bbfc55d1e8621f9350f.jpg?imageView/{mode}/w/{width}/h/{height}",
                "sub": [
                    {
                        "category_id": "189",
                        "category_name": "内裤",
                        "node_count": 0,
                        "parent_id": "19",
                        "relation_parameter": {
                            "sort": "311"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "190",
                        "category_name": "家居服",
                        "node_count": 0,
                        "parent_id": "19",
                        "relation_parameter": {
                            "sort": "357"
                        },
                        "sort_ico": ""
                    }
                ]
            },
            {
                "category_id": "24",
                "category_name": "美妆/个护",
                "node_count": 0,
                "parent_id": "1",
                "relation_parameter": {
                    "sort": "263,260,264,261,352"
                },
                "sort_ico": "http://img11.static.yhbimg.com/taobaocms/2015/12/30/07/01e10d7a82f4a9a2a6ea0064b8c6e76cac.png?imageView/{mode}/w/{width}/h/{height}",
                "sub": [
                    {
                        "category_id": "193",
                        "category_name": "香水",
                        "node_count": 0,
                        "parent_id": "24",
                        "relation_parameter": {
                            "sort": "263"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "217",
                        "category_name": "面部护理",
                        "node_count": 0,
                        "parent_id": "24",
                        "relation_parameter": {
                            "sort": "260"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "219",
                        "category_name": "个人护理",
                        "node_count": 0,
                        "parent_id": "24",
                        "relation_parameter": {
                            "sort": "264"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "221",
                        "category_name": "彩妆",
                        "node_count": 0,
                        "parent_id": "24",
                        "relation_parameter": {
                            "sort": "261"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "223",
                        "category_name": "纹身贴",
                        "node_count": 0,
                        "parent_id": "24",
                        "relation_parameter": {
                            "sort": "352"
                        },
                        "sort_ico": ""
                    }
                ]
            }
        ],
        "girl": [
            {
                "category_id": "18",
                "category_name": "上衣",
                "node_count": 0,
                "parent_id": "2",
                "relation_parameter": {
                    "sort": "227,173,125,258,121,123,119,124,118,122,115,117,114,293,116,413"
                },
                "sort_ico": "http://img11.static.yhbimg.com/taobaocms/2015/09/01/14/01d48022e08742f1c96766caa6484593ce.jpg?imageView/{mode}/w/{width}/h/{height}",
                "sub": [
                    {
                        "category_id": "70",
                        "category_name": "T恤",
                        "node_count": 0,
                        "parent_id": "18",
                        "relation_parameter": {
                            "sort": "114,293"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "65",
                        "category_name": "衬衫",
                        "node_count": 0,
                        "parent_id": "18",
                        "relation_parameter": {
                            "sort": "115"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "54",
                        "category_name": "卫衣",
                        "node_count": 0,
                        "parent_id": "18",
                        "relation_parameter": {
                            "sort": "119"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "55",
                        "category_name": "夹克",
                        "node_count": 0,
                        "parent_id": "18",
                        "relation_parameter": {
                            "sort": "124"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "22",
                        "category_name": "大衣/风衣",
                        "node_count": 0,
                        "parent_id": "18",
                        "relation_parameter": {
                            "sort": "125"
                        },
                        "sort_ico": "http://img11.static.yhbimg.com/taobaocms/2015/09/01/14/01d48022e08742f1c96766caa6484593ce.jpg?imageView/{mode}/w/{width}/h/{height}"
                    },
                    {
                        "category_id": "42",
                        "category_name": "毛衣/针织",
                        "node_count": 0,
                        "parent_id": "18",
                        "relation_parameter": {
                            "sort": "258"
                        },
                        "sort_ico": "http://img12.static.yhbimg.com/taobaocms/2015/09/01/14/02d48022e08742f1c96766caa6484593ce.jpg?imageView/{mode}/w/{width}/h/{height}"
                    },
                    {
                        "category_id": "35",
                        "category_name": "皮衣",
                        "node_count": 0,
                        "parent_id": "18",
                        "relation_parameter": {
                            "sort": "173"
                        },
                        "sort_ico": "http://img11.static.yhbimg.com/taobaocms/2015/09/01/14/01d48022e08742f1c96766caa6484593ce.jpg?imageView/{mode}/w/{width}/h/{height}"
                    },
                    {
                        "category_id": "68",
                        "category_name": "背心",
                        "node_count": 0,
                        "parent_id": "18",
                        "relation_parameter": {
                            "sort": "117"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "75",
                        "category_name": "POLO",
                        "node_count": 0,
                        "parent_id": "18",
                        "relation_parameter": {
                            "sort": "116"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "58",
                        "category_name": "马甲",
                        "node_count": 0,
                        "parent_id": "18",
                        "relation_parameter": {
                            "sort": "118"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "63",
                        "category_name": "西装",
                        "node_count": 0,
                        "parent_id": "18",
                        "relation_parameter": {
                            "sort": "122"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "74",
                        "category_name": "套装",
                        "node_count": 0,
                        "parent_id": "18",
                        "relation_parameter": {
                            "sort": "413"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "29",
                        "category_name": "防风外套",
                        "node_count": 0,
                        "parent_id": "18",
                        "relation_parameter": {
                            "sort": "227"
                        },
                        "sort_ico": "http://img11.static.yhbimg.com/taobaocms/2015/09/01/14/01d48022e08742f1c96766caa6484593ce.jpg?imageView/{mode}/w/{width}/h/{height}"
                    }
                ]
            },
            {
                "category_id": "25",
                "category_name": "裤装",
                "node_count": 0,
                "parent_id": "2",
                "relation_parameter": {
                    "sort": "348,346,131,133,129,130"
                },
                "sort_ico": "http://img12.static.yhbimg.com/taobaocms/2015/09/01/14/029b1a20d4cf319e0e8035cacf2d1d231f.jpg?imageView/{mode}/w/{width}/h/{height}",
                "sub": [
                    {
                        "category_id": "80",
                        "category_name": "休闲裤",
                        "node_count": 0,
                        "parent_id": "25",
                        "relation_parameter": {
                            "sort": "129"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "82",
                        "category_name": "牛仔裤",
                        "node_count": 0,
                        "parent_id": "25",
                        "relation_parameter": {
                            "sort": "130"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "88",
                        "category_name": "运动裤",
                        "node_count": 0,
                        "parent_id": "25",
                        "relation_parameter": {
                            "sort": "346"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "96",
                        "category_name": "打底裤/紧身裤",
                        "node_count": 0,
                        "parent_id": "25",
                        "relation_parameter": {
                            "sort": "133"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "93",
                        "category_name": "短裤",
                        "node_count": 0,
                        "parent_id": "25",
                        "relation_parameter": {
                            "sort": "131"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "81",
                        "category_name": "西裤",
                        "node_count": 0,
                        "parent_id": "25",
                        "relation_parameter": {
                            "sort": "348"
                        },
                        "sort_ico": ""
                    }
                ]
            },
            {
                "category_id": "31",
                "category_name": "裙装",
                "node_count": 0,
                "parent_id": "2",
                "relation_parameter": {
                    "sort": "134,135"
                },
                "sort_ico": "http://img12.static.yhbimg.com/taobaocms/2015/09/01/14/0296101c1d5d176ce2b03a409014307516.jpg?imageView/{mode}/w/{width}/h/{height}",
                "sub": [
                    {
                        "category_id": "83",
                        "category_name": "连衣裙",
                        "node_count": 0,
                        "parent_id": "31",
                        "relation_parameter": {
                            "sort": "134"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "94",
                        "category_name": "半身裙",
                        "node_count": 0,
                        "parent_id": "31",
                        "relation_parameter": {
                            "sort": "135"
                        },
                        "sort_ico": ""
                    }
                ]
            },
            {
                "category_id": "52",
                "category_name": "鞋靴",
                "node_count": 0,
                "parent_id": "2",
                "relation_parameter": {
                    "sort": "147,149,148,151,231"
                },
                "sort_ico": "http://img12.static.yhbimg.com/taobaocms/2015/09/01/14/02a4c4324531f3e0c857e5605410110baa.jpg?imageView/{mode}/w/{width}/h/{height}",
                "sub": [
                    {
                        "category_id": "143",
                        "category_name": "休闲/运动鞋",
                        "node_count": 0,
                        "parent_id": "52",
                        "relation_parameter": {
                            "sort": "147"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "135",
                        "category_name": "靴子",
                        "node_count": 0,
                        "parent_id": "52",
                        "relation_parameter": {
                            "sort": "148"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "129",
                        "category_name": "时装鞋",
                        "node_count": 0,
                        "parent_id": "52",
                        "relation_parameter": {
                            "sort": "151"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "141",
                        "category_name": "凉鞋/凉拖",
                        "node_count": 0,
                        "parent_id": "52",
                        "relation_parameter": {
                            "sort": "149"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "149",
                        "category_name": "保养护理",
                        "node_count": 0,
                        "parent_id": "52",
                        "relation_parameter": {
                            "sort": "231"
                        },
                        "sort_ico": ""
                    }
                ]
            },
            {
                "category_id": "59",
                "category_name": "包类",
                "node_count": 0,
                "parent_id": "2",
                "relation_parameter": {
                    "sort": "152,153,238,239,240,349,157,342,156,161,300,160,233,341,340,210,339,351,195,196,197"
                },
                "sort_ico": "http://img11.static.yhbimg.com/taobaocms/2015/09/01/14/0155e4ec81db538c58a52f3066e396aac5.jpg?imageView/{mode}/w/{width}/h/{height}",
                "sub": [
                    {
                        "category_id": "174",
                        "category_name": "双肩包",
                        "node_count": 0,
                        "parent_id": "59",
                        "relation_parameter": {
                            "sort": "152"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "176",
                        "category_name": "手拎包/单肩包",
                        "node_count": 0,
                        "parent_id": "59",
                        "relation_parameter": {
                            "sort": "153,195,196,197"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "194",
                        "category_name": "钱包/卡包/手包/钥匙包",
                        "node_count": 0,
                        "parent_id": "59",
                        "relation_parameter": {
                            "sort": "238,239,240,349"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "167",
                        "category_name": "腰包",
                        "node_count": 0,
                        "parent_id": "59",
                        "relation_parameter": {
                            "sort": "157"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "164",
                        "category_name": "邮差包",
                        "node_count": 0,
                        "parent_id": "59",
                        "relation_parameter": {
                            "sort": "342"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "200",
                        "category_name": "电脑包",
                        "node_count": 0,
                        "parent_id": "59",
                        "relation_parameter": {
                            "sort": "156"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "166",
                        "category_name": "储物包",
                        "node_count": 0,
                        "parent_id": "59",
                        "relation_parameter": {
                            "sort": "161,300"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "199",
                        "category_name": "环保包",
                        "node_count": 0,
                        "parent_id": "59",
                        "relation_parameter": {
                            "sort": "160"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "175",
                        "category_name": "包配",
                        "node_count": 0,
                        "parent_id": "59",
                        "relation_parameter": {
                            "sort": "233"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "198",
                        "category_name": "tote包",
                        "node_count": 0,
                        "parent_id": "59",
                        "relation_parameter": {
                            "sort": "341"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "197",
                        "category_name": "旅行包",
                        "node_count": 0,
                        "parent_id": "59",
                        "relation_parameter": {
                            "sort": "340"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "196",
                        "category_name": "旅行箱",
                        "node_count": 0,
                        "parent_id": "59",
                        "relation_parameter": {
                            "sort": "210"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "191",
                        "category_name": "剑桥包",
                        "node_count": 0,
                        "parent_id": "59",
                        "relation_parameter": {
                            "sort": "339"
                        },
                        "sort_ico": ""
                    },
                    {
                        "category_id": "195",
                        "category_name": "mini 包",
                        "node_count": 0,
                        "parent_id": "59",
                        "relation_parameter": {
                            "sort": "351"
                        },
                        "sort_ico": ""
                    }
                ]
             },
    "md5": "cd297283cf7794899d55453fffd76dc6",
    "message": "category List."
}
```            

## 4、商品详情接口（method=app.product.data）
#### 参看： http://git.dev.yoho.cn/yoho-documents/api-interfaces/blob/master/%E5%95%86%E5%93%81%E5%88%97%E8%A1%A8/product.md


## 5、奥莱潮品速递的商品列表(app.search.trend) 
### 按照库存+销量由高到低排序（order=storageNum:desc,sales_num:desc），过滤无货商品（stocknumber=1），固定30个

#### 请求参数
| 名称 | 类型 | 是否必须 | 示例值 | 默认值 | 描述 | 
| :-- | :--  | :--  | :-- | :-- | :-- |
| method	   | String     |是   | app.search.trend| |请求方法|
| yh_channel | String   | 否   | "1"        ||频道|
| order     | String      | 否  | "s_s_desc,s_n_desc"    ||排序信息 |
| gender     | String     | 否   | "1,3"        ||性别，以逗号分隔|
| stocknumber     | int      | 否   | 1     ||“stocknumber=1”，则过滤出库存量>=1的商品|
| limit	     | int      | 否   | 30       ||每页展示条数，默认10条|
| outlets    | int     | 否   | 1        ||outlets=1 奥莱商品 outlets=2非奥莱商品|


### 响应
code为200即为成功且只会返回200，每次都会有响应结果。 
响应JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "page": 1,
    "page_total": 1,
    "product_list": [
      {
        "brand_domain": "clottee",
        "brand_id": 518,
        "brand_name": "CLOTtee",
        "cn_alphabet": "CLA503OJ34ChongFengYi",
        "default_images": "http://img11.static.yhbimg.com/goodsimg/2015/09/30/08/01d2be5e9d6a18d8958484fede5af853bd.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
        "edit_time": 1452654408,
        "gender": "1",
        "goods_list": [
          {
            "color_code": "333333",
            "color_id": "2",
            "color_name": "黑色",
            "color_value": "",
            "cover_1": "",
            "cover_2": "",
            "goods_id": "314411",
            "images_url": "http://img11.static.yhbimg.com/goodsimg/2015/09/30/08/01d2be5e9d6a18d8958484fede5af853bd.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
            "is_default": "N",
            "product_skc": "258548",
            "status": "1"
          }
        ],
        "is_advance": "N",
        "is_discount": "Y",
        "is_limited": "N",
        "is_new": "N",
        "is_outlets": 1,
        "is_promotion": 101,
        "is_soon_sold_out": "N",
        "is_special": "N",
        "market_price": 699,
        "max_sort_id": 1,
        "middle_sort_id": 226,
        "product_id": 239715,
        "product_name": "CLOTtee camouflage Printing Coat Tech Jacket",
        "product_skn": 51134695,
        "sales_num": 2,
        "sales_phrase": "",
        "sales_price": 139,
        "shelve_time": 1452654408,
        "small_sort_id": 227,
        "status": 1,
        "stock_number": 765,
        "storage_num": 765,
        "tags": [
          "is_discount"
        ],
        "vip1_price": 132.04999999999998,
        "vip2_price": 125.10000000000001,
        "vip3_price": 122.32000000000001,
        "vip_discount_type": 3,
        "vip_price": 0
      },
      {
        "brand_domain": "lhouse",
        "brand_id": 72,
        "brand_name": "L-HOUSE",
        "cn_alphabet": "LHOUSEA308XiangJiLPANTXu",
        "default_images": "http://img12.static.yhbimg.com/goodsimg/2013/05/09/15/023d3a7e390c20c471978c847600399ba8.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
        "edit_time": 1395997048,
        "gender": "1",
        "goods_list": [
          {
            "color_code": "FFFFFF",
            "color_id": "1",
            "color_name": "白",
            "color_value": "",
            "cover_1": "",
            "cover_2": "",
            "goods_id": "59474",
            "images_url": "http://img12.static.yhbimg.com/goodsimg/2013/05/09/15/023d3a7e390c20c471978c847600399ba8.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
            "is_default": "Y",
            "product_skc": "96567",
            "status": "1"
          },
          {
            "color_code": "0000fe",
            "color_id": "7",
            "color_name": "蓝",
            "color_value": "",
            "cover_1": "",
            "cover_2": "",
            "goods_id": "59475",
            "images_url": "http://img11.static.yhbimg.com/goodsimg/2013/05/09/16/0102c226f7faa1274e05cc038dc3c29f9f.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
            "is_default": "N",
            "product_skc": "96568",
            "status": "1"
          }
        ],
        "is_advance": "N",
        "is_discount": "N",
        "is_limited": "N",
        "is_new": "N",
        "is_outlets": 1,
        "is_promotion": 0,
        "is_soon_sold_out": "Y",
        "is_special": "N",
        "market_price": 148,
        "max_sort_id": 1,
        "middle_sort_id": 11,
        "product_id": 38518,
        "product_name": "L-HOUSE 相机LPAN T恤",
        "product_skn": 51009846,
        "sales_num": 65,
        "sales_price": 148,
        "shelve_time": 1395997048,
        "small_sort_id": 114,
        "status": 1,
        "stock_number": 2,
        "storage_num": 2,
        "tags": [
          "is_soon_sold_out"
        ],
        "vip1_price": 140.6,
        "vip2_price": 133.20000000000002,
        "vip3_price": 130.24,
        "vip_discount_type": 3,
        "vip_price": 0
      }
    ],
    "total": 2
  },
  "md5": "9031c46086142121fb952269af79ee8c",
  "message": "outlets trend courier product list"
}
```