## 根据skn进行缓存清理

method=clear.productCache

http://api.yoho.cn/?method=clear.productCache&productSkn=51279432

### 请求参数
| 参数名称        |    参数类型 | 可否为空 |       示例 |  默认值 |                            备注 |
| :---------- | ------: | ---: | -------: | ---: | ----------------------------: |
| productSkn         |  Integer |    否 |        51279432 | 无 |                            商品skn |


### 返回示例
```json
{
    "alg": "SALT_MD5",
    "code": 200,
    "data": "",
    "md5": "fc9ceaa3bfc64e8faaf927639f7862c2",
    "message": "clear OK!!"
}
```
## 根据颜色id进行缓存清理

method=clear.productCache.bycolor

http://api.yoho.cn/?method=clear.productCache.bycolor&color_id=12

### 请求参数
| 参数名称        |    参数类型 | 可否为空 |       示例 |  默认值 |                            备注 |
| :---------- | ------: | ---: | -------: | ---: | ----------------------------: |
| color_id         |  Integer |    否 |        12 | 无 |                            颜色id |


### 返回示例
```json
{
    "alg": "SALT_MD5",
    "code": 200,
    "data": "",
    "md5": "fc9ceaa3bfc64e8faaf927639f7862c2",
    "message": "clear OK!!"
}
```
## 根据品类id(small_sort_id)进行缓存清理

method=clear.productCache.bysort

http://api.yoho.cn/?method=clear.productCache.bysort&sort_id=12

### 请求参数
| 参数名称        |    参数类型 | 可否为空 |       示例 |  默认值 |                            备注 |
| :---------- | ------: | ---: | -------: | ---: | ----------------------------: |
| sort_id         |  Integer |    否 |        250 | 无 |                            品类id |


### 返回示例
```json
{
    "alg": "SALT_MD5",
    "code": 200,
    "data": "",
    "md5": "fc9ceaa3bfc64e8faaf927639f7862c2",
    "message": "clear OK!!"
}

```
## 根据尺码id进行缓存清理

method=clear.productCache.bysize

http://api.yoho.cn/?method=clear.productCache.bysize&size_id=12

### 请求参数
| 参数名称        |    参数类型 | 可否为空 |       示例 |  默认值 |                            备注 |
| :---------- | ------: | ---: | -------: | ---: | ----------------------------: |
| size_id         |  Integer |    否 |        12 | 无 |                            尺码id |


### 返回示例
```json
{
    "alg": "SALT_MD5",
    "code": 200,
    "data": "",
    "md5": "fc9ceaa3bfc64e8faaf927639f7862c2",
    "message": "clear OK!!"
}
```

