## 活动列表接口

method=app.activity.get

### 请求参数

| 参数名称     |    参数类型 | 可否为空 |   示例 |  默认值 |                  备注 |
| :------- | ------: | ---: | ---: | ---: | ------------------: |
| id       | Integer |    是 |    1 | null |     活动id 为空表示查询全部活动 |
| sort     |  String |    否 |    2 | null | 活动类型(1--奥莱，2--sale) |
| platform |  String |    否 |    2 | null |                活动平台 |
| yh_channel |  String |    否 |    1 | null |                频道 |

### 返回示例

```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": [
    {
      "cover_url": "http://img11.static.yhbimg.com/activity/2016/03/21/10/01169fd459663e35efd16caa082b04a8ee.png?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
      "id": 111,
      "left_time": 82390943,
      "logo_url": "http://img11.static.yhbimg.com/activity/2016/03/21/10/014af81f397544f76ede1ad6cf189c85fd.png?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
      "product_pool": 47,
      "promotion_name": "",
      "sort": "2",
      "title": "SYJ-21号十四点过期",
      "web_url": "http://img13.static.yhbimg.com/activity/2016/03/21/10/0282dbbc49c65e5d6fa922e40d8fe3d473.png?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80"
    }
  ],
  "md5": "916b270abe0fd72796b8ec378820952d",
  "message": "query activity  List successed."
}
```

## 奥莱活动列表接口(app.outlets.activityGet)

method=app.outlets.activityGet

### 请求参数

| 参数名称       |    参数类型 | 可否为空 |   示例 |  默认值 |                                备注 |
| :--------- | ------: | ---: | ---: | ---: | --------------------------------: |
| id         | Integer |    是 |    1 | null |                   活动id 为空表示查询全部活动 |
| platform   |  String |    否 |    2 | null | 活动平台 1--WEB,2--APP,3--WAP,4--IPAD |
| size       |     int |    是 |   10 | null |                       查询数量，默认查询全部 |
| yh_channel |  String |    是 |   10 | null |               频道，男首女首的那个(1,2,3,4) |
| type       |     int |    是 |    0 |    0 |       0 活动列表，1 限时嗨购 2 即将结束 3.即将上线 |

1. 奥莱活动列表：所有的正在进行的(默认10个) 
2. 奥莱限时嗨购：正在进行的活动结束时间大于24小时的 (全部)
3. 奥莱即将结束：结束时间小于24小时的正在进行的活动 (全部)
4. 奥莱即将上线：活动即将在未来 24 小时内开始的活动 (全部)

### 返回示例

```json
{
    "alg": "SALT_MD5", 
    "code": 200, 
    "data": [
        {
            "id": 158, 
            "createTime": 1464743122, 
            "endTime": 1467298800, 
            // app 使用活动封面
            "coverUrl": "http://img12.static.yhbimg.com/activity/2016/06/01/09/0247b9c84abef388c38465135909d48245.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80", 
            // web 使用 logo
            "logoUrl": "http://img11.static.yhbimg.com/activity/2016/06/01/09/0108ca28e51a0ccbb08d1dc5090db309e8.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80", 
            // web 使用封面
            "webCoverUrl":"http://img11.static.yhbimg.com/activity/2016/06/01/09/0108ca28e51a0ccbb08d1dc5090db309e8.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
            // web 活动详情页顶部图片
            "webUrl": "http://img13.static.yhbimg.com/activity/2016/06/01/09/028784aaeb41a35dccc886741e76101d0b.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80", 
            "plateform": "2", 
            "productPoolId": 20, 
            "promotionName": "5折起", 
            "sort": "1", 
            "startTime": 1464710400, 
            "title": "结束时间大于24小时的", 
            "yhChannel": "1,2,3,4",
            "startLeftTime": -182639, // starTime - now
            "endLeftTime": 508561 // endTime - now
        }, 
        {
            "id": 154, 
            "createTime": 1464742971, 
            "endTime": 1464793200, 
            "coverUrl": "http://img12.static.yhbimg.com/activity/2016/06/01/09/02b721601cf86afa95279e7f54c9510df6.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80", 
            "webCoverUrl":"http://img11.static.yhbimg.com/activity/2016/06/01/09/0108ca28e51a0ccbb08d1dc5090db309e8.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
            "webUrl": "http://img13.static.yhbimg.com/activity/2016/06/01/09/028784aaeb41a35dccc886741e76101d0b.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80", 
            "logoUrl": "http://img11.static.yhbimg.com/activity/2016/06/01/09/011506208211a5dc5019878e7c465f3e0b.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80", 
            "plateform": "2", 
            "productPoolId": 20, 
            "promotionName": "5折起", 
            "sort": "1", 
            "startTime": 1464739200, 
            "title": "测试有惊喜", 
            "webUrl": "http://img10.static.yhbimg.com/activity/2016/06/01/09/0136a139329e5611917fd4400e07d18446.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80", 
            "yhChannel": "1,2,3,4",
            "startLeftTime": -182639, // starTime - now
            "endLeftTime": 508561 // endTime - now
        }
    ], 
    "md5": "0fb844ca12420643cde663d5368bc40f", 
    "message": " query success."
}
```

## sale商品列表(app.search.sales)
method=app.search.sales
### 请求参数
| 参数名称        |    参数类型 | 可否为空 |       示例 |  默认值 |                            备注 |
| :---------- | ------: | ---: | -------: | ---: | ----------------------------: |
| p_d         |  String |    是 |        1 | null |                            折扣 |
| yhChannel   |  String |    是 |        2 | null |                            频道 |
| limit       | Integer |    是 |       10 | null |                          显示数量 |
| order       |  String |    是 | s_t_desc | null |                            排序 |
| page        | Integer |    是 |        1 | null |                            分页 |
| gender      |  String |    是 |        1 | null |                            性别 |
| sort        |  String |    是 |        1 | null |                            分类 |
| brand       |  String |    是 |      111 | null |                            品牌 |
| color       |  String |    是 |        1 | null |                            颜色 |
| size        |  String |    是 |        1 | null |                            尺码 |
| saleType    |  String |    是 |        1 | null |   1表示断码区，2表示会员专区，3 折扣专区，4表示奥莱,最新降价和其他的都传0 |
| breakSize   |  String |    是 |        1 | null | 当为断码区的时候，ios调接口不好处理，传此字段再统一处理 |
| breakSort   |  String |    是 |        1 | null | 当为断码区的时候，ios调接口不好处理，传此字段再统一处理 |
| productPool |  String |    是 |        1 | null |                           商品池 |
| price       |  String |    是 |        1 | null |                            价格 |

### 返回示例

```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "filter": {
      "brand": [
        {
          "brand_alif": "C",
          "brand_domain": "chuyu",
          "brand_ico": "http://img13.static.yhbimg.com/brandLogo/2016/03/09/16/02fd8ba524192ba622c6a61f6df4745b7f.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
          "brand_keyword": "初语,原创,服装",
          "brand_name": "初语",
          "brand_name_cn": "初语",
          "brand_name_en": "TOYOUTH",
          "hot_keyword": "初语",
          "id": 866,
          "is_hot": "Y"
        }
      ],
      "color": [
        {
          "color_code": "333333",
          "color_id": 2,
          "color_name": "黑色",
          "color_value": ""
        }
      ],
      "discount": {
        "0.01,0.399": {
          "count": 5175,
          "name": "1~3"
        },
        "0.4,0.699": {
          "count": 8563,
          "name": "4~6"
        },
        "0.7,0.999": {
          "count": 6003,
          "name": "7~9"
        }
      },
      "gender": {
        "2,3": "GIRLS"
      },
      "group_sort": [
        {
          "category_id": "5",
          "category_name": "上衣",
          "node_count": 0,
          "parent_id": "1",
          "relation_parameter": {
            "sort": "114,293,116,117,115,119,124,122,413,258,173,227,125,118,121,123"
          },
          "sort_ico": "http://img11.static.yhbimg.com/taobaocms/2015/09/01/14/01d48022e08742f1c96766caa6484593ce.jpg?imageView/{mode}/w/{width}/h/{height}",
          "sub": [
            {
              "category_id": "45",
              "category_name": "T恤",
              "node_count": 0,
              "parent_id": "5",
              "relation_parameter": {
                "sort": "114,293"
              },
              "sort_ico": ""
            }
          ]
        }
      ],
      "priceRange": {
        "0,339": "￥0-339",
        "1300,99999": "￥1299以上",
        "340,579": "￥340-579",
        "580,1299": "￥580-1299"
      },
      "size": [
        {
          "size_id": 203,
          "size_name": "M"
        }
      ]
    },
    "page": 1,
    "page_total": 343,
    "product_list": [
      {
        "brand_domain": "stage",
        "brand_id": 131,
        "brand_name": "STAGE",
        "cn_alphabet": "STAGECRYSTALA5140301855",
        "default_images": "http://img13.static.yhbimg.com/goodsimg/2016/03/11/03/027a04bc79fa28dc58c1bc982bdbfb342b.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
        "edit_time": 1463539056,
        "gender": "3",
        "goods_list": [
          {
            "color_code": "0000fe",
            "color_id": "7",
            "color_name": "蓝色",
            "color_value": "",
            "cover_1": "http://img13.static.yhbimg.com/goodsimg/2016/02/17/08/02f4dd16fd3c20d673e7b8f5f1b6853d8a.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
            "cover_2": "http://img13.static.yhbimg.com/goodsimg/2016/03/11/03/027a04bc79fa28dc58c1bc982bdbfb342b.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
            "goods_id": "401617",
            "images_url": "http://img13.static.yhbimg.com/goodsimg/2015/12/15/07/02346cf5d86c99e3ea4dc996484439cc4a.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
            "is_default": "Y",
            "product_skc": "305105",
            "status": "1"
          }
        ],
        "is_advance": "N",
        "is_discount": "Y",
        "is_limited": "N",
        "is_new": "Y",
        "is_outlets": 2,
        "is_promotion": 103,
        "is_soon_sold_out": "N",
        "is_special": "N",
        "market_price": 358,
        "max_sort_id": 7,
        "middle_sort_id": 49,
        "product_id": 312095,
        "product_name": "STAGEBAG CRYSTAL BAG 水晶质感后背包",
        "product_skn": 51173695,
        "sales_num": 0,
        "sales_phrase": "",
        "sales_price": 199,
        "shelve_time": 1463539056,
        "small_sort_id": 152,
        "status": 1,
        "stock_number": 14,
        "storage_num": 14,
        "tags": [

        ],
        "vip1_price": 189.04999999999998,
        "vip2_price": 179.1,
        "vip3_price": 175.12,
        "vip_discount_type": 3,
        "vip_price": 0
      }
    ],
    "standard": [
      {
        "standard_id": "789",
        "standard_name": "袖长",
        "sub": [
          {
            "standard_id": "4447",
            "standard_name": "短袖"
          },
          {
            "standard_id": "4449",
            "standard_name": "长袖"
          },
          {
            "standard_id": "4448",
            "standard_name": "7分袖"
          },
          {
            "standard_id": "4740",
            "standard_name": "无袖"
          },
          {
            "standard_id": "5431",
            "standard_name": "5分袖"
          }
        ]
      }
    ],
    "total": 20558
  },
  "md5": "efbad90419cb2cf6e9171d195fc4f6af",
  "message": "Sales Product List."
}
```

## 断码区分类
method=app.sale.getBreakingSort

#### 请求参数

| 参数名称       |   参数类型 | 可否为空 |   示例 |  默认值 |   备注 |
| :--------- | -----: | ---: | ---: | ---: | ---: |
| yh_channel | String |    否 |    1 | null |   频道 |


### 返回示例

```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": [
    {
      "sort_id": "119,114,115,124,258,123,125,121,227,117,116,293,173,122,118,413,",
      "sort_name": "上装",
      "sub": [
        {
          "size_id": 203,
          "size_name": "M"
        }
      ]
    },
    {
      "sort_id": "129,130,131,346,133,348,",
      "sort_name": "下装",
      "sub": [
        {
          "size_id": 201,
          "size_name": "L"
        }
      ]
    },
    {
      "sort_id": "147,148,151,149,",
      "sort_name": "鞋子",
      "sub": [
        {
          "size_id": 125,
          "size_name": "42码"
        }
      ]
    },
    {
      "sort_id": "152,153,186,313,162,311,322,75,235,424,142,238,211,76,156,171,376,407,275,397,272,212,267,277,405,357,273,401,240,323,327,157,163,342,160,167,234,111,432,183,373,333,74,292,78,271,374,161,304,72,324,316,104,233,239,112,274,260,164,340,375,341,353,184,210,393,403,79,158,159,165,221,261,300,302,330,317,383,416,303,306,326,269,288,385,415,113,320,378,389,450,328,325,334,359,377,110,154,155,200,218,263,351,398,77,262,264,283,305,331,332,349,362,387,399,411,",
      "sort_name": "其他",
      "sub": [
        {
          "size_id": 205,
          "size_name": "ml"
        }
      ]
    }
  ],
  "md5": "ddbe5c29f29c0de0b6e453c33650fa02",
  "message": "getBreakingSort List."
}
```
