## 热门搜索和默认搜索

method=app.search.getTerms

### 请求参数

无

### 返回示例
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "defaultTerms": [
      {
        "content": "THETHING",
        "id": 267,
        "sort": 1,
        "status": 2,
        "type": 1,
        "url": ""
      }
    ],
    "hotTerms": [
      {
        "content": "Into The Rainbow",
        "id": 172,
        "sort": 9,
        "status": 2,
        "type": 3,
        "url": ""
      },
      {
        "content": "FUN",
        "id": 174,
        "sort": 8,
        "status": 2,
        "type": 3,
        "url": ""
      },
      {
        "content": "COMBACK",
        "id": 176,
        "sort": 7,
        "status": 2,
        "type": 3,
        "url": ""
      },
      {
        "content": ":CHOCOOLATE",
        "id": 178,
        "sort": 6,
        "status": 2,
        "type": 3,
        "url": ""
      },
      {
        "content": "ABLE JEANS",
        "id": 180,
        "sort": 5,
        "status": 2,
        "type": 3,
        "url": ""
      }
    ]
  },
  "md5": "c21ba63edd38dc4d9b9a02a799d1edc0",
  "message": "Terms  List."
}
```


## 搜索词联想

method=app.search.fuzzy

### 请求参数

| 参数名称     |    参数类型 | 可否为空 |   示例 |  默认值 |                  备注 |
| :------- | ------: | ---: | ---: | ---: | ------------------: |
| keyword       | String |    否 |    a | null |     联想关键词 |


### 返回示例
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": [
    {
      "count": 216,
      "keyword": "阿迪达斯"
    },
    {
      "count": 216,
      "keyword": "adidas"
    },
    {
      "count": 10,
      "keyword": "aape"
    },
    {
      "count": 1,
      "keyword": "aj"
    },
    {
      "count": 21,
      "keyword": "asics"
    },
    {
      "count": 170,
      "keyword": "adidasoriginals"
    },
    {
      "count": 216,
      "keyword": "阿迪"
    },
    {
      "count": 1,
      "keyword": "air jordan"
    },
    {
      "count": 216,
      "keyword": "air"
    },
    {
      "count": 20,
      "keyword": "安德玛"
    }
  ],
  "md5": "8e678e9334361efc4bd3820980d1060f",
  "message": "fuzzy search list"
}
```

## 关键词搜索商品列表
method=app.search.li
### 请求参数
| 参数名称        |    参数类型 | 可否为空 |       示例 |  默认值 |                            备注 |
| :---------- | ------: | ---: | -------: | ---: | ----------------------------: |
| p_d         |  String |    是 |        1 | null |                            折扣 |
| yhChannel   |  String |    是 |        2 | null |                            频道 |
| limit       | Integer |    是 |       10 | null |                          显示数量 |
| order       |  String |    是 | s_t_desc | null |                            排序 |
| page        | Integer |    是 |        1 | null |                            分页 |
| gender      |  String |    是 |        1 | null |                            性别 |
| msort       |  String |    是 |        1 | null |                            一级分类 |
| misort      |  String |    是 |        1 | null |                            二级分类 |
| sort        |  String |    是 |        1 | null |                            三级分类 |
| brand       |  String |    是 |      111 | null |                            品牌 |
| shop_id       |  String |    是 |      111 | null |                            店铺id |
| color       |  String |    是 |        1 | null |                            颜色 |
| size        |  String |    是 |        1 | null |                            尺码 |
| from    |  String |    是 |        1 | null |   来源（暂时无用） |
| promotion   |  String |    是 |        1 | null | 促销 |
| outlets |  Integer |    是 |        2 | null |                           是否为outlets 1为是，2为否 |
| price       |  String |    是 |        1 | null |                            价格 |

### 返回示例
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "brand": {
      "brand_banner": "",
      "brand_domain": "HLZJ",
      "brand_ico": "http://img11.static.yhbimg.com/brandLogo/2016/06/01/10/01b40859bff6c925785b363b8c6e294d1b.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
      "brand_name": "海澜之家",
      "id": 1545
    },
    "filter": {
      "brand": [
        {
          "brand_alif": "H",
          "brand_domain": "HLZJ",
          "brand_ico": "http://img10.static.yhbimg.com/brandLogo/2016/06/01/10/01b40859bff6c925785b363b8c6e294d1b.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
          "brand_keyword": "",
          "brand_name": "海澜之家",
          "brand_name_cn": "海澜之家",
          "brand_name_en": "HLZJ",
          "hot_keyword": "",
          "id": 1545,
          "is_hot": "N"
        }
      ],
      "color": [
        {
          "color_code": "120322",
          "color_id": 97,
          "color_name": "damao-蓝色"
        }
      ],
      "discount": {
        "0.4,0.699": {
          "count": 1,
          "name": "4~6"
        }
      },
      "gender": {
        "1,3": "BOYS"
      },
      "priceRange": {
        "0,11": "￥0-11",
        "12,99999": "￥11以上"
      },
      "size": [
        {
          "size_id": 207,
          "size_name": "S"
        }
      ]
    },
    "page": 1,
    "page_total": 1,
    "product_list": [
      {
        "brand_domain": "HLZJ",
        "brand_id": 1545,
        "brand_name": "海澜之家",
        "cn_alphabet": "damao-zaicishangjiatongguo11",
        "default_images": "http://img10.static.yhbimg.com/goodsimg/2016/04/05/12/010b59cc1fd2bf0eae068fad505f62e9e0.png?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
        "edit_time": 1464749217,
        "gender": "1",
        "goods_list": [
          {
            "color_code": "120322",
            "color_id": "97",
            "color_name": "damao-蓝色",
            "color_value": "",
            "cover_1": "",
            "cover_2": "",
            "goods_id": "455018",
            "images_url": "http://img10.static.yhbimg.com/goodsimg/2016/04/05/12/010b59cc1fd2bf0eae068fad505f62e9e0.png?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
            "is_default": "Y",
            "product_skc": "387741",
            "status": "1"
          }
        ],
        "is_advance": "Y",
        "is_discount": "Y",
        "is_global": "N",
        "is_limited": "N",
        "is_new": "N",
        "is_outlets": 2,
        "is_promotion": 0,
        "is_soon_sold_out": "N",
        "market_price": 22,
        "max_sort_id": 1,
        "middle_sort_id": 11,
        "product_id": 356360,
        "product_name": "damao-再次上架通过11",
        "product_skn": 51249787,
        "sales_num": 0,
        "sales_phrase": "asdasd",
        "sales_price": 11,
        "shelve_time": 1463647116,
        "small_sort_id": 293,
        "status": 1,
        "stock_number": 178,
        "storage_num": 178,
        "tags": [

        ],
        "vip1_price": 10.45,
        "vip2_price": 9.9,
        "vip3_price": 9.68,
        "vip_discount_type": 3,
        "vip_price": 0
      }
    ],
    "shop": [
      {
        "mult_brand_shop_type": "2",
        "shop_domain": "mlohas",
        "shop_logo": "http://img11.static.yhbimg.com/yhb-img01/2016/04/28/10/012ef68cd323fe770508799ba1da0cdd0a.PNG?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
        "shop_name": "MLOHAS",
        "shop_template_type": "",
        "shops_id": 431,
        "shops_type": "2"
      },
      {
        "mult_brand_shop_type": "2",
        "shop_domain": "shop2",
        "shop_logo": "http://img11.static.yhbimg.com/yhb-img01/2016/04/28/10/012ef68cd323fe770508799ba1da0cdd0a.PNG?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
        "shop_name": "差异单测试店铺二",
        "shop_template_type": "",
        "shops_id": 640,
        "shops_type": "2"
      },
      {
        "mult_brand_shop_type": "2",
        "shop_domain": "ewrre",
        "shop_logo": "http://img11.static.yhbimg.com/yhb-img01/2016/04/28/10/012ef68cd323fe770508799ba1da0cdd0a.PNG?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
        "shop_name": "feng-测试",
        "shop_template_type": "",
        "shops_id": 649,
        "shops_type": "2"
      },
      {
        "mult_brand_shop_type": "2",
        "shop_domain": "eytty",
        "shop_logo": "http://img11.static.yhbimg.com/yhb-img01/2016/04/28/10/012ef68cd323fe770508799ba1da0cdd0a.PNG?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
        "shop_name": "重头再来",
        "shop_template_type": "",
        "shops_id": 651,
        "shops_type": "2"
      },
      {
        "mult_brand_shop_type": "2",
        "shop_domain": "hp",
        "shop_logo": "http:///yhb-img01?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
        "shop_name": "happy day",
        "shop_template_type": "2",
        "shops_id": 698,
        "shops_type": "2"
      },
      {
        "mult_brand_shop_type": "2",
        "shop_domain": "hailan",
        "shop_logo": "http://img11.static.yhbimg.com/yhb-img01/2016/06/01/10/01bf5208a3b4a94a3d34725e26e69a05fd.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
        "shop_name": "海澜之家",
        "shop_template_type": "2",
        "shops_id": 702,
        "shops_type": "2"
      },
      {
        "mult_brand_shop_type": "2",
        "shop_domain": "sctest4",
        "shop_logo": "http://img11.static.yhbimg.com/yhb-img01/2016/06/06/21/01fa2dbe4d1c247662d609a06d85573ebb.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
        "shop_name": "sctest4",
        "shop_template_type": "2",
        "shops_id": 704,
        "shops_type": "2"
      }
    ],
    "standard": [
      {
        "standard_id": "796",
        "standard_name": "版型",
        "sub": [
          {
            "standard_id": "4488",
            "standard_name": "正常"
          }
        ]
      },
      {
        "standard_id": "797",
        "standard_name": "厚度",
        "sub": [
          {
            "standard_id": "4491",
            "standard_name": "中"
          }
        ]
      },
      {
        "standard_id": "794",
        "standard_name": "衣长",
        "sub": [
          {
            "standard_id": "4481",
            "standard_name": "短款"
          }
        ]
      },
      {
        "standard_id": "795",
        "standard_name": "袖长",
        "sub": [
          {
            "standard_id": "4486",
            "standard_name": "长袖"
          }
        ]
      },
      {
        "standard_id": "793",
        "standard_name": "领型",
        "sub": [
          {
            "standard_id": "4476",
            "standard_name": "v领"
          }
        ]
      }
    ],
    "total": 1
  },
  "md5": "19d64ebb7f9874caea892ad076bb61b6",
  "message": "Search List."
}
```
