## 1、商家端登录接口##

商家端登录（method=app.shops.login）
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|account|String|否|zhiyuan|0|商家端账号|
|password|String|否|lzy1111112|0|商家端密码|

注意，通用的头部没有列出。  
请求示例
http://192.168.102.217:8080/gateway?method=app.shops.login&account=zhiyuan&password=lzy111111&debug=XYZ

### 响应(data里所有的字段返回都是string类型)
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
    "alg": "SALT_MD5",
    "code": 200,
    "data": {
        "account": "zhiyuan",
        "pid": "2793",
        "session_key": "1711be37848c19d4b3f287a988f03012",
        "shops": [
            {
                "shopName": "T.U.K",
                "shopsId": 17
            },
            {
                "shopName": "【测试】品牌供应商关系",
                "shopsId": 19
            },
            {
                "shopName": "JNBY",
                "shopsId": 20
            },
            {
                "shopName": "jnby by JNBY",
                "shopsId": 21
            },
            {
                "shopName": "速写CROQUIS",
                "shopsId": 22
            },
            {
                "shopName": "less",
                "shopsId": 23
            },
            {
                "shopName": "LALABOBO",
                "shopsId": 24
            }
        ]
    },
    "md5": "fd959dd27908c26b502a7edaa6b16ad6",
    "message": "登录成功"
}
```

```json
{
    "code": 422,
    "message": "密码不能为空."
}
```

```json
{
    "code": 421,
    "message": "账号不能为空."
}
```

```json
{
    "code": 502,
    "message": "用户名或密码错误"
}
```

## 2、商家端修改密码##

商家端修改密码（method=app.shops.changePwd）

#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|pid|int|否|2793|0|商家端管理员pid|
|oldPwd|String|否|test123456|0|旧密码|
|newPwd|String|否|test123457|0|新密码|

注意，通用的头部没有列出。  
请求示例
http://192.168.102.217:8080/gateway?method=app.shops.changePwd&pid=2793&oldPwd=test1234&newPwd=test123456&newPwdConfirm=test123456&debug=XYZ

### 响应(data里所有的字段返回都是string类型)
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
    "alg": "SALT_MD5",
    "code": 200,
    "data": [],
    "md5": "6d729d4b35f10fc73531210bd7ecff91",
    "message": "修改成功！"
}
```

```json
{
    "code": 423,
    "message": "商家端管理员ID不能为空"
}
```

```json
{
    "code": 422,
    "message": "密码不能为空."
}
```

```json
{
    "code": 424,
    "message": "密码不符合规则."
}
```

```json
{
    "code": 425,
    "message": "密码错误"
}
```

```json
{
    "code": 507,
    "message": "账号不存在"
}
```

```json
{
    "code": 426,
    "message": "新密码不一致"
}
```

## 3、商家端，关于我们，检查客户的版本##

商家端登录（method=app.shops.checkAppVersion）
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|


注意，通用的头部没有列出。  
请求示例
http://192.168.102.217:8080/gateway?method=app.shops.checkAppVersion&app_version=4.4.0&client_secret=iphone

### 响应(data里所有的字段返回都是string类型)
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
   {
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "lastVersion": false,
    "url": "http://www.pgyer.com/apiv1/app/install?_api_key=96ad2e5ad6e718a25cf33184375e8447&aId=c6f11a046941fa1dc09480a7123a3019&password=yoho9646 "
  },
  "md5": "bef3fa7caea42395244190354fff3761",
  "message": "操作成功"
}
}
```

## 4、商家端，获取站内信列表##

商家端，获取站内信列表（method=app.shopInbox.getList）
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|shopsId|String|否|2793||店铺id|


注意，通用的头部没有列出。  
请求示例
http://127.0.0.1:8081/gateway/?method=app.shopInbox.getList&shopsId=123&type=1

### 响应(data里所有的字段返回都是string类型)
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "list": [
      {
        "content": "大家好，最新版的商家端app已经上线，敬请更新潮店宝4.4.0版本。",
        "createTime": 1464241919,
        "id": 49068,
        "isDel": "N",
        "isRead": "N",
        "shopsid": 123,
        "title": "【公告】商家端app上线",
        "type": "1"
      }
    ]
  },
  "md5": "e280b0c02a41ef2b01fc8e39f18d2087",
  "message": "操作成功"
}
}
```

## 5、获取消息的数量, 根据is_read条件过滤.##

获取消息的数量, 根据is_read条件过滤.(method=app.shopInbox.batchSetIsRead)
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|shopsId|String|否|2793||店铺id|
|isRead|String|是|Y,N||是否已读|

注意，通用的头部没有列出。  
请求示例
http://127.0.0.1:8081/gateway/?method=app.shopInbox.getShopInboxTotal&shopsId=123&isRead=N

### 响应(data里所有的字段返回都是string类型)
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": 1,
  "md5": "2c1f3cf90a65af787e96f80a73058912",
  "message": "操作成功"
}
}
```

## 6、批量设置为已读.##

获取消息的数量, 根据is_read条件过滤.(method=app.shopInbox.getShopInboxTotal)
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|shopsId|String|否|2793||店铺id|
|ids|String|否|49068，49070|||

注意，通用的头部没有列出。  
请求示例
http://127.0.0.1:8081/gateway/?method=app.shopInbox.batchSetIsRead&shopsId=123&ids=49068

### 响应(data里所有的字段返回都是string类型)
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "code": "200",
    "data": [],
    "message": "success"
  },
  "md5": "b51ee4b85429bc5ea4a98cd75428f2c4",
  "message": "操作成功"
}
}
```

## 7、根据shopsID，站内信id删除商家端用户站内信##

根据shopsID，站内信id删除商家端用户站内信.(method=app.shopInbox.delShopInbox)
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|shopsId|String|否|2793||店铺id|
|ids|String|否|49068，49070|||

注意，通用的头部没有列出。  
请求示例
http://127.0.0.1:8081/gateway/?method=app.shopInbox.delShopInbox&shopsId=123&ids=49068

### 响应(data里所有的字段返回都是string类型)
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "code": "200",
    "data": [
      {
        "id": "49068"
      }
    ],
    "message": "success"
  },
  "md5": "d925151adb0f4adac9626663cfd74238",
  "message": "操作成功"
}
}
```