## 1、查询销售统计报表##

查询销售统计报表（method=app.shops.sales）
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 备注 | 
|:-------| -----:|-----:|-----:|----:| 
|page|int|是|2|第几页|
|size|int|是|10|每页条数|
|type|int|否|1|1 日 2 周 3 月|
|reqTime|int|是|20160521|日报 月报 日期|
|beginTime|string|是|20160521|周报：开始日期|
|endTime|string|是|20160527|周报：结束日期|
|productSkn|long|是|1222|skn|
|productSkc|long|是|1222|skc|
|productSku|long|是|1222|sku|
|factoryCode|string|是|234234|出厂编号|
|sortId|int|是|12|是|产品分类 |
|shopId|int|否|17|是|店铺ID |
|brandId|int|否|17|是|品牌 |

注意，通用的头部没有列出。  
请求示例
http://192.168.102.217:8080/gateway?method=app.shops.sales

``` json
请求样例：
{
"beginTime": "20160516",
"endTime": "20160528",
"type":2
}
正常返回：
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "additionInfo": {
     "allAmount": 2977818.56,//订单商品金额
      "allAmountRate": 29.56,//环比 乘100后的数据
      "allAmountRateFlag":true //是否有环比值 true 是 false 否
      "allNumber": 14747,//订单商品总数
       "allNumberRate": 14//环比  乘100后的数据
       "allNumberRateFlag":true //是否有环比值 true 是 false 否
      "lastAllAmount": 2977323.78,//上期金额总数
      "lastAllNumber": 14746//上期商品总数
    },
    "list": [
      {
        "allAmounts": 2970434.16,//汇总金额
        "allNums": 14731,//汇总商品数
        "dateId": "20160518"//日期
      },
      {
        "allAmounts": 295.04,
        "allNums": 4,
        "dateId": "20160525"
      }
    ],
    "page": 0,
    "size": 0,
    "total": 0,
    "totalPage": 0
  },
  "md5": "6bed08aeaa2b44e6238f889d007c358d",
  "message": "getOrdersGoodsRptForApi result"
}
异常返回：
{
    "code": 405,
    "data": [],
    "md5": "d751713988987e9331980363e24189ce",
    "message": "getOrdersGoodsRptForApi"
}

```


## 2、查询退货统计报表##

查询退货统计报表（method=app.shops.refund）
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 备注 | 
|:-------| -----:|-----:|-----:|----:| 
|page|int|是|2|第几页|
|size|int|是|10|每页条数|
|type|int|否|1|1 日 2 周 3 月|
|reqTime|string|是|20150306|日报 月报 日期|
|beginTime|string|是|20150306|周报：开始日期|
|endTime|string|是|20150308|周报：结束日期|
|productSkn|int|是|1222|skn|
|productSkc|int|是|1222|skc|
|productSku|int|是|1222|sku|
|factoryCode|string|是|234234|出厂编号|
|sortId|int|是|12|产品分类 |
|shopId|int|否|17|是|店铺ID |

注意，通用的头部没有列出。  
请求示例
http://192.168.102.217:8080/gateway?method=app.shops.refund

## 请求样例数据
``` json
请求样例：
{
"beginTime": "20160516",
"endTime": "20160528",
"type":2
}
正常返回：
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "additionInfo": {
     "allAmount": 2977818.56,//退货商品金额
      "allAmountRate": 29.56,//环比 乘100后的数据
      "allAmountRateFlag":true //是否有环比值 true 是 false 否
      "allNumber": 14747,//退货商品总数
       "allNumberRate": 14//环比  乘100后的数据
       "allNumberRateFlag":true //是否有环比值 true 是 false 否
      "lastAllAmount": 2977323.78,//上期金额总数
      "lastAllNumber": 14746//上期商品总数
	  "returnAmountRate":12.12//退货率
	   "returnAmountRateFlag":true //是否有环比值 true 是 false 否
	   "returnRingRate":1.1//退货率环比
	   "returnRingRateFlag":true //是否有环比值 true 是 false 否
    },
    "list": [
      {
        "allAmounts": 2970434.16,//汇总金额
        "allNums": 14731,//汇总商品数
        "dateId": "20160518"//日期
      },
      {
        "allAmounts": 295.04,
        "allNums": 4,
        "dateId": "20160525"
      }
    ],
    "page": 0,
    "size": 0,
    "total": 0,
    "totalPage": 0
  },
  "md5": "6bed08aeaa2b44e6238f889d007c358d",
  "message": "getOrdersGoodsRptForApi result"
}
异常返回：
{
    "code": 405,
    "data": [],
    "md5": "d751713988987e9331980363e24189ce",
    "message": "getOrdersGoodsRptForApi"
}

```

## 3、查询进库统计报表##

查询进库统计报表（method=app.shops.storagein）
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 备注 | 
|:-------| -----:|-----:|-----:|----:| 
|page|int|是|2|第几页|
|size|int|是|10|每页条数|
|beginTime|string|是|20150306|周报：开始日期|
|endTime|string|是|20150308|周报：结束日期|
|shopId|string|是|17|店铺ID|
|brandId|string|是|17|品牌ID|


注意，通用的头部没有列出。  
请求示例
http://192.168.102.217:8080/gateway?method=app.shops.storagein

## 请求样例数据
### 返回

``` json
请求样例：
{
  "page": 1,
  "size": 2
}
正常返回：

{
    "alg": "SALT_MD5",
    "code": 200,
    "data": {
        "additionInfo": {
            "allAmount": 2977818.56,
            "allAmountRate": 2977817.56,
            "allNumber": 14747,
            "allNumberRate": 14746
        },
        "list": [
            {
                "dateId": 20160518,//日期
                "inStorageNums": 665,//数量
                "requisitionFormId": 1605008704,//单号
                "inStorageAmount": 2342//金额
            }
        ],
        "page": 1,
        "size": 10,
        "total": 14612,
        "totalPage": 1462
    },
    "md5": "ce4964c1e6defece5035c81b63c3c51d",
    "message": "getOrdersGoodsRptList result"
}
异常返回：
{
    "code": 405,
    "data": [],
    "md5": "d751713988987e9331980363e24189ce",
    "message": "getOrdersGoodsRptList"
}
```

## 4、查询销售出库统计报表##

查询销售出库统计报表（method=app.shops.storageout）
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 备注 | 
|:-------| -----:|-----:|-----:|----:| 
|page|int|是|2|第几页|
|size|int|是|10|每页条数|
|beginTime|string|是|20150306|周报：开始日期|
|endTime|string|是|20150308|周报：结束日期|


注意，通用的头部没有列出。  
请求示例
http://192.168.102.217:8080/gateway?method=app.shops.storageout

``` json
请求样例：
{
  "page": 1,
  "size": 2
}
正常返回：
{
    "alg": "SALT_MD5",
    "code": 200,
    "data": {
        "additionInfo": {
            "allAmount": 2977818.56,
            "allAmountRate": 2977817.56,
            "allNumber": 14747,
            "allNumberRate": 14746
        },
        "list": [
            {
                "dateId": 20160518,
                "outStorageNums": 665,
                "outFormId": 1605008704,
                "outStorageAmount": 2342
            }
        ],
        "page": 1,
        "size": 10,
        "total": 14612,
        "totalPage": 1462
    },
    "md5": "ce4964c1e6defece5035c81b63c3c51d",
    "message": "result"
}
异常返回：
{
    "code": 405,
    "data": [],
    "md5": "d751713988987e9331980363e24189ce",
    "message": "getStorageOutRptForApi"
}

```

## 5、获取店铺的品牌排名，当前等级、排名、上升名词##

获取店铺的品牌排名，当前等级、排名、上升名词（method=app.shops.shopbrandrank）
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 备注 | 
|:-------| -----:|-----:|-----:|----:| 
|brandId|int|否|17|品牌id|
|shopId|int|否|17|店铺id|
|dateId	|int|否||日期|


注意，通用的头部没有列出。  
请求示例
http://192.168.102.217:8080/gateway?method=app.shops.shopbrandrank&shopId=1200&dateId=20160524


### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
    {
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "brandId": 1200,
    "brandMainCategory": 2,
    "dateId": 20160524,
    "rankChange": 5,
    "rankLevel": 1,
    "rankNow": 15
  },
  "md5": "64cdf0d30ba9174ddce76ecf71a91ad8",
  "message": "shop business overview."
}
}
```


## 6、查询库存列表##

查询库存列表（method=app.shops.storagestatistics）
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 备注 | 
|:-------| -----:|-----:|-----:|----:| 
|productSkn|int|是|1222|商品skn|
|factory_code|string|是|234234|商品厂家编码|
|productSku|int|是|1222|商品sku|
|shopId|int|是|17|店铺Id|
|brandId|int|是|17|品牌Id|
|maxSortId|int|是||一级分类Id|
|middleSortId|int|是|1|二级分类Id|
|smallSortId|int|是|2|三级分类Id|
|page|int|是|1|页码|
|size|int|是|20|一页几件|

注意，通用的头部没有列出。  
请求示例
http://192.168.102.217:8080/gateway?method=app.shops.storagestatistics&brandId=11


### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
  {
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "additionInfo": {
      "onSaleTotalNum": 1,                  // 已上架商品数
      "outSaleTotalNum": 1,                 // 已下架商品数
      "preSaleTotalNum": 2,                 // 待上架商品数
      "storageTotalMoney": 67.3,            // 库存总金额（元）
      "storageTotalNum": 47                 // 库存总数量
    }, 
    "list": [
      {
        "brandId": 11,
        "brandName": "",
        "colorId": 0,
        "colorName": "",
        "dateId": 0,
        "goodsName": "",
        "imageUrl": "0",
        "maxSortId": 0,
        "maxSortName": "0",
        "middleSortId": 0,
        "middleSortName": "",
        "productSkc": 0,
        "productSkn": 0,
        "productSku": 0,
        "purchasePrice": 0,
        "salesPrice": 0,
        "shopId": 0,
        "shopName": "",
        "sizeId": 0,
        "sizeName": "",
        "smallSortId": 0,
        "smallSortName": "",
        "status": "1",
        "storageAmount": 33.3,
        "storeNums": 11
      },
      {
        "brandId": 11,
        "brandName": "",
        "colorId": 0,
        "colorName": "",
        "dateId": 0,
        "goodsName": "",
        "imageUrl": "0",
        "maxSortId": 0,
        "maxSortName": "0",
        "middleSortId": 0,
        "middleSortName": "",
        "productSkc": 0,
        "productSkn": 0,
        "productSku": 0,
        "purchasePrice": 0,
        "salesPrice": 0,
        "shopId": 0,
        "shopName": "",
        "sizeId": 0,
        "sizeName": "",
        "smallSortId": 0,
        "smallSortName": "",
        "status": "2",
        "storageAmount": 22,
        "storeNums": 22
      },
      {
        "brandId": 11,
        "brandName": "",
        "colorId": 0,
        "colorName": "",
        "dateId": 0,
        "goodsName": "",
        "imageUrl": "0",
        "maxSortId": 0,
        "maxSortName": "0",
        "middleSortId": 0,
        "middleSortName": "",
        "productSkc": 0,
        "productSkn": 0,
        "productSku": 0,
        "purchasePrice": 0,
        "salesPrice": 0,
        "shopId": 0,
        "shopName": "",
        "sizeId": 0,
        "sizeName": "",
        "smallSortId": 0,
        "smallSortName": "",
        "status": "3",
        "storageAmount": 11,
        "storeNums": 13
      },
      {
        "brandId": 11,
        "brandName": "",
        "colorId": 0,
        "colorName": "",
        "dateId": 0,
        "goodsName": "",
        "imageUrl": "0",
        "maxSortId": 0,
        "maxSortName": "0",
        "middleSortId": 0,
        "middleSortName": "",
        "productSkc": 0,
        "productSkn": 0,
        "productSku": 0,
        "purchasePrice": 0,
        "salesPrice": 0,
        "shopId": 0,
        "shopName": "",
        "sizeId": 0,
        "sizeName": "",
        "smallSortId": 0,
        "smallSortName": "",
        "status": "2",
        "storageAmount": 1,
        "storeNums": 1
      }
    ],
    "page": 1,
    "size": 10,
    "total": 4,
    "totalPage": 1
  },
  "md5": "83ccbb2eb14e08c90558b7c00d6c0b8e",
  "message": "storage statistics list"
}
}
```

## 7、获取店铺的经营指标：一个自然日内有效订单商品件数、有效订单商品 金额##

获取店铺的经营指标：一个自然日内有效订单商品件数、有效订单商品 金额（method=app.shops.shopbusinessoverview）
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 备注 | 
|:-------| -----:|-----:|-----:|----:| 
|brandId|int|否||品牌id|
|shopId|int|否||店铺id|
|dateId	|int|否||日期|


注意，通用的头部没有列出。  
请求示例
http://192.168.102.217:8080/gateway?method=app.shops.shopbusinessoverview&shopId=1200&dateId=20160524


### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
``` json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "brandId": 1200,
    "brandName": "wss",
    "buyNumbers": 100,
    "dateId": 20160523,
    "orderAmount": 100,
    "shopId": 431,
    "shopName": "wss"
  },
  "md5": "1d143fd1d71504f9d7a82121202c4bfc",
  "message": "shop business overview."
}

```

## 8、对账结算##

查询销售统计报表（method=app.shops.accountbalance）
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 备注 | 
|:-------| -----:|-----:|-----:|----:| 
|shopId|int|否|17|是|店铺ID |


注意，通用的头部没有列出。  
请求示例
http://192.168.102.217:8080/gateway?method=app.shops.accountbalance&shopId=19


### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
    "alg": "SALT_MD5",
    "code": 200,
    "data": {
        "list": [],
        "totalAmount": "0"
    },
    "md5": "5be8d6a4156c32dfb70e50d0e3bec351",
    "message": "调用服务成功"
}
```

```json
{
    "alg": "SALT_MD5",
    "code": 200,
    "data": {
        "list": [
            {
                "brandId": "308",
                "brandName": "SOLO",
                "createTime": "2014-03-11",
                "status": "1",
                "totalprice": "29285.2500"
            },
            {
                "brandId": "308",
                "brandName": "SOLO",
                "createTime": "2014-04-08",
                "status": "1",
                "totalprice": "41928.4500"
            },
            {
                "brandId": "308",
                "brandName": "SOLO",
                "createTime": "2014-05-08",
                "status": "1",
                "totalprice": "46256.9255"
            },
            {
                "brandId": "308",
                "brandName": "SOLO",
                "createTime": "2014-06-05",
                "status": "1",
                "totalprice": "40341.0660"
            },
            {
                "brandId": "308",
                "brandName": "SOLO",
                "createTime": "2014-07-08",
                "status": "1",
                "totalprice": "27162.3350"
            },
            {
                "brandId": "308",
                "brandName": "SOLO",
                "createTime": "2014-08-06",
                "status": "1",
                "totalprice": "39599.0650"
            },
            {
                "brandId": "308",
                "brandName": "SOLO",
                "createTime": "2014-09-09",
                "status": "1",
                "totalprice": "47533.3160"
            },
            {
                "brandId": "308",
                "brandName": "SOLO",
                "createTime": "2014-10-14",
                "status": "1",
                "totalprice": "48459.7415"
            },
            {
                "brandId": "308",
                "brandName": "SOLO",
                "createTime": "2014-11-04",
                "status": "1",
                "totalprice": "62814.8335"
            },
            {
                "brandId": "308",
                "brandName": "SOLO",
                "createTime": "2014-12-10",
                "status": "1",
                "totalprice": "42478.5665"
            },
            {
                "brandId": "308",
                "brandName": "SOLO",
                "createTime": "2015-01-08",
                "status": "1",
                "totalprice": "66525.2961"
            },
            {
                "brandId": "308",
                "brandName": "SOLO",
                "createTime": "2015-02-06",
                "status": "1",
                "totalprice": "66729.3355"
            },
            {
                "brandId": "308",
                "brandName": "SOLO",
                "createTime": "2015-03-06",
                "status": "1",
                "totalprice": "57497.1935"
            },
            {
                "brandId": "308",
                "brandName": "SOLO",
                "createTime": "2015-04-07",
                "status": "1",
                "totalprice": "70426.4110"
            },
            {
                "brandId": "308",
                "brandName": "SOLO",
                "createTime": "2015-05-06",
                "status": "1",
                "totalprice": "51708.4820"
            }
        ],
        "totalAmount": "738746.2671"
    },
    "md5": "2dd1db4f3f313ce85e99bea30faea44c",
    "message": "调用服务成功"
}
```