## 1、获取用户的订单总数 ##

获取用户的订单总数（web.SpaceOrders.getOrderCountByUid）（PC接口）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|uid|int|否|3236556|0|用户id|
  
#### 请求示例
http://devapi.yoho.cn:58078/?app_version=4.1.0.1603140001&client_secret=ce8e341b7ff407f2bac61915b54e5dde&client_type=web&id=4&method=web.SpaceOrders.getOrderCountByUid&os_version=9.1&private_key=0ed29744ed318fd28d2c07985d3ba633&screen_size=375x667&uid=3236556&v=7


### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:

```json
{
	"alg":"SALT_MD5",
	"code":200,
	"data":{"count":5},
	"md5":"c1d725306fb09dcbf504776d276521cb",
	"message":"ok"
}
```

## 2、更新订单的状态

更新订单的状态 (web.SpaceOrders.updatePaymentStatus) (PC接口)
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|id|int|否||0|订单id|
|uid|int|否||0|用户id|
|payment|byte|否|0|支付方式|
|payment_status|string|否||支付状态|
|bank_code|string|否||银行代码|

  
请求示例
http://devapi.yoho.cn:58078/?app_version=4.1.0.1603140001&bank_code=1&client_secret=13edd7a6bac44bb87cee105a814e930f&client_type=web&id=990&method=web.SpaceOrders.updatePaymentStatus&os_version=9.1&payment=28&payment_status=Y&private_key=0ed29744ed318fd28d2c07985d3ba633&screen_size=375x667&uid=58023&v=7


### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:

```json
{
	"alg":"SALT_MD5",
	"code":200,
	"data":[],
	"md5":"6d729d4b35f10fc73531210bd7ecff91",
	"message":"ok"
}
```

## 3、通过PaymentID 获取支付途径（配置信息）

通过PaymentID 获取支付途径（配置信息） (web.SpaceOrders.getPaymentById) (PC接口)
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|id|int|否||0|支付方式id|

  
请求示例
http://devapi.yoho.cn:58078/?app_version=4.1.0.1603140001&client_secret=0b73fa97ffb88c544de8f41affd10df8&client_type=web&id=4&method=web.SpaceOrders.getPaymentById&os_version=9.1&private_key=0ed29744ed318fd28d2c07985d3ba633&screen_size=375x667&v=7



### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:

```json
{
	"alg":"SALT_MD5",
	"code":200,
	"data":{
		"id":4,
		"payCode":"Chinabank",
		"payFee":"0",
		"payIcon":"http://static.yohobuy.com/images/pay/icon/wangyinzaixian.png",
		"payIntro":"网银在线",
		"payName":"网银在线",
		"payOrder":70,
		"payParams":"{\"merchant_id\":\"22439234\",\"merchant_key\":\"eafa1d23099f8ba5\"}","paymentId":1,"status":"Y"
		},
	"md5":"08e4bd7712d3b33c188854d4f617e8a2",
	"message":"ok"
}
```


## 4、获取所有支付途径

获取所有支付途径 (web.SpaceOrders.getPaymentList) (PC接口)
#### 请求参数
无

  
请求示例
http://devapi.yoho.cn:58078/?app_version=4.1.0.1603140001&client_secret=8456afe5f855027a0a7506a6c378b04f&client_type=web&method=web.SpaceOrders.getPaymentList&os_version=9.1&private_key=0ed29744ed318fd28d2c07985d3ba633&screen_size=375x667&v=7



### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:

```json
{
	"alg":"SALT_MD5",
	"code":200,
	"data":[{"id":2,"payCode":"Alipay","payFee":"0","payIcon":"http://static.yohobuy.com/images/pay/icon/zhifubao.png","payIntro":"支付宝","payName":"支付宝","payOrder":100,"payParams":"{\"merchant_id\":\"2088701661478015\",\"merchant_key\":\"kcxawi9bb07mzh0aq2wcirsf9znusobw\",\"merchant_other_code\":\"zfb@yoho.cn\"}","paymentId":1,"status":"Y"}],
	"md5":"6ab18beb8641da17abe8c08e01f1c246",
	"message":"ok"
}
```

## 5、ERP提交订单状态

ERP提交订单状态 (web.SpaceOrders.submitOrderStatus) (PC接口)
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|order_code|string|否|||订单号|
|payment|byte|否|||支付方式|
|bank_name|string|否|||银行名称|
|bank_code|string|否|||银行代码|
|amount|double|否|||金额|
|payOrderCode|string|否|||订单号|
|trade\_no|string|否|||交易流水号|
|bank\_bill_no|string|否|||银行流水号|

请求示例
http://devapi.yoho.cn:58078/\?amount\=10.00\&app_version\=4.1.0.1603140001\&bank_bill_no\=9287358013\&bank_code\=1\&bank_name\=icbc\&client_secret\=0a891962abf87eff2b3953764e2e36f5\&client_type\=web\&method\=web.SpaceOrders.submitOrderStatus\&order_code\=798234910\&os_version\=9.1\&payOrderCode\=798234910\&payment\=18\&private_key\=0ed29744ed318fd28d2c07985d3ba633\&screen_size\=375x667\&trade_no\=86934052025984506308\&v\=7


### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:

```json
{
	"alg":"SALT_MD5",
	"code":200,
	"data":[],
	"md5":"6d729d4b35f10fc73531210bd7ecff91",
	"message":"ok"
}
```

## 6、获取订单的支付银行
获取订单的支付银行 (web.SpaceOrders.getOrderPayBank) (PC接口)
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|orderCode|string|否|||订单号|

请求示例
http://devapi.yoho.cn:58078/?app_version=4.1.0.1603140001&client_secret=23b83023ba57b22c9d5283da38a4aa42&client_type=web&method=web.SpaceOrders.getOrderPayBank&orderCode=503565424&os_version=9.1&private_key=0ed29744ed318fd28d2c07985d3ba633&screen_size=375x667&v=7

### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```
{
	"alg":"SALT_MD5",
	"code":200,
	"data":
	{
		"bankCode":"ICBCB2C",
		"id":35,
		"orderCode":503565424,
		"payment":12
	},
	"md5":"2839b8a531050ed66c6b18fec5bef719",
	"message":"ok"
}
```

## 7、添加订单支付银行记录
添加订单支付银行记录（web.SpaceOrders.addOrderPayBank）(PC接口)
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|orderCode|string|否|||订单号|
|payment|byte|否|||支付方式|
|bankCode|string|是|||银行名称|

请求示例
http://devapi.yoho.cn:58078/?app_version=4.1.0.1603140001&bankCode=helloworld&client_secret=be15d9f1e3e42bd8441d5d158a5ac984&client_type=web&method=web.SpaceOrders.addOrderPayBank&orderCode=1061003935&os_version=9.1&payment=12&private_key=0ed29744ed318fd28d2c07985d3ba633&screen_size=375x667&v=7

####响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```
{
	"alg":"SALT_MD5",
	"code":200,
	"data":[],
	"md5":"6d729d4b35f10fc73531210bd7ecff91",
	"message":"ok"
}
```

## 8、更改订单支付银行记录
更改订单支付银行记录（web.SpaceOrders.modifyOrderPayBank）(PC接口)
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|orderCode|string|否|||订单号|
|payment|byte|否|||支付方式|
|bankCode|string|是|||银行名称|

请求示例
http://devapi.yoho.cn:58078/?app_version=4.1.0.1603140001&bankCode=helloworld&client_secret=53429cc7da7a110ba4ccc08dcc54168f&client_type=web&method=web.SpaceOrders.modifyOrderPayBank&orderCode=1061003935&os_version=9.1&payment=12&private_key=0ed29744ed318fd28d2c07985d3ba633&screen_size=375x667&v=7

####响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```
{
	"alg":"SALT_MD5",
	"code":200,
	"data":[],
	"md5":"6d729d4b35f10fc73531210bd7ecff91",
	"message":"ok"
}
```

## 9、Apple Pay预支付接口
Apple Pay预支付接口(/payment/applepay_data)(APP接口，Get方法)
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|order_code|string|否|||订单号|
|payment|byte|否|||支付方式|

请求示例
http://testservice.yoho.cn:28077/payment/applepay_data?client_secret=d5488bea8adfeef9a5b14b2187d02696&order_code=160144596&payment_code=30

####响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```
{
	"alg":"SALT_MD5",
	"code":200,
	"data":[],
	"md5":"6d729d4b35f10fc73531210bd7ecff91",
	"message":"ok"
}
```

## 10、PC端支付回调（修改订单状态、提交ERP）

ERP提交订单状态 (method=web.SpaceOrders.pcpayNotify) (PC接口)
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|order_code|string|否|||订单号|
|payment|byte|否|||支付方式|
|bank_name|string|否|||银行名称|
|bank_code|string|否|||银行代码|
|amount|double|否|||金额（单位：元）|
|trade\_no|string|否|||交易流水号|
|bank\_bill_no|string|否|||银行流水号|

请求示例
http://devapi.yoho.cn:58078/\?amount\=10.00\&app_version\=4.1.0.1603140001\&bank_bill_no\=9287358013\&bank_code\=1\&bank_name\=icbc\&client_secret\=0a891962abf87eff2b3953764e2e36f5\&client_type\=web\&method\=web.SpaceOrders.pcpayNotify\&order_code\=798234910\&os_version\=9.1\&payment\=2\&private_key\=0ed29744ed318fd28d2c07985d3ba633\&screen_size\=375x667\&trade_no\=86934052025984506308\&v\=7


### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:

```json
{
	"alg":"SALT_MD5",
	"code":200,
	"data":[],
	"md5":"6d729d4b35f10fc73531210bd7ecff91",
	"message":"ok"
}
```

## 11、获取订单蚂蚁花呗分期详情
获取订单的支付银行 (method=app.SpaceOrders.getAntHbfqDetail) (APP/PC接口)
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|orderCode|string|否|||订单号|
#### 响应参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|stageNumber|int|否||取值范围：3、6、9、12|分期期数|
|sellerPercent|int|否||取值范围：0~100（百分比）|卖家承担收费比例|
|taxRate|double|否||单位：百分比|利息|
|totalFee|double|否||单位：元|应付总额|
|feePerStage|double|否||单位：元|每期付款额度|
|taxPerStage|double|否||单位：元|每期手续费|

请求示例
http://devapi.yoho.cn:58078/?app_version=4.1.0.1603140001&client_secret=18a695e01a48a8fc329c868b9c2b9541&client_type=web&method=app.SpaceOrders.getAntHbfqDetail&orderCode=1061003935&os_version=9.1&private_key=0ed29744ed318fd28d2c07985d3ba633&screen_size=375x667&v=7

### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```
{
"alg": "SALT_MD5"
"code": 200
"data": [2]
0:  {
    "feePerStage": 57.4
    "sellerPercent": 0
    "stageNumber": 3
    "taxPerStage": 1.4
    "taxRate": 2.5
    "totalFee": 172.2
}-
1:  {
    "feePerStage": 29.26
    "sellerPercent": 0
    "stageNumber": 6
    "taxPerStage": 1.26
    "taxRate": 4.5
    "totalFee": 175.56
}-
-
"md5": "e27e2fe6db50af6cc47a52375e2cb065"
"message": "ok"
}
```

## 12、查询第三方支付系统的支付结果
根据订单号查询第三方支付系统的支付结果 (method=web.SpaceOrders.paymentQuery) (ERP接口)
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|orderCode|string|否|||订单号|
#### 响应参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|resultCode|int|否|||返回码|
|resultMsg|string|否|||返回信息描述|
|orderCode|string|否|||订单号|
|payment|int|否|||支付渠道|
|amount|double|是|||支付金额|
|tradeNo|String|是|||交易号|
|paymentTime|String|是|||交易时间|
#### returnCode取值说明
```
0,  未支付;
1,  已支付;
2,  订单不存在;
3,  支付渠道未知;
4,  该支付方式不支持查询（当前支付宝、微信、银联支持，其余不支持）
```
### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```
{
    "alg":"SALT_MD5",
    "code":200,
    "data":
    {
		"payFlag":1
        "orderCode":503565424,
        "payment":12,
		"amount":1000.00,
		"tradeNo":1234123412341234121324
    },
    "md5":"2839b8a531050ed66c6b18fec5bef719",
    "message":"ok"
}
```

## 13、退款接口（内部使用，不对外开放）
根据订单号进行退款 (/erp/order/paymentRefund) (ERP接口)
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|orderCode|string|否|||订单号|
|payment|int|否|||支付渠道|
|amount|double|否|||退款金额|
#### 响应参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|resultCode|int|否|||返回码|
|resultMsg|string|否|||返回信息描述|
|orderCode|string|否|||订单号|
|payment|int|是|||支付渠道|
|amount|double|是|||退款金额|（退款成功时有该字段）
|tradeNo|String|是|||退款单号|（退款成功时有该字段）

#### returnCode取值说明
```
1,  退款失败;
2,  退款成功;
3,  退款结果未知（为支付系统返回的未知）;
4,  不能退款（比如订单不存在，第三方系统没有查询到支付交易，支付方式不支持查询或者退款等情况）;
5,  退款请求失败
6,  前台订单不存在
7,  订单金额不匹配(如退款金额超出订单金额，包括多次退款的情况)
```
### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```
{
"alg": "SALT_MD5"
"code": 200
"data": {
"amount": 0
"orderCode": "1615698830"
"payment": 0
"resultCode": 3
"resultMsg": "未查到支付记录"
}-
"md5": "1041ab97cec74bb37852b52ea691e4ab"
"message": "操作成功"
}
```

## 14、退款结果查询接口（内部使用，不对外开放）
根据订单号进行退款 (method=web.SpaceOrders.paymentRefundQuery) (ERP接口)
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|orderCode|string|否|||订单号|
|payment|int|否|||支付渠道|

#### 响应参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|resultCode|int|否|||返回码|
|resultMsg|string|否|||返回信息描述|
|orderCode|string|否|||订单号|
|payment|int|是|||支付渠道|
|amount|double|是|||退款金额|

#### returnCode取值说明
```
1,  退款未完成; --此时具体的退款状态参考resultMsg
2,  退款已完成;
3,  没有申请过退款;
4,  不支持的支付渠道;
5,  退款结果查询请求失败
```
### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```
{
"alg": "SALT_MD5"
"code": 200
"data": {
"amount": 0
"orderCode": "1615698830"
"payment": 0
"resultCode": 3
"resultMsg": "未查到支付记录"
}-
"md5": "1041ab97cec74bb37852b52ea691e4ab"
"message": "操作成功"
}
```


## 获取支付列表
获取支付列表 (method=app.payment.findPayList) 
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 


#### 响应参数
| 参数名称 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|
|payment_id|||支付方式编号|
|pay_name|||支付方式名称|
|is_recommend_order_page|||是否推荐到确认订单页|
|recommend_words|||推荐文案|
|recommend_text1|||推荐语1|
|recommend_text2|||推荐语2|

### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": [
    {
      "payment_id": "0",
      "pay_name": "QQ钱包",
      "is_recommend_order_page": "N",
      "recommend_words": "",
      "recommend_text1": "需安装QQ客户端"
    },
    {
      "payment_id": "2",
      "pay_name": "支付宝",
      "is_recommend_order_page": "Y",
      "recommend_words": "推荐文案",
      "recommend_text1": ""
    },
    {
      "payment_id": "19",
      "pay_name": "微信",
      "is_recommend_order_page": "N",
      "recommend_words": "",
      "recommend_text1": "需安装微信客户端",
      "recommend_text2": "111"
    }
  ],
  "md5": "8aa9fc99887e54ca20ddc5abf44ecbe5",
  "message": "ok"
}
```