## 1、用户选择/修改活动商品的sku信息 ##

用户选择/修改活动商品的sku信息（?method=app.limitProduct.userChoiceSku）
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|
#### 请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |  
|:-------| -----:|-----:|-----:|-----:|-----:|----:|  
|uid|String|否|1-11|3566164||用户id| 
|product_skn|String|否|1-11|50001796||skn| 
|product_sku|String|否|1-11|102034||sku| 
|product_skc|String|否|1-11|14||skc| 
|color_name|String|否|1-50|黑||颜色| 
|size_name|String|否|1-20|L||尺码| 
|activity_id|String|否|1-5|111||活动id| 
#### 接口说明
| 接口说明|| 
|:-------| -----:|
|请求域名|http://api.yoho.cn|
|接口名|app.limitProduct.userChoiceSku|
|接口说明|用户选择/修改活动商品的sku信息|
|http请求方式|POST/GET|
#### 返回错误
|错误code|错误提示|
|:-------| -----:|
|500|活动id为空|
|500|活动已结束，不可以修改颜色尺码|
|500|uid或productSkn不能为空|
|500|选择颜色尺码失败|

注意，通用的头部没有列出。  
请求示例  
http://192.168.102.205:8080/gateway?uid=8039796&v=7&method=app.limitProduct.userChoiceSku&activity_id=111&uid=3566164&product_skn=50001796&product_sku=102034&product_skc=14&size_name=L&color_name=黑
### 响应
code为200即为成功，否则是失败。 
响应参数，data部分  
响应成功JSON格式如下所示:
```json
{
  "code": 200,
  "message": "成功",
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "alg": "SALT_MD5",
  "data": []
}
```
响应失败JSON格式如下所示:
```json
{
  "code": 500,
  "message": "活动id为空",
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "alg": "SALT_MD5",
  "data": []
}
```
```json
{
  "code": 500,
  "message": "活动已结束,不可以修改颜色尺码",
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "alg": "SALT_MD5",
  "data": []
}
```

```json
{
  "code": 500,
  "message": "uid或productSkn不能为空",
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "alg": "SALT_MD5",
  "data": []
}
```
```json
{
  "code": 500,
  "message": "选择颜色尺码信息失败",
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "alg": "SALT_MD5",
  "data": []
}
```

## 3、根据skn获取平台配置的sku的商品详细信息 ##
根据skn获取平台配置的sku的商品详细信息（?method=app.limitProduct.getLimitProductDataBySkn）
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|
#### 请求参数
| 参数名称 | 参数类型 | 长度 |  可否为空 | 示例 | 默认值 | 备注 |  
|:-------| -----:|-----:|-----:|-----:|-----:|----:|  
|product_skn|String|否|1-11|50001796||用户id| 
#### 接口说明
| 接口说明|| 
|:-------| -----:|
|请求域名|http://api.yoho.cn|
|接口名|app.limitProduct.getLimitProductDataBySkn|
|接口说明|获取平台配置的sku的商品详细信息|
|http请求方式|POST/GET|

#### 返回错误
|错误code|错误提示|
|:-------| -----:|
|500|product_skn不能为空|
|500|找不到商品对应的颜色尺码信息|

注意，通用的头部没有列出。  
请求示例  
http://192.168.102.205:8080/gateway?method=app.limitProduct.getLimitProductDataBySkn&debug=XYZ&product_skn=50001796

### 响应
code为200即为成功，否则是失败。 
响应参数，data部分  
响应成功JSON格式如下所示:
```json
{
    "alg": "SALT_MD5", 
    "code": 200, 
    "data": {
        "cn_alphabet": "", 
        "format_market_price": "¥275.00", 
        "format_sales_price": "0", 
        "goods_list": [
            {
                "color_id": 2, 
                "color_image": "http://img13.static.yhbimg.com/goodsimg/2012/03/02/17/0242814e14d8ac1525c92de0a84d0f70eb.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80", 
                "color_name": "黑", 
                "goods_id": 14, 
                "images_list": [ ], 
                "is_default": "N", 
                "product_skc": 14, 
                "size_list": [
                    {
                        "order_by": 1169, 
                        "product_sku": 102050, 
                        "size_id": 201, 
                        "size_name": "L", 
                        "storage_number": 0
                    }, 
                    {
                        "order_by": 1163, 
                        "product_sku": 102034, 
                        "size_id": 211, 
                        "size_name": "XL", 
                        "storage_number": 0
                    }
                ], 
                "status": 1
            }, 
            {
                "color_id": 3, 
                "color_image": "http://img11.static.yhbimg.com/goodsimg/2012/03/02/15/01562d80dbd0f5acc9e8b96668836006ff.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80", 
                "color_name": "灰", 
                "goods_id": 15, 
                "images_list": [ ], 
                "is_default": "Y", 
                "product_skc": 15, 
                "size_list": [
                    {
                        "order_by": 1175, 
                        "product_sku": 102037, 
                        "size_id": 203, 
                        "size_name": "M", 
                        "storage_number": 0
                    }, 
                    {
                        "order_by": 1169, 
                        "product_sku": 102050, 
                        "size_id": 201, 
                        "size_name": "L", 
                        "storage_number": 0
                    }, 
                    {
                        "order_by": 1163, 
                        "product_sku": 102034, 
                        "size_id": 211, 
                        "size_name": "XL", 
                        "storage_number": 0
                    }
                ], 
                "status": 1
            }
        ], 
        "info": {
            "comment_total": 0, 
            "consult_total": 0
        }, 
        "isLimitBuy": false, 
        "is_advance": "", 
        "is_collect": "", 
        "is_outlets": "", 
        "limitProductCode": "", 
        "market_price": 275, 
        "phrase": "OVERKILL OVK 08 CUTE SKULL 短袖TEE.正面胸口的图案和背后相互呼应，清新活力。超炫的骷髅图案，带来不一样的靓点 ", 
        "product_name": "OVERKILL OVK 08 CUTE SKULL 短袖TEE", 
        "product_skn": 50001796, 
        "product_url": "", 
        "saleStatus": 0, 
        "sales_phrase": "275", 
        "sales_price": 275, 
        "showStatus": 0, 
        "storage_sum": 0, 
        "vip": [
            {
                "caption": "银卡", 
                "price": "261.25"
            }, 
            {
                "caption": "金卡", 
                "price": "247.50"
            }, 
            {
                "caption": "白金", 
                "price": "242.00"
            }
        ], 
        "vip_price": "0.00", 
        "yohoCoinNum": "0"
    }, 
    "md5": "bc08c52373b36a0578293aa334176879", 
    "message": "success!"
}
```
## 4、参加SKU排队活动时检测APP版本号##
参加SKU排队活动时检测APP版本号（method=app.drawline.addQueue）
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|
#### 请求参数
| 参数名称 | 参数类型 | 长度 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:|----:| 
|activityId|Integer|1-5|否||无|活动id| 
|app_version|String|1-10|否||无|版本号|
|uid|Integer|1-10|否||无||
|userType|Byte|1|是|1,2|1|用户类型(1真实用户，2马甲用户)|
|sort|Integer|1-7|是|||排队序号|
|limit|Integer|1-3|是|||分页大小|
#### 接口说明
| 接口说明|| 
|:-------| -----:|
|请求域名|http://api.yoho.cn|
|接口名|app.drawline.addQueue|
|接口说明|参加SKU排队活动时检测APP版本号息|
|http请求方式|POST/GET|

注意，通用的头部没有列出。
请求示例http://127.0.0.1:8090/activity/?method=app.drawline.addQueue&app_version=4.0.1&uid=109&activityId=11

### 响应
code为200即为成功，否则是失败。
响应JSON格式如下所示:
```json
{
  "code": 900001006,
  "message": "版本过低，请更新",
  "md5": "f4a7a490bb6666b005008d795ed14e5d",
  "alg": "SALT_MD5",
  "data": {}
}
```
## 5、我的限购码##
我的限购码（method=app.limitcode.query）
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|
#### 请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| ----:| 
|uid|int|1-10|否||无|用户id| 
#### 接口说明
| 接口说明|| 
|:-------| -----:|
|请求域名|http://api.yoho.cn|
|接口名|app.limitcode.query|
|接口说明|我的限购码|
|http请求方式|POST/GET|

注意，通用的头部没有列出。
请求示例http://127.0.0.1:8080/gateway/?method=app.limitcode.query&uid=12710899

### 响应
code为200即为成功，否则是失败。
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "invalidLimitCodeProducts": [],
    "limitCodeProducts": [{
"defaultUrl":"http://img11.static.yhbimg.com/goodsimg/2016/04/15/11/011c20479a68be0e4ef15cca3b2ce89f6d.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
"limitCode":"2aD3U14L2",
"limitProductCode":"2016041511502657",
"price":"¥1499.00",
"productName":"大牌合作超强联手PUMA x McQ Brace Mid black强势来袭",
"productSkn":"51162585",
"productSku":"578965",
"color_name":"黑色"，
"size_name":"42码",
"status":"1"
}]
  },
  "md5": "3023b84ee63d9ea554cbbd0bf40fef62",
  "message": "操作成功"
}
```

## 6、限定商品详情##
限定商品详情（method=app.limitProduct.limitProductDetail）
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|
#### 请求参数
| 参数名称 | 参数类型 |长度 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| ----:| 
|uid|int|1-10|是||0|用户id|
|limitProductCode|String|1-20|否||无||
#### 接口说明
| 接口说明|| 
|:-------| -----:|
|请求域名|http://api.yoho.cn|
|接口名|app.limitProduct.limitProductDetail|
|接口说明|限定商品详情|
|http请求方式|POST/GET|

注意，通用的头部没有列出。
请求示例http://127.0.0.1:8080/gateway/?method=app.limitProduct.limitProductDetail&uid=12710899&limitProductCode=2016022420292150

### 响应
code为200即为成功，否则是失败。
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data":
  {"alertFlag":true,
"attachment":
[{"attachName":"",
"attachType":1,
"attachUrl":"",
"id":25197,
"intro":"",
"isDefault":1,
"orderBy":1,
"productId":167,
"status":0},
"batchNo":"2016040718244343",
"defaultUrl":"http://img12.static.yhbimg.com/goodsimg/2016/04/19/11/028199c467efae8038f9705534c8277225.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
"description":"",
"hotFlag":1,
"id":167,
"limitProductCode":"2016041911341815",
"limitProductType":1,
"oldSaleTime":1461297600,
"orderBy":9,
"colorName":"黑色",
"sizeName":"42码",
"selectSKU":"51187",
"relatedSKU":true,
"queueType":"1",
"price":"¥1099.00",
"productName":"大牌合作超强联手PUMA x McQ Brace Lo Femme White",
"productSkn":51162584,
"reminderNum":22702,
"saleStatus":0,
"saleTime":"2016年4月22日",
"shareUrl":"http://m.yohobuy.com/product/detail/limit?code=2016041911341815",
"showFlag":1,
"showStatus":6},
"md5":"19d342768d9ec4db0ab21bb5d96430df",
"message":"detail limitproduct info"
}
```