## 1、查询该订单是否可以分享##

查询该订单是否可以分享,当可分享时可获得分享活动的详细参数（method=app.activity.getInfoOfOrderShare）


**除公共参数外的请求参数：**

| 参数名称 | 参数类型 |可否为空  |示例 |默认值  | 备注 |
| ---------|:--------:| --------:|-----:|------:|-----:|
|ordercode   |string    |否  |20160601sdfasffx |  |订单编号|
|uid   |int    |否  |1 |  |用户id|




请求示例http://192.168.102.222:8090/activity?method=app.activity.getInfoOfOrderShare

请求body

     {
     "ordercode": "20160601sdfasffx",
     "uid": 1
     }
    
**响应**

code为200即为成功，否则是失败。 响应JSON格式如下所示:

a、可以分享时flag为1，可获得分享活动部分参数，data内为分享活动各参数，如id为分享活动id
     
     
     {
      "code":200,
      "message":"success",
      "md5":null,
      "data":{
        "id":1,
        "activityName":"订单分享活动",
        "showPic":"",
        "isShowPic":1,
        "h5Title":"领取红包",
        "unregistCouponId":"",
        "registCouponId":"",
        "couponMaxNum":0,
        "shareMaxNum":5,
        "activityNormalPic":"",
        "activityEndPic":"http://img12.static.yhbimg.com/activity/2016/06/02/16/0209a0302f32737d0995e48ed2f8ed629c.png",
        "shareImgUrl":"",
        "shareTitle":"",
        "shareContent":"",
        "activityDesc":"",
        "beginTime":1464749950,
        "endTime":1474749950,
        "couponPic":"",
        "oldUserCouponPic":"http://img11.static.yhbimg.com/activity/2016/06/02/17/01acc075e95cbd97ecff553747c8ef4f12.png",
        "buttonLink":"",
        "createTime":0,
        "flag":1,
        "shareUrl":"coupon/index?ordercode=1sfasddf&uid=1"
      }
     }
     
     

b、不可分享时，当flag=2或者flag=7时分享活动的各参数全部为null，当flag为其他值分享活动的各参数除h5Title和activityEndPic外全部为null，
    flag=2表示不存在分享活动，
    flag=3表示分享活动已结束，
    flag=4表示分享活动未开始，
    flag=5表示用户当天已达到分享最大数，
    flag=6表示不显示APP内弹框，
    flag=7表示输入参数有误。

     
     {
      "code":200,
      "message":"success",
      "md5":null,
      "data":{
       "id":null,
       "activityName":null,
       "showPic":null,
       "isShowPic":null,
       "h5Title":"领取红包",
       "unregistCouponId":null,
       "registCouponId":null,
       "couponMaxNum":null,
       "shareMaxNum":null,
       "activityNormalPic":null,
       "activityEndPic":"http://img12.static.yhbimg.com/activity/2016/06/02/16/0209a0302f32737d0995e48ed2f8ed629c.png",
       "shareImgUrl":null,
       "shareTitle":null,
       "shareContent":null,
       "activityDesc":null,
       "beginTime":null,
       "endTime":null,
       "couponPic":null,
       "oldUserCouponPic":null,
       "buttonLink":null,
       "createTime":null,
       "flag":2,
       "shareUrl":""
      }
     }
     
     
## 2、订单分享领券##
输入手机号领券（method=wap.order.drawOrderShareCoupon）
如果手机号没有注册过，直接发注册验证码
#### 请求参数
| 参数名称 | 参数类型 |可否为空  |示例 |默认值  | 备注 |
| ---------|:--------:| --------:|-----:|------:|-----:|
|mobile   |string    |否  |13999999999 |  |11位手机号|
|ordercode   |string    |否  |907540150 |  |订单编号|
#### 响应参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
| ---------|:--------:| --------:|-----:|------:|-----:|
|mobile   |string    |否  |13999999999 |  |11位手机号|
|ordercode   |string    |否  |907540150 |  |订单编号|
|coupon   |string    |是  |XXXXX |  |优惠码|
|returnCode   |int    |否  |0 |  |返回码|
|returnMsg   |string    |是  |0 |  |返回信息|
#### returnCode取值说明
```
0,  成功;
1,  输入手机号错误;
2,  手机号还没有注册用户;
3,  活动已过期;
4,  老用户领券超过限制数量;
5,  注册验证码验证失败;
6,  用户注册失败;
7,  优惠码发送失败;
8,  当天已经领过券不允许再次领取;
9,  订单号不可为空;
```
请求示例
http://192.168.102.222:8090/activity/?method=wap.order.drawOrderShareCoupon&mobile=13999999999&ordercode=907540150&debug=XYZ
### 响应
code为200即为响应成功，否则为响应异常。返回结果参考returnCode字段
响应JSON格式如下所示:
```
{
"code": 200
"message": "ok"
"md5": "412bea3eeb4e00450e05bdfc378826e2"
"data": {
"mobile": "13999999999"
"orderCode": 907540150
"coupon": null
"returnCode": 2
"returnMsg": "该手机号没有注册，已发送注册验证码"
}-
}
```

## 3、验证注册码进行注册并发券##
注册码验证注册并发券（method=wap.order.registerAndSendCoupon）
#### 请求参数
| 参数名称 | 参数类型 |可否为空  |示例 |默认值  | 备注 |
| ---------|:--------:| --------:|-----:|------:|-----:|
|mobile   |string    |否  |13999999999 |  |11位手机号|
|ordercode   |string    |否  |907540150 |  |订单编号|
|identifycode   |string    |否  |1234 |  |注册验证码|
#### 响应参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
| ---------|:--------:| --------:|-----:|------:|-----:|
|mobile   |string    |否  |13999999999 |  |11位手机号|
|ordercode   |string    |否  |907540150 |  |订单编号|
|coupon   |string    |是  |XXXXX |  |优惠码|
|returnCode   |int    |否  |0 |  |返回码|
|returnMsg   |string    |是  |0 |  |返回信息|
#### returnCode取值说明
```
0,  成功;
1,  输入手机号错误;
2,  手机号还没有注册用户;
3,  活动已过期;
4,  老用户领券超过限制数量;
5,  注册验证码验证失败;
6,  用户注册失败;
7,  优惠码发送失败;
8,  当天已经领过券不允许再次领取;
9,  订单号不可为空;
10,  验证码不可为空;
```
请求示例
http://192.168.102.222:8090/activity/?method=wap.order.registerAndSendCoupon&mobile=18751886435&ordercode=907540150&identifycode=4172&debug=XYZ
### 响应
code为200即为响应成功，否则为响应异常。返回结果参考returnCode字段
响应JSON格式如下所示:
```
{
"code": 200
"message": "ok"
"md5": "c5944fb93fab705f2e6e8cbe27082d98"
"data": {
"mobile": "18751886435"
"orderCode": 907540150
"coupon": "a6c1b75f9"
"returnCode": 0
"returnMsg": ""
}-
}
```


## 4、查询订单分享活动详细信息##

查询分享活动信息,当存在分享活动时可获得分享活动的详细参数（method=wap.activity.getActivityInfo）


请求示例http://devapi.yoho.cn:58078/?method=wap.activity.getActivityInfo

除公共参数外无其他请求参数
    
**响应**

code为200即为成功，否则是失败。 响应JSON格式如下所示:
     
     a、当存在分享活动时，data内参数为活动详细信息，格式如下
     {
        "code":200,
        "message":"success",
        "md5":null,
        "data":{
            "id":1,
            "activityName":"订单分享领券优惠",
            "showPic":"",
            "isShowPic":1,
            "h5Title":"领取红包",
            "activityNormalPic":"http://img12.static.yhbimg.com/activity/2016/06/02/16/0230c0b36c715f48b8afce9b295e0a86fc.png",
            "activityEndPic":"http://img12.static.yhbimg.com/activity/2016/06/02/16/0209a0302f32737d0995e48ed2f8ed629c.png",
            "shareImgUrl":"http://img13.static.yhbimg.com/activity/2016/06/02/16/029e46545cb38845ec1a701d0701f1e620.png",
            "shareTitle":"Hi，有货狂撒红包啦，快来抢！",
            "shareContent":"跑男独家服装赞助商YOHO!BUY有货狂撒红包，先来先抢~",
            "activityDesc":"<div class=\"activity-message\">\r\n\t<h3>活动说明</h3>\r\n\t<div class=\"message\">\r\n\t\t<P>1.使用红包中优惠券时的下单手机号需为抢红包时使用的手机号；</P>\r\n\t\t<P>2.优惠券仅在线支付时使用，每张订单仅限使用一张优惠券，过期无效；</P>\r\n\t\t<P>3.每位获得发红包机会的用户，一天最多可获得五次发红包机会；</P>\r\n\t\t<P>4.本次活动所获现金券红包仅限YOHO!BUY有货商城购买商品使用，不得转借他人，不可兑换现金；</P>\r\n\t\t<P>5.本活动仅限普通消费者参与，如有代购行为YOHO!BUY有货有权取消订单并做相关处理；</P>\r\n\t\t<P>6.YOHO!BUY有货在法律允许范围内拥有本规则解释权</P>\r\n\t</div>\r\n</div>",
            "beginTime":1464883200,
            "endTime":1483199999,
            "couponPic":"http://img10.static.yhbimg.com/activity/2016/06/02/17/01288c9c9be0b9b0e3609e7dc1f63298a8.png",
            "oldUserCouponPic":"http://img11.static.yhbimg.com/activity/2016/06/02/17/01acc075e95cbd97ecff553747c8ef4f12.png",
            "buttonLink":"","createTime":1464883200
        }
     }
     
     
     b、当无分享活动时，data为null，格式如下：
     {
        "code":200,
        "message":"success",
        "md5":null,
        "data":null
     }
     