## 1、活动首页 ##
活动首页。查询已经接受该用户的邀请的用户列表（?method=wap.invite.index）

#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 |  
|:-------| -----:|-----:|-----:|-----:|-----:|----:|  
|uid|int|否|50001796|0|用户id| 
|activityId|int|否|50001796|0|活动id| 

### 请求示例
http://api.yoho.cn?method=wap.invite.index&uid=1&activityId=2

### 响应
code为200即为成功，否则是失败。 
 - 500-活动不存在
 - 400-活动状态不正确
 - 401-没有分享记录
 
响应参数，data部分  


| 参数名称 | 参数类型 | 示例  | 备注 |  
|:-------| -----:|-----:|-----:|----:|  
|id|int|123|主键id|
|uid|int|123|获取优惠券的好友的uid|
|shareUid|int|123|由谁发起分享的用户的uid|
|openId|string|adfadsf|获取优惠券的好友的第三方id|
|couponId|int|12345|优惠券id|
|couponCode|string|12345|优惠券码|
|couponAmount|BigDecimal|20|优惠券金额|
|activityId|int|20|活动|
|createTime|int|12121212121|领取时间（时间戳：秒数）|
|couponType|int|2|优惠券类型（1-新用户券，0-老用户券；2-分享者所得的券）|
|status|int|1|状态（0-未发券，1-已发券）|
|orderCode|int|1|订单编号|

响应成功JSON格式如下所示:
```json
{
    "alg": "SALT_MD5", 
    "code": 200, 
    "data": [{
        "id" : 1,
        "uid" : 2,
        "shareUid" : 3,
        "openId" : "adfasdf",
        "couponId" : 12121,
        "couponCode" : "asdgsdfg",
        "couponAmount" : 20,
        "activityId" : 4,
        "createTime" : 1212134234,
        "couponType" : 2,
        "status" : 1,
        "orderCode" : 7813491234
    }], 
    "md5": "bc08c52373b36a0578293aa334176879", 
    "message": "success!"
}
```


## 2、发送已注册用户参与活动的优惠券 ##
发送已注册用户参与活动的优惠券（?method=wap.invite.checkOldUserCoupon）

#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 |  
|:-------| -----:|-----:|-----:|-----:|-----:|----:|  
|mobile|string|否|12345677|0|用户手机号码| 
|activityId|int|否|50001796|0|活动id| 

### 请求示例
http://api.yoho.cn?method=wap.invite.checkOldUserCoupon&mobile=1391234567&activityId=2

### 响应
code为200即为成功，否则是失败。 
 - 300-参数错误
 - 404-用户不存在
 - 201-已经领取过
 
响应参数，data部分  


| 参数名称 | 参数类型 | 示例  | 备注 |  
|:-------| -----:|-----:|-----:|----:|  
|uid|int|123|用户uid|


响应成功JSON格式如下所示:
```json
{
    "alg": "SALT_MD5", 
    "code": 200, 
    "data": {
        "uid" : 12121
    }, 
    "md5": "bc08c52373b36a0578293aa334176879", 
    "message": "success!"
}
```

## 3、邀请好友赢福利之后领取优惠券 ##
邀请好友赢福利之后领取优惠券(?method=wap.invite.receiveCoupons）

#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 |  
|:-------| -----:|-----:|-----:|-----:|-----:|----:|  
|uid|int|否|50001796|0|用户id| 
|activityId|int|否|22|0|活动id|
|nums|int|否|2|0|发送优惠券的数量|
|shareUid|int|否|50001711|0|分享者的uid|
|openId|String|否|adb124||微信的union_id|


### 请求示例
http://api.yoho.cn?method=wap.invite.receiveCoupons&uid=50001796&activityId=22&nums=2&shareUid=50001711&openId=adb124

### 响应
code为200即为成功，否则是失败。
 - 300-很抱歉！参数错误 
 - 500-活动不存在
 - 400-活动状态不正确
 - 401-没有分享记录
 -304:很抱歉！优惠券信息不存在
 
响应参数，data部分  


| 参数名称 | 参数类型 | 示例  | 备注 |  
|:-------| -----:|-----:|-----:|----:|  
|url|String|/appactive/invite/shareover|跳转的url|

响应成功JSON格式如下所示:
```json
{
    "alg": "SALT_MD5", 
    "code": 200, 
    "data": [{
        "url" : /appactive/invite/shareover,
    }], 
    "md5": "bc08c52373b36a0578293aa334176879", 
    "message": "success!"
}
```


## 4、微信好友获取红包方法(即分享出去的地址) ##
微信好友获取红包方法(即分享出去的地址)(?method=wap.invite.share）

#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 |  
|:-------| -----:|-----:|-----:|-----:|-----:|----:|  
|uid|int|否|50001796|0|用户id| 
|activityId|int|否|22|0|活动id|
|nums|int|否|2|0|发送优惠券的数量|
|openId|String|否|adb124||微信的union_id|
|nickName|String|否|-|0|微信昵称|
|headImgUrl|String|否|-|0|微信头像|


### 请求示例
http://api.yoho.cn?method=wap.invite.share&uid=50001796&activityId=22&nums=2&openId=adb124&nickName=清凉&headImgUrl=

### 响应
code为200即为成功，否则是失败。
 - 300-很抱歉！参数错误
 - 401-没有分享记录
 
响应参数，data部分  


| 参数名称 | 参数类型 | 示例  | 备注 |  
|:-------| -----:|-----:|-----:|----:|  
|shareUrl|String|-|跳转的url|
|activityBo|Object|-|活动信息|
|list|Array|-|分享记录列表|
|shareUid|int|-|分享着uid|
|nums|int|-|数量|
|activityId|int|-|活动id|

响应成功JSON格式如下所示:
```json
{
    "alg": "SALT_MD5", 
    "code": 200, 
    "data": [{
        "shareUrl" : "...."
    }], 
    "md5": "bc08c52373b36a0578293aa334176879", 
    "message": "success!"
}
```


## 5、好友领取完优惠券的页面 ##
好友领取完优惠券的页面(?method=wap.invite.myCoupons）

#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 |  
|:-------| -----:|-----:|-----:|-----:|-----:|----:|  
|uid|int|否|50001796|0|用户uid| 
|shareUid|int|否|22|0|分享着uid|
|nums|int|否|2|0|发送优惠券的数量|
|amount|String|否|4||金额|
|activityId|String|否|-|0|活动id|


### 请求示例
http://api.yoho.cn?method=wap.invite.myCoupons&uid=50001796&shareUid=121254&nums=3&amount=4&activityId=22

### 响应
code为200即为成功，否则是失败。
 - 300-很抱歉！参数错误
 
响应参数，data部分  


| 参数名称 | 参数类型 | 示例  | 备注 |  
|:-------| -----:|-----:|-----:|----:|  
|myProfile|Object|-|用户profile信息|
|list|Array|-|分享记录列表|
|amount|int|-|金额|

响应成功JSON格式如下所示:
```json
{
    "alg": "SALT_MD5", 
    "code": 200, 
    "data": {
        "myProfile" : {"uid":1111,"email":"aabbc@dd.com","mobile":"15464652135"},
        "list":[{}],
        "amount":4
    }, 
    "md5": "bc08c52373b36a0578293aa334176879", 
    "message": "success!"
}
```


## 6、根据第三方id，查询绑定信息 ##
根据第三方id，查询绑定信息（?method=wap.invite.getBindLogByOpenId）

#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 |  
|:-------| -----:|-----:|-----:|-----:|-----:|----:|  
|openIds|string|否|a,b,c|0|第三方id，用逗号隔开| 


### 请求示例
http://api.yoho.cn?method=wap.invite.getBindLogByOpenId&openIds=a,b,c

### 响应
code为200即为成功，否则是失败。 

 
响应参数，data部分  


| 参数名称 | 参数类型 | 示例  | 备注 |  
|:-------| -----:|-----:|-----:|----:|  
|id|int|123|主键id|
|uid|int|123|用户uid|
|openId|string|adfadsf|第三方id|
|snsNick|string|adfadsf|昵称|
|snsHeadimg|string|adfadsf|头像|
|bindTime|int|1234566|绑定时间（时间戳：秒）|
|snsType|int|1|第三方平台类型 1微信 2微博|


响应成功JSON格式如下所示:
```json
{
    "alg": "SALT_MD5", 
    "code": 200, 
    "data": [{
        "id" : 1,
        "uid" : 2,
        "openId" : "adfasdf",
        "snsNick" : "adsfasdf",
        "snsHeadimg" : "http:///",
        "bindTime" : 1352435234,
        "snsType" : 1
    }], 
    "md5": "bc08c52373b36a0578293aa334176879", 
    "message": "success!"
}
```


## 7、注册 ##
注册（?method=wap.invite.register）

#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 |  
|:-------| -----:|-----:|-----:|-----:|-----:|----:|  
|mobile|string|否|12356984542||手机号|
|activityName|string|否|||活动名称|


### 请求示例
http://api.yoho.cn?method=wap.invite.register&mobile=12584569325&activityName=邀请好友赢福利

### 响应
code为200即为成功，否则是失败。 

响应成功JSON格式如下所示:
```json
{
    "alg": "SALT_MD5", 
    "code": 200, 
    "data": {},
    "md5": "bc08c52373b36a0578293aa334176879", 
    "message": "success!"
}
```