## 1、我的帖子列表##

我的帖子（method=app.social.getMyPostList）
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|uid|String|否|32423|0|作者id|
|lastedTime|int|是|1467769943000|0|时间戳|
|limit|int|是|5|10|每页多少条|

注意，通用的头部没有列出。  
请求示例
http://192.168.102.205:8095/social/?method=app.social.getMyPostList&uid=2222222&lastedTime=1467769943000&limit=2&debug=XYZ

### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
    "alg": "SALT_MD5",
    "code": 200,
    "data": {
        "lastedTime": 1467116319000,
        "list": [
            {
                "isIndexTop": 0,
                "blocks": [
                    {
                        "contentData": "啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊",
                        "templateKey": "text",
                        "order": 1
                    },
                    {
                        "contentData": "http://img12.static.yhbimg.com/goodsimg/2016/06/06/05/02e8b4a63c0101b1a1a8f04b53d817b9d4.png",
                        "templateKey": "image",
                        "order": 2
                    },
                    {
                        "contentData": "http://img10.static.yhbimg.com/yhb-img01/2016/06/28/17/01b4ab5ad41e5b2d1106915828f41c4bc6.jpg",
                        "templateKey": "image",
                        "order": 3
                    },
                    {
                        "contentData": "http://img10.static.yhbimg.com/yhb-img01/2016/06/28/17/01b4ab5ad41e5b2d1106915828f41c4bc6.jpg",
                        "templateKey": "image",
                        "order": 4
                    },
                    {
                        "contentData": "http://img12.static.yhbimg.com/goodsimg/2016/06/06/05/02e8b4a63c0101b1a1a8f04b53d817b9d4.png",
                        "templateKey": "image",
                        "order": 5
                    },
                    {
                        "contentData": "http://img10.static.yhbimg.com/yhb-img01/2016/06/28/17/01b4ab5ad41e5b2d1106915828f41c4bc6.jpg",
                        "templateKey": "image",
                        "order": 6
                    },
                    {
                        "contentData": "http://img12.static.yhbimg.com/goodsimg/2016/06/06/05/02e8b4a63c0101b1a1a8f04b53d817b9d4.png",
                        "templateKey": "image",
                        "order": 7
                    }
                ],
                "updateTime": 0,
                "praise": 0,
                "revieweTime": 0,
                "isForumTop": 1,
                "postsTitle": "棉花米阿奴啊",
                "createTime": 1467616949000,
                "forumCode": 1002,
                "comment": 4,
                "id": 82,
                "revieweState": 0,
                "isHot": 1,
                "hasPraise":"N",
                "browse": 0,
                "status": 0
            },
            {
                "isIndexTop": 0,
                "blocks": [
                    {
                        "contentData": "http://img12.static.yhbimg.com/goodsimg/2016/06/06/05/02e8b4a63c0101b1a1a8f04b53d817b9d4.png",
                        "templateKey": "image",
                        "order": 1
                    },
                    {
                        "contentData": "http://img12.static.yhbimg.com/goodsimg/2016/06/06/05/02e8b4a63c0101b1a1a8f04b53d817b9d5.png",
                        "templateKey": "image",
                        "order": 2
                    }
                ],
                "updateTime": 0,
                "praise": 0,
                "revieweTime": 0,
                "isForumTop": 0,
                "forumName": "复古市集会",
                "createTime": 1467116319000,
                "forumCode": 10002,
                "comment": 1,
                "id": 64,
                "revieweState": 0,
                "isHot": 0,
                "hasPraise":"N",
                "browse": 0,
                "status": 0
            }
        ],
        "pageSize": 2,
        "total": 0
    },
    "md5": "7043cfda6b6dd513d2af38f6e010eba4",
    "message": "我的帖子"
}
```

```json
{
    "message": "用户ID不能为空",
    "code": 401
}
```

## 2、我的回复列表##
我的回复列表（method=app.social.getMyCommentList）

#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |长度| 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|uid|string|1-11|否|8050840||用户id|
|lastedTime|String|13|否|1467773595102||时间戳|
|limit|String|1-3|否|10||一页展示条数|

#### 接口说明
| 接口说明|| 
|:-------| -----:|
|请求域名|http://api.yoho.cn|
|接口名|app.social.getMyCommentList|
|接口说明|获取用户信息|
|http请求方式|POST/GET|
#### 返回错误
|错误code|错误提示|
|:-------| -----:|
|400|用户id不能为空.|

注意，通用的头部没有列出。  
请求示例
http://192.168.102.205:8095/social/?method=app.social.getMyCommentList&uid=8050840&lastedTime=1467773595102&limit=10

### 响应
code为200即为成功，否则是失败。 
响应参数，data部分  
响应成功JSON格式如下所示:
```json
{
  "code": 200,
  "message": "获取评论列表成功.",
  "md5": "45729915581795712896510403a6125c",
  "alg": "SALT_MD5",
  "data": {
    "total": 2,
    "pageSize": 10,
    "lastedTime": 1468414111810,
    "list": [
      {
        "id": 76,
        "createTime": 1468414618470,
        "postInfo": {
          "postId": 346,
          "authorUid": 8657461,
          "title": "1,1",
          "type": "text"
        },
        "reply": {
          "nickName": "棉花也是花",
          "headIcon": "http://img03.res.yohoshow.com/headimg/2014/08/11/08/01701f83b911bc874fb9435d311db0aaf2.jpg",
          "uid": 8657461,
          "signature": "这是一个无关紧要的签名"
        },
        "replyTo": {
          "nickName": "棉花也是花",
          "headIcon": "http://img03.res.yohoshow.com/headimg/2014/08/11/08/01701f83b911bc874fb9435d311db0aaf2.jpg",
          "uid": 8657461,
          "signature": "这是一个无关紧要的签名"
        },
        "blocks": [
          {
            "commentId": 76,
            "content": "新的回复",
            "templateKey": "text",
            "orderBy": 0
          }
        ]
      },
      {
        "id": 74,
        "createTime": 1468414111810,
        "postInfo": {
          "postId": 346,
          "authorUid": 8657461,
          "title": "1,1",
          "type": "text"
        },
        "reply": {
          "nickName": "棉花也是花",
          "headIcon": "http://img03.res.yohoshow.com/headimg/2014/08/11/08/01701f83b911bc874fb9435d311db0aaf2.jpg",
          "uid": 8657461,
          "signature": "这是一个无关紧要的签名"
        },
        "replyTo": {
          "nickName": "棉花也是花",
          "headIcon": "http://img03.res.yohoshow.com/headimg/2014/08/11/08/01701f83b911bc874fb9435d311db0aaf2.jpg",
          "uid": 8657461,
          "signature": "这是一个无关紧要的签名"
        },
        "blocks": [
          {
            "commentId": 74,
            "content": "afasfsdfaw窝22",
            "templateKey": "text",
            "orderBy": 0
          }
        ]
      }
    ]
  }
}
```
响应失败JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 500,
  "data": [],
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "message": "用户id不能为空."
}
```
## 3、我点赞的帖子列表##
我点赞的帖子列表（method=app.social.getMyPraisePostList）

#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |长度| 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|uid|string|1-11|否|8050840||用户id|
|lastedTime|String|13|否|1467773595102||时间戳|
|limit|String|1-3|否|10||一页展示条数|

#### 接口说明
| 接口说明|| 
|:-------| -----:|
|请求域名|http://api.yoho.cn|
|接口名|app.social.getMyPraisePostList|
|接口说明|获取用户信息|
|http请求方式|POST/GET|
#### 返回错误
|错误code|错误提示|
|:-------| -----:|
|400|用户id不能为空.|

注意，通用的头部没有列出。  
请求示例
http://192.168.102.205:8095/social/?method=app.social.getMyPraisePostList&uid=8050840&lastedTime=1467773595102&limit=10

### 响应
code为200即为成功，否则是失败。 
响应参数，data部分  
响应成功JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "list": [
      {
        "isIndexTop": 0,
        "blocks": [
          {
            "contentData": "前几天这条关于adidas Originals NMD入手攻略的资讯发布后，评论区的童鞋们都“炸”啦，各种关于如何排队如何购买的问题一股脑地涌来。为了让大家能顺利买到NMD，今天小编就扮演一下临时客服，帮大家解决几个困惑。",
            "templateKey": "text",
            "order": 1
          },
          {
            "contentData": "http://img11.static.yhbimg.com/yhb-img01/2016/03/11/07/017c954c712e3e732f565d56d193c761af.jpg?imageView/2/w/640/h/640",
            "templateKey": "image",
            "order": 2
          },
          {
            "contentData": "http://img11.static.yhbimg.com/yhb-img01/2016/03/11/07/012868bed62e639554e5fecb09b6d44cfe.jpg?imageView/2/w/640/h/640",
            "templateKey": "image",
            "order": 3
          }
        ],
        "updateTime": 0,
        "praise": 13,
        "revieweTime": 0,
        "isForumTop": 0,
        "postsTitle": "害怕抢不到NMD？别担心，至少他们都不是你的对手！",
        "createTime": 1467180294,
        "forumCode": 10001,
        "comment": 5,
        "id": 80,
		"hasPraise":"N",
        "revieweState": 0,
        "isHot": 0,
        "browse": 0,
        "status": 0
      }
    ],
    "lastedTime": 1467773595102,
    "pageSize": 10,
    "total": 0
  },
  "md5": "ed0770fb2e1943c816c9beb4ff60d721",
  "message": "获取我点赞的帖子列表成功."
}
```
响应失败JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 400,
  "data": [],
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "message": "用户id不能为空."
}
```

## 4、同步用户到社区##
同步用户到社区（method=app.social.synCommunityUser）

#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |长度| 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|uid|int|1-11|否|8050840||uid|
|appType|String|1|否|1||客户端来源类型 1表示yohobuy其他客户端不需要传|

#### 接口说明
| 接口说明|| 
|:-------| -----:|
|请求域名|http://api.yoho.cn|
|接口名|app.social.synCommunityUser|
|接口说明|4、同步用户到社区|
|http请求方式|POST/GET|
#### 返回错误
|错误code|错误提示|
|:-------| -----:|
|400|uid is null.|

注意，通用的头部没有列出。  
请求示例
http://192.168.102.205:8095/social/?method=app.social.synCommunityUser&uid=8050840&appType=1

### 响应
code为200即为成功，否则是失败。 
响应参数，data部分  
响应成功JSON格式如下所示:
```json
{
  "code": 200,
  "message": "同步成功.",
  "md5": "d1daaff197158bfdba4545df45a75460",
  "alg": "SALT_MD5",
  "data": {
    "birthday": "2015-12-26",
    "income": 10,
    "profession": 1,
    "ssoUid": "8050839",
    "gender": "1",
    "signature": "来有货玩潮流！领NMD!",
    "nickName": "MayDay_1998_N",
    "weight": 60,
    "realName": "Jay",
    "headIco": "http://img10.static.yhbimg.com/yhb-img01/2016/06/28/17/01b4ab5ad41e5b2d1106915828f41c4bc6.jpg",
    "msgcount": 0,
    "age": 18,
    "height": 175
  }
}
```
响应失败JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 400,
  "data": [],
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "message": "uid is null."
}
```
## 5、获取用户信息##
获取用户信息（method=app.social.getUserInfo）

#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |长度| 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|uid|int|1-11|否|8050840||uid|

#### 接口说明
| 接口说明|| 
|:-------| -----:|
|请求域名|http://api.yoho.cn|
|接口名|app.social.getUserInfo|
|接口说明|获取用户信息|
|http请求方式|POST/GET|
#### 返回错误
|错误code|错误提示|
|:-------| -----:|
|400|uid is null.|
|500|user info is null.|

注意，通用的头部没有列出。  
请求示例
http://192.168.102.205:8095/social/?method=app.social.getUserInfo&uid=8050840

### 响应
code为200即为成功，否则是失败。 
响应参数，data部分  
响应成功JSON格式如下所示:
```json
{
  "code": 200,
  "message": "获取用户信息成功",
  "md5": "c20f31e50478cd86241c54a548c43e23",
  "alg": "SALT_MD5",
  "data": {
    "uid": 8657461,
    "nickName": "棉花也是花",
    "gender": null,
    "age": null,
    "birthday": null,
    "realName": null,
    "headIco": "http://img03.res.yohoshow.com/headimg/2014/08/11/08/01701f83b911bc874fb9435d311db0aaf2.jpg",
    "createTime": null,
    "updateTime": null,
    "height": null,
    "weight": null,
    "income": null,
    "profession": null,
    "signature": null,
    "channel": null,
    "backgroundImage": "http://img03.res.yohoshow.com/headimg/2014/08/11/08/01701f83b911bc874fb9435d311db0aaf2.jpg"
  }
}
```
响应失败JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 400,
  "data": [],
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "message": "uid is null"
}
```
```json
{
  "alg": "SALT_MD5",
  "code": 500,
  "data": [],
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "message": "user info is null"
}
```
## 6、修改用户头像##
获取用户信息（method=app.social.updateUserInfo）

#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |长度| 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|uid|int|1-11|否|8050839||uid|
|headIco|String|1-50|否|/2016/06/28/17/01b4ab5ad41e5b2d1106915828f41c4bc6.jpg||头像|

#### 接口说明
| 接口说明|| 
|:-------| -----:|
|请求域名|http://api.yoho.cn|
|接口名|app.social.updateUserInfo|
|接口说明|获取用户信息|
|http请求方式|POST/GET|
#### 返回错误
|错误code|错误提示|
|:-------| -----:|
|400|uid is null.|
|405更新用户信息失败,昵称重复.|
|500|更新用户信息失败.|

注意，通用的头部没有列出。  
请求示例
http://192.168.102.205:8095/social/?method=app.social.updateUserInfo&uid=8050839&headIco=http://img10.static.yhbimg.com/yhb-img01/2016/06/28/17/01b4ab5ad41e5b2d1106915828f41c4bc6.jpg

### 响应
code为200即为成功，否则是失败。 
响应参数，data部分  
响应成功JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": [],
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "message": "更新用户信息成功"
}
```
响应失败JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 400,
  "data": [],
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "message": "uid is null"
}
```
```json
{
  "alg": "SALT_MD5",
  "code": 405,
  "data": [],
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "message": "更新用户信息失败."
}
```

## 7、修改用户昵称、签名##
获取用户信息（method=app.social.updateUserInfo）

#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |长度| 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|uid|String|1-11|否|8050839||uid|
|nickName|String|1-20|否|JAY||昵称|
|signature|String|1-50|否|来有货玩潮流！领NMD!||签名|

#### 接口说明
| 接口说明|| 
|:-------| -----:|
|请求域名|http://api.yoho.cn|
|接口名|app.social.updateUserInfo|
|接口说明|获取用户信息|
|http请求方式|POST/GET|
#### 返回错误
|错误code|错误提示|
|:-------| -----:|
|400|uid is null.|
|405更新用户信息失败,昵称重复.|
|500|更新用户信息失败.|

注意，通用的头部没有列出。  
请求示例
http://192.168.102.205:8095/social/?method=app.social.updateUserInfo&uid=8050839&signature=来有货玩潮流！领NMD!&nickName=MayDay_1998_NMD

### 响应
code为200即为成功，否则是失败。 
响应参数，data部分  
响应成功JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": [],
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "message": "更新用户信息成功"
}
```
响应失败JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 400,
  "data": [],
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "message": "uid is null"
}
```
```json
{
  "alg": "SALT_MD5",
  "code": 405,
  "data": [],
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "message": "更新用户信息失败,昵称重复."
}
```
```json
{
  "alg": "SALT_MD5",
  "code": 405,
  "data": [],
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "message": "更新用户信息失败."
}
```
## 8、修改用户背景图片##
获取用户信息（method=app.social.updateUserInfo）

#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |长度| 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|uid|int|1-11|否|8050839||uid|
|bgPic|String|1-50|否|/2016/06/28/17/01b4ab5ad41e5b2d1106915828f41c4bc6.jpg||背景图片|

#### 接口说明
| 接口说明|| 
|:-------| -----:|
|请求域名|http://api.yoho.cn|
|接口名|app.social.updateUserInfo|
|接口说明|获取用户信息|
|http请求方式|POST/GET|
#### 返回错误
|错误code|错误提示|
|:-------| -----:|
|400|uid is null.|
|500|更新用户信息失败.|

注意，通用的头部没有列出。  
请求示例
http://192.168.102.205:8095/social/?method=app.social.updateUserInfo&uid=8050839&bgPic=http://img10.static.yhbimg.com/yhb-img01/2016/06/28/17/01b4ab5ad41e5b2d1106915828f41c4bc6.jpg

### 响应
code为200即为成功，否则是失败。 
响应参数，data部分  
响应成功JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": [],
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "message": "更新用户信息成功"
}
```
响应失败JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 400,
  "data": [],
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "message": "uid is null"
}
```
```json
{
  "alg": "SALT_MD5",
  "code": 405,
  "data": [],
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "message": "更新用户信息失败."
}
```

## 8、获取个人中心消息数##
获取个人中心消息数（method=app.social.getTotal）

#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |长度| 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|uid|String|1-11|否|8050839||uid|
|is_read|String|1|是|N|N|是否已读|

#### 接口说明
| 接口说明|| 
|:-------| -----:|
|请求域名|http://api.yoho.cn|
|接口名|app.social.getTotal|
|接口说明|获取个人中心消息数|
|http请求方式|POST/GET|
#### 返回错误
|错误code|错误提示|
|:-------| -----:|
|400|uid is null.|

注意，通用的头部没有列出。  
请求示例
http://192.168.102.205:8095/social/?method=app.social.getTotal&uid=8050426&is_read=N

### 响应
code为200即为成功，否则是失败。 
响应参数，data部分  
响应成功JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "total": "10"
  },
  "md5": "9f90870b7e9b81c25e0fe0781239409a",
  "message": "查询未读消息数成功."
}
```
响应失败JSON格式如下所示:
```json
{
  "message": "uid is null",
  "code": 400
}
```
