## 1、发帖子##

发帖子（method=app.social.addPost）
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|postsTitle|String|是|255||文章标题|
|uid|String|否|111213|0|作者ID|
|forumCode|String|否|100001|0|版块CODE|
|contentData|String|是|啊啊啊啊啊啊||内容|
|images|String|是|1|0|图片|

注意，通用的头部没有列出。  
请求示例
http://192.168.102.205:8095/social/?method=app.social.addPost&postsTitle=棉花米阿奴啊&uid=8657461&forumCode=10001&contentData=HHAHAHA&images=/2016/06/06/05/02e8b4a63c0101b1a1a8f04b53d817b9d4.png,/2016/06/06/05/02e8b4a63c0101b1a1a8f04b53d817b9d5.png


### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
    "code": 200,
    "message": "操作成功",
    "md5": "e94755baf4141dba54c2254ba0091a7a",
    "alg": "SALT_MD5",
    "data": {
        "code": 200,
        "message": "添加成功."
    }
}
```

```json
{
    "message": "请输入内容",
    "code": 406
}
```

```json
{
    "message": "请选择版块",
    "code": 403
}
```

```json
{
    "message": "作者不能为空",
    "code": 405
}
```

## 2、获取用户禁言和屏蔽昵称与否相关信息##

获取用户禁言和屏蔽昵称与否相关信息（method=app.social.getPostUser）
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|uid|string|否|111213|0|用户uid|


注意，通用的头部没有列出。  
请求示例
http://192.168.102.205:8095/social/?method=app.social.getPostUser&uid=8657461

### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
    "code": 200,
    "message": "操作成功",
    "md5": "13f655549daf36c77f3438e28bdf9a82",
    "alg": "SALT_MD5",
    "data": {
        "forbidSpeaking": "Y",
        "forbidNickname": "N"
    }
}
```

```json
{
    "message": "用户不存在",
    "code": 501
}
```

```json
{
    "message": "用户ID不能为空",
    "code": 401
}
```

## 3、获取版块信息##

获取版块信息（method=app.social.getForum）
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
无


注意，通用的头部没有列出。  
请求示例
http://192.168.102.205:8095/social/?method=app.social.getForum


### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
    "code": 200,
    "message": "操作成功",
    "md5": "a8a0371c2c8839bd58d66e4061de6e4a",
    "alg": "SALT_MD5",
    "data": [
        {
            "forumCode": 10004,
            "forumName": "SHOW",
            "forumPic": "http://img03.res.yohoshow.com/headimg/2014/08/11/08/01ff9975fd0998afe1596d8d65cb13b959.jpg",
            "forumDesc": "这是版块4的简介",
            "orderBy": 0,
            "position": 7,
            "magazineAdvertCode": "fa2ed392aa94e448ed47adfa13b759d7",
            "yohoAdvertCode": "fa2ed392aa94e448ed47adfa13b759d7"
        },
        {
            "forumCode": 10001,
            "forumName": "复古市集会",
            "forumPic": "http://img03.res.yohoshow.com/headimg/2014/08/11/08/017140b215ec8b11bfe8001beee9042899.jpg",
            "forumDesc": "这是版块1的简介",
            "orderBy": 1,
            "position": 4,
            "magazineAdvertCode": "fa2ed392aa94e448ed47adfa13b759d7",
            "yohoAdvertCode": "fa2ed392aa94e448ed47adfa13b759d7"
        },
        {
            "forumCode": 10002,
            "forumName": "SNEAKER",
            "forumPic": "http://img03.res.yohoshow.com/headimg/2014/08/11/08/017187b41db085fe8cbf490dc40096c7f5.jpg",
            "forumDesc": "这是版块2的简介",
            "orderBy": 2,
            "position": 5,
            "magazineAdvertCode": "fa2ed392aa94e448ed47adfa13b759d7",
            "yohoAdvertCode": "fa2ed392aa94e448ed47adfa13b759d7"
        },
        {
            "forumCode": 10003,
            "forumName": "YOHO",
            "forumPic": "http://img03.res.yohoshow.com/headimg/2014/08/11/08/01dddad6ce2295dd18d117dba99816266a.jpg",
            "forumDesc": "这是版块3的简介",
            "orderBy": 3,
            "position": 6,
            "magazineAdvertCode": "fa2ed392aa94e448ed47adfa13b759d7",
            "yohoAdvertCode": "fa2ed392aa94e448ed47adfa13b759d7"
        }
    ]
}
```
## 4、删除帖子##

删除帖子（method=app.social.delPost）
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|postsId|String|否|64||帖子id|

注意，通用的头部没有列出。  
请求示例
http://192.168.102.205:8095/social?method=app.social.delPost&postsId=64&debug=XYZ

### 入参(示例)
JSON格式如下所示:
```json
{
    "postsId": 64
}
```

### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
    "alg": "SALT_MD5",
    "code": 200,
    "data": [],
    "md5": "6d729d4b35f10fc73531210bd7ecff91",
    "message": "删除成功."
}
```

```json
{
    "message": "帖子id为空",
    "code": 400
}
```
