## 1、帖子详情##

帖子详情（method=app.social.getPostsInfo）
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |长度| 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|postsId|String|1-11|否|80||帖子id|

#### 接口说明
| 接口说明|| 
|:-------| -----:|
|请求域名|http://api.yoho.cn|
|接口名|app.social.getPostsInfo|
|接口说明|帖子详情|
|http请求方式|POST/GET|
#### 返回错误
|错误code|错误提示|
|:-------| -----:|
|500|帖子id不能为空|
|500|帖子信息为空|

注意，通用的头部没有列出。  
请求示例
http://192.168.102.205:8095/social/?method=app.social.getPostsInfo&postsId=600

### 响应
code为200即为成功，否则是失败。 
响应参数，data部分  
响应成功JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "authorInfo": {
      "headIcon": "http://img10.static.yhbimg.com/yhb-img01/2016/06/28/17/01b4ab5ad41e5b2d1106915828f41c4bc6.jpg",
      "nickName": "叶子",
      "uid": 8050826,
      "url": ""
    },
    "blocks": [
      {
        "contentData": "前几天这条关于adidas Originals NMD入手攻略的资讯发布后，评论区的童鞋们都“炸”啦，各种关于如何排队如何购买的问题一股脑地涌来。为了让大家能顺利买到NMD，今天小编就扮演一下临时客服，帮大家解决几个困惑。",
        "order": 1,
        "templateKey": "text"
      },
      {
        "contentData": "http://img11.static.yhbimg.com/yhb-img01/2016/03/11/07/017c954c712e3e732f565d56d193c761af.jpg?imageView/2/w/640/h/640",
        "order": 2,
        "templateKey": "image"
      },
      {
        "contentData": "http://img11.static.yhbimg.com/yhb-img01/2016/03/11/07/012868bed62e639554e5fecb09b6d44cfe.jpg?imageView/2/w/640/h/640",
        "order": 3,
        "templateKey": "image"
      }
    ],
    "browse": 100,
    "createTime": 0,
    "forumCode": 10001,
    "forumName": "永恒的潮流",
    "id": 80,
    "isForumTop": 0,
    "isHot": 0,
    "isIndexTop": 0,
    "postsTitle": "害怕抢不到NMD？别担心，至少他们都不是你的对手！",
    "praise": 5,
    "praiseUsers": [
      {
        "postsId": 80,
        "userInfo": {
          "headIcon": "http://img10.static.yhbimg.com/yhb-img01/2016/06/28/17/01b4ab5ad41e5b2d1106915828f41c4bc6.jpg",
          "nickName": "Tan",
          "uid": 8050827
        }
      },
      {
        "postsId": 80,
        "userInfo": {
          "headIcon": "http://img10.static.yhbimg.com/yhb-img01/2016/06/28/17/01b4ab5ad41e5b2d1106915828f41c4bc6.jpg",
          "nickName": "noon",
          "uid": 8050828
        }
      },
      {
        "postsId": 80,
        "userInfo": {
          "headIcon": "http://img10.static.yhbimg.com/yhb-img01/2016/06/28/17/01b4ab5ad41e5b2d1106915828f41c4bc6.jpg",
          "nickName": "petch",
          "uid": 8050829
        }
      }
    ],
    "shareGoods": {
        "productName": "GAWS FOOT 黑白拼色金属装饰感运动鞋",
        "productUrl": "http://m.yohobuy.com/product/pro_274533_354613/GAWSFOOTYunDongXieGAFA504SN26BKW.html",
        "salesPrice": "399",
        "goodsImage": "http://img13.static.yhbimg.com/goodsimg/2015/10/13/07/02f540054acfd5920e3e3bd475704ea9eb.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80"
    }
    "revieweState": 0,
    "shareProductSkn":5210378,
    "hasPraise":N,
    "revieweTime": 0,
    "status": 0,
    "updateTime": 0
  },
  "md5": "d605f78ab820e6dceae062ffa56a27cc",
  "message": "获取帖子详情成功."
}
```
响应失败JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 500,
  "data": [],
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "message": "帖子id不能为空."
}
```
```json
{
  "message": "帖子详情信息为空",
  "code": 500
}
```

## 2、帖子评论列表##

帖子评论列表（method=app.social.getCommentList）
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |长度| 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|postsId|String|1-11|否|80||帖子id|
|lastedTime|String|1-11|是|1467343834|10|时间戳|
|limit|String|1-11|是|10|10|一页显示多少条|

#### 接口说明
| 接口说明|| 
|:-------| -----:|
|请求域名|http://api.yoho.cn|
|接口名|app.social.getCommentList|
|接口说明|帖子详情|
|http请求方式|POST/GET|
#### 返回错误
|错误code|错误提示|
|:-------| -----:|
|500|帖子id不能为空|

注意，通用的头部没有列出。  
请求示例
http://192.168.102.205:8095/social/?method=app.social.getCommentList&postsId=80&lastedTime=1467343834&limit=10

### 响应
code为200即为成功，否则是失败。 
响应参数，data部分  
响应成功JSON格式如下所示:
```json
{
  "code": 200,
  "message": "获取评论列表成功.",
  "md5": "8a5455303a3c38a3f8508a0cf019cd20",
  "alg": "SALT_MD5",
  "data": {
    "total": 37,
    "pageSize": 2,
    "lastedTime": 1468845794005,
    "list": [
      {
        "id": 158,
        "createTime": 1468899332541,
        "postInfo": {
          "postId": 300,
          "authorUid": 8657461,
          "title": null,
          "type": null
        },
        "reply": {
          "nickName": "Tan",
          "headIcon": "http://img10.static.yhbimg.com/yhb-img01/2016/06/28/17/01b4ab5ad41e5b2d1106915828f41c4bc6.jpg",
          "uid": 9599513,
          "signature": null
        },
        "replyTo": {
          "nickName": "棉花也是花",
          "headIcon": "http://img03.res.yohoshow.com/headimg/2014/08/11/08/01701f83b911bc874fb9435d311db0aaf2.jpg",
          "uid": 8657461,
          "signature": "这是一个无关紧要的签名"
        },
        "blocks": [
          {
            "commentId": 158,
            "content": "qweqweq",
            "templateKey": "text",
            "orderBy": 0
          }
        ]
      },
      {
        "id": 154,
        "createTime": 1468845794005,
        "postInfo": {
          "postId": 300,
          "authorUid": 8657461,
          "title": null,
          "type": null
        },
        "reply": {
          "nickName": "Tan",
          "headIcon": "http://img10.static.yhbimg.com/yhb-img01/2016/06/28/17/01b4ab5ad41e5b2d1106915828f41c4bc6.jpg",
          "uid": 9599513,
          "signature": null
        },
        "replyTo": null,
        "blocks": [
          {
            "commentId": 154,
            "content": "http://img12.static.yhbimg.com/goodsimg/2016/06/06/05/02e8b4a63c0101b1a1a8f04b53d817b9d4.png",
            "templateKey": "image",
            "orderBy": 1
          },
          {
            "commentId": 154,
            "content": "http://img12.static.yhbimg.com/goodsimg/2016/06/06/05/02e8b4a63c0101b1a1a8f04b53d817b9d5.png",
            "templateKey": "image",
            "orderBy": 2
          }
        ]
      }
    ]
  }
}
```
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": [],
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "message": "没有评论记录."
}
```
响应失败JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 500,
  "data": [],
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "message": "帖子id不能为空."
}
```

## 3、帖子评论数量##

帖子评论数量（method=app.social.getCommentCount）
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |长度| 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|postsId|String|1-11|否|80||帖子id|

#### 接口说明
| 接口说明|| 
|:-------| -----:|
|请求域名|http://api.yoho.cn|
|接口名|app.social.getCommentCount|
|接口说明|帖子详情|
|http请求方式|POST/GET|
#### 返回错误
|错误code|错误提示|
|:-------| -----:|
|500|帖子id不能为空|

注意，通用的头部没有列出。  
请求示例
http://192.168.102.205:8095/social/?method=app.social.getCommentCount&postsId=80

### 响应
code为200即为成功，否则是失败。 
响应参数，data部分  
响应成功JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": 5,
  "md5": "001ab34cd69ec63099145e1056c71f03",
  "message": "获取评论数量成功."
}
```
响应失败JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 500,
  "data": [],
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "message": "帖子id不能为空."
}
```


## 4、帖子点赞列表##

帖子点赞列表（method=app.social.getPostsPraiseList）
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |长度| 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|postsId|String|1-11|否|80||帖子id|
|lastedTime|int|1-11|是|1467343834|0|时间戳|
|limit|int|1-11|是|10|10|一页显示数|

#### 接口说明
| 接口说明|| 
|:-------| -----:|
|请求域名|http://api.yoho.cn|
|接口名|app.social.getPostsPraiseList|
|接口说明|帖子详情|
|http请求方式|POST/GET|
#### 返回错误
|错误code|错误提示|
|:-------| -----:|
|500|postId不能为空.|

注意，通用的头部没有列出。  
请求示例
http://192.168.102.205:8095/social/?method=app.social.getPostsPraiseList&postsId=80&lastedTime=1467343834&limit=10

### 响应
code为200即为成功，否则是失败。 
响应参数，data部分  
响应成功JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "list": [
      {
        "postsId": 80,
        "userInfo": {
          "headIcon": "http://img10.static.yhbimg.com/yhb-img01/2016/06/28/17/01b4ab5ad41e5b2d1106915828f41c4bc6.jpg",
          "uid": 8050827,
          "nickName": "Tan"
        }
      },
      {
        "postsId": 80,
        "userInfo": {
          "headIcon": "http://img10.static.yhbimg.com/yhb-img01/2016/06/28/17/01b4ab5ad41e5b2d1106915828f41c4bc6.jpg",
          "uid": 8050828,
          "nickName": "noon"
        }
      },
      {
        "postsId": 80,
        "userInfo": {
          "headIcon": "http://img10.static.yhbimg.com/yhb-img01/2016/06/28/17/01b4ab5ad41e5b2d1106915828f41c4bc6.jpg",
          "uid": 8050829,
          "nickName": "petch"
        }
      },
      {
        "postsId": 80,
        "userInfo": {
          "uid": 8050831
        }
      },
      {
        "postsId": 80,
        "userInfo": {
          "uid": 80508301
        }
      }
    ],
    "pageSize": 10,
    "total": 5,
	"lastedTime":1467189285
  },
  "md5": "6569e2eebfff26785d082de6b8eb878a",
  "message": "获取点赞列表成功."
}
```
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": [],
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "message": "没有点赞记录."
}
```
响应失败JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 500,
  "data": [],
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "message": "postId不能为空."
}
```


## 5、增加帖子浏览量##

增加帖子浏览量（method=app.social.browsePost）
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |长度| 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|postsId|String|1-11|否|80||帖子id|

#### 接口说明
| 接口说明|| 
|:-------| -----:|
|请求域名|http://api.yoho.cn|
|接口名app.social.browsePost|
|接口说明|帖子详情|
|http请求方式|POST/GET|
#### 返回错误
|错误code|错误提示|
|:-------| -----:|
|500|帖子id不能为空|

注意，通用的头部没有列出。  
请求示例
http://192.168.102.205:8095/social?method=app.social.browsePost&postsId=84&debug=XYZ

### 响应
code为200即为成功，否则是失败。 
响应参数，data部分  
响应成功JSON格式如下所示:
```json
{
    "alg": "SALT_MD5",
    "code": 200,
    "data": {
        "code": 200,
        "message": "浏览成功."
    },
    "md5": "86a5487c1dba25292f4989529cc89669",
    "message": "操作成功"
}
```
响应失败JSON格式如下所示:
```json
{
    "alg": "SALT_MD5",
    "code": 500,
    "data": [],
    "md5": "6d729d4b35f10fc73531210bd7ecff91",
    "message": "帖子id不能为空."
}
```



