## 1、帖子点赞##

帖子点赞（method=app.social.addPostsPraise）
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |长度| 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|postsId|String|1-11|否|80||帖子id|
|uid|String|1-11|否|8050830||用户id|

#### 接口说明
| 接口说明|| 
|:-------| -----:|
|请求域名|http://api.yoho.cn|
|接口名|app.social.addPostsPraise|
|接口说明|帖子详情|
|http请求方式|POST/GET|
#### 返回错误
|错误code|错误提示|
|:-------| -----:|
|500|点赞失败,已赞过|
|500|uid和postId不能为空.|

注意，通用的头部没有列出。  
请求示例
http://192.168.102.205:8095/social/?method=app.social.addPostsPraise&postsId=80&uid=8050830

### 响应
code为200即为成功，否则是失败。 
响应参数，data部分  
响应成功JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": 1,
  "md5": "2c1f3cf90a65af787e96f80a73058912",
  "message": "点赞成功."
}
```
响应失败JSON格式如下所示:
```json
{
  "message": "点赞失败,已赞过",
  "code": 500
}
```
```json
{
  "alg": "SALT_MD5",
  "code": 500,
  "data": [],
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "message": "uid和postId不能为空."
}
```

## 2、帖子取消点赞##

帖子取消点赞（method=app.social.canclePostsPraise）
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |长度| 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|postsId|String|1-11|否|80||帖子id|
|uid|String|1-11|否|8050830||用户id|

#### 接口说明
| 接口说明|| 
|:-------| -----:|
|请求域名|http://api.yoho.cn|
|接口名|app.social.canclePostsPraise|
|接口说明|帖子详情|
|http请求方式|POST/GET|
#### 返回错误
|错误code|错误提示|
|:-------| -----:|
|500|uid和postId不能为空.|

注意，通用的头部没有列出。  
请求示例
http://192.168.102.205:8095/social/?method=app.social.canclePostsPraise&postsId=80&uid=8050830

### 响应
code为200即为成功，否则是失败。 
响应参数，data部分  
响应成功JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": 6,
  "md5": "b3ba9f9280e241bff5f4b630cbedd06e",
  "message": "取消点赞成功."
}
```
响应失败JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 500,
  "data": [],
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "message": "uid和postId不能为空."
}
```
