## 1、获取版块的头信息##

获取版块的头信息（method=app.social.getForumHeadInfo）
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|appType|String|是|1||1:有货APP,2:YOHO!|
|clientType|String|是|H5||客户端类型|

注意，通用的头部没有列出。  
请求示例
http://192.168.102.205:8095/social?method=app.social.getForumHeadInfo&forumCode=10001


### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
    "alg": "SALT_MD5",
    "code": 200,
    "data": {
        "commentsNum": 1,
        "forumCode": 10001,
        "forumName": "复古市集会",
        "orderBy": 1,
        "postsNum": 2,
        "praiseNum": 9,
        "resourceList": {
            "advertList": {
                "list": [
                    {
                        "src": "http://img10.static.yhbimg.com/yhb-img01/2016/07/07/15/0120d958fe29018ebc2327238b7136eec9.jpg?imageView2/{mode}/w/{width}/h/{height}",
                        "url": []
                    },
                    {
                        "src": "http://img10.static.yhbimg.com/yhb-img01/2016/07/07/15/017df8540738797e070142d100122ccd21.jpg?imageView2/{mode}/w/{width}/h/{height}",
                        "url": []
                    },
                    {
                        "src": "http://img11.static.yhbimg.com/yhb-img01/2016/07/07/15/0124ff3816418b1710b9f1ebe30427acb6.jpg?imageView2/{mode}/w/{width}/h/{height}",
                        "url": []
                    },
                    {
                        "src": "http://img10.static.yhbimg.com/yhb-img01/2016/07/07/15/010f76ccdb51ad79d7e3d46b2c48fd655b.jpg?imageView2/{mode}/w/{width}/h/{height}",
                        "url": []
                    }
                ],
                "speed": ""
            },
            "textNoticeList": {
                "time": "3",
                "list": [
                    {
                        "title": "这是社区版块1的文字公告",
                        "url": "http://url.cn"
                    }
                ],
                "open": "Y"
            }
        }
    },
    "md5": "02b2cd65496c551d3148bfbea219e140",
    "message": "版块头信息获取成功."
}
```

## 2、板块最新帖子列表##

最新帖子（method=app.social.getNewPostList）
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|forumCode|String|否|10004|0|版块code|
|lastedTime|int|是|1467769943000|0|时间戳|
|limit|int|是|5|10|每页多少条|

注意，通用的头部没有列出。  
请求示例
http://192.168.102.205:8095/social/?method=app.social.getNewPostList&forumCode=10004&lastedTime=1467769943000&limit=2&debug=XYZ

### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
    "alg": "SALT_MD5",
    "code": 200,
    "data": {
        "lastedTime": 1467116650000,
        "list": [
            {
                "isIndexTop": 1,
                "blocks": [
                    {
                        "contentData": "啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊哈哈哈",
                        "templateKey": "text",
                        "order": 1
                    },
                    {
                        "contentData": "http://img12.static.yhbimg.com/goodsimg/2016/06/06/05/02e8b4a63c0101b1a1a8f04b53d817b9d4.png",
                        "templateKey": "image",
                        "order": 2
                    },
                    {
                        "contentData": "http://img12.static.yhbimg.com/goodsimg/2016/06/06/05/02e8b4a63c0101b1a1a8f04b53d817b9d5.png",
                        "templateKey": "image",
                        "order": 3
                    }
                ],
                "updateTime": 0,
                "praise": 0,
                "revieweTime": 0,
                "isForumTop": 1,
                "forumName": "YOHO",
                "createTime": 1467116718000,
                "forumCode": 10004,
                "comment": 3,
                "id": 78,
                "revieweState": 0,
                "isHot": 0,
                "hasPraise":"N",
                "browse": 0,
                "status": 0
            },
            {
                "isIndexTop": 0,
                "blocks": [
                    {
                        "contentData": "啊啊啊啊啊啊SDDDDDDDD啊啊啊啊啊啊啊哈哈哈",
                        "templateKey": "text",
                        "order": 1
                    },
                    {
                        "contentData": "http://img12.static.yhbimg.com/goodsimg/2016/06/06/05/02e8b4a63c0101b1a1a8f04b53d817b9d4.png",
                        "templateKey": "image",
                        "order": 2
                    },
                    {
                        "contentData": "http://img12.static.yhbimg.com/goodsimg/2016/06/06/05/02e8b4a63c0101b1a1a8f04b53d817b9d5.png",
                        "templateKey": "image",
                        "order": 3
                    }
                ],
                "updateTime": 0,
                "praise": 0,
                "revieweTime": 0,
                "isForumTop": 0,
                "forumName": "YOHO",
                "createTime": 1467116650000,
                "forumCode": 10004,
                "comment": 2,
                "id": 72,
                "revieweState": 0,
                "isHot": 1,
                "browse": 0,
                "hasPraise":"N",
                "status": 0
            }
        ],
        "pageSize": 2,
        "total": 0
    },
    "md5": "3ad27223da7d06c134a3e072bb9e63f4",
    "message": "板块最新帖子"
}
```

```json
{
    "message": "请选择版块",
    "code": 403
}
```

## 3、板块最热帖子列表##

最新帖子（method=app.social.getHotPostList）
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|forumCode|String|否|10004|0|版块code|
|lastedTime|int|是|1467769943000|0|时间戳|
|limit|int|是|5|10|每页多少条|

注意，通用的头部没有列出。  
请求示例
http://192.168.102.205:8095/social/?method=app.social.getHotPostList&forumCode=10004&lastedTime=1467769943000&limit=2&debug=XYZ

### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
    "alg": "SALT_MD5",
    "code": 200,
    "data": {
        "lastedTime": 1467116660000,
        "list": [
            {
                "isIndexTop": 0,
                "blocks": [
                    {
                        "contentData": "啊啊啊啊啊啊SDDDDDD啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊哈",
                        "templateKey": "text",
                        "order": 1
                    },
                    {
                        "contentData": "http://img12.static.yhbimg.com/goodsimg/2016/06/06/05/02e8b4a63c0101b1a1a8f04b53d817b9d4.png",
                        "templateKey": "image",
                        "order": 2
                    },
                    {
                        "contentData": "http://img12.static.yhbimg.com/goodsimg/2016/06/06/05/02e8b4a63c0101b1a1a8f04b53d817b9d5.png",
                        "templateKey": "image",
                        "order": 3
                    }
                ],
                "updateTime": 0,
                "praise": 0,
                "revieweTime": 0,
                "isForumTop": 0,
                "forumName": "YOHO",
                "createTime": 1467116713000,
                "forumCode": 10004,
                "comment": 1,
                "id": 76,
                "revieweState": 0,
                "hasPraise":"N",
                "isHot": 1,
                "browse": 0,
                "status": 0
            },
            {
                "isIndexTop": 0,
                "blocks": [
                    {
                        "contentData": "啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊啊哈哈哈",
                        "templateKey": "text",
                        "order": 1
                    },
                    {
                        "contentData": "http://img12.static.yhbimg.com/goodsimg/2016/06/06/05/02e8b4a63c0101b1a1a8f04b53d817b9d4.png",
                        "templateKey": "image",
                        "order": 2
                    },
                    {
                        "contentData": "http://img12.static.yhbimg.com/goodsimg/2016/06/06/05/02e8b4a63c0101b1a1a8f04b53d817b9d5.png",
                        "templateKey": "image",
                        "order": 3
                    }
                ],
                "updateTime": 0,
                "praise": 0,
                "revieweTime": 0,
                "isForumTop": 0,
                "forumName": "YOHO",
                "createTime": 1467116660000,
                "forumCode": 10004,
                "comment": 1,
                "id": 74,
                "revieweState": 0,
                "isHot": 1,
                "browse": 0,
                "hasPraise":"N",
                "status": 0
            }
        ],
        "pageSize": 2,
        "total": 0
    },
    "md5": "d3c2f1b8ee66538618f0e363ac4e220d",
    "message": "板块最热帖子"
}
```

```json
{
    "message": "请选择版块",
    "code": 403
}
```


