## 1、回复帖子##

回复帖子（method=app.social.addComment）
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|postId|String|否|108|0|帖子id|
|commentId|String|是|20467|0|被回复的回复id|
|cidFrom|String|否|621356|0|回复者id|
|cidTo|String|否|651859|0|被回复者id|
|authorUid|String|否|807635|0|被评论文章的作者id|
|content|String|否|ewrqtetww||回复内容|
|images|String|是|http://img12.static.yhbimg.com/goodsimg/2016/06/06/05/02e8b4a63c0101b1a1a8f04b53d817b9d4.png, http://img12.static.yhbimg.com/goodsimg/2016/06/06/05/02e8b4a63c0101b1a1a8f04b53d817b9d5.png||回复图片|

注意，通用的头部没有列出。  
请求示例
http://192.168.102.205:8095/social/?method=app.social.addComment&postId=108&cidFrom=621356&cidTo=651859&&authorUid=807635&content=ewrqtetww&images=http://img12.static.yhbimg.com/goodsimg/2016/06/06/05/02e8b4a63c0101b1a1a8f04b53d817b9d4.png,http://img12.static.yhbimg.com/goodsimg/2016/06/06/05/02e8b4a63c0101b1a1a8f04b53d817b9d5.png&debug=XYZ

### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
    "alg": "SALT_MD5",
    "code": 200,
    "data": [],
    "md5": "6d729d4b35f10fc73531210bd7ecff91",
    "message": "回复成功"
}
```

```json
{
    "message": "请输入内容",
    "code": 401
}
```

## 2、删除回复##

回复帖子（method=app.social.delComment）
#### 公共请求参数
| 参数名称 | 参数类型 | 长度 | 可否为空 | 示例 | 默认值 | 备注 |
|:-------| -----:|-----:|-----:|-----:|-----:|----:| 
|client_secret|string|50|否|5ac68f20cb18efe154be||进入接口提供的参数加密信息|
|app_version|float|10|否|1||APP版本|
|os_version|string|20|否|Android4.4||系统版本+机器型号|
|client_type|string|20|否|iphone/android/ipad||手机型号（不区分大小写）|
|screen_size|string|20|否|800x900||（手机尺寸）|

#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|id|String|否|13||回复id|

注意，通用的头部没有列出。  
请求示例
http://172.16.8.136:8095/social/?method=app.social.delComment&id=14&debug=XYZ

### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
    "alg": "SALT_MD5",
    "code": 200,
    "data": [],
    "md5": "6d729d4b35f10fc73531210bd7ecff91",
    "message": "删除回复成功"
}
```

```json
{
    "message": "回复id不能为空",
    "code": 402
}
```

