# 购物车服务接口

### 购物车查询


### 接口说明

| 接口说明 | 接口说明 | 
| :-- | -----: |
| 接口名 | app.Shopping.cart |
| 接口说明 | 查询购物车 |
| http请求方式 | GET/POST |

### 请求参数
| 名称 | 类型 | 是否必须 | 示例值 | 默认值 | 描述 | 
| :-- | :--  | :--  | :-- | :-- | :-- |
| method | string | 是 | app.Shopping.cart | | |
| uid | int | 否 | 5772257 | | |
| shopping_key | string | 否 | c36408a268e9b9418189d9a71967379e | |  |
| sale_channel | string | 否 | 1 | 1 |  |

### 正常返回结果
```json
{
 {
	"alg": "SALT_MD5",
	"code": 200,
	"data": {
		//预售商品
		"advance_cart_data": {
			//可选赠品
			"gift_list": [],
			//购物车商品
			"goods_list": [{
				"attribute": "1",
				"brand_id": "4",
				"buy_limit": 0,  // 购买数量
				"buy_number": "1",
				"can_cod_pay": "Y",
				"cn_alphabet": "5CMMianYi5CXJKB7169W55",
				"color_id": "6",
				"color_name": "绿色",
				"expect_arrival_time": "7月",
				"fit_promotions": [],
				"get_yoho_coin": "0",
				"goods_id": "426145",
				"goods_images": "http://img13.static.yhbimg.com/goodsimg/2015/12/16/08/02e87af5883167b4d5f87f2f2331b813f2.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
				"goods_type": "advance",
				"is_advance": "Y",
				"is_jit": "N",
				"is_limited": "N",
				"is_outlets": "N",
				"is_special": "N",
				"last_price": "2999.0",
				"last_vip_price": 2999,
				"market_price": 2999,
				"max_sort_id": "1",
				"middle_sort_id": "20",
				"off_shelves": 0,
				"product_id": 331423,
				"product_name": "5CM  拼接袖军事夹棉外套",
				"product_skc": "321294",
				"product_skn": "51185427",
				"product_sku": "1006752",
				"promotion_flag": "103",
				"promotion_id": "0",
				"real_price": 2999,
				"real_vip_price": 0,
				"sale_price": 0,
				"sales_price": 2999,
				"selected": "Y",
				"shop_id": 0,
				"shopping_cart_goods_id": "33682",
				"shopping_cart_id": "118795696",
				"size_id": "203",
				"size_name": "M",
				"small_sort_id": "123",
				"storage_number": "1",
				"str_subtotal": "¥2999.00",
				"subtotal": 2999,
				"supplier_id": 0,
				"uid": "0",
				"vip1_price": "0.00",
				"vip2_price": "0.00",
				"vip3_price": "0.00",
				"vip_discount": 1,
				"vip_discount_money": 0,
				"vip_discount_type": "3",
				"vip_price": 0,
				"yoho_coin_num": "0"
			}],
			"off_shelves_goods_list": [],  //过时商品
			"price_gift": [],			   //可选加价购
			"promotion_info": [{		   //已参加促销活动列表
				"cutdown_amount": 10,
				"promotion_id": 0,
				"promotion_title": "满599免运费",
				"promotion_type": "FreeShippingCost"
			}],
			"shopping_cart_data": {       //预售购物车统计
				"discount_amount": 0,
				"fast_shopping_cost": 5,
				"gain_yoho_coin": 0,
				"goods_count": 1,
				"is_multi_package": "N",
				"last_order_amount": 2999,
				"order_amount": 2999,
				"package_list": [],
				"promotion_formula": "总计¥2999.00=商品金额¥2999.00",
				"promotion_formula_list": [{
					"promotion": "商品金额",
					"promotion_amount": "¥2999.00"
				}],
				"selected_goods_count": 1,       
				"shipping_cost": 0,
				"str_discount_amount": "¥0.00",
				"str_order_amount": "¥2999.00"
			},
			"sold_out_goods_list": []
		},
		"ordinary_cart_data": {     //普通商品购物车
			"gift_list": [],		//可选赠品
			"goods_list": [{        //购物车商品列表
				"attribute": "1",
				"brand_id": "4",
				"buy_limit": 0,
				"buy_number": "1",      //购买数量
				"can_cod_pay": "Y",
				"cn_alphabet": "5CMMianYi5CXJKF7183W55",
				"color_id": "2",
				"color_name": "黑色",
				"expect_arrival_time": "",
				"fit_promotions": ["6358",     //符合优惠活动
				"8981",
				"8979",
				"8893",
				"6416"],
				"get_yoho_coin": "0",
				"goods_id": "426151",
				"goods_images": "http://img10.static.yhbimg.com/goodsimg/2015/12/16/05/0163d0ecb1bada13ede0028723c30d7dba.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
				"goods_type": "ordinary",
				"is_advance": "N",
				"is_jit": "N",
				"is_limited": "N",
				"is_outlets": "N",
				"is_special": "N",
				"last_price": "100.0",
				"last_vip_price": 100,
				"market_price": 1799,
				"max_sort_id": "1",
				"middle_sort_id": "20",
				"off_shelves": 0,
				"product_id": 331427,
				"product_name": "5CM  迷彩拼接棉衣夹克",
				"product_skc": "321297",
				"product_skn": "51185429",
				"product_sku": "1006765",
				"promotion_flag": "0",
				"promotion_id": "0",
				"real_price": 100,
				"real_vip_price": 0,
				"sale_price": 0,
				"sales_price": 100,
				"selected": "Y",
				"shop_id": 0,
				"shopping_cart_goods_id": "33684",
				"shopping_cart_id": "118795696",
				"size_id": "207",
				"size_name": "S",
				"small_sort_id": "123",
				"storage_number": "1",
				"str_subtotal": "¥100.00",
				"subtotal": 100,
				"supplier_id": 0,
				"uid": "0",
				"vip1_price": "0.00",
				"vip2_price": "0.00",
				"vip3_price": "0.00",
				"vip_discount": 1,
				"vip_discount_money": 0,
				"vip_discount_type": "4",
				"vip_price": 0,
				"yoho_coin_num": "0"
			},
			{
				"attribute": "1",
				"brand_id": "302",
				"buy_limit": 0,
				"buy_number": "1",
				"can_cod_pay": "Y",
				"cn_alphabet": "IBSH15Q319BKX",
				"color_id": "2",
				"color_name": "黑色",
				"expect_arrival_time": "",
				"fit_promotions": [],
				"get_yoho_coin": "0",
				"goods_id": "337003",
				"goods_images": "http://img11.static.yhbimg.com/goodsimg/2015/09/10/06/01473d2110ea9adc3dc71304e03f9cc534.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
				"goods_type": "gift",
				"is_advance": "N",
				"is_jit": "N",
				"is_limited": "N",
				"is_outlets": "N",
				"is_special": "N",
				"last_price": "0.0",
				"last_vip_price": 240,
				"market_price": 499,
				"max_sort_id": "6",
				"middle_sort_id": "45",
				"off_shelves": 0,
				"product_id": 259359,
				"product_name": "IVYBOI×INTREPID联名款 灰黑骷髅鞋带扣登山靴 超轻",
				"product_skc": "270009",
				"product_skn": "51144693",
				"product_sku": "866449",
				"promotion_flag": "101",
				"promotion_id": "8981",
				"real_price": 0,
				"real_vip_price": 0,
				"sale_price": 0,
				"sales_price": 240,
				"selected": "Y",
				"shop_id": 0,
				"shopping_cart_goods_id": "33710",
				"shopping_cart_id": "118795696",
				"size_id": "116",
				"size_name": "40码",
				"small_sort_id": "148",
				"storage_number": "61",
				"supplier_id": 0,
				"uid": "0",
				"vip1_price": "0.00",
				"vip2_price": "0.00",
				"vip3_price": "0.00",
				"vip_discount": 1,
				"vip_discount_money": 0,
				"vip_discount_type": "3",
				"vip_price": 0,
				"yoho_coin_num": "0"
			},
			{
				"attribute": "1",
				"brand_id": "4",
				"buy_limit": 0,
				"buy_number": "1",
				"can_cod_pay": "Y",
				"cn_alphabet": "5CMJiaKe5CXJKF7159W55",
				"color_id": "1",
				"color_name": "白色",
				"expect_arrival_time": "",
				"fit_promotions": [],
				"get_yoho_coin": "0",
				"goods_id": "391683",
				"goods_images": "http://img11.static.yhbimg.com/goodsimg/2015/12/09/08/013d2e8ebff5c357a148b8c21afc939b6f.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
				"goods_type": "price_gift",
				"is_advance": "N",
				"is_jit": "N",
				"is_limited": "N",
				"is_outlets": "N",
				"is_special": "N",
				"last_price": "19.0",
				"last_vip_price": 1999,
				"market_price": 1999,
				"max_sort_id": "1",
				"middle_sort_id": "21",
				"off_shelves": 0,
				"product_id": 305567,
				"product_name": "5CM 个性多口袋MA-1夹克",
				"product_skc": "300145",
				"product_skn": "51170438",
				"product_sku": "947398",
				"promotion_flag": "103",
				"promotion_id": "6358",
				"real_price": 19,
				"real_vip_price": 0,
				"sale_price": 19,
				"sales_price": 1999,
				"selected": "Y",
				"shop_id": 0,
				"shopping_cart_goods_id": "33712",
				"shopping_cart_id": "118795696",
				"size_id": "211",
				"size_name": "XL",
				"small_sort_id": "124",
				"storage_number": "1",
				"supplier_id": 0,
				"uid": "0",
				"vip1_price": "0.00",
				"vip2_price": "0.00",
				"vip3_price": "0.00",
				"vip_discount": 1,
				"vip_discount_money": 0,
				"vip_discount_type": "3",
				"vip_price": 0,
				"yoho_coin_num": "0"
			}],
			"off_shelves_goods_list": [],
			"price_gift": [{      //可选加价购
				"gift_price": 11,
				"goods_list": [{
					"cn_alphabet": "MACROPUSMCPA504BK1001ShuangJianBao",
					"goods_id": "338943",
					"goods_images": "http://img13.static.yhbimg.com/goodsimg/2015/09/30/02/02a1adf8742f4d21a98cb14319efd9bb5c.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
					"last_price": 11,
					"market_price": 199,
					"product_id": 260949,
					"product_name": "MACROPUS 简约太空棉双肩包",
					"product_skn": 51146105,
					"sales_price": 88,
					"storage_number": 993
				},
				{
					"cn_alphabet": "MACROPUSMCPA504BK1101ShuangJianBao",
					"goods_id": "338951",
					"goods_images": "http://img10.static.yhbimg.com/goodsimg/2015/10/03/03/01fa23e2bbc8e280e37c823280ad98878c.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
					"last_price": 11,
					"market_price": 199,
					"product_id": 260951,
					"product_name": "MACROPUS 简约毛呢双肩包",
					"product_skn": 51146106,
					"sales_price": 88,
					"storage_number": 1499
				}],
				"max_select_number": "1",
				"promotion_id": 8893,
				"promotion_title": "(自动化)B.Duck打折8.8折",
				"promotion_type": "Needpaygift"
			}],
			"promotion_info": [{   
				"cutdown_amount": 19,
				"promotion_id": 6358,
				"promotion_title": "H5加价购-5cm",
				"promotion_type": "Needpaygift"
			},
			{
				"cutdown_amount": 0,
				"promotion_id": 8981,
				"promotion_title": "frw",
				"promotion_type": "Gift"
			}],
			"shopping_cart_data": {
				"discount_amount": 2220,
				"fast_shopping_cost": 15,
				"gain_yoho_coin": 0,
				"goods_count": 3,
				"is_multi_package": "N",
				"last_order_amount": 119,
				"order_amount": 2339,
				"package_list": [],
				"promotion_formula": "总计¥119.00=商品金额¥2339.00-活动金额¥2220.00",
				"promotion_formula_list": [{
					"promotion": "商品金额",
					"promotion_amount": "¥2339.00"
				},
				{
					"promotion": "活动金额",
					"promotion_amount": "-¥2220.00"
				}],
				"selected_goods_count": 3,
				"shipping_cost": 10,
				"str_discount_amount": "¥2220.00",
				"str_order_amount": "¥2339.00"
			},
			"sold_out_goods_list": []
		}
	},
	"md5": "e2c62030c5404412b17e56bbd90f39de",
	"message": "cart goods list."
}
```



### 添加购物车

### 接口说明

| 接口说明 | 接口说明 | 
| :-- | -----: |
| 接口名 | app.Shopping.add |
| 接口说明 | 添加商品到购物车 |
| http请求方式 | GET/POST |

### 请求参数
| 名称 | 类型 | 是否必须 | 示例值 | 默认值 | 描述 | 
| :-- | :--  | :--  | :-- | :-- | :-- |
| method | string | 是 | app.Shopping.add | | |
| product_sku | int | 是 | 12121212 | |sku |
| uid | int | 否 | 5772257 | |用户id |
| shopping_key | int | 否 | c36408a268e9b9418189d9a71967379e | |  购物车key|
| buy_number | string | 否 | 1 | 1 | 购买数量 |
| promotion_id | int | 否 |  |  | 促销优惠id |
| selected | string | 否 | Y | Y | 是否选中(Y/N) |


### 正常返回结果
```json
{
	"alg": "SALT_MD5",
	"code": 200,
	"data": {
		"goods_count": "7",				//购物车商品数量
		"shopping_key": "c36408a268e9b9418189d9a71967379e"   //shopping_key
	},
	"md5": "f9a4a776eb18b6d62a7b3ba992fa6041",
	"message": "加入成功"
}
```

### 增加商品数量

### 接口说明

| 接口说明 | 接口说明 | 
| :-- | -----: |
| 接口名 | app.Shopping.increase |
| 接口说明 | 增加商品数量 |
| http请求方式 | GET/POST |

### 请求参数
| 名称 | 类型 | 是否必须 | 示例值 | 默认值 | 描述 | 
| :-- | :--  | :--  | :-- | :-- | :-- |
| method | string | 是 | app.Shopping.increase | | |
| product_sku | int | 是 | 12121212 | |sku |
| uid | int | 否 | 5772257 | |用户id |
| shopping_key | int | 否 | c36408a268e9b9418189d9a71967379e | |  购物车key|
| increase_number | string | 否 | 1 | 1 | 增加数量 |
| promotion_id | int | 否 |  |  | 促销优惠id |

### 正常返回结果
```json
{
	"alg": "SALT_MD5",
	"code": 200,
	"data": {
		"goods_count": "7",				//购物车商品数量
		"shopping_key": "c36408a268e9b9418189d9a71967379e"   //shopping_key
	},
	"md5": "f9a4a776eb18b6d62a7b3ba992fa6041",
	"message": "操作成功"
}
```


### 减少购物车商品数量

### 接口说明

| 接口说明 | 接口说明 | 
| :-- | -----: |
| 接口名 | app.Shopping.decrease |
| 接口说明 | 减少购物车商品数量 |
| http请求方式 | GET/POST |

### 请求参数
| 名称 | 类型 | 是否必须 | 示例值 | 默认值 | 描述 | 
| :-- | :--  | :--  | :-- | :-- | :-- |
| method | string | 是 | app.Shopping.decrease | | |
| product_sku | int | 是 | 12121212 | |sku |
| uid | int | 否 | 5772257 | |用户id |
| shopping_key | int | 否 | c36408a268e9b9418189d9a71967379e | |  购物车key|
| decrease_number | string | 否 | 1 | 1 | 减少数量 |
| promotion_id | int | 否 |  |  | 促销优惠id |

### 正常返回结果
```json
{
	"alg": "SALT_MD5",
	"code": 200,
	"data": {
		"goods_count": "7",				//购物车商品数量
		"shopping_key": "c36408a268e9b9418189d9a71967379e"   //shopping_key
	},
	"md5": "f9a4a776eb18b6d62a7b3ba992fa6041",
	"message": "操作成功"
}
```


### 更换商品

### 接口说明

| 接口说明 | 接口说明 | 
| :-- | -----: |
| 接口名 | app.Shopping.swap |
| 接口说明 | 更换商品 |
| http请求方式 | GET/POST |

### 请求参数
| 名称 | 类型 | 是否必须 | 示例值 | 默认值 | 描述 | 
| :-- | :--  | :--  | :-- | :-- | :-- |
| method | string | 是 | app.Shopping.swap | | |
| uid | int | 否 | 5772257 | | |
| shopping_key | string | 否 | c36408a268e9b9418189d9a71967379e | |  |
| swap_data | string | 是 | [{"buy_number":11,"selected":"Y","new_product_sku":"886593","old_product_sku":"131874"}] |  | 更换商品信息 |

### 正常返回结果
```json
{
	"alg": "SALT_MD5",
	"code": 200,
	"data": {
		"goods_count": "7",				//购物车商品数量
		"shopping_key": "c36408a268e9b9418189d9a71967379e"   //shopping_key
	},
	"md5": "f9a4a776eb18b6d62a7b3ba992fa6041",
	"message": "加入成功"
}
```

### 移除商品到收藏夹

### 接口说明

| 接口说明 | 接口说明 | 
| :-- | -----: |
| 接口名 | app.Shopping.addfavorite |
| 接口说明 | 移除商品到收藏夹 |
| http请求方式 | GET/POST |

### 请求参数
| 名称 | 类型 | 是否必须 | 示例值 | 默认值 | 描述 | 
| :-- | :--  | :--  | :-- | :-- | :-- |
| method | string | 是 | app.Shopping.addfavorite | | |
| uid | int | 否 | 5772257 | | |
| shopping_key | string | 否 | c36408a268e9b9418189d9a71967379e | |  |
| product_sku_list | string | 是 | {'131873':1,'765802':1} |  |  |

### 正常返回结果
```json
{
	"alg": "SALT_MD5",
	"code": 200,
	"data": {
		"goods_count": "7",				//购物车商品数量
		"shopping_key": "c36408a268e9b9418189d9a71967379e"   //shopping_key
	},
	"md5": "f9a4a776eb18b6d62a7b3ba992fa6041",
	"message": "操作成功"
}
```



### 移除商品到收藏夹并查询购物车

### 接口说明

| 接口说明 | 接口说明 | 
| :-- | -----: |
| 接口名 | app.Shopping.addfavoriteAndCart |
| 接口说明 | 移除商品到收藏夹并查询购物车 |
| http请求方式 | GET/POST |

### 请求参数
| 名称 | 类型 | 是否必须 | 示例值 | 默认值 | 描述 | 
| :-- | :--  | :--  | :-- | :-- | :-- |
| method | string | 是 | app.Shopping.addfavoriteAndCart | | |
| uid | int | 否 | 5772257 | | |
| shopping_key | string | 否 | c36408a268e9b9418189d9a71967379e | |  |
| product_sku_list | string | 是 | [{"product_sku":"828393","buy_number":1,"promotion_id":0}] |  |  |

### 正常返回结果
```json
同查询购物车返回结果
```



### 删除购物车商品

### 接口说明

| 接口说明 | 接口说明 | 
| :-- | -----: |
| 接口名 | app.Shopping.remove |
| 接口说明 | 删除购物车商品 |
| http请求方式 | GET/POST |

### 请求参数
| 名称 | 类型 | 是否必须 | 示例值 | 默认值 | 描述 | 
| :-- | :--  | :--  | :-- | :-- | :-- |
| method | string | 是 | app.Shopping.remove | | |
| uid | int | 否 | 5772257 | | |
| shopping_key | string | 否 | c36408a268e9b9418189d9a71967379e | |  |
| product_sku_list | string | 是 | {'131874':1,'765802':1} |  |  |

### 正常返回结果
```json
{
	"alg": "SALT_MD5",
	"code": 200,
	"data": {
		"goods_count": "7",				//购物车商品数量
		"shopping_key": "c36408a268e9b9418189d9a71967379e"   //shopping_key
	},
	"md5": "f9a4a776eb18b6d62a7b3ba992fa6041",
	"message": "操作成功"
}
```


### 删除并查询购物车商品

### 接口说明

| 接口说明 | 接口说明 | 
| :-- | -----: |
| 接口名 | app.Shopping.removeAndCart |
| 接口说明 | 删除并查询购物车商品 |
| http请求方式 | GET/POST |

### 请求参数
| 名称 | 类型 | 是否必须 | 示例值 | 默认值 | 描述 | 
| :-- | :--  | :--  | :-- | :-- | :-- |
| method | string | 是 | app.Shopping.removeAndCart | | |
| uid | int | 否 | 5772257 | | |
| shopping_key | string | 否 | c36408a268e9b9418189d9a71967379e | |  |
| product_sku_list | string | 是 | [{"product_sku":131874,"buy_number":2,"promotion_id":0}] |  |  |

### 正常返回结果
```json
同查询购物车返回结果
```




### 获取购物车总数

### 接口说明

| 接口说明 | 接口说明 | 
| :-- | -----: |
| 接口名 | app.Shopping.count |
| 接口说明 | 获取购物车总数 |
| http请求方式 | GET/POST |

### 请求参数
| 名称 | 类型 | 是否必须 | 示例值 | 默认值 | 描述 | 
| :-- | :--  | :--  | :-- | :-- | :-- |
| method | string | 是 | app.Shopping.count | | |
| uid | int | 否 | 5772257 | | |
| shopping_key | string | 否 | c36408a268e9b9418189d9a71967379e | |  |

### 正常返回结果
```json
{
	"alg": "SALT_MD5",
	"code": 200,
	"data": {
		"cart_goods_count": 7
	},
	"md5": "5f7db2059c7e09259edca244025949a9",
	"message": "cart goods count."
}
```

















