# 换货相关接口

## 接口列表

| 接口名称 | 接口描述 |
|----------|----------|
| [app.change.submit](#1) | 提交换货申请 |
| [app.change.setexpress](#2) | 设置物流信息 |
| [app.change.getDelivery](#3) | 加载用户可选择退货方式列表 |
| [app.change.goodsList](#4) | 订单可换货商品列表 |
| [app.change.detail](#5) | 换货详情     |
| [app.change.cancel](#6) | 取消换货申请 |

## 接口描述

### 1、提交换货申请

### 入参

```json
{
    "uid":"8041520",
    "order_code":"160177031",
    "area_code":"150202",
    "consignee_name":"测试三测试",
    "address":"这里是详细地里是详细地",
    "mobile":"18260001111",
    "zip_code":"334455",
    "delivery_tpye":"10",
    "receipt_time":"",
    "goods":[{
        "product_skn":"51164694",
        "product_skc":"292788",
        "product_sku":"926307",
        "goods_type":"1",
        "last_price":"149.00",
        "exchange_reason":"11",
        "new_goods_id":"376673",
        "new_product_sku":"926306"
    }]
}
```

### 返回

```json

```

### 3. 加载用户可选择退货方式列表

| Param Name | Param Type | Required | Param Value | Desc  |
| :--        | --:        | --:      | --:         | --:   |
| method     | string     | true     | app.change.getDelivery | 请求方法 不可变 |
| area_code  | string     | true     | 210000  | 地区信息 |
| uid        | int        | true     | 3703860 | 用户 ID  |

#### 返回 

```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": [
    {
      "id": 10,
      "is_default": "Y",
      "name": "寄回换货"
    },
    {
      "id": 20,
      "is_default": "N",
      "name": "上门换货(白金会员专享服务)"
    }
  ],
  "md5": "0555567ba54421187652e086524e6daf",
  "message": "change type"
}
```
### 4.订单可换货商品列表

| Param Name | Param Type | Required | Param Value | Desc  |
| :--        | --:        | --:      | --:         | --:   |
| method     | string     | true     | app.change.goodsList | 请求方法 不可变 |
| order_code | string     | true     | 16051520 | 订单号  |
| uid        | int        | true     | 5986981  | 用户 ID  |

#### 返回

```json
{
  "address": {
    "address": "2",
    "address_id": 0,
    "area": "北京市 北京市 东城区",
    "area_code": "110101",
    "consignee": "啊六00",
    "mobile": "13000000000",
    "zip_code": "0"
  },
  "exchange_reason": [
    {
      "id": 3,
      "name": "不喜欢"
    },
    {
      "id": 2,
      "name": "性价比不高"
    },
    {
      "id": 11,
      "name": "价格变化"
    },
    {
      "id": 4,
      "name": "质量瑕疵"
    },
    {
      "id": 1,
      "name": "尺寸不合适"
    },
    {
      "id": 7,
      "name": "商品有色差"
    },
    {
      "id": 8,
      "name": "图片与实物不符"
    },
    {
      "id": 6,
      "name": "发错货"
    },
    {
      "id": 5,
      "name": "快递延迟"
    }
  ],
  "special_exchange_reason": [
    {
      "id": 4,
      "name": "质量瑕疵"
    },
    {
      "id": 8,
      "name": "图片与实物不符"
    },
    {
      "id": 6,
      "name": "发错货"
    },
  ],
  "special_notice":{
            "title":"该商品暂不支持7天无理由退换",
            "remark":"1.考虑到个人卫生，例如内衣、内裤、袜子等贴身塑身类商品，不支持无理由退换货   2.香水、香薰、化妆品等特殊商品，无质量问题，不支持无理由退换货"
    },
  "goods_list": [
    {
      "changeNum": 3,
      "colorId": 2,
      "color_name": "黑色",
      "erpSkuId": 834063,
      "goodsPrice": 139,
      "goods_id": 314411,
      "goods_image": "http://img11.static.yhbimg.com/goodsimg...",
      "goods_type": "ordinary",
      "goods_type_id": 1,
      "hasShoes": 0,
      "isChangeFlag": 1,
      "last_price": "139.00",
      "num": 3,
      "orderId": 5531831,
      "productSkc": 258548,
      "productSkn": 51134695,
      "productSku": 834063,
      "product_id": 239715,
      "product_name": "CLOTtee camouflage Printing Coat Tech Jacket",
      "product_skc": "258548",
      "product_skn": "51134695",
      "product_sku": "834063",
      "sales_price": 139,
      "size_name": "M",
      "is_limit_skn":"N"  //N表示没有限制,Y表示是特殊商品有限制
    }
  ]
}
```

### 5. 换货详情

| Param Name | Param Type | Required | Param Value | Desc  |
| :--        | --:        | --:      | --:         | --:   |
| method     | string     | true     | app.change.detail | 请求方法 不可变 |
| id  | int     | true     | 428013  | 换货id |
| uid        | int        | true     | 3703860 | 用户 ID  |

#### 返回

```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "address": "金兴路10号长安花园1层警卫室",
    "city": "北京市",
    "consignee_name": "曹苒",
    "county": "朝阳区",
    "create_time": "2013-09-01 08:02:41",
    "delivery_tpye": "20",
    "delivery_tpye_name": "上门换货",
    "goods_list": [
      {
        "color_name": "白",
        "evidence_images": [],
        "goods_image": "http://img11.static.yhbimg.com/goodsimg/2013/08/...",
        "goods_type": "ordinary",
        "goods_type_id": 1,
        "id": 1,
        "new_color_name": "白",
        "new_product_skc": "109629",
        "new_product_skn": "51019282",
        "new_product_sku": "382155",
        "new_size_name": "37码",
        "product_name": "Onitsuka Tiger经典中帮休闲鞋 MEXICO 66 MIDRUNNER ",
        "product_skc": "109629",
        "product_skn": "51019282",
        "product_sku": "382156",
        "reason": "1",
        "reason_name": "尺寸不合适",
        "remark": "尺寸不合适",
        "sales_price": "0.00",
        "size_name": "38码",
        "src_goods_id": 72525,
        "src_product_id": 47953
      }
    ],
    "mobile": "13521322804",
    "notice": {
      "id": 40,
      "remark": "请您耐心等待换货商品发出，客服电话：400-889-9646",
      "title": "您寄回的商品已收到"
    },
    "order_code": "309557854",
    "province": "北京市",
    "source_order_code": 308550118,
    "status": 40,
    "statusList": [
      {
        "act": "Y",
        "key": 0,
        "name": "提交申请"
      },
      {
        "act": "Y",
        "key": 10,
        "name": "审核通过"
      },
      {
        "act": "Y",
        "key": 20,
        "name": "上门取货"
      },
      {
        "act": "Y",
        "key": 30,
        "name": "商品入库"
      },
      {
        "act": "N",
        "key": 50,
        "name": "换货完成"
      }
    ],
    "status_name": "换货发出",
    "id":428013,
    "uid":3703860,
    "canCancel":"Y"  //y表示能取消，n表示不能取消 （大写）
  },
  "md5": "e49188e6fb7b0c9e626e14ddf8a158d3",
  "message": "换货详情"
}
```

### 6. 取消换货

| Param Name | Param Type | Required | Param Value | Desc  |
| :--        | --:        | --:      | --:         | --:   |
| method     | string     | true     | app.change.cancel | 请求方法 不可变 |
| id  | int     | true     | 428013  | 换货id |
| uid        | int        | true     | 3703860 | 用户 ID  |

#### 返回

```json
{
  "code": 200,
  "message": "取消换货成功",
  "data": [],
  "md5": "93311f762194b751872601b67fad53f7"
}
```
