# 物流服务接口

## 接口列表
| 接口名称 | 接口描述 |
| --------| -------- |
|[app.express.getExpressCompany](#1)|获取物流公司列表|
|[app.express.getNewExpress](#2)|获取最新退换货物流信息|
|[app.express.getRefundExpress](#3)|获取退换货物流信息|


## 接口描述

### 1、获取物流公司列表(app.express.getExpressCompany)

#### 请求参数
| Param Name | Param Type | Required | Param Value | Desc  |
| :--        | --:        | --:      | --:         | --:   |
| method	   | String     | true     | app.express.getExpressCompany| 请求方法|
| status	     | int        | false    | 1(默认值)         | 物流公司启用状态 1开启，0关闭 默认开启 |

#### 响应内容 按公司首字母排序
```json
{
  "code": 200,
  "data": {
    "E": [
      {
        "company_alif": "E",
        "company_code": "ems",
        "company_name": "南京ems",
        "company_name_substr": "南京ems",
        "id": 2,
        "is_first": "Y"
      }
    ],
    "H": [
      {
        "company_alif": "H",
        "company_code": "huitongkuaidi",
        "company_name": "汇通快运",
        "company_name_substr": "汇通快运",
        "id": 37,
        "is_first": "Y"
      }
    ],
    "J": [
      {
        "company_alif": "J",
        "company_code": "jd",
        "company_name": "京东快递",
        "company_name_substr": "京东快递",
        "id": 46,
        "is_first": "Y"
      }
    ],
    "S": [
      {
        "company_alif": "S",
        "company_code": "shunfeng",
        "company_name": "顺丰",
        "company_name_substr": "顺丰",
        "id": 23,
        "is_first": "Y"
      },
      {
        "company_alif": "S",
        "company_code": "shentong",
        "company_name": "申通",
        "company_name_substr": "申通",
        "id": 36,
        "is_first": "N"
      }
    ],
    "T": [
      {
        "company_alif": "T",
        "company_code": "tonghetianxia",
        "company_name": "通和天下",
        "company_name_substr": "通和天下",
        "id": 30,
        "is_first": "Y"
      }
    ],
    "Y": [
      {
        "company_alif": "Y",
        "company_code": "yuantong",
        "company_name": "圆通",
        "company_name_substr": "圆通",
        "id": 29,
        "is_first": "Y"
      },
      {
        "company_alif": "Y",
        "company_code": "youshuwuliu",
        "company_name": "优速快递",
        "company_name_substr": "优速快递",
        "id": 32,
        "is_first": "N"
      },
      {
        "company_alif": "Y",
        "company_code": "yunda",
        "company_name": "韵达",
        "company_name_substr": "韵达",
        "id": 39,
        "is_first": "N"
      }
    ],
    "Z": [
      {
        "company_alif": "Z",
        "company_code": "zhaijisong",
        "company_name": "南京ZJS",
        "company_name_substr": "南京ZJS",
        "id": 5,
        "is_first": "Y"
      }
    ]
  },
  "md5": "c773c50ba3acedff6feacace3f95e468",
  "message": "物流公司"
}
```
##### 响应内容描述
| Param Name | Param Type | Desc |
| ---------- | ---------- | ---- |
| company_alif	     | String       | 物流公司首字母 |
| company_code | String        | 物流公司编码|
| company_name      | String        | 物流公司名称 |
| company_name_substr| String      | 物流公司子字符串 |
| id         | int  |物流公司ID |
| is_first | String     |是否首次 |

### 2、获取最新退换货物流信息(app.express.getNewExpress)

#### 请求参数
| Param Name | Param Type | Required | Param Value | Desc  |
| :--        | --:        | --:      | --:         | --:   |
| method	   | String     | true     | app.express.getNewExpress| 请求方法|
| id	     | int        |true  | 428106        | 退换货申请ID|
| uid	     | int        |true  | 362719        |用户ID |
| type	     | String        |true  | refund       | 类型 （退货：refund,换货：change）|

#### 响应内容 按公司首字母排序
```json
{
    "code": 200,
    "message": "成功获取物流信息",
    "data": {
        "url": "http://www.ems.com.cn/",
        "logo": "http://img12.static.yhbimg.com/taobaocms/2015/08/17/07/02fa410769cbbc3c4b59d6a804a3b8d98e.png",
        "caption": "南京ems",
        "is_support": "3",
        "express_number": "44323566",
        "express_detail": []
    },
    "md5": "3fc5f5f1ea744d14ad4c4ae54e7cf143"
}

```
##### 响应内容描述
| Param Name | Param Type | Desc |
| ---------- | ---------- | ---- |
| url	     | String       | 物流公司网址 |
| logo | String        | 物流公司logo|
| caption     | String        | 物流公司名称 |
| is_support        | String|返回状态(1:查询到物流信息 2:不支持物流公司 3:没有找到物流信息) |
| express_number| String      | 快递单号 |
| express_detail | json数组    |物流详情 |

### 3、获取退换货物流信息(app.express.getRefundExpress)

#### 请求参数
| Param Name | Param Type | Required | Param Value | Desc  |
| :--        | --:        | --:      | --:         | --:   |
| method	   | String     | true     | app.express.getRefundExpress| 请求方法|
| express_id	     | int        |true  | 23        | 快递公司ID|
| express_number     | String      |true  | 800481228670        |快递单号 |

#### 响应内容 按公司首字母排序
```json
{
  "code": 200,
  "data": [
    {
      "acceptTime": "2014-12-06 12:38:24",
      "accept_address": "客户 签收人: 林汐 已签收",
      "express_id": 3,
      "express_number": "800481228670",
      "order_code": 412506421
    },
    {
      "acceptTime": "2014-12-06 08:58:31",
      "accept_address": "北京市通州区城区公司 派件人: 徐宏博 派件中 派件员电话18911353205",
      "express_id": 3,
      "express_number": "800481228670",
      "order_code": 412506421
    },
    {
      "acceptTime": "2014-12-06 07:51:43",
      "accept_address": "快件到达 北京市通州区城区公司",
      "express_id": 3,
      "express_number": "800481228670",
      "order_code": 412506421
    },
    {
      "acceptTime": "2014-12-05 18:28:25",
      "accept_address": "北京转运中心公司 已发出,下一站 北京市通州区城区",
      "express_id": 3,
      "express_number": "800481228670",
      "order_code": 412506421
    },
    {
      "acceptTime": "2014-12-05 18:26:21",
      "accept_address": "快件到达 北京转运中心公司",
      "express_id": 3,
      "express_number": "800481228670",
      "order_code": 412506421
    },
    {
      "acceptTime": "2014-12-04 19:44:16",
      "accept_address": "江苏省南京市雨花区板桥公司 已打包,发往下一站 北京转运中心",
      "express_id": 3,
      "express_number": "800481228670",
      "order_code": 412506421
    },
    {
      "acceptTime": "2014-12-04 18:44:41",
      "accept_address": "快件到达 江苏省南京市雨花区板桥公司",
      "express_id": 3,
      "express_number": "800481228670",
      "order_code": 412506421
    }
  ],
  "md5": "74b36d9c9b9ff658eac1b46c196dbc99",
  "message": "物流信息"
```
##### 响应内容描述
| Param Name | Param Type | Desc |
| ---------- | ---------- | ---- |
| acceptTime	     | String       | 运货单创建时间 |
| accept_address | String        | 运货单接收地址|
| express_id	     | int | 快递公司ID|
| express_number     | String |快递单号 |
| order_code| long | 订单号 |
