# 订单服务接口

## 1、订单列表


### 接口说明

| 接口说明 | 接口说明 | 
| :-- | -----: |
| 请求域名 | http://api.yoho.cn/ |
| 接口名 | app.SpaceOrders.get |
| 接口说明 | 获取用户订单列表 |
| http请求方式 | GET/POST |

### 请求参数
| 名称 | 类型 | 是否必须 | 示例值 | 默认值 | 描述 | 
| :-- | :--  | :--  | :-- | :-- | :-- |
| method | string | 是 | app.SpaceOrders.get | | |
| uid | int | 是 | 5772257 | | |
| type | int | 是 | 1 | | 订单类型 1:全部订单,2:待付款,3:待发货,4:待收货,5:待评论/成功订单,7:失败/取消<br />11:BLK全部订单,12:BLK待付款,13:BLK待发货,14:BLK待收货,19PCBLK待收货|
| page | int | 否 | 1 | 1 | 页数 |
| limit | int | 否 | 10 | 10 | 每页大小 |

### 正常返回结果
```json
{
  "code": 200,
  "data": {
    "order_list": [
      {
        "id": "5528982",
        "order_code": "1519273880",
        "parent_order_code": "0",
        // 订单类型 1:有货,3:iphone,4:android,5:淘宝,6:h5,7:是换货,9:渠道,20:ipad
        "order_type": 1,
        // 退货状态（该字段已经废弃了）0:正常订单,1:退货审核中,2:退货审核不通过,3:退货审核通过,4:退货商品寄回,5:退货库房入库,6:财务退款,7:完成
        "refund_status": 0,
        "uid": "5772257",
        // 创建时间
        "create_time": "1449633428",
        // 更新时间
        "update_time": "1449633455",
        //是否展示取消订单倒计时，Y表示展示,N不展示
        "counter_flag":"Y",
        // 取消订单倒计时时间，单位：秒  
        "pay_lefttime":"6446",
        // 支付超期时间
        "pay_expire": "2015-12-09 13:57:08",
        // 支付方式编号
        "payment": "2",
        // 支付状态 Y:已支付,N:未支付
        "payment_status": "Y",
        // 支付方式 1:在线支付,2:货到付款,3:现金支付,4:抵消支付
        "payment_type": "1",
        "payment_type_str": "在线支付",
        // 状态 0:待付款,1-3:待发货,4-5:待收货(0:未付款,1:已付款,2:备货中,3:配货中,4:已发货,5:运输中,6:已完成)
        "status": 1,
        // 状态名称
        "status_str": "已付款",
        "attribute": "5",
        //虚拟种类,兼容以后的虚拟商品，3为门票
        "virtual_type":"3",
        // 是否取消 Y:已取消,N:未取消
        "is_cancel": "N",
        // 是否评论 Y:已评论,N:未评论
        "is_comment": "N",
        // 订单金额
        "amount": "1.00",
        // 运费
        "shipping_cost": "0.00",
        // 使用限购码 Y:使用,N:未使用
        "use_limit_code": "N",
        // 用户确认支付 Y:是,N:否
        "user_confirm_paid": "N",
        // 购买商品数量
        "buy_total": 1,
        // 购买商品
        "order_goods": [
          {
            // 购买商品数量
            "buy_number": 1,
            "goods_id": 125106,
            // 商品默认图片
            "goods_image": "http://img10.static.yhbimg.com/goodsimg/2014/06/19/02/0118c2721e4f2219f69539dd389f4bacac.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
            // 商品价格
            "goods_price": "1.00",
            // 商品类型 ordinary:普通商品
            "goods_type": "ordinary",
            // 商品总价格
            "goods_amount": "1.00",
            "product_id": 84230,
            "product_name": "004 满版龙纹迷彩七分休闲裤",
            "cn_alphabet": "004QiFenBuKu004PA095",
            "product_skn": 51055461,
            // 退货数量
            "refund_num": 0,
            //正常商品：商品颜色，门票：场次(9月16 10:00)
            "color_name": "彩色",
            //正常商品：商品尺寸，套票：区域(A区)，展览票：空
            "size_name": "M",
            // 预期到货时间
            "expect_arrival_time": ""
          }
        ]
      }
    ],
    "page": 1,
    "page_total": 27,
    "total": 265
  },
  "message": "ok"
}
```

### 2、订单详情

### 接口说明

| 接口说明 | 接口说明 | 
| :-- | -----: |
| 请求域名 | http://api.yoho.cn/ |
| 接口名 | app.SpaceOrders.detail |
| 接口说明 | 订单详情 |
| http请求方式 | GET/POST |

### 请求参数
| 名称 | 类型 | 是否必须 | 示例值 | 默认值 | 描述       | 
| :-- | :--  | :--  | :--| :-- | :--      |
| method | string | 是 | app.SpaceOrders.detail |||
| uid | int | 是 | 5772257 |||
| order_code | int | 是 | 1519273880 || 订单号 |


#### 正常返回结果
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "address": "你那",
    "amount": "¥690.00",
    "area": "北京市 北京市 东城区 ",
    "area_code": "110101",
    "attribute": "0",
    //虚拟种类，3为门票
    "virtual_type":"3",
    "can_comment": "Y",
    //是否有关联其他订单 "Y":有关联其他订单 "N"：没有关联其他订单
	"relate_order_code": "Y",
	// 地址ID
    "address_id": 12345,
    //是否展示取消订单倒计时，Y表示展示,N不展示
    "counter_flag":"Y",
    // 取消订单倒计时时间，单位：秒  
    "pay_lefttime":"6446",
    //能否修改订单收货人地址 "Y":能修改 "N"：不能修改
	"can_update_delivery_address": "Y",
    "coupons_amount": "-¥0.00",
    "create_time": "1458138942",
    "delivery_time": "只工作日送货（双休日、节假日不用送）",
    "exchange_status": "0",
    "express_company": {
      "caption": "顺丰",
      "is_support": 1,
      "logo": "http://static.yohobuy.com/images/v3/express/order_carrier_sf_logo.png",
      "url": "http://www.sf-express.com"
    },
    "goods_total_amount": "¥690.00",
    "is_cancel": "N",
    "is_support_exchange": "N",
    "is_support_refund": "N",
    "mobile": "15950561359",
    "order_code": "1519816409",
    "order_goods": [
      {
        "buy_number": "2",
        "cn_alphabet": "5PREVIEWPJBASICTEENvZhuangTaoTouShanJ540_100",
        "expect_arrival_time": "",
        "goods_amount": "690.00",
        "goods_id": 185491,
        "goods_image": "http://img13.static.yhbimg.com/goodsimg/2014/11/27/09/0222a041d7f9c17479a684e9e7e4efeac2.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
        "goods_price": "345.00",
        "goods_status": "",
        "goods_type": "ordinary",
        "product_id": "133109",
        "product_name": "5 PREVIEW  人物趣味印花圆领T恤衫 （通用款）",
        "product_skn": "51080712",
        "product_sku": "51080712",
        //正常商品：商品颜色，门票：场次(9月16 10:00)
        "color_name": "彩色",
        //正常商品：商品尺寸，套票：区域(A区)，展览票：空
        "size_name": "M",
        "yoho_give_coin": 0,
        "service_type":1 //1表示换货2 表示退货 3已退还
      }
    ],
    "order_id": "5529469",
    "order_type": "3",
    "parent_order_code": "0",
    "pay_expire": "2016-03-17 00:35:42",
    "payment": "0",
    "payment_amount": "690.00",
    "payment_name": "",
    "payment_status": "Y",
    "payment_type": "1",
    "phone": "",
    "promotion_amount": "-¥0.00",
    "refund_status": "0",
    "remark": "",
    "shipping_cost": "¥0.00",
    "status": "6",
    "status_str": "交易成功",
    "use_limit_code": "N",
    "user_confirm_paid": "N",
    "user_name": "骆秀春",
    // 使用YOHO币价格
    "yoho_coin_num": "-¥9.60",
    // 返YOHO币个数
    "yoho_give_coin": 0,
    // 是否包含多个包裹 Y:分仓调拨,N:单个包裹
    "is_multi_package": "Y",
    // 包裹明细
    "package_list": [
      {
        // 供应商编号
        "supplier_id": "0",
        // 包裹运费
        "shopping_cost": "2.00",
        // 运费优惠
        "shopping_cut_cost": "5",
        // 运费原价
        "shopping_orig_cost": "5",
        // 包裹中商品
        "goods_list": [
          {
            "buy_number": "1",
            "goods_image": "http://img10.static.yhbimg.com/goodsimg/2014/06/19/02/0118c2721e4f2219f69539dd389f4bacac.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
            "goods_type": "ordinary",
            "product_id": 84230,
            "product_name": "004 满版龙纹迷彩七分休闲裤",
            "product_skn": "51055461",
            "product_skc": "1022222",
            "product_sku": "51055461"
          }
        ]
      }
    ],
    "invoice":--发票
    {
        "type" : 1,-- 纸质 1 ，电子 2
        "title" ："xxxx", --发票抬头
        "contentValue" : "服饰" , -- 发票内容
        "mobilePhone" : "13888888", --电话
        "pdfUrl" : "https://dl/fp.pdf", --pdf下载地址
        "showInvoice" : true -- true显示 false 不显示
    }
  },
  "md5": "93833c6c94b5da93af49f4591a166147",
  "message": "OK"
}
```


### 3、取消订单

####  说明
根据订单号取消订单
#### 请求参数
| Param Name | Param Value | Desc|
| :-------- | --------------:|----:|
| method	| app.SpaceOrders.close| 请求方法 |
| order_code	| 1061003682 | 订单号 |
| reason_id	| 1 | 原因id |
| reason	| 支付不成功 | 原因描述 |
#### 正常返回结果
```json
{
"code":200,
"message":"订单取消成功"
}
```

### 5、确认订单

####  说明
根据订单号确认订单
#### 请求参数
| Param Name | Param Value | Desc|
| :-------- | --------------:|----:|
| method	| app.SpaceOrders.confirm| 请求方法 |
| order_code	| 1061003682 | 订单号 |

#### 响应内容
```json
{
"code":200,
"message":"订单确认成功"
}
```


### 6、获取电子票列表



####  说明
根据订单号获取电子票列表
#### 请求参数
| Param Name | Param Value | Desc|
| :-------- | --------------:|----:|
| method	| app.SpaceOrders.getQrByOrderCode| 请求方法 |
| order_code	| 1061003682 | 订单号 |
| uid |  5772257  | 用户ID |

#### 响应内容
```json
{
  "code": 200,
  "data": {
    "ticks": [{
      "ticket_code":"8611779901",
      "qr_image":"http://img06.static.yhbimg.com/yohood/4063/ticket-8611779901-1-40-1-1.jpg",
      "passkit":"Y",
      //门票类型，1展览票 2套票
      "ticket_type":"2",
      //座位号
      "seat_no":"A区1排座",
      //入场时间
      "entrance_time":"9月16 10：00"
    }],
    "title": "FURY ANIMALS Normal迷彩系列BUNNY短袖TEE"
  },
  "md5": "24aff7ba505dccb63a14b5d78ae22821",
  "message": "ok"
}
```
##### 响应内容描述
| Param Name | Param Type | Desc |
| ---------- | ---------- | ---- |
| title	     | string     | 商品名称 |
| ticks	     | json       | 电子票 |
| ticket_code| string     | 电子票code |
| qr_image   | string     | 电子票code二维码图片路径 |
| passkit	   | string     |  |

### 7、获取YOHO赠品

####  说明
根据skn获取yohoGift
#### 请求参数
| Param Name | Param Value | Desc|
| :-------- | --------------:|----:|
| method	| web.Shopping.yohoGift| 请求方法 |
| skn_list	| [50001829,50002280]| skn列表 |

#### 响应内容
```json
    {
        "alg": "SALT_MD5",
        "code": 200,
        "data":
        [
            {
                "default_pic": "http://img11.static.yhbimg.com/goodsimg/2012/03/02/17/019a0794f1eb1ad77ce5d8a2c2b2cf2e50.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
                "id": 3,
                "price":
                {
                    "sales_price": 250,
                    "yoho_coin_num": 0
                },
                "product_name": "OVERKILL 天使山羊TEE",
                "storage": 0,
                "storage_list":
                [
                    {
                        "erp_sku_id": 102009,
                        "goods_dimension_id": 201,
                        "goods_id": 3,
                        "product_id": 3,
                        "size":
                        {
                            "size_name": "L"
                        },
                        "storage_num": 0
                    },
                    {
                        "erp_sku_id": 102010,
                        "goods_dimension_id": 203,
                        "goods_id": 3,
                        "product_id": 3,
                        "size":
                        {
                            "size_name": "M"
                        },
                        "storage_num": 0
                    },
                    {
                        "erp_sku_id": 102012,
                        "goods_dimension_id": 211,
                        "goods_id": 3,
                        "product_id": 3,
                        "size":
                        {
                            "size_name": "XL"
                        },
                        "storage_num": 0
                    }
                ],
                "url": "http://www.yohobuy.com/product/pro_3_3/OVERKILL TianShiShanYangTEE.html"
            },
            {
                "default_pic": "http://img10.static.yhbimg.com/goodsimg/2011/06/23/04/0158a984a768a351328138ea3671e270de.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
                "id": 5,
                "price":
                {
                    "sales_price": 138,
                    "yoho_coin_num": 0
                },
                "product_name": "MANIA TAKI X 圆领印花短袖TEE",
                "storage": 0,
                "storage_list":
                [
                    {
                        "erp_sku_id": 102015,
                        "goods_dimension_id": 213,
                        "goods_id": 5,
                        "product_id": 5,
                        "size":
                        {
                            "size_name": "XS"
                        },
                        "storage_num": 0
                    }
                ],
                "url": "http://www.yohobuy.com/product/pro_5_5/MANIA TAKI X YuanLingYinHuaDuanXiuTEE.html"
            }
        ],
        "md5": "d6e4c90434e98a90555d864cf4798679",
        "message": "操作成功"
    }
```

### 8、购物车列表

####  说明

#### 请求参数
| Param Name | Param Value | Desc|
| :-------- | --------------:|----:|
| method	| app.Shopping.cart| 请求方法 |
| shopping_key	| 9c101f734768105aafc792d460d12206 |  |
| uid	| 10166061 |  |

#### 响应内容
```json
{
  "code": 200,
  "data": {
    "advance_cart_data": {
      "gift_list": [],
      "goods_list": [],
      "price_gift": [],
      "promotion_info": [],
      "shopping_cart_data": {
        "discount_amount": 0,
        "fast_shopping_cost": 0,
        "gain_yoho_coin": 0,
        "goods_count": 0,
        "last_order_amount": 0,
        "order_amount": 0,
        "promotion_formula": "总计¥0.00=商品金额¥0.00",
        "promotion_formula_list": [
          {
            "promotion": "商品金额",
            "promotion_amount": "¥0.00"
          }
        ],
        "selected_goods_count": 0,
        "shipping_cost": 0,
        "str_discount_amount": "¥0.00",
        "str_order_amount": "¥0.00"
      },
      "sold_out_goods_list": []
    },
    "ordinary_cart_data": {
      "gift_list": [],
      "goods_list": [
        {
          "attribute": "1",
          "brand_id": "350",
          "buy_limit": 0,
          "buy_number": "1",
          "color_id": "7",
          "color_name": "蓝色",
          "expect_arrival_time": "",
          "fit_promotions": [
            "8579",
            "8479",
            "8477",
            "8475"
          ],
          "get_yoho_coin": "0",
          "goods_id": "404795",
          "goods_images": "http://....jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
          "goods_type": "ordinary",
          "is_advance": "N",
          "is_jit": "N",
          "is_limited": "N",
          "is_outlets": "N",
          "is_special": "N",
          "last_price": "319.0",
          "last_vip_price": 369,
          "market_price": 369,
          "max_sort_id": "7",
          "middle_sort_id": "49",
          "product_id": 314449,
          "product_name": "MACROPUS 复古帆布系列 双肩包(男女通用)",
          "product_skc": "306652",
          "product_skn": "51174830",
          "product_sku": "967008",
          "promotion_flag": "103",
          "promotion_id": "0",
          "real_price": 319,
          "real_vip_price": 0,
          "sale_price": 0,
          "sales_price": 369,
          "selected": "Y",
          "shop_id": 0,
          "shopping_cart_goods_id": "94305847",
          "shopping_cart_id": "130769237",
          "size_id": "199",
          "size_name": "F",
          "small_sort_id": "152",
          "storage_number": "99",
          "str_subtotal": "¥369.00",
          "subtotal": 369,
          "supplier_id": 0,
          "uid": "10166061",
          "vip1_price": "350.55",
          "vip2_price": "332.10",
          "vip3_price": "324.72",
          "vip_discount": 1,
          "vip_discount_money": 0,
          "vip_discount_type": "1",
          "vip_price": 0,
          "yoho_coin_num": "0"
        }
      ],
      "price_gift": [
        {
          "gift_price": 39,
          "goods_list": [
            {
              "goods_images": "http://...jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
              "last_price": 39,
              "market_price": 90,
              "product_id": 269401,
              "product_name": "VOCHIC 欧式多用抗菌艺术砧板",
              "product_skn": 51150012,
              "sales_price": 49,
              "storage_number": 150
            }
          ],
          "max_select_number": "1",
          "promotion_id": 8475,
          "promotion_title": "【全场39元加价购】",
          "promotion_type": "Needpaygift"
        }
      ],
      "promotion_info": [
        {
          "cutdown_amount": 50,
          "promotion_id": 8579,
          "promotion_title": "【包配随行】满￥299减￥50",
          "promotion_type": "Cashreduce"
        }
      ],
      "shopping_cart_data": {
        "discount_amount": 50,
        "fast_shopping_cost": 15,
        "gain_yoho_coin": 0,
        "goods_count": 1,
        "last_order_amount": 319,
        "order_amount": 369,
        "promotion_formula": "总计¥319.00=商品金额¥369.00-活动金额¥50.00",
        "promotion_formula_list": [
          {
            "promotion": "商品金额",
            "promotion_amount": "¥369.00"
          }
        ],
        "selected_goods_count": 1,
        "shipping_cost": 10,
        "str_discount_amount": "¥50.00",
        "str_order_amount": "¥369.00"
      },
      "sold_out_goods_list": []
    }
  },
  "md5": "d222cf08c9d43d0c5f3ab31d278cabd8",
  "message": "cart goods list."
}
```


### 9、获取待处理订单总数

####  说明
根据获取待处理订单总数
#### 请求参数
| Param Name | Param Value | Desc        |
| ---------- | ----------- | ----        |
| method	   | web.SpaceOrders.getPendingOrderCount| 请求方法 |
| uid	       | 5772257     |             |

#### 响应内容

```json
{
  "code": 200,
  "message": "操作成功"
  "data": {
    "count": 100
  }
}
```

### 10、历史订单列表

####  说明
获取历史订单列表
#### 请求参数
| Param Name | Param Type | Required | Param Value | Desc  |
| :--        | --:        | --:      | --:         | --:   |
| method	   | string     | true     | app.SpaceOrders.history| 请求方法 不可变 |
| uid	       | int        | true     | 1         |用户编号 |
| page	     | int        | false    | 1         | 页数 |
| limit	     | int        | false    | 10        | 每页大小 |

#### 响应内容
```json


    {
        "alg": "SALT_MD5",
        "code": 200,
        "data":
        {
            "list":
            [
                {
                    "amount": "257.00",
                    "goods_data": "["\u7070\u8272V\u9886\u706f\u82af\u7ed2\u62fc\u8d34\u9488\u7ec7\u523a\u7ee3LOGO\u5f00\u80f8\u7ebf\u886b","L-HOUSE\u53cc\u9762\u62fc\u63a5\u9ed1\u767d\u671d\u9633\u683c\u56f4\u5dfe"]",
                    "order_code": "10380864",
                    "order_time": "1292069832",
                    "payment": "支付宝"
                },
                {
                    "amount": "237.00",
                    "goods_data": "["Jasonwood\u5f69\u8272\u978b\u5e26\u5b54\u725b\u4ed4\u4f11\u95f2\u978b"]",
                    "order_code": "68971578",
                    "order_time": "1310435462",
                    "payment": "支付宝"
                }
            ],
            "page": 1,
            "total": 2,
            "total_page": 1
        },
        "md5": "684313284330ddc5e2951f7e979d5712",
        "message": "ok"
    }


```
##### 响应内容描述
| Param Name | Param Type | Desc |
| ---------- | ---------- | ---- |
| page	     | int        | 当前页数 |
| total_page | int        | 总页数 |
| total      | int        | 总记录数 |
| list | json       | 订单列表 |
| order_code | string     |订单编号 |
| order_time | string     |下单时间 |
| amount | string        | 订单金额 |
| payment | string     | 支付方式 |
| goods_data        | string     | 订单商品 |

### 11、取消订单原因列表

####  说明
根据订单号取消订单
#### 请求参数
| Param Name | Param Value | Desc|
| :-------- | --------------:|----:|
| method	| app.SpaceOrders.closeReasons| 请求方法 |


#### 正常返回结果
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": [
    {
      "id": "1",
      "reason": "支付不成功"
    },
    {
      "id": "2",
      "reason": "现在不想购买"
    },
    {
      "id": "3",
      "reason": "订单价格有问题"
    },
    {
      "id": "4",
      "reason": "修改订单信息"
    },
    {
      "id": "5",
      "reason": "错误或重复下单"
    },
    {
      "id": "6",
      "reason": "忘记使用优惠劵或YOHO币"
    },
    {
      "id": "7",
      "reason": "等待发货时间过长"
    },
    {
      "id": "8",
      "reason": "商品价格较贵"
    },
    {
      "id": "9",
      "reason": "运费过高"
    },
    {
      "id": "10",
      "reason": "其他"
    }
  ],
  "md5": "c5ebf5f9145238ea6bc861b4b3fd895a",
  "message": "订单取消原因列表"
}
```