# 退货服务接口

## 接口列表
| 接口名称 | 接口描述 |
| --------| -------- |
|[app.refund.goodsList](#1)|获取退货订单商品列表|
|[app.refund.submit](#2)|提交退货申请|
|[app.refund.detail](#3)|退货详情|
|[app.refund.setexpress](#4)|保存快递信息|
|[app.refund.getList](#5)|查询退换货列表|
|[app.refund.cancel](#6)|取消退货申请|

## 接口描述

### 1、获取退货订单商品列表(app.refund.goodsList)

#### 请求参数
| Param Name | Param Type | Required | Param Value | Desc  |
| :--        | --:        | --:      | --:         | --:   |
| method	   | String     | true     | app.refund.goodsList| 请求方法|
| uid	     | int        | true   | 7893817        |用户ID |
| order_code	     |long       | true   | 1613656852         |订单号 |

#### 响应内容 
```json
{
    "code": 200,
    "data": {
        "coupon_amount": "0.00",
        "goods_list": [
            {
                "color_name": "蓝色",
                "goods_id": 355897,
                "goods_image": "http://img10.static.yhbimg.com/goodsimg/2015/10/29/12/01c9c05a2170996e86f5c1f7ed32e48ac7.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
                "goods_type": "ordinary",
                "goods_type_id": 1,
                "hasShoes": 0,
                "last_price": "149.00",
                "product_id": 275357,
                "product_name": "Life•After Life X The Simpsons 辛普森一家刺绣牛津纺衬衫",
                "product_skc": 280039,
                "product_skn": 51153138,
                "product_sku": 894428,
                "size_name": "M",
                "is_limit_skn": "N", //N表示没有限制,Y表示是特殊商品有限制
            }
        ],
        "return_amount_info": "",
        "return_amount_mode": [
            {
                "id": 1,
                "is_default": "Y",
                "name": "原卡返还"
            }
        ],
        "return_reason": [
            {
                "id": 3,
                "name": "不喜欢"
            },
            {
                "id": 2,
                "name": "性价比不高"
            },
            {
                "id": 11,
                "name": "价格变化"
            },
            {
                "id": 4,
                "name": "质量瑕疵"
            },
            {
                "id": 1,
                "name": "尺寸不合适"
            },
            {
                "id": 7,
                "name": "商品有色差"
            },
            {
                "id": 8,
                "name": "图片与实物不符"
            },
            {
                "id": 6,
                "name": "发错货"
            },
            {
                "id": 5,
                "name": "快递延迟"
            }
        ],
         "special_return_reason": [
            {
                "id": 4,
                "name": "质量瑕疵"
            },
            {
                "id": 8,
                "name": "图片与实物不符"
            },
            {
                "id": 6,
                "name": "发错货"
            }
        ],
        "yoho_coin_num": "0.00",
        "special_notice":{
            "title":"该商品暂不支持7天无理由退换",
            "remark":"1.考虑到个人卫生，例如内衣、内裤、袜子等贴身塑身类商品，不支持无理由退换货   2.香水、香薰、化妆品等特殊商品，无质量问题，不支持无理由退换货"
        }
    },
    "md5": "72879cfb65bcd2705e4283d2f5dc1a30",
    "message": "Refund goods list"
}
```


### 2、提交退货申请(app.refund.submit)

#### 请求参数
| Param Name | Param Type | Required | Param Value | Desc  |
| :--        | --:        | --:      | --:         | --:   |
| method	 | String     | true     |app.refund.submit| 请求方法|
| order_code |long        | true     | 1512253171        |订单号 |
| uid	     | int        | true     |8040274      |用户ID |
| area_code	 |String      | false    | " " (默认值为空) |地区编号|
| goods	     |String(json数组)      | true   | [{"goods_type":"1","last_price":"18.00","product_skc":"83007","product_skn":"51001899","product_sku":"307528","remark":" ","returned_reason":1}]         |退货商品 |
| payment	     |String(json对象)       | true   | {"alipay_account":" ","alipay_name":" ","area_code":"320115","bank_card":" ","bank_name":" ","city":" ","payee_name":" ","province":" ","remark":" ","return_amount_mode":"1"}         |退款设置|

### goods入参，兼容其中含有非法参数 "evidence_images" : ""
``` json
[
    {
        "last_price": "100.00",
        "remark": "",
        "returned_reason": "3",
        "evidence_images": "",
        "product_skn": "51066850",
        "goods_type": "1",
        "product_skc": "176123",
        "product_sku": "586467"
    },
    {
        "last_price": "100.00",
        "remark": "",
        "returned_reason": "2",
        "evidence_images": "",
        "product_skn": "51066850",
        "goods_type": "1",
        "product_skc": "176123",
        "product_sku": "586467"
    },
    {
        "last_price": "385.00",
        "remark": "重量不行",
        "returned_reason": "8",
        "evidence_images": [
            "/2016/06/30/11/02ba04e8b96654fc6c1fab12dda61bec21.png",
            "/2016/06/30/11/014c64b459499081c8bd237eb8e26decf8.png"
        ],
        "product_skn": "51177771",
        "goods_type": "1",
        "product_skc": "310207",
        "product_sku": "978129"
    },
    {
        "last_price": "297.44",
        "remark": "只昂零食",
        "returned_reason": "8",
        "evidence_images": [
            "/2016/06/30/11/02ba04e8b96654fc6c1fab12dda61bec21.png",
            "/2016/06/30/11/014c64b459499081c8bd237eb8e26decf8.png"
        ],
        "product_skn": "51187488",
        "goods_type": "1",
        "product_skc": "323703",
        "product_sku": "1012322"
    }
]
```
### payment入参
``` json
{
    "alipay_account": " ",
    "alipay_name": " ",
    "area_code": "320115",
    "bank_card": " ",
    "bank_name": " ",
    "city": " ",
    "payee_name": " ",
    "province": " ",
    "remark": " ",
    "return_amount_mode": "1"
}
```

#### 响应内容
```json
{
    "code": 200,
    "message": "退货申请成功",
    "data": {
        "apply_id": "428135"
    },
    "md5": "2d4a86d3d308cf8cbdd9870ebd61a3a4"
}
```
##### 响应内容描述
| Param Name | Param Type | Desc |
| ---------- | ---------- | ---- |
| apply_id	     | String       | 退货申请ID |


### 3、退货详情(app.refund.detail)

#### 请求参数
| Param Name | Param Type | Required | Param Value | Desc  |
| :--        | --:        | --:      | --:         | --:   |
| method	   | String     | true     | app.refund.detail| 请求方法|
| id	     |int      | true   | 428106        |退货申请ID |
| uid	     | int        | true   | 362719        |用户ID |


#### 响应内容
```json
{
    "code": 200,
    "message": "退货详情",
    "data": {
        "source_order_code": "1513540278",
        "use_yoho_coin_num": null,
        "status": "20",
        "status_name": "商品寄回",
        "statusList": [
            {
                "name": "提交申请",
                "act": "Y"
            },
            {
                "name": "审核通过",
                "act": "Y"
            },
            {
                "name": "商品寄回",
                "act": "Y"
            },
            {
                "name": "商品入库",
                "act": "N"
            },
            {
                "name": "退款完成",
                "act": "N"
            }
        ],
        "create_time": "2015-11-23 20:20:12",
        "return_amount_mode_name": "YOHO币",
        "return_amount_mode": "4",
        "return_yoho_coin": "0",
        "goods_list": [
            {
                "product_skn": "51146548",
                "product_name": "我是可爱的小秋秋，james，蔡!",
                "goods_image": "?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/90",
                "size_name": null,
                "color_name": null,
                "sales_price": null,
                "reason": "1",
                "remark": "",
                "reason_name": "尺寸不合适",
                "evidence_images": [],
                "goods_type": "ordinary"
            }
        ],
        "notice": {
            "id": 20,
            "title": "商品寄回物流信息",
            "express_company": "南京ems",
            "express_number": "44323566"
        },
        "return_amount": "125.00",
        "return_coupon_amount": "0.00",
        "express_number": "44323566",
        "return_amount_total": "125.00",
        "return_amount_info": "",
        "return_amount_mode_info": [],
        "id" :428106,
        "uid":362719，
        "canCancel":"Y"  //y表示能取消，n表示不能取消 （大写）
    },
    "md5": "6fa464cf72538ad2c25fa24d20dcdd20"
}

}
```

### 4、保存快递信息(app.refund.setexpress)

#### 请求参数
| Param Name | Param Type | Required | Param Value | Desc  |
| :--        | --:        | --:      | --:         | --:   |
| method	   | String     | true     | app.refund.setexpress| 请求方法|
| id	     |int      | true   | 428120        |退货申请ID |
| uid	     | int        | true   | 362729        |用户ID |
| express_company	     |String       | true   | 南京ems         |快递公司名称|
| express_number	     |String       | true   | 44323575         |快递单号 |
| express_id	     |int       | true   | 2         |快递公司ID |

#### 响应内容 
```json
{
  "code": 200,
  "message": "快递单号设置成功",
  "data": [],
  "md5": "93311f762194b751872601b67fad53f7"
}
or
{
  "code": 412,
  "message": "没有找到该退货申请"
}

```

### 5、查询退换货列表(app.refund.getList)

#### 请求参数
| Param Name | Param Type | Required | Param Value | Desc  |
| :--        | --:        | --:      | --:         | --:   |
| method	   | String     | true     | app.refund.getList| 请求方法|
| uid	     | int        | true   | 8041876        |用户ID |
| page	     |int       | false   | 1         |分页|
| limit	     |int       | false   | 10         |每页数量|

#### 响应内容 
```json
{
    "alg": "SALT_MD5",
    "code": 200,
    "data": {
        "list": [
            {
                "create_time": "2016-06-17",
                "goods": [
                    {
                        "cn_alphabet": "TYAKASHANanKuanLvSeJiHeTuAnPinTieTaoTouWeiYiT15DS5075G",
                        "color_name": "绿色",
                        "goods_id": "385775",
                        "goods_image": "http://img10.static.yhbimg.com/goodsimg/2015/11/02/06/01361c1986f1dd2eaff70e1f85a35bfacd.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
                        "goods_type": "ordinary",
                        "product_id": "301131",
                        "product_name": "TYAKASHA 男款绿色几何图案拼贴套头卫衣  ",
                        "product_skn": "51168269",
                        "product_sku": "939124",
                        "sales_price": "199",
                        "size_name": "F"
                    }
                ],
                "id": "125954",
                "order_code": "1610005607",
                "order_create_time": "2016-06-17 14:15:05",
                "refund_type": 2,
                "status": "0",
                "status_name": "提交申请",
                "canCancel":"Y"
            },
            {
                "create_time": "2016-04-21",
                "goods": [
                    {
                        "cn_alphabet": "ChenShanT009",
                        "color_name": "蓝色",
                        "goods_id": "337829",
                        "goods_image": "http://img10.static.yhbimg.com/goodsimg/2015/11/09/05/01b9378014f8b824306b5308f5d32eadc1.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
                        "goods_type": "ordinary",
                        "product_id": "254145",
                        "product_name": "AMES BROS 男潮童110-160码剪裁设计纯色长袖衬衫",
                        "product_skn": "51142083",
                        "product_sku": "869691",
                        "sales_price": "79",
                        "size_name": "140"
                    },
                    {
                        "cn_alphabet": "ChenShanT009",
                        "color_name": "蓝色",
                        "goods_id": "337829",
                        "goods_image": "http://img10.static.yhbimg.com/goodsimg/2015/11/09/05/01b9378014f8b824306b5308f5d32eadc1.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
                        "goods_type": "ordinary",
                        "product_id": "254145",
                        "product_name": "AMES BROS 男潮童110-160码剪裁设计纯色长袖衬衫",
                        "product_skn": "51142083",
                        "product_sku": "869690",
                        "sales_price": "79",
                        "size_name": "130"
                    },
                    {
                        "cn_alphabet": "JiuKouShanTHRIVETHISNEWYEARXianLiangShangWuRenShiHeKaYiTaoJKSHK03",
                        "color_name": "彩色",
                        "goods_id": "425783",
                        "goods_image": "http://img10.static.yhbimg.com/goodsimg/2015/12/22/08/01e056030e9d209714651c54ea150e56d0.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
                        "goods_type": "gift",
                        "product_id": "331145",
                        "product_name": "九口山  Thrive this new year 限量商务人士贺卡一套",
                        "product_skn": "51185287",
                        "product_sku": "1006287",
                        "sales_price": "0",
                        "size_name": "F"
                    },
                    {
                        "cn_alphabet": "MACROPUSMCPA504BK1101ShuangJianBao",
                        "color_name": "灰色",
                        "goods_id": "338947",
                        "goods_image": "http://img11.static.yhbimg.com/goodsimg/2015/09/29/08/010f35a0adf99c9379548eb7f141839a7a.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
                        "goods_type": "price_gift",
                        "product_id": "260951",
                        "product_name": "MACROPUS 简约毛呢双肩包",
                        "product_skn": "51146106",
                        "product_sku": "870894",
                        "sales_price": "11",
                        "size_name": "F"
                    }
                ],
                "id": "429128",
                "order_code": "16093901",
                "order_create_time": "2016-04-21 14:33:32",
                "refund_type": 1,
                "status": "10",
                "status_name": "审核通过",
                "canCancel":"Y"
            }
        ],
        "page": 1,
        "total": 2,
        "total_page": 1
    },
    "md5": "2c60239ca2b6b218cdcfc4ede865ee08",
    "message": "ok"
}

```

### 6、取消退货(app.refund.cancel)

#### 请求参数
| Param Name | Param Type | Required | Param Value | Desc  |
| :--        | --:        | --:      | --:         | --:   |
| method	   | String     | true     | app.refund.cancel| 请求方法|
| id	     |int      | true   | 428120        |退货申请ID |
| uid	     | int        | true   | 362729        |用户ID |

#### 响应内容 
```json
{
  "code": 200,
  "message": "取消退货成功",
  "data": [],
  "md5": "93311f762194b751872601b67fad53f7"
}

```
