# 修改订单收货地址服务接口

## 接口描述

### 修改订单收货地址(app.SpaceOrders.updateDeliveryAddress)

#### 请求参数
| 名称 | 类型 | 是否必须 | 示例值 | 默认值 | 描述 | 
| :-- | :--  | :--  | :-- | :-- | :-- |
| method	   | String     | 是    | app.SpaceOrders.updateDeliveryAddress| |请求方法|
| order_code	     | long      | 是    | 1607472719       ||订单号 |
| uid	     | int    | 是    | 8050080       ||用户ID |
| address_id	     | String       | 否   | "944005"        ||地址ID（仅用于app）|
| user_name	         | String       | 否   | "刘子阳"        ||收货人（仅用于PC）|
| area_code	         | String       | 否   | "10101"        ||地区编号（仅用于PC）|
| address	         | String       | 否   | "北京市朝阳区八里庄东里"||详细地址（仅用于PC）|
| mobile	         | String       | 否   | "15811225238"        ||手机（仅用于PC）|
| phone	             | String       | 否   | "010-65566057"       ||电话（仅用于PC）|
#### 请求示例
http://devapi.yoho.cn:58078?method=app.SpaceOrders.updateDeliveryAddress&order_code=160103590&debug=XYZ&address_id=944005


#### 注意 修改地址，需要在yh_orders.order_default_preferences表中存入uid对应地址，对下单地址选择有影响


### 错误编码
-------------------------
|错误码code|消息|
|----------|----|
|400|收货地址ID不存在|
|401|该订单不存在|
|402|该订单已被删除|
|403|该订单已发货|
|404|不存在该地区|
|405|收货地址仅且只能修改1次|
|406|收货地址不支持顺丰速运可配送的地区|
|407|该订单已经取消|
|408|该地址暂不支持顺丰快递运输(仅用于PC)|

#### 响应内容 
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "md5": "1f7d1c5c325209e77f0989134e7a8b67",
  "message": "修改订单收货地址成功"
}
```