## 1、客户端初始化配置接口
 
###  说明
客户端初始化配置接口
### 请求参数
| Param Name | Param Value | Desc | 
| ---------- | ----------- | ---- |
| method	   | app.resources.config.clientInitConfig | |
| client_type| h5          | |

### 响应内容
```json
{
  "code":200,
  "message":"Config Success",
  "md5":"1231231231231",
  "data":{
    "config":{
        ...
    }
  }
}
```
####  响应内容参数描述
@See [APP文档](http://git.yoho.cn/mobile/yohoapi/blob/master/userconfig.md#%E8%BF%94%E5%9B%9E%E5%AD%97%E6%AE%B5%E8%AF%B4%E6%98%8E "客户端初始化配置")




## 2、获取资源位接口
 
###  说明
根据内容码,获取单个内容个体
### 请求地址
/operations/api/v5/resource/get
### 请求参数
| Param Name | Param Value | Desc| 
| :-------- | --------------:|----:|
| content_code	| 406238d7731f66a15e45b8c32b85b43a | 内容码 |

### 响应内容
```json
{
	"code":200,
	"data":[],
	"md5":"d751713988987e9331980363e24189ce",
	"message":"资源信息"
}
```



## 3、首页资源位接口
 
###  说明
根据内容码,获取首页内容
### 请求地址
/operations/api/v5/resource/home
### 请求参数
| Param Name | Param Value | Desc| 
| :-------- | --------------:|----:|
| content_code	| 406238d7731f66a15e45b8c32b85b43a | 内容码 |
| gender	| 1,3 | 性别 |
| page	| 1 | 页数 |
| limit	| 5 | 页容量 |

### 响应内容
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "content_code": "201504091403002",
    "list": [
      {
        "data": [
          {
            "bgColor": "",
            "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/12/11/0284d91c4a4c7bbf7fe665c51061869efe.jpg?imageView/{mode}/w/{width}/h/{height}",
            "title": "",
            "url": "http://huodong.m.yohobuy.com/cuxiao/girlfour/girl?share_id=22&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"share_id\":\"22\"},\"share\":\"/operations/api/v5/webshare/getShare\",\"shareparam\":{\"share_id\":\"22\"},\"url\":\"http://huodong.m.yohobuy.com/cuxiao/girlfour/girl\"}}"
          },
          {
            "bgColor": "",
            "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/12/04/012187eefe95def862cb7032ac9683fe3b.jpg?imageView/{mode}/w/{width}/h/{height}",
            "title": "",
            "url": "http://feature.yoho.cn/0112/0112APPSALE6GIRL/index.html?title=冬著劲减&share_id=408&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"share_id\":\"408\",\"title\":\"冬著劲减\"},\"share\":\"/operations/api/v5/webshare/getShare\",\"shareparam\":{\"share_id\":\"408\"},\"title\":\"冬著劲减\",\"url\":\"http://feature.yoho.cn/0112/0112APPSALE6GIRL/index.html\"}}"
          },
          {
            "bgColor": "",
            "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/12/04/02d4f47512951c8ba6408f517274b385b7.jpg?imageView/{mode}/w/{width}/h/{height}",
            "title": "",
            "url": "http://feature.yoho.cn/0112/0112APPSALE25GIRL/index.html?title=秋冬特享&share_id=464&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"share_id\":\"464\",\"title\":\"秋冬特享\"},\"share\":\"/operations/api/v5/webshare/getShare\",\"shareparam\":{\"share_id\":\"464\"},\"title\":\"秋冬特享\",\"url\":\"http://feature.yoho.cn/0112/0112APPSALE25GIRL/index.html\"}}"
          },
          {
            "bgColor": "",
            "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/12/04/0252794ac44741f42a039b820b50326580.jpg?imageView/{mode}/w/{width}/h/{height}",
            "title": "",
            "url": "http://feature.yoho.cn/0112/0112APPNEWGIRL/index.html?title=御寒新作&share_id=548&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"share_id\":\"548\",\"title\":\"御寒新作\"},\"share\":\"/operations/api/v5/webshare/getShare\",\"shareparam\":{\"share_id\":\"548\"},\"title\":\"御寒新作\",\"url\":\"http://feature.yoho.cn/0112/0112APPNEWGIRL/index.html\"}}"
          },
          {
            "bgColor": "",
            "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/12/11/02dc585243dfd7888bab278fadf6454fac.jpg?imageView/{mode}/w/{width}/h/{height}",
            "title": "",
            "url": "http://sale.m.yohobuy.com/?gender=2,3&promotion=104&title=迎新年 焕新装&openby:yohobuy={\"action\":\"go.list\",\"params\":{\"actiontype\":0,\"gender\":\"2,3\",\"promotion\":\"104\",\"title\":\"迎新年 焕新装\"}}"
          },
          {
            "bgColor": "",
            "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/18/12/027e0168a39b5016de9f109473d90cfcc1.jpg?imageView/{mode}/w/{width}/h/{height}",
            "title": "",
            "url": "http://huodong.m.yohobuy.com/cuxiao/coupon/newuser3?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"url\":\"http://huodong.m.yohobuy.com/cuxiao/coupon/newuser3\"}}"
          },
          {
            "bgColor": "",
            "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/13/03/015c2b71aa9e383feae72ed1f73adba4d8.jpg?imageView/{mode}/w/{width}/h/{height}",
            "title": "",
            "url": "http://feature.yoho.cn/0112NEWGIRL/index.html?title=色彩游戏&share_id=454&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"share_id\":\"454\",\"title\":\"色彩游戏\"},\"share\":\"/operations/api/v5/webshare/getShare\",\"shareparam\":{\"share_id\":\"454\"},\"title\":\"色彩游戏\",\"url\":\"http://feature.yoho.cn/0112NEWGIRL/index.html\"}}"
          },
          {
            "bgColor": "",
            "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/14/06/01444a2b7d4dfbb805d263569393279941.jpg?imageView/{mode}/w/{width}/h/{height}",
            "title": "",
            "url": "http://feature.yoho.cn/0122APPTEST/index.html?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"url\":\"http://feature.yoho.cn/0122APPTEST/index.html\"}}"
          },
          {
            "bgColor": "",
            "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/28/07/0206529e04273932f2216d05362229f590.jpg?imageView/{mode}/w/{width}/h/{height}",
            "title": "",
            "url": "http://huodong.m.yohobuy.com/cuxiao/coupon/newuser3?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"url\":\"http://huodong.m.yohobuy.com/cuxiao/coupon/newuser3\"}}"
          }
        ],
        "focus_type": "1",
        "template_id": 33,
        "template_intro": "焦点图",
        "template_name": "focus"
      },
      {
        "data": [
          {
            "alt": "新品到着",
            "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/04/02/028e99eebcb97395e6909edffddacbd350.png?imageView/{mode}/w/{width}/h/{height}",
            "title": "新品到着",
            "url": "http://m.yohobuy.com/product/new?openby:yohobuy={\"action\":\"go.new\"}"
          },
          {
            "alt": "潮流优选",
            "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/04/02/02103a787e63ef3cbd8035589528df9446.png?imageView/{mode}/w/{width}/h/{height}",
            "title": "潮流优选",
            "url": "http://m.yohobuy.com/?openby:yohobuy={\"action\":\"go.plus\"}"
          },
          {
            "alt": "明星原创",
            "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/04/02/012c614242602fea51e5b4661babfc6063.png?imageView/{mode}/w/{width}/h/{height}",
            "title": "明星原创",
            "url": "http://m.yohobuy.com/?openby:yohobuy={\"action\":\"go.star\"}"
          },
          {
            "alt": "全部分类",
            "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/04/02/02bb09496dcce3e95ee27437bf6312e38a.png?imageView/{mode}/w/{width}/h/{height}",
            "title": "全部分类",
            "url": "http://m.yohobuy.com?actiontype=0&openby:yohobuy={\"action\":\"go.attention\",\"params\":{\"actiontype\":\"0\"}}"
          },
          {
            "alt": "日韩馆",
            "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/12/10/011581f8956830e7d4095d20f6d3fd396f.png?imageView/{mode}/w/{width}/h/{height}",
            "title": "日韩馆",
            "url": "http://m.yohobuy.com/?title=日韩馆&content_code=cdcc581da92a13c74e3bf1826f1806d1&template_id=42&openby:yohobuy={\"action\":\"go.subchannel\",\"params\":{\"content_code\":\"cdcc581da92a13c74e3bf1826f1806d1\",\"template_id\":\"42\",\"title\":\"日韩馆\"}}"
          },
          {
            "alt": "人气搭配",
            "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/04/02/019e30c3f9365cd9df4acbccef926215b4.png?imageView/{mode}/w/{width}/h/{height}",
            "title": "人气搭配",
            "url": "http://guang.m.yohobuy.com?id=2&openby:yohobuy={\"action\":\"go.guangchannel\",\"params\":{\"id\":\"2\"}}"
          },
          {
            "alt": "潮人街拍",
            "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/04/02/013f1d6c9ddd5d303fd5ef70771cf8fd78.png?imageView/{mode}/w/{width}/h/{height}",
            "title": "潮人街拍",
            "url": "http://guang.m.yohobuy.com/?id=3&openby:yohobuy={\"action\":\"go.guangchannel\",\"params\":{\"id\":\"3\"}}"
          },
          {
            "alt": "折扣专区",
            "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/04/02/01d4132e9ef22bbd6db65042f481e80230.png?imageView/{mode}/w/{width}/h/{height}",
            "title": "折扣专区",
            "url": "http://m.yohobuy.com/sale?openby:yohobuy={\"action\":\"go.sale\"}"
          },
          {
            "alt": "全球购",
            "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/25/06/0269cab3de7f91cd66fecff2ac90a8266a.png?imageView/{mode}/w/{width}/h/{height}",
            "title": "全球购",
            "url": "http://m.yohobuy.com/?openby:yohobuy={\"action\":\"go.globalpurchase\"}"
          },
          {
            "alt": "限定发售",
            "src": "http://img11.static.yhbimg.com/yhb-img01/2016/03/10/02/01904d15465d5ce6629eefad6240a1e64a.png?imageView/{mode}/w/{width}/h/{height}",
            "title": "限定发售",
            "url": "http://m.yohobuy.com/?openby:yohobuy={\"action\":\"go.limitpurchase\"}"
          }
        ],
        "number": "5",
        "template_id": 39,
        "template_intro": "图标",
        "template_name": "app_icon_list"
      },
      {
        "announcement_img": "http://img11.static.yhbimg.com/yhb-img01/2016/03/22/07/017206c68c5bcced6cf86f5553563b6b0b.png?imageView/{mode}/w/{width}/h/{height}",
        "data": [
          {
            "title": "女首测试公告",
            "url": "http://feature.yoho.cn/0118FINALBOY4/index.html?title=棉羽當道&share_id=19&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"share_id\":\"19\",\"title\":\"棉羽當道\"},\"share\":\"/operations/api/v5/webshare/getShare\",\"shareparam\":{\"share_id\":\"19\"},\"title\":\"棉羽當道\",\"url\":\"http://feature.yoho.cn/0118FINALBOY4/index.html\"}}"
          }
        ],
        "template_id": 5762,
        "template_intro": "站内公告",
        "template_name": "announcement",
        "time": "3"
      },
      {
        "data": {
          "banner_image": [
            {
              "src": "http://img12.static.yhbimg.com/yhb-img01/2015/12/22/03/0272d31275119e3ef7319fbee735d8bf21.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://huodong.m.yohobuy.com/cuxiao/coupon/newuser3?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"url\":\"http://huodong.m.yohobuy.com/cuxiao/coupon/newuser3\"}}"
            }
          ],
          "list": [
            {
              "brand_domain": "004",
              "brand_id": 1,
              "brand_name": "004",
              "cn_alphabet": "004XingXingMaoJinRongWaiTao004SW0033",
              "default_images": "http://img10.static.yhbimg.com/goodsimg/2014/11/19/06/010a99633b0030e878305b192f865aae28.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/90",
              "edit_time": 1457425359,
              "gender": "1",
              "goods_list": [
                {
                  "color_code": "333333",
                  "color_id": "2",
                  "color_name": "黑色",
                  "color_value": "",
                  "cover_1": "",
                  "cover_2": "",
                  "goods_id": "150711",
                  "images_url": "http://img10.static.yhbimg.com/goodsimg/2014/11/19/06/010a99633b0030e878305b192f865aae28.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/90",
                  "is_default": "N",
                  "product_skc": "173817",
                  "status": "1"
                }
              ],
              "is_advance": "N",
              "is_discount": "Y",
              "is_limited": "N",
              "is_new": "N",
              "is_outlets": 2,
              "is_promotion": 101,
              "is_soon_sold_out": "N",
              "is_special": "N",
              "market_price": 299,
              "max_sort_id": 1,
              "middle_sort_id": 16,
              "product_id": 104985,
              "product_name": "004 星星毛巾绒外套黑色",
              "product_skn": 51064920,
              "sales_num": 134,
              "sales_phrase": "",
              "sales_price": 144,
              "shelve_time": 1457425359,
              "small_sort_id": 119,
              "status": 1,
              "stock_number": 18,
              "storage_num": 18,
              "tags": {
                "is_yohood": "Y"
              },
              "vip1_price": 0,
              "vip2_price": 0,
              "vip3_price": 0,
              "vip_discount_type": 3,
              "vip_price": 0,
              "yohood_id": "1"
            }
          ],
          "title": {
            "active_id": "30",
            "more_name": "",
            "more_url": "http://m.yohobuy.com?template_id=38&title=新人专享&type=1&title=新客专享&openby:yohobuy={\"action\":\"go.activitytemplate\",\"params\":{\"template_id\":\"38\",\"title\":\"新客专享\",\"type\":\"1\"}}",
            "name": "新客专享",
            "title": "新客专享"
          }
        },
        "template_id": 4280,
        "template_intro": "新人专享",
        "template_name": "new_user_floor"
      },
      {
        "data": [
          {
            "alt": "",
            "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/12/11/02a8ddd5f75c52b022002265ee8eb6369d.jpg?imageView/{mode}/w/{width}/h/{height}",
            "title": "",
            "url": "http://feature.yoho.cn/0112/0112APPHOMEGIRL/index.html?title=FINAL SALE重磅升级&share_id=534&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"share_id\":\"534\",\"title\":\"FINAL SALE重磅升级\"},\"share\":\"/operations/api/v5/webshare/getShare\",\"shareparam\":{\"share_id\":\"534\"},\"title\":\"FINAL SALE重磅升级\",\"url\":\"http://feature.yoho.cn/0112/0112APPHOMEGIRL/index.html\"}}"
          }
        ],
        "template_id": 5372,
        "template_intro": "一张图片",
        "template_name": "single_image"
      },
      {
        "data": [
          {
            "alt": "",
            "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/19/12/024ea90d85198b14e0c6b03c0a65057534.jpg?imageView/{mode}/w/{width}/h/{height}",
            "title": "",
            "url": "http://feature.yoho.cn/0119BRANDSGIRL/index.html?title=品牌日&share_id=492&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"share_id\":\"492\",\"title\":\"品牌日\"},\"share\":\"/operations/api/v5/webshare/getShare\",\"shareparam\":{\"share_id\":\"492\"},\"title\":\"品牌日\",\"url\":\"http://feature.yoho.cn/0119BRANDSGIRL/index.html\"}}"
          }
        ],
        "template_id": 5428,
        "template_intro": "一张图片",
        "template_name": "single_image"
      },
      {
        "data": {
          "list": [
            {
              "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/08/11/02461ea9fdb73f4c7ae75e483f61e56028.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://search.m.yohobuy.com/?msort=1&misort=20,18&gender=2,3&title=棉羽&openby:yohobuy={\"action\":\"go.list\",\"params\":{\"actiontype\":0,\"gender\":\"2,3\",\"misort\":\"20,18\",\"msort\":\"1\",\"title\":\"棉羽\"}}"
            },
            {
              "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/08/11/01720af8ddcc86200a72cac5230068ff12.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://list.m.yohobuy.com/?gender=2,3&msort=1&misort=21&title=夹克&openby:yohobuy={\"action\":\"go.list\",\"params\":{\"actiontype\":1,\"gender\":\"2,3\",\"misort\":\"21\",\"msort\":\"1\",\"title\":\"夹克\"}}"
            },
            {
              "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/08/11/021c907b9e69428add64ab06c9b65801de.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://list.yohobuy.com/?gender=2,3&msort=1&misort=257&title=毛衣&openby:yohobuy={\"action\":\"go.list\",\"params\":{\"actiontype\":1,\"gender\":\"2,3\",\"misort\":\"257\",\"msort\":\"1\",\"title\":\"毛衣\"}}"
            },
            {
              "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/08/11/01c2e4ade5678ffc9fb1c838ef2ac2bfe0.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://list.m.yohobuy.com/?gender=2,3&msort=1&misort=16&title=卫衣&openby:yohobuy={\"action\":\"go.list\",\"params\":{\"actiontype\":1,\"gender\":\"2,3\",\"misort\":\"16\",\"msort\":\"1\",\"title\":\"卫衣\"}}"
            },
            {
              "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/08/11/020739c33b80cbe850ac3f4b27e7605026.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://list.m.yohobuy.com/?gender=2,3&msort=1&misort=22&title=大衣&openby:yohobuy={\"action\":\"go.list\",\"params\":{\"actiontype\":1,\"gender\":\"2,3\",\"misort\":\"22\",\"msort\":\"1\",\"title\":\"大衣\"}}"
            },
            {
              "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/08/11/017fb7b776a4cf2efbebbb266bb13a333b.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://list.m.yohobuy.com/?msort=4&misort=31&gender=2,3&title=连衣裙&openby:yohobuy={\"action\":\"go.list\",\"params\":{\"actiontype\":1,\"gender\":\"2,3\",\"misort\":\"31\",\"msort\":\"4\",\"title\":\"连衣裙\"}}"
            },
            {
              "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/08/11/0159dbef22106d0620371cc78cbc86f76a.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://sale.m.yohobuy.com/?msort=3&misort=27&gender=2,3&title=牛仔裤&openby:yohobuy={\"action\":\"go.list\",\"params\":{\"actiontype\":0,\"gender\":\"2,3\",\"misort\":\"27\",\"msort\":\"3\",\"title\":\"牛仔裤\"}}"
            },
            {
              "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/08/11/01d98a53b3dcf4f62fbf80a2c40335aa69.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://list.m.yohobuy.com/?msort=3&misort=26&gender=2,3&title=休闲裤&openby:yohobuy={\"action\":\"go.list\",\"params\":{\"actiontype\":1,\"gender\":\"2,3\",\"misort\":\"26\",\"msort\":\"3\",\"title\":\"休闲裤\"}}"
            },
            {
              "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/08/11/0163dad8ffad34eb0347aca08306ae35cb.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://list.m.yohobuy.com/?msort=6&misort=44&gender=2,3&title=休闲鞋&openby:yohobuy={\"action\":\"go.list\",\"params\":{\"actiontype\":1,\"gender\":\"2,3\",\"misort\":\"44\",\"msort\":\"6\",\"title\":\"休闲鞋\"}}"
            },
            {
              "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/08/11/019593ae8bd9e59f793822baeddf6aed30.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://list.m.yohobuy.com/?gender=2,3&msort=6&misort=45&title=靴子&openby:yohobuy={\"action\":\"go.list\",\"params\":{\"actiontype\":1,\"gender\":\"2,3\",\"misort\":\"45\",\"msort\":\"6\",\"title\":\"靴子\"}}"
            },
            {
              "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/08/11/01eb6e044580cdf41ab463f3e95ec5b5c7.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://list.m.yohobuy.com/?gender=2,3&msort=8&misort=60&title=帽子&openby:yohobuy={\"action\":\"go.list\",\"params\":{\"actiontype\":1,\"gender\":\"2,3\",\"misort\":\"60\",\"msort\":\"8\",\"title\":\"帽子\"}}"
            },
            {
              "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/08/11/028150ad61caf58a2b18d23487e6a9cc3b.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://list.m.yohobuy.com/?gender=2,3&msort=7&misort=49&title=双肩包\n&openby:yohobuy={\"action\":\"go.list\",\"params\":{\"actiontype\":1,\"gender\":\"2,3\",\"misort\":\"49\",\"msort\":\"7\",\"title\":\"双肩包\"}}"
            }
          ],
          "title": {
            "is_show": 0,
            "title": "热门品类"
          }
        },
        "template_id": 815,
        "template_intro": "带标题的12个小图推荐",
        "template_name": "recommend_content_five"
      },
      {
        "data": {
          "image": {
            "alt": "一张图片22",
            "src": "http://img11.static.yhbimg.com/yhb-img01/2016/05/05/13/0174ea676128117201bcbc61d255e902cd.png?imageView2/{mode}/w/{width}/h/{height}",
            "url": "http://connive.m.yohobuy.com?actiontype=1&openby:yohobuy={\"action\":\"go.attention\",\"params\":{\"actiontype\":\"1\"}}"
          },
          "is_show_name": "N",
          "list": [
            {
              "id": "248",
              "name": "Nike",
              "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/19/02/012fd89ebb4eee1876fc4bf68c4d4a6019.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "Nike",
              "url": "http://nike.m.yohobuy.com?openby:yohobuy={\"action\":\"go.brand\",\"params\":{\"brand_id\":\"248\"}}"
            },
            {
              "id": "1091",
              "name": "LALABOBO",
              "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/19/02/0249557733294e9ca5e309da3370309370.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "LALABOBO",
              "url": "http://lalabobo.m.yohobuy.com?openby:yohobuy={\"action\":\"go.brand\",\"params\":{\"brand_id\":\"1091\"}}"
            },
            {
              "id": "4",
              "name": "5CM",
              "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/19/02/02cdb86135c4c585218f2f63bf4255ca36.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "5CM",
              "url": "http://5cm.m.yohobuy.com?openby:yohobuy={\"action\":\"go.brand\",\"params\":{\"brand_id\":\"4\"}}"
            },
            {
              "id": "701",
              "name": "Bearburry",
              "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/19/02/0195f0d9713360e61800ccf2d68420d5f9.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "Bearburry",
              "url": "http://bearburry.m.yohobuy.com?openby:yohobuy={\"action\":\"go.brand\",\"params\":{\"brand_id\":\"701\"}}"
            },
            {
              "id": "550",
              "name": "SYS.tag",
              "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/19/02/025099de442c763d9c557ad605b2a8317b.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "SYS.tag",
              "url": "http://systag.m.yohobuy.com?openby:yohobuy={\"action\":\"go.brand\",\"params\":{\"brand_id\":\"550\"}}"
            },
            {
              "id": "256",
              "name": "BLACKJACK",
              "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/19/02/0249b9c9b8c1d18e0e518a0906bc30a911.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "BLACKJACK",
              "url": "http://blackjack.m.yohobuy.com?openby:yohobuy={\"action\":\"go.brand\",\"params\":{\"brand_id\":\"256\"}}"
            }
          ],
          "title": {
            "title": "热门品牌"
          }
        },
        "template_id": 269,
        "template_intro": "推荐品牌",
        "template_name": "app_hot_brands"
      },
      {
        "data": [
          {
            "alt": "",
            "src": "http://img11.static.yhbimg.com/yhb-img01/2015/10/27/02/01a2b758fec48ae84d60b3999ce2323d26.jpg?imageView/{mode}/w/{width}/h/{height}",
            "title": "",
            "url": "http://m.yohobuy.com?openby:yohobuy={\"action\":\"go.plus\"}"
          },
          {
            "alt": "",
            "src": "http://img11.static.yhbimg.com/yhb-img01/2015/10/15/08/017d0ec0e956ba4ce6b430a1aa07fa41b3.jpg?imageView/{mode}/w/{width}/h/{height}",
            "title": "",
            "url": "http://m.yohobuy.com?openby:yohobuy={\"action\":\"go.star\"}"
          }
        ],
        "template_id": 373,
        "template_name": "small_pic"
      },
      {
        "data": {
          "article": [
            {
              "id": 33478,
              "intro": "赵赵冬日穿搭不显臃肿，好身材依旧，秘诀就是：一件足够御寒的外套，而内搭等选择简单修身的单品，毛毛外套和皮衣的组合，帅气十足！而军绿色外套和紫色毛领帽子的配色十分亮眼，同时毛领让人觉得萌萌的哦！蓝色丝绒小包和毛领也是相当的呼应呢！",
              "praise_num": 0,
              "publish_time": "2月1日 14:31",
              "share_url": {
                "url": "http://guang.m.yohobuy.com/info/index?id=33478&openby:yohobuy={\"action\":\"go.share\",\"params\":{\"content\":\"潮流资讯，新鲜贩售，YOHO!有货【逛】不停\",\"pic\":\"http://img12.static.yhbimg.com/yhb-img01/2016/01/19/09/02ef0824ddcf47e1a4f7867ac21392a18d.jpg?imageView/2/w/640/h/640\",\"title\":\"看CYBERJELLY赵赵冬季御寒穿搭依旧美得无底线！\",\"url\":\"http://guang.m.yohobuy.com/info/index?id=33478\"}}"
              },
              "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/19/09/02ef0824ddcf47e1a4f7867ac21392a18d.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "看CYBERJELLY赵赵冬季御寒穿搭依旧美得无底线！",
              "url": "http://guang.m.yohobuy.com/info/index?id=33478&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"id\":33478,\"islogin\":\"N\",\"param\":{\"id\":\"33478\"},\"share\":\"/guang/api/v1/share/guang\",\"shareparam\":{\"id\":33478},\"type\":1,\"update_flag\":\"85cffcc0912393b3a0293f30237a1987\",\"url\":\"http://guang.m.yohobuy.com/info/index\"}}",
              "views_num": 6
            },
            {
              "id": 33534,
              "intro": "是短发的司法是的发生的法师打发是否",
              "praise_num": 2,
              "publish_time": "3月25日 00:00",
              "share_url": {
                "url": "http://guang.m.yohobuy.com/info/index?id=33534&openby:yohobuy={\"action\":\"go.share\",\"params\":{\"content\":\"潮流资讯，新鲜贩售，YOHO!有货【逛】不停\",\"pic\":\"http://img11.static.yhbimg.com/yhb-img01/2016/03/04/06/012b04df3ecc1d94afddff082d139c6f15.jpg?imageView/2/w/640/h/640\",\"title\":\"测试普通文章\",\"url\":\"http://guang.m.yohobuy.com/info/index?id=33534\"}}"
              },
              "src": "http://img11.static.yhbimg.com/yhb-img01/2016/03/04/06/012b04df3ecc1d94afddff082d139c6f15.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "测试普通文章",
              "url": "http://guang.m.yohobuy.com/info/index?id=33534&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"id\":33534,\"islogin\":\"N\",\"param\":{\"id\":\"33534\"},\"share\":\"/guang/api/v1/share/guang\",\"shareparam\":{\"id\":33534},\"type\":1,\"update_flag\":\"5e6fe03479a3de4a224dd4a0184fd428\",\"url\":\"http://guang.m.yohobuy.com/info/index\"}}",
              "views_num": 167
            }
          ],
          "recommend_collocation": [
            {
              "id": 33280,
              "intro": "一件羽绒服就搞定的事，我们绝不花双份的钱！",
              "praise_num": 8,
              "publish_time": "1月20日 21:00",
              "share_url": {
                "url": "http://guang.m.yohobuy.com/info/index?id=33280&openby:yohobuy={\"action\":\"go.share\",\"params\":{\"content\":\"潮流资讯，新鲜贩售，YOHO!有货【逛】不停\",\"pic\":\"http://img12.static.yhbimg.com/yhb-img01/2016/01/18/09/026f879ffb525a8824a7b4a723abe23e40.gif?imageView/2/w/640/h/640\",\"title\":\"倘若你男票帅成皇甫圣华这样！其实一件长款羽绒服就搞定啦！\",\"url\":\"http://guang.m.yohobuy.com/info/index?id=33280\"}}"
              },
              "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/18/09/026f879ffb525a8824a7b4a723abe23e40.gif?imageView/{mode}/w/{width}/h/{height}",
              "title": "倘若你男票帅成皇甫圣华这样！其实一件长款羽绒服就搞定啦！",
              "url": "http://guang.m.yohobuy.com/info/index?id=33280&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"id\":33280,\"islogin\":\"N\",\"param\":{\"id\":\"33280\"},\"share\":\"/guang/api/v1/share/guang\",\"shareparam\":{\"id\":33280},\"type\":1,\"update_flag\":\"85cffcc0912393b3a0293f30237a1987\",\"url\":\"http://guang.m.yohobuy.com/info/index\"}}",
              "views_num": 12052
            },
            {
              "id": 33450,
              "intro": "说那么多有什么用，我穿得好看就是为了朋友圈的赞啊！这么穿才能男票喜欢朋友嫉妒！",
              "praise_num": 0,
              "publish_time": "2月1日 14:32",
              "share_url": {
                "url": "http://guang.m.yohobuy.com/info/index?id=33450&openby:yohobuy={\"action\":\"go.share\",\"params\":{\"content\":\"潮流资讯，新鲜贩售，YOHO!有货【逛】不停\",\"pic\":\"http://img12.static.yhbimg.com/yhb-img01/2016/01/19/08/025493a1a2486519dfb8413b3ff2e19a81.gif?imageView/2/w/640/h/640\",\"title\":\"26°C穿衣法则∣得不到赞的搭配不是好LOOK，出街为的就是点赞啊！\",\"url\":\"http://guang.m.yohobuy.com/info/index?id=33450\"}}"
              },
              "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/19/08/025493a1a2486519dfb8413b3ff2e19a81.gif?imageView/{mode}/w/{width}/h/{height}",
              "title": "26°C穿衣法则∣得不到赞的搭配不是好LOOK，出街为的就是点赞啊！",
              "url": "http://guang.m.yohobuy.com/info/index?id=33450&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"id\":33450,\"islogin\":\"N\",\"param\":{\"id\":\"33450\"},\"share\":\"/guang/api/v1/share/guang\",\"shareparam\":{\"id\":33450},\"type\":1,\"update_flag\":\"5e6fe03479a3de4a224dd4a0184fd428\",\"url\":\"http://guang.m.yohobuy.com/info/index\"}}",
              "views_num": 14
            },
            {
              "id": 33260,
              "intro": "氧气美女陈意涵，旅游大胆和陌生人玩亲吻，还承包了众男神演电影合照，小编只想说你上辈子到底做了什么好事！",
              "praise_num": 0,
              "publish_time": "1月20日 21:00",
              "share_url": {
                "url": "http://guang.m.yohobuy.com/info/index?id=33260&openby:yohobuy={\"action\":\"go.share\",\"params\":{\"content\":\"潮流资讯，新鲜贩售，YOHO!有货【逛】不停\",\"pic\":\"http://img11.static.yhbimg.com/yhb-img01/2016/01/18/09/018e88fd667632b718ec5065fc844b2ea5.jpg?imageView/2/w/640/h/640\",\"title\":\"敢和陌生人亲吻，还承包了众男神！氧气少女陈意涵就是这么有男人缘！\",\"url\":\"http://guang.m.yohobuy.com/info/index?id=33260\"}}"
              },
              "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/18/09/018e88fd667632b718ec5065fc844b2ea5.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "敢和陌生人亲吻，还承包了众男神！氧气少女陈意涵就是这么有男人缘！",
              "url": "http://guang.m.yohobuy.com/info/index?id=33260&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"id\":33260,\"islogin\":\"N\",\"param\":{\"id\":\"33260\"},\"share\":\"/guang/api/v1/share/guang\",\"shareparam\":{\"id\":33260},\"type\":1,\"update_flag\":\"85cffcc0912393b3a0293f30237a1987\",\"url\":\"http://guang.m.yohobuy.com/info/index\"}}",
              "views_num": 0
            },
            {
              "id": 33462,
              "intro": "男生总希望女友完美，女生总头疼，但其实一切都不难。男生喜欢多变的女生，那就混搭给他看！",
              "praise_num": 0,
              "publish_time": "2月1日 14:32",
              "share_url": {
                "url": "http://guang.m.yohobuy.com/info/index?id=33462&openby:yohobuy={\"action\":\"go.share\",\"params\":{\"content\":\"潮流资讯，新鲜贩售，YOHO!有货【逛】不停\",\"pic\":\"http://img12.static.yhbimg.com/yhb-img01/2016/01/19/09/02f9a1a7921b49f1a00e7cd84d8b6a78a4.jpg?imageView/2/w/640/h/640\",\"title\":\"WDYWT∣穿衬衫的mix and match女孩，才是男票最喜欢类型！\",\"url\":\"http://guang.m.yohobuy.com/info/index?id=33462\"}}"
              },
              "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/19/09/02f9a1a7921b49f1a00e7cd84d8b6a78a4.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "WDYWT∣穿衬衫的mix and match女孩，才是男票最喜欢类型！",
              "url": "http://guang.m.yohobuy.com/info/index?id=33462&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"id\":33462,\"islogin\":\"N\",\"param\":{\"id\":\"33462\"},\"share\":\"/guang/api/v1/share/guang\",\"shareparam\":{\"id\":33462},\"type\":1,\"update_flag\":\"5e6fe03479a3de4a224dd4a0184fd428\",\"url\":\"http://guang.m.yohobuy.com/info/index\"}}",
              "views_num": 1
            },
            {
              "id": 33284,
              "intro": "从没想过羽绒服穿上这么好看，腿变得更细了，男友看了更喜欢了！",
              "praise_num": 0,
              "publish_time": "1月20日 20:10",
              "share_url": {
                "url": "http://guang.m.yohobuy.com/info/index?id=33284&openby:yohobuy={\"action\":\"go.share\",\"params\":{\"content\":\"潮流资讯，新鲜贩售，YOHO!有货【逛】不停\",\"pic\":\"http://img12.static.yhbimg.com/yhb-img01/2016/01/18/09/020b7f3ade5319b6290402f01486bf6a14.gif?imageView/2/w/640/h/640\",\"title\":\"一点都不土，韩国模特NANA教你正确GET羽绒服穿法，抗寒指数★★★★★\",\"url\":\"http://guang.m.yohobuy.com/info/index?id=33284\"}}"
              },
              "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/18/09/020b7f3ade5319b6290402f01486bf6a14.gif?imageView/{mode}/w/{width}/h/{height}",
              "title": "一点都不土，韩国模特NANA教你正确GET羽绒服穿法，抗寒指数★★★★★",
              "url": "http://guang.m.yohobuy.com/info/index?id=33284&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"id\":33284,\"islogin\":\"N\",\"param\":{\"id\":\"33284\"},\"share\":\"/guang/api/v1/share/guang\",\"shareparam\":{\"id\":33284},\"type\":1,\"update_flag\":\"85cffcc0912393b3a0293f30237a1987\",\"url\":\"http://guang.m.yohobuy.com/info/index\"}}",
              "views_num": 0
            },
            {
              "id": 33464,
              "intro": "畏手畏脚的冬季，一件温暖的羽绒服必不可少！小编良心推荐：总有一款适合你的！这鞋百搭的款式，让你10分钟就能帅气出门！",
              "praise_num": 0,
              "publish_time": "2月1日 14:32",
              "share_url": {
                "url": "http://guang.m.yohobuy.com/info/index?id=33464&openby:yohobuy={\"action\":\"go.share\",\"params\":{\"content\":\"潮流资讯，新鲜贩售，YOHO!有货【逛】不停\",\"pic\":\"http://img12.static.yhbimg.com/yhb-img01/2016/01/19/09/02b766bce5c0c03e73fde89f1cf93650ea.jpg?imageView/2/w/640/h/640\",\"title\":\"百搭的御寒棉羽，谁都不嫌多！\",\"url\":\"http://guang.m.yohobuy.com/info/index?id=33464\"}}"
              },
              "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/19/09/02b766bce5c0c03e73fde89f1cf93650ea.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "百搭的御寒棉羽，谁都不嫌多！",
              "url": "http://guang.m.yohobuy.com/info/index?id=33464&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"id\":33464,\"islogin\":\"N\",\"param\":{\"id\":\"33464\"},\"share\":\"/guang/api/v1/share/guang\",\"shareparam\":{\"id\":33464},\"type\":1,\"update_flag\":\"5e6fe03479a3de4a224dd4a0184fd428\",\"url\":\"http://guang.m.yohobuy.com/info/index\"}}",
              "views_num": 9
            },
            {
              "id": 33396,
              "intro": "一个是当红时尚达人韩火火，另一个是维密御用麻豆何穗。两人新年为大家一道献上了第一穿，看似CP混搭的街头LOOK如此有爱，还不跟着学起来...",
              "praise_num": 0,
              "publish_time": "1月20日 19:00",
              "share_url": {
                "url": "http://guang.m.yohobuy.com/info/index?id=33396&openby:yohobuy={\"action\":\"go.share\",\"params\":{\"content\":\"潮流资讯，新鲜贩售，YOHO!有货【逛】不停\",\"pic\":\"http://img12.static.yhbimg.com/yhb-img01/2016/01/19/05/02a23fe697bdfb5e8a45c52d39ee8cdde8.jpg?imageView/2/w/640/h/640\",\"title\":\"韩火火&何穗新年大换装上演MIX高街混搭——CP学院休闲LOOK就是这么“型”！\",\"url\":\"http://guang.m.yohobuy.com/info/index?id=33396\"}}"
              },
              "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/19/05/02a23fe697bdfb5e8a45c52d39ee8cdde8.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "韩火火&何穗新年大换装上演MIX高街混搭——CP学院休闲LOOK就是这么“型”！",
              "url": "http://guang.m.yohobuy.com/info/index?id=33396&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"id\":33396,\"islogin\":\"N\",\"param\":{\"id\":\"33396\"},\"share\":\"/guang/api/v1/share/guang\",\"shareparam\":{\"id\":33396},\"type\":1,\"update_flag\":\"85cffcc0912393b3a0293f30237a1987\",\"url\":\"http://guang.m.yohobuy.com/info/index\"}}",
              "views_num": 15
            },
            {
              "id": 33048,
              "intro": "2",
              "praise_num": 0,
              "publish_time": "1月22日 18:40",
              "share_url": {
                "url": "http://guang.m.yohobuy.com/info/index?id=33048&openby:yohobuy={\"action\":\"go.share\",\"params\":{\"content\":\"潮流资讯，新鲜贩售，YOHO!有货【逛】不停\",\"pic\":\"http://img12.static.yhbimg.com/yhb-img01/2016/01/19/05/02284be09e7d58dc5f79462e01a84a8dc5.jpg?imageView/2/w/640/h/640\",\"title\":\"2\",\"url\":\"http://guang.m.yohobuy.com/info/index?id=33048\"}}"
              },
              "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/19/05/02284be09e7d58dc5f79462e01a84a8dc5.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "2",
              "url": "http://guang.m.yohobuy.com/info/index?id=33048&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"id\":33048,\"islogin\":\"N\",\"param\":{\"id\":\"33048\"},\"share\":\"/guang/api/v1/share/guang\",\"shareparam\":{\"id\":33048},\"type\":1,\"update_flag\":\"5e6fe03479a3de4a224dd4a0184fd428\",\"url\":\"http://guang.m.yohobuy.com/info/index\"}}",
              "views_num": 705
            },
            {
              "id": 33278,
              "intro": "IU小公举真的越来越美！个子虽小巧但是身材比例简直完美！关键还是有会穿衣的小心机！",
              "praise_num": 0,
              "publish_time": "1月20日 17:00",
              "share_url": {
                "url": "http://guang.m.yohobuy.com/info/index?id=33278&openby:yohobuy={\"action\":\"go.share\",\"params\":{\"content\":\"潮流资讯，新鲜贩售，YOHO!有货【逛】不停\",\"pic\":\"http://img11.static.yhbimg.com/yhb-img01/2016/01/19/09/0137ee524c10496721536506ac263c1be9.jpg?imageView/2/w/640/h/640\",\"title\":\"超完美身材比例小公举IU！短款才是小个子拉长比例的正确穿搭！\",\"url\":\"http://guang.m.yohobuy.com/info/index?id=33278\"}}"
              },
              "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/19/09/0137ee524c10496721536506ac263c1be9.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "超完美身材比例小公举IU！短款才是小个子拉长比例的正确穿搭！",
              "url": "http://guang.m.yohobuy.com/info/index?id=33278&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"id\":33278,\"islogin\":\"N\",\"param\":{\"id\":\"33278\"},\"share\":\"/guang/api/v1/share/guang\",\"shareparam\":{\"id\":33278},\"type\":1,\"update_flag\":\"85cffcc0912393b3a0293f30237a1987\",\"url\":\"http://guang.m.yohobuy.com/info/index\"}}",
              "views_num": 0
            },
            {
              "id": 33052,
              "intro": "51126813   51126798   51188991  51100269  51144374   51153461",
              "praise_num": 0,
              "publish_time": "1月21日 22:20",
              "share_url": {
                "url": "http://guang.m.yohobuy.com/info/index?id=33052&openby:yohobuy={\"action\":\"go.share\",\"params\":{\"content\":\"潮流资讯，新鲜贩售，YOHO!有货【逛】不停\",\"pic\":\"http://img11.static.yhbimg.com/yhb-img01/2016/01/19/07/01f586696dadf59d67545d5fd5a97ae26e.gif?imageView/2/w/640/h/640\",\"title\":\"省钱每样均价不到200块\",\"url\":\"http://guang.m.yohobuy.com/info/index?id=33052\"}}"
              },
              "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/19/07/01f586696dadf59d67545d5fd5a97ae26e.gif?imageView/{mode}/w/{width}/h/{height}",
              "title": "省钱每样均价不到200块",
              "url": "http://guang.m.yohobuy.com/info/index?id=33052&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"id\":33052,\"islogin\":\"N\",\"param\":{\"id\":\"33052\"},\"share\":\"/guang/api/v1/share/guang\",\"shareparam\":{\"id\":33052},\"type\":1,\"update_flag\":\"5e6fe03479a3de4a224dd4a0184fd428\",\"url\":\"http://guang.m.yohobuy.com/info/index\"}}",
              "views_num": 0
            },
            {
              "id": 33282,
              "intro": "粉嫩系少女，多大都可以穿这是女人的特权，龙姑姑陈妍希演绎美丽冻人。",
              "praise_num": 0,
              "publish_time": "1月20日 13:30",
              "share_url": {
                "url": "http://guang.m.yohobuy.com/info/index?id=33282&openby:yohobuy={\"action\":\"go.share\",\"params\":{\"content\":\"潮流资讯，新鲜贩售，YOHO!有货【逛】不停\",\"pic\":\"http://img11.static.yhbimg.com/yhb-img01/2016/01/18/09/01a2420ab29e62451feb1282d19c3aca2b.jpg?imageView/2/w/640/h/640\",\"title\":\"不怕冷的龙姑姑教你怎样虏获帅男友，粉嫩毛衣必须入手！\",\"url\":\"http://guang.m.yohobuy.com/info/index?id=33282\"}}"
              },
              "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/18/09/01a2420ab29e62451feb1282d19c3aca2b.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "不怕冷的龙姑姑教你怎样虏获帅男友，粉嫩毛衣必须入手！",
              "url": "http://guang.m.yohobuy.com/info/index?id=33282&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"id\":33282,\"islogin\":\"N\",\"param\":{\"id\":\"33282\"},\"share\":\"/guang/api/v1/share/guang\",\"shareparam\":{\"id\":33282},\"type\":1,\"update_flag\":\"85cffcc0912393b3a0293f30237a1987\",\"url\":\"http://guang.m.yohobuy.com/info/index\"}}",
              "views_num": 0
            },
            {
              "id": 33236,
              "intro": "图案复古感十足的棒球外套，吸睛度满分！浅蓝的色调潮流中不失可爱的少女感！合体锥形长裤，洗水干净底色鲜艳，前幅涂鸦的笔触彩色印花,和复古的洗水相结合,非常好搭。黑色跑鞋帅气十足，增强整体潮流度！",
              "praise_num": 0,
              "publish_time": "1月20日 21:40",
              "share_url": {
                "url": "http://guang.m.yohobuy.com/info/index?id=33236&openby:yohobuy={\"action\":\"go.share\",\"params\":{\"content\":\"潮流资讯，新鲜贩售，YOHO!有货【逛】不停\",\"pic\":\"http://img12.static.yhbimg.com/yhb-img01/2016/01/18/07/0291f8dbdcd32cbfc754d91a9a595d2076.jpg?imageView/2/w/640/h/640\",\"title\":\"vintage-少女！黄、蓝撞色穿搭美式穿搭！\",\"url\":\"http://guang.m.yohobuy.com/info/index?id=33236\"}}"
              },
              "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/18/07/0291f8dbdcd32cbfc754d91a9a595d2076.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "vintage-少女！黄、蓝撞色穿搭美式穿搭！",
              "url": "http://guang.m.yohobuy.com/info/index?id=33236&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"id\":33236,\"islogin\":\"N\",\"param\":{\"id\":\"33236\"},\"share\":\"/guang/api/v1/share/guang\",\"shareparam\":{\"id\":33236},\"type\":1,\"update_flag\":\"5e6fe03479a3de4a224dd4a0184fd428\",\"url\":\"http://guang.m.yohobuy.com/info/index\"}}",
              "views_num": 12
            }
          ],
          "title": {
            "more_name": "...",
            "more_url": "http://www.yohobuy.com?openby:yohobuy={\"action\":\"go.guangchannel\"}",
            "title": "潮人·搭配"
          }
        },
        "template_id": 41,
        "template_name": "trendsetter_collocation"
      },
      {
        "data": {
          "list": [
            {
              "id": 33533,
              "intro": "435345345345",
              "praise_num": 2,
              "publish_time": "3月23日 17:52",
              "share_url": {
                "url": "http://guang.m.yohobuy.com/info/index?id=33533&openby:yohobuy={\"action\":\"go.share\",\"params\":{\"content\":\"潮流资讯，新鲜贩售，YOHO!有货【逛】不停\",\"pic\":\"http://img12.static.yhbimg.com/yhb-img01/2016/03/03/06/0232f5ed5a28935ee0c5daf8ee87114629.jpg?imageView/2/w/640/h/640\",\"title\":\"是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是\",\"url\":\"http://guang.m.yohobuy.com/info/index?id=33533\"}}"
              },
              "src": "http://img12.static.yhbimg.com/yhb-img01/2016/03/03/06/0232f5ed5a28935ee0c5daf8ee87114629.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是",
              "url": "http://guang.m.yohobuy.com/info/index?id=33533&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"id\":33533,\"islogin\":\"N\",\"param\":{\"id\":\"33533\"},\"share\":\"/guang/api/v1/share/guang\",\"shareparam\":{\"id\":33533},\"type\":1,\"update_flag\":\"0a5639b09da33a24cf76ff305b378f66\",\"url\":\"http://guang.m.yohobuy.com/info/index\"}}",
              "views_num": 202
            },
            {
              "id": 33458,
              "intro": "2016年的新年，牛仔服饰领导品牌Levi’s®推出全新新年牛仔系列，以「不新 不过年」为推广口号， 引领潮流达人在新一年的生活态度。",
              "praise_num": 0,
              "publish_time": "3月23日 16:51",
              "share_url": {
                "url": "http://guang.m.yohobuy.com/info/index?id=33458&openby:yohobuy={\"action\":\"go.share\",\"params\":{\"content\":\"潮流资讯，新鲜贩售，YOHO!有货【逛】不停\",\"pic\":\"http://img12.static.yhbimg.com/yhb-img01/2016/01/19/08/020bc35d85e9cb806fd309e79d174589c4.jpg?imageView/2/w/640/h/640\",\"title\":\"「不新 不过年」 Levi's® 新年系列心形刺绣女装夹克\",\"url\":\"http://guang.m.yohobuy.com/info/index?id=33458\"}}"
              },
              "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/19/08/020bc35d85e9cb806fd309e79d174589c4.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "「不新 不过年」 Levi's® 新年系列心形刺绣女装夹克",
              "url": "http://guang.m.yohobuy.com/info/index?id=33458&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"id\":33458,\"islogin\":\"N\",\"param\":{\"id\":\"33458\"},\"share\":\"/guang/api/v1/share/guang\",\"shareparam\":{\"id\":33458},\"type\":1,\"update_flag\":\"0a5639b09da33a24cf76ff305b378f66\",\"url\":\"http://guang.m.yohobuy.com/info/index\"}}",
              "views_num": 43
            },
            {
              "id": 32796,
              "intro": "1",
              "praise_num": 6,
              "publish_time": "1月28日 17:00",
              "share_url": {
                "url": "http://guang.m.yohobuy.com/info/index?id=32796&openby:yohobuy={\"action\":\"go.share\",\"params\":{\"content\":\"潮流资讯，新鲜贩售，YOHO!有货【逛】不停\",\"pic\":\"http://img12.static.yhbimg.com/yhb-img01/2016/01/14/04/0285f9e2c5eab30aafec2dae3b2aafcc18.jpg?imageView/2/w/640/h/640\",\"title\":\"衣服租借\",\"url\":\"http://guang.m.yohobuy.com/info/index?id=32796\"}}"
              },
              "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/14/04/0285f9e2c5eab30aafec2dae3b2aafcc18.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "衣服租借",
              "url": "http://guang.m.yohobuy.com/info/index?id=32796&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"id\":32796,\"islogin\":\"N\",\"param\":{\"id\":\"32796\"},\"share\":\"/guang/api/v1/share/guang\",\"shareparam\":{\"id\":32796},\"type\":1,\"update_flag\":\"7fac1d17650d6506980063b23f657f30\",\"url\":\"http://guang.m.yohobuy.com/info/index\"}}",
              "views_num": 976
            },
            {
              "id": 32710,
              "intro": "wuli凡凡打头阵！",
              "praise_num": 0,
              "publish_time": "1月20日 23:30",
              "share_url": {
                "url": "http://guang.m.yohobuy.com/info/index?id=32710&openby:yohobuy={\"action\":\"go.share\",\"params\":{\"content\":\"潮流资讯，新鲜贩售，YOHO!有货【逛】不停\",\"pic\":\"http://img12.static.yhbimg.com/yhb-img01/2016/01/13/08/0201e7d6c6fd08ac92ecdf0a3d3bdcd132.jpg?imageView/2/w/640/h/640\",\"title\":\"#秀场外才是真战场# 2016伦敦时装周街拍特辑\",\"url\":\"http://guang.m.yohobuy.com/info/index?id=32710\"}}"
              },
              "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/13/08/0201e7d6c6fd08ac92ecdf0a3d3bdcd132.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "#秀场外才是真战场# 2016伦敦时装周街拍特辑",
              "url": "http://guang.m.yohobuy.com/info/index?id=32710&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"id\":32710,\"islogin\":\"N\",\"param\":{\"id\":\"32710\"},\"share\":\"/guang/api/v1/share/guang\",\"shareparam\":{\"id\":32710},\"type\":1,\"update_flag\":\"7fac1d17650d6506980063b23f657f30\",\"url\":\"http://guang.m.yohobuy.com/info/index\"}}",
              "views_num": 6
            },
            {
              "id": 33504,
              "intro": "首先呢，小编一直都很留意中短发麻豆，比如之前分享过的Agyness Deyn和F王子Freja Beha。这次伦敦时装周，小编又在一群男模中一秒识别出一位短发女麻豆，定睛一看，是英国超模Edie Campbell，默默地给这篇微博点了个赞。",
              "praise_num": 0,
              "publish_time": "1月20日 21:00",
              "share_url": {
                "url": "http://guang.m.yohobuy.com/info/index?id=33504&openby:yohobuy={\"action\":\"go.share\",\"params\":{\"content\":\"潮流资讯，新鲜贩售，YOHO!有货【逛】不停\",\"pic\":\"http://img11.static.yhbimg.com/yhb-img01/2016/01/19/11/01f2fa7fc09534bba11dcdcf2f1d6633c4.jpg?imageView/2/w/640/h/640\",\"title\":\"小编心水麻豆推荐：Edie Campbell，发型真的可以改变气质！\",\"url\":\"http://guang.m.yohobuy.com/info/index?id=33504\"}}"
              },
              "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/19/11/01f2fa7fc09534bba11dcdcf2f1d6633c4.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "小编心水麻豆推荐：Edie Campbell，发型真的可以改变气质！",
              "url": "http://guang.m.yohobuy.com/info/index?id=33504&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"id\":33504,\"islogin\":\"N\",\"param\":{\"id\":\"33504\"},\"share\":\"/guang/api/v1/share/guang\",\"shareparam\":{\"id\":33504},\"type\":1,\"update_flag\":\"7fac1d17650d6506980063b23f657f30\",\"url\":\"http://guang.m.yohobuy.com/info/index\"}}",
              "views_num": 9
            }
          ],
          "title": {
            "more_name": "...",
            "more_url": "http://www.yohobuy.com?openby:yohobuy={\"action\":\"go.guangchannel\"}",
            "title": "潮品·话题"
          }
        },
        "template_id": 43,
        "template_name": "trendgoods_topic"
      },
      {
        "data": [
          {
            "alt": "",
            "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/12/06/0153002a769fdf1c671ac8c74fca0d257a.jpg?imageView/{mode}/w/{width}/h/{height}",
            "title": "",
            "url": "http://feature.yoho.cn/0112/0112APPYOHOPEGIRL/index.html?title=YOHOPE原创&share_id=336&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"share_id\":\"336\",\"title\":\"YOHOPE原创\"},\"share\":\"/operations/api/v5/webshare/getShare\",\"shareparam\":{\"share_id\":\"336\"},\"title\":\"YOHOPE原创\",\"url\":\"http://feature.yoho.cn/0112/0112APPYOHOPEGIRL/index.html\"}}"
          }
        ],
        "template_id": 5484,
        "template_intro": "一张图片",
        "template_name": "single_image"
      },
      {
        "data": [
          {
            "alt": "",
            "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/18/09/02ee6177535629615908629c0091c6ca76.jpg?imageView/{mode}/w/{width}/h/{height}",
            "title": "",
            "url": "http://feature.yohobuy.com/0/0/772/index.html?title=少数派报告&share_id=654&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"share_id\":\"654\",\"title\":\"少数派报告\"},\"share\":\"/operations/api/v5/webshare/getShare\",\"shareparam\":{\"share_id\":\"654\"},\"title\":\"少数派报告\",\"url\":\"http://feature.yohobuy.com/0/0/772/index.html\"}}"
          }
        ],
        "template_id": 5520,
        "template_intro": "一张图片",
        "template_name": "single_image"
      },
      {
        "data": {
          "big_image": [
            {
              "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/15/02/0137f68e55efd3b6e2d87ca6347cfeff64.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://search.m.yohobuy.com/?gender=2,3&msort=1&misort=20&title=棉衣&openby:yohobuy={\"action\":\"go.list\",\"params\":{\"actiontype\":0,\"gender\":\"2,3\",\"misort\":\"20\",\"msort\":\"1\",\"title\":\"棉衣\"}}"
            }
          ],
          "list": [
            {
              "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/19/02/0202fa65c0bdff429941df298341881f03.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://lalabobo.m.yohobuy.com/?gender=2,3\n\n&openby:yohobuy={\"action\":\"go.brand\",\"params\":{\"brand_id\":\"1091\",\"gender\":\"2,3\"}}"
            },
            {
              "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/19/02/018fbeeacac71ca20cb0023c7c48591b86.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://ohmygirl.m.yohobuy.com/?gender=2,3\n&openby:yohobuy={\"action\":\"go.brand\",\"params\":{\"brand_id\":\"702\",\"gender\":\"2,3\"}}"
            },
            {
              "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/19/02/020b8f8cb474b55ab87af879f4c1c943ee.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://dresslab.m.yohobuy.com/?gender=2,3\n&openby:yohobuy={\"action\":\"go.brand\",\"params\":{\"brand_id\":\"481\",\"gender\":\"2,3\"}}"
            },
            {
              "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/19/02/027352873aae87bd329b5e2502666c97b9.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://2percent.m.yohobuy.com/?gender=2,3\n&openby:yohobuy={\"action\":\"go.brand\",\"params\":{\"brand_id\":\"296\",\"gender\":\"2,3\"}}"
            },
            {
              "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/19/02/010a873706461ab07b3141b498eeed6b51.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://joyrich.m.yohobuy.com/?gender=2,3\n&openby:yohobuy={\"action\":\"go.brand\",\"params\":{\"brand_id\":\"599\",\"gender\":\"2,3\"}}"
            }
          ],
          "title": {
            "more_name": "",
            "more_url": "http://list.m.yohobuy.com/?gender=2,3&msort=1&gender=2,3&title=潮流时装&openby:yohobuy={\"action\":\"go.list\",\"params\":{\"actiontype\":1,\"gender\":\"2,3\",\"msort\":\"1\",\"title\":\"潮流时装\"}}",
            "name": "潮流时装",
            "title": "潮流时装"
          }
        },
        "template_id": 213,
        "template_intro": "一张大图一个大的推荐和4个小图推荐",
        "template_name": "recommend_content_one"
      },
      {
        "data": {
          "big_image": [
            {
              "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/15/02/017093dfdd346e9c79d4b505795711cf7f.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://search.m.yohobuy.com/?gender=2,3&msort=3&misort=26&title=休闲裤&openby:yohobuy={\"action\":\"go.list\",\"params\":{\"actiontype\":0,\"gender\":\"2,3\",\"misort\":\"26\",\"msort\":\"3\",\"title\":\"休闲裤\"}}"
            }
          ],
          "list": [
            {
              "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/19/02/0177b0e5ed64c873f3af0884e909cafd96.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://chuyu.m.yohobuy.com/?gender=2,3\n&openby:yohobuy={\"action\":\"go.brand\",\"params\":{\"brand_id\":\"866\",\"gender\":\"2,3\"}}"
            },
            {
              "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/19/02/02227f2df5630b709c928b042deca91be1.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://mishka.m.yohobuy.com/?gender=2,3\n&openby:yohobuy={\"action\":\"go.brand\",\"params\":{\"brand_id\":\"390\",\"gender\":\"2,3\"}}"
            },
            {
              "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/19/02/01415dc1638178dc2ac7659bf10428ec0c.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://blackjack.m.yohobuy.com/?gender=2,3\n&openby:yohobuy={\"action\":\"go.brand\",\"params\":{\"brand_id\":\"256\",\"gender\":\"2,3\"}}"
            },
            {
              "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/19/02/01a9bb25a64e6ebdd5c4315add571ffaad.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://tyakasha.m.yohobuy.com/?gender=2,3\n&openby:yohobuy={\"action\":\"go.brand\",\"params\":{\"brand_id\":\"141\",\"gender\":\"2,3\"}}"
            },
            {
              "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/19/02/01a7ae1ba6a022c728ae1f26b3d54829f6.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://littlesunnybite.m.yohobuy.com/?gender=2,3\n&openby:yohobuy={\"action\":\"go.brand\",\"params\":{\"brand_id\":\"991\",\"gender\":\"2,3\"}}"
            }
          ],
          "title": {
            "more_name": "",
            "more_url": "http://list.m.yohobuy.com/?msort=3&misort=26&gender=2,3&title=经典裤裙&openby:yohobuy={\"action\":\"go.list\",\"params\":{\"actiontype\":1,\"gender\":\"2,3\",\"misort\":\"26\",\"msort\":\"3\",\"title\":\"经典裤裙\"}}",
            "name": "经典裤裙",
            "title": "经典裤裙"
          }
        },
        "template_id": 215,
        "template_intro": "一张大图一个大的推荐和4个小图推荐",
        "template_name": "recommend_content_one"
      },
      {
        "data": {
          "big_image": [
            {
              "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/15/02/01b6efd5651029036de7defc2780e33131.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://search.m.yohobuy.com/?gender=2,3&msort=6&misort=44&title=运动鞋&openby:yohobuy={\"action\":\"go.list\",\"params\":{\"actiontype\":0,\"gender\":\"2,3\",\"misort\":\"44\",\"msort\":\"6\",\"title\":\"运动鞋\"}}"
            }
          ],
          "list": [
            {
              "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/19/02/02778a9649b67266616120a7667723e759.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://onitsukatiger.m.yohobuy.com/?gender=2,3\n&openby:yohobuy={\"action\":\"go.brand\",\"params\":{\"brand_id\":\"241\",\"gender\":\"2,3\"}}"
            },
            {
              "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/19/02/010051d8b0baf1ba23913531430c99738e.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://nike.m.yohobuy.com/?gender=2,3\n&openby:yohobuy={\"action\":\"go.brand\",\"params\":{\"brand_id\":\"248\",\"gender\":\"2,3\"}}"
            },
            {
              "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/19/02/017fe94ca6e787ef29d7b2558961f490ac.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://puma.m.yohobuy.com/?gender=2,3\n&openby:yohobuy={\"action\":\"go.brand\",\"params\":{\"brand_id\":\"512\",\"gender\":\"2,3\"}}"
            },
            {
              "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/19/02/0120e9237a9e3c7a7e0c402ed56bbe890e.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://vdsoul.m.yohobuy.com/?gender=2,3\n&openby:yohobuy={\"action\":\"go.brand\",\"params\":{\"brand_id\":\"905\",\"gender\":\"2,3\"}}"
            },
            {
              "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/19/02/0220ebf0358c04c1352d559e724abff06e.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://activatewater.m.yohobuy.com/?gender=2,3\n&openby:yohobuy={\"action\":\"go.brand\",\"params\":{\"brand_id\":\"968\",\"gender\":\"2,3\"}}"
            }
          ],
          "title": {
            "more_name": "",
            "more_url": "http://list.m.yohobuy.com/?msort=6&gender=2,3&title=时尚鞋履&openby:yohobuy={\"action\":\"go.list\",\"params\":{\"actiontype\":1,\"gender\":\"2,3\",\"msort\":\"6\",\"title\":\"时尚鞋履\"}}",
            "name": "时尚鞋履",
            "title": "时尚鞋履"
          }
        },
        "template_id": 217,
        "template_intro": "一张大图一个大的推荐和4个小图推荐",
        "template_name": "recommend_content_one"
      },
      {
        "data": {
          "big_image": [
            {
              "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/15/02/0138560fa9413587671355f52705a3f377.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://search.m.yohobuy.com/?gender=2,3&msort=8&misort=60&title=帽子&openby:yohobuy={\"action\":\"go.list\",\"params\":{\"actiontype\":0,\"gender\":\"2,3\",\"misort\":\"60\",\"msort\":\"8\",\"title\":\"帽子\"}}"
            }
          ],
          "list": [
            {
              "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/19/02/015bbefa7f39752793931757d4eec1d2ed.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://draconite.m.yohobuy.com/?gender=2,3\n&openby:yohobuy={\"action\":\"go.brand\",\"params\":{\"brand_id\":\"795\",\"gender\":\"2,3\"}}"
            },
            {
              "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/19/02/0207c6ddae731fc2d9c48cedf6dd640a46.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://comback.m.yohobuy.com/?gender=2,3\n&openby:yohobuy={\"action\":\"go.brand\",\"params\":{\"brand_id\":\"26\",\"gender\":\"2,3\"}}"
            },
            {
              "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/19/02/01e0c65ab2a46d97f1cdabda45ec7c9513.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://liberation.m.yohobuy.com/?gender=2,3\n&openby:yohobuy={\"action\":\"go.brand\",\"params\":{\"brand_id\":\"823\",\"gender\":\"2,3\"}}"
            },
            {
              "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/19/02/01c8115f9b1112da4661a6bb8ab240cc55.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://wussa.m.yohobuy.com/?gender=2,3\n&openby:yohobuy={\"action\":\"go.brand\",\"params\":{\"brand_id\":\"919\",\"gender\":\"2,3\"}}"
            },
            {
              "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/19/02/016af86294801a95415e8232e4a52d3a5e.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://natkiel.m.yohobuy.com/?gender=2,3\n&openby:yohobuy={\"action\":\"go.brand\",\"params\":{\"brand_id\":\"393\",\"gender\":\"2,3\"}}"
            }
          ],
          "title": {
            "more_name": "",
            "more_url": "http://search.m.yohobuy.com/?gender=2,3&msort=8&title=潮人配饰&openby:yohobuy={\"action\":\"go.list\",\"params\":{\"actiontype\":0,\"gender\":\"2,3\",\"msort\":\"8\",\"title\":\"潮人配饰\"}}",
            "name": "潮人配饰",
            "title": "潮人配饰"
          }
        },
        "template_id": 219,
        "template_intro": "一张大图一个大的推荐和4个小图推荐",
        "template_name": "recommend_content_one"
      },
      {
        "data": {
          "big_image": [
            {
              "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/15/03/0279f7046c6dffca8386e0d52ba1fe833f.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://feature.yoho.cn/0119BRANDSGIRL1/index.html?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"url\":\"http://feature.yoho.cn/0119BRANDSGIRL1/index.html\"}}"
            }
          ],
          "list": [
            {
              "src": "http://img12.static.yhbimg.com/yhb-img01/2015/12/30/06/0203fe26be5f620ef888454b67a9ebe98b.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://list.m.yohobuy.com/?gender=2,3&msort=10&misort=280&channel=4&title=玩具&openby:yohobuy={\"action\":\"go.list\",\"params\":{\"actiontype\":1,\"channel\":\"4\",\"gender\":\"2,3\",\"misort\":\"280\",\"msort\":\"10\",\"title\":\"玩具\"}}"
            },
            {
              "src": "http://img12.static.yhbimg.com/yhb-img01/2015/12/30/06/02378c0cc2d7ef35178d78cd9d5429d278.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://list.m.yohobuy.com/?gender=2,3&msort=10&misort=103&channel=4&title=数码&openby:yohobuy={\"action\":\"go.list\",\"params\":{\"actiontype\":1,\"channel\":\"4\",\"gender\":\"2,3\",\"misort\":\"103\",\"msort\":\"10\",\"title\":\"数码\"}}"
            },
            {
              "src": "http://img11.static.yhbimg.com/yhb-img01/2015/12/30/06/01932777bc76b19c80c0c492a35477eb21.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://list.m.yohobuy.com/?gender=2,3&msort=10&misort=259&channel=4&title=美妆&openby:yohobuy={\"action\":\"go.list\",\"params\":{\"actiontype\":1,\"channel\":\"4\",\"gender\":\"2,3\",\"misort\":\"259\",\"msort\":\"10\",\"title\":\"美妆\"}}"
            },
            {
              "src": "http://img12.static.yhbimg.com/yhb-img01/2015/12/30/06/023f68f7774eec379a8fca2c3ac4b64cca.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://list.m.yohobuy.com/?gender=2,3&msort=10&misort=266&channel=4&title=居家&openby:yohobuy={\"action\":\"go.list\",\"params\":{\"actiontype\":1,\"channel\":\"4\",\"gender\":\"2,3\",\"misort\":\"266\",\"msort\":\"10\",\"title\":\"居家\"}}"
            },
            {
              "src": "http://img12.static.yhbimg.com/yhb-img01/2015/12/30/06/02dbbfef0479fa54b2fd09f19795b89e85.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://list.m.yohobuy.com/?gender=2,3&msort=10&misort=101&channel=4&title=文具&openby:yohobuy={\"action\":\"go.list\",\"params\":{\"actiontype\":1,\"channel\":\"4\",\"gender\":\"2,3\",\"misort\":\"101\",\"msort\":\"10\",\"title\":\"文具\"}}"
            },
            {
              "src": "http://img12.static.yhbimg.com/yhb-img01/2015/12/30/06/02fe4f95ea065b01f7d465ce63ec93dac3.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://list.m.yohobuy.com/?gender=2,3&msort=8&misort=59&channel=1,2&title=手表&openby:yohobuy={\"action\":\"go.list\",\"params\":{\"actiontype\":1,\"channel\":\"1,2\",\"gender\":\"2,3\",\"misort\":\"59\",\"msort\":\"8\",\"title\":\"手表\"}}"
            }
          ],
          "title": {
            "more_name": "",
            "more_url": "http://search.m.yohobuy.com/?msort=10&gender=2,3&title=品味生活&openby:yohobuy={\"action\":\"go.list\",\"params\":{\"actiontype\":0,\"gender\":\"2,3\",\"msort\":\"10\",\"title\":\"品味生活\"}}",
            "name": "品味生活",
            "title": "品味生活"
          }
        },
        "template_id": 303,
        "template_intro": "一张大图和6个小图推荐",
        "template_name": "recommend_content_two"
      },
      {
        "data": {
          "big_image": [
            {
              "src": "http://img11.static.yhbimg.com/yhb-img01/2015/12/25/10/019021a140e8d5cb71c86d2ab41c79aa5e.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://mayali.m.yohobuy.com/?gender=2,3&openby:yohobuy={\"action\":\"go.brand\",\"params\":{\"brand_id\":\"1187\",\"gender\":\"2,3\"}}"
            }
          ],
          "list": [
            {
              "src": "http://img12.static.yhbimg.com/yhb-img01/2015/11/30/07/021a5e61e2204ab999bd51033571ab17b7.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://calvinklein.m.yohobuy.com/?gender=2,3&openby:yohobuy={\"action\":\"go.brand\",\"params\":{\"brand_id\":\"1016\",\"gender\":\"2,3\"}}"
            },
            {
              "src": "http://img12.static.yhbimg.com/yhb-img01/2015/12/31/02/02da05e21cf9acc6e2d8aee544c4b12101.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://gochic.yohobuy.com/?gender=2,3&openby:yohobuy={\"action\":\"go.brand\",\"params\":{\"brand_id\":\"1151\",\"gender\":\"2,3\"}}"
            },
            {
              "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/05/07/029e572bb503775714ee24d19d3feafd5c.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://bgthreebyxyliu.m.yohobuy.com/?gender=2,3&openby:yohobuy={\"action\":\"go.brand\",\"params\":{\"brand_id\":\"1210\",\"gender\":\"2,3\"}}"
            },
            {
              "src": "http://img12.static.yhbimg.com/yhb-img01/2015/12/31/02/02540bacd698de598128996846a036c0e9.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://maypuff.m.yohobuy.com/?gender=2,3&openby:yohobuy={\"action\":\"go.brand\",\"params\":{\"brand_id\":\"1077\",\"gender\":\"2,3\"}}"
            },
            {
              "src": "http://img11.static.yhbimg.com/yhb-img01/2015/12/31/07/017d62af53f6c80e1a074889be2ee1f5c5.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://lunalimited.m.yohobuy.com/?gender=2,3&openby:yohobuy={\"action\":\"go.brand\",\"params\":{\"brand_id\":\"1248\",\"gender\":\"2,3\"}}"
            },
            {
              "src": "http://img11.static.yhbimg.com/yhb-img01/2015/12/31/06/01f2893c48bf114b419f07426758ba7668.jpg?imageView/{mode}/w/{width}/h/{height}",
              "title": "",
              "url": "http://molimo.yohobuy.com/?gender=2,3&openby:yohobuy={\"action\":\"go.brand\",\"params\":{\"brand_id\":\"986\",\"gender\":\"2,3\"}}"
            }
          ],
          "title": {
            "more_name": "",
            "more_url": "http://m.yohobuy.com?actiontype=1&openby:yohobuy={\"action\":\"go.attention\",\"params\":{\"actiontype\":\"1\"}}",
            "name": "新入驻品牌",
            "title": "新入驻品牌"
          }
        },
        "template_id": 347,
        "template_intro": "一张大图和6个小图推荐",
        "template_name": "recommend_content_two"
      },
      {
        "data": {
          "text": "gdfgdfgdg"
        },
        "template_id": 5702,
        "template_name": "text"
      }
    ],
    "page": 1,
    "total": 21,
    "total_page": 2
  },
  "md5": "59bb239df5da99114612322c55ee346d",
  "message": "资源信息"
}
```

#### 响应内容参数说明
| Param Name  | type | Param Value | Desc       | 
| ----------  | ---- | ----------- | -----      |
| page        | int  | 1           | 当前页数    |
| total       | int  | 21          | 总记录数    |
| total_page  | int  | 2           | 总页数      |
| content_code| string | 201504091403002  | 内容码      |
| list        | json |             | 资源内容    |
| template_id | int  |  5702       | 资源内容id（楼层唯一标识）  |
| template_name | string  |  text  | 资源内容名称（模板名称） ，区分各种楼层   |

##### 楼层数据格式-文本template_name=text
| Param Name  | type      | Param Value | Desc       | 
| ----------  | ----      | ----------- | -----      |
| template_id | int       | 5702        |            |
| template_name | string  | text        |            |
| data        | json      |             | 楼层数据   |
| text        | string    |             | 文本内容   |

##### 楼层数据格式-焦点图template_name=focus
| Param Name  | type      | Param Value | Desc       | 
| ----------  | ----      | ----------- | -----      |
| template_id | int       | 33          |            |
| template_name | string  | focus       |            |
| template_intro| string  | 焦点图       | 楼层描述  |
| data        | json      |             | 楼层数据   |
| title       | string    |             | 图片标题   |
| src         | string    |             | 图片地址   |
| url         | string    |             | 图片跳转链接   |
| bgColor     | string    |             | 背景颜色   |

##### 楼层数据格式-图标template_name=app_icon_list
| Param Name  | type      | Param Value | Desc       | 
| ----------  | ----      | ----------- | -----      |
| template_id | int       |  39         |            |
| template_name | string  |  app_icon_list |            |
| template_intro| string  | 图标        | 楼层描述  |
| number        | string  | "5"         | 每行展示个数  |
| data        | json      |             | 楼层数据   |
| data.title  | string    |             | 图片标题   |
| data.src    | string    |             | 图片地址   |
| data.url    | string    |             | 图片跳转链接   |
| data.alt    | string    |             | 图片描述   |

##### 楼层数据格式-站内公告template_name=announcement
| Param Name  | type      | Param Value | Desc       | 
| ----------  | ----      | ----------- | -----      |
| template_id | int       | 5762         |            |
| template_name | string  | announcement |            |
| template_intro| string  | 图标         | 楼层描述  |
| time        | string    | 3           | 轮播时间间隔（秒）|
| announcement_img | string |           | 公告图片地址 |
| data        | json      |             | 楼层数据   |
| title       | string    |             | 公告标题   |
| url         | string    |             | 公告跳转链接   |

##### 楼层数据格式-推荐品牌template_name=app_hot_brands
| Param Name  | type      | Param Value | Desc       | 
| ----------  | ----      | ----------- | -----      |
| template_id | int       | 7           |            |
| template_name | string  | app_hot_brands |            |
| template_intro| string  | 推荐品牌    | 楼层描述  |
| data        | json      |             | 楼层数据   |
| data.title  | json      |             | 标题信息，里面只有一个title属性   |
| data.is_show_name  | string    |             | 是否显示名称  |
| data.image  | json    |             | 图片信息  |
| data.image.alt  | string    |             | 图片描述  |
| data.image.src  | string    |             | 图片连接  |
| data.image.url  | string    |             | 图片跳转连接  |
| data.list  | json      |             | 品牌列表数组   |
| data.list[i].id  | string    |             | 品牌id  |
| data.list[i].name  | string    |             | 品牌名称  |
| data.list[i].src  | string    |             | 品牌图片地址  |
| data.list[i].title  | string    |             | 品牌标题  |
| data.list[i].url  | string    |             | 品牌url地址  |

##### 楼层数据格式-nL2R template_name=nL2R
| Param Name  | type      | Param Value | Desc       | 
| ----------  | ----      | ----------- | -----      |
| template_id | int       |             |            |
| template_name | string  | nL2R        |            |
| template_intro| string  | 左N右二     | 楼层描述  |
| data        | json      |             | 楼层数据   |
| data.left   | json      |             | 左侧数据      |
| data.left[i].url  | string      |     | 链接地址      |
| data.left[i].src  | string      |     | 图片路径      |
| data.right  | json      |             | 右侧数据      |
| data.right[i].url  | string     |     | 链接地址      |
| data.right[i].src  | string     |     | 图片路径      |

##### 楼层数据格式-奥莱专用-人气品牌 template_name=outletsHotBrands(产品表示暂时不用)
| Param Name  | type      | Param Value | Desc       | 
| ----------  | ----      | ----------- | -----      |
| template_id | int       |             |            |
| template_name | string  | outletsHotBrands        |            |
| template_intro| string  | 人气品牌     | 楼层描述  |
| data        | json      |             | 楼层数据   |
| data.title  | json      |             | 标题信息，里面只有一个title属性   |
| data.list   | json      |             | 数据      |
| data.list[i].src  | string      |     | 图片路径      |
| data.list[i].url  | string      |     | 链接地址      |
| data.list[i].name | string      |     | 品牌名称      |
| data.list[i].topBanner | string |     | 落地页图片    |

##### 楼层数据格式-三张图 template_name=threePicture
| Param Name  | type      | Param Value | Desc       | 
| ----------  | ----      | ----------- | -----      |
| template_id | int       |             |            |
| template_name | string  |threePicture |            |
| template_intro| string  | 三张图     | 楼层描述  |
| data        | json      |             | 楼层数据   |
| data[i].url  | string      |     | 链接地址      |
| data[i].src  | string      |     | 图片路径      |

##### 楼层数据格式-品类推荐 template_name=recommendCategory
| Param Name  | type      | Param Value | Desc       | 
| ----------  | ----      | ----------- | -----      |
| template_id | int       |             |            |
| template_name | string  |recommendCategory |            |
| template_intro| string  | 品类推荐     | 楼层描述  |
| data        | json      |             | 楼层数据   |
| data.title  | string      |     | 标题      |
| data.categoryList  | json      |     | 品类数据数组      |
| data.categoryList[i].bannerImage  | string      |     | 落地页图片      |
| data.categoryList[i].url  | string      |     | 跳转链接      |
| data.categoryList[i].navigateImageSrcApp  | string      |     | APP导航图片      |
| data.categoryList[i].navigateNamePC  | string      |     | PC端导航名称      |

##### 楼层数据格式-品类导航 template_name=categoryNavigation
| Param Name  | type      | Param Value | Desc       | 
| ----------  | ----      | ----------- | -----      |
| template_id | int       |             |            |
| template_name | string  |categoryNavigation |            |
| template_intro| string  | 品类导航     | 楼层描述  |
| data        | json      |             | 楼层数据   |
| data[i].categoryName  | string      |     | 品类名称      |
| data[i].url  | string      |     | 跳转链接      |

##### 楼层数据格式-折扣专场 template_name=discountActivity
| Param Name  | type      | Param Value | Desc       | 
| ----------  | ----      | ----------- | -----      |
| template_id | int       |             |            |
| template_name | string  |discountActivity |            |
| template_intro| string  | 折扣专场    | 楼层描述   |
| data        | json      |             | 楼层数据   |
| data.title.name       | string      |     | 标题      |
| data.title.more_name  | string      |  ...   | 更多名称      |
| data.title.more_url   | string      |        | 更多跳转链接  |
| data.list | json      |     | 活动列表      |
| data.list[i].id               | int | | 主键 |
| data.list[i].cover_url        | string | | 封面图片 |
| data.list[i].logo_url         | string | | logo图片 |
| data.list[i].web_url          | stirng | | 图片 |
| data.list[i].product_pool_id  | int    | | 商品池   |
| data.list[i].promotion_name   | string | 1折起 |  促销信息        |
| data.list[i].title            | string | SYJ-新增测试缓存女生专享 | 活动名称 |
| data.list[i].start_time       | int    | | 开始时间 |
| data.list[i].end_time         | int    | | 结束时间 |

##### 楼层数据格式-断码区 template_name=offCodeArea

| Param Name  | type      | Param Value | Desc       | 
| ----------  | ----      | ----------- | -----      |
| template_id | int       |             |            |
| template_name | string  |offCodeArea |            |
| template_intro| string  | 断码区    | 楼层描述   |
| data        | json      |             | 楼层数据   |
| data.title.name       | string      |     | 标题      |
| data.title.more_name  | string      |  ...   | 更多名称      |
| data.title.more_url   | string      |        | 更多跳转链接  |
| data.list | json      |     | 活动列表      |
| data.list[i].src        | string | | 图片地址 |
| data.list[i].url        | string | | 跳转链接 |

## 4、获取热门标签
###  说明
根据客户端类型，加载热门标签

### 请求参数
| Param Name  | Param Value | Desc       | 
| :---------- | -----------:|-----------:|
| method      | app.resources.getHotRankTag |  |
| client_type | web         | 客户端类型 |

### 响应内容
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": [
    {
      "category_id": "",
      "id": 1,
      "tag_name": "TOP100"
    },
    {
      "category_id": "211",
      "id": 39,
      "tag_name": "数码配件（创意家具）"
    }
  ],
  "md5": "07de70f372344d676b0bae188db345aa",
  "message": "热门标签列表"
}
```

## 5、获取单个热门标签
 
###  说明
根据 ID，加载单个热门标签

### 请求参数
| Param Name  | Param Value | Desc       | 
| :---------- | -----------:|-----------:|
| method      | app.resources.getOneHotRankTag |  |
| id | 2 | 主键 |

### 响应内容
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    // 分类名称
    "category_id": "147,148,149,151",
    // 频道
    "channel": "1",
    // 创建时间
    "create_time": "1440398987",
    // 主键
    "id": "2",
    // 排序
    "order_by": "9",
    // 平台
    "platform": "iphone,ipad,android,h5,web",
    // 状态
    "status": "1",
    // 标签名称
    "tag_name": "鞋靴",
    // 更新时间
    "update_time": "1444373938"
  },
  "md5": "6003f54e3b9a4dd242ec84d2a6ec5813",
  "message": "操作成功"
}
```


## 6、根据节点和运行环境选择静态内容

### 请求参数
| Param Name | Param Type  | Param Value | Desc       | 
| ---------- | ----------- | ----------- | -----      |
| method     | String      | app.resources.getHtmlContentByNodeContent |  |
| node     |String| 20110605-160023 |节点编号  |
| mode     |String| release | 运行环境(可选，默认release)|

### 响应内容
```json
{
  "code": 200,
  "data": {
    "inuseContent": "<p>\r\n\t<span><a href=\"http://vans.yohobuy.com/\">Vans</a>&nbsp;| <a href=\"http://lyrique.yohobuy.com/\">LYRIQUE</a>&nbsp;|&nbsp;<a href=\"http://lal.yohobuy.com/\">Life after Life</a>&nbsp;| <a href=\"http://www.yohobuy.com/search?msort=1&amp;misort=11&amp;sort=114\">MORE&gt;</a></span></p>"
  },
  "message": "html content"
}
or
{
  "code": 200,
  "data": {
    "editContent": "<p>\r\n\t<span><a href=\"http://vans.yohobuy.com/\">Vans</a>&nbsp;| <a href=\"http://lyrique.yohobuy.com/\">LYRIQUE</a>&nbsp;|&nbsp;<a href=\"http://lal.yohobuy.com/\">Life after Life</a>&nbsp;| <a href=\"http://www.yohobuy.com/search?msort=1&amp;misort=11&amp;sort=114\">MORE&gt;</a></span></p>"
  },
  "message": "html content"
}
```

## 7、获取专区信息
 
###  接口说明

| 接口说明 | 接口说明 | 
| :-- | -----: |
| 请求域名 | http://api.yoho.cn/ |
| 接口名 | app.resources.getOneSpecial |
| 接口说明 | 获取专区信息 |
| http请求方式 | GET/POST |

### 请求参数
| 名称 | 类型 | 是否必须 | 示例值 | 默认值 | 描述       | 
| :-- | :--  | :--  | :--| :-- | :--      |
| method      | string | 是 | app.resources.getOneSpecial |  |  |
| special_id  | int | 是 | 7 | 专区id      |  |

### 正常返回结果
```json
{
	"alg": "SALT_MD5",
	"code": 200,
	"data": {
		"id": 1,
		"special_name": "0514 初夏新作",
		"brand_id": "0",
		"vip_price": 0,
		"special_price": 0,
		"sales_price": 1,
		"market_price": 1,
		"ispromotion": 101,
		"categoryNav": 0,
		"vipdiscounttype": 0,
		"search_filter": "discount,price",
		"left_ad_code": "20140129-110108",
		"banner_img": "[{\"img\":\"\\/2015\\/05\\/12\\/10\\/02b537da7c1144f5eb3c81862214bd553f.jpg\",\"height\":\"350\"},{\"img\":\"\\/2015\\/04\\/27\\/02\\/01d7a0aff817d1f82daaf816368ff6413e.png\",\"height\":\"1\"},{\"img\":\"\\/2015\\/04\\/27\\/11\\/010d067ddb31849fd2c65fc70ac6bea2c6.jpg\",\"height\":\"320\"}]",
		"template": "index1",
		"style_id": 1,
		"css": "",
		"mcss": ""
	},
	"md5": "69e485a5ce4a366c65c00c2cd3a1a948",
	"message": "专区信息"
}
```

#### 正常返回结果参数说明
| 名称 | 示例值 | 描述 | 
| :-- | :-- | --: |
| id          | 1           | 专区id    |
| special_name| 0514 初夏新作     | 专区名称    |
| brand_id   | 0 | 品牌ID |
| vip_price | 0  | VIP价 |
| special_price      | 0           | 专区价 |
| sales_price      | 1           | 销售价 |
| market_price      | 1           | 市场价 |
| ispromotion      | 101           |  |
| categoryNav      | 0          | 分类 |
| vipdiscounttype      | 0           |  |
| search_filter      | discount,price           | 搜索过滤字段 |
| left_ad_code      | 20140129-110108          | 左侧广告编码 |
| banner_img      | [{\"img\":\"\\/2015\\/05\\/12\\/10\\/02b537da7c1144f5eb3c81862214bd553f.jpg\",\"height\":\"350\"}] |  |
| template      | index1           |  |
| style_id      | 1           |  |
| css      |            |  |
| mcss      |            |  |
