## YOHOOD 相关接口

### yohood.passkit.get

> 接口名：`yohood.passkit.get`

#### 请求参数

| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|method|string|否|yohood.passkit.get||固定参数|
|ticketCode|string|否|540000||票号|
|uid |int|否|8888||用户 id |

#### 响应

下载文件

### yohood.largeView.topProductList

> 接口名：`yohood.largeView.topProductList`

#### 请求参数

| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|method|string|否|yohood.largeView.topProductList||固定参数|
|tagId|int|否|0|| 标签 ID [0-10]|

#### 响应

```json
{
alg: "SALT_MD5",
code: 200,
data: [
{
    id: 730,
    images: "http://img13.static.yhbimg.com\brandLogo/2015/12/07/13/026b552beeaf6c8bc9b9e95bba97572183.jpg",
    name: "相对纶",
    saleSum: 922,
    url: "http://xiangduilun.yohobuy.com"
},
{
    id: 1,
    images: "http://img10.static.yhbimg.com\brandLogo/2011/06/26/19/016f21d6a39d5071e1864943253dcdefde.jpg",
    name: "004",
    saleSum: 740,
    url: "http://004444.yohobuy.com"
},
{
    id: 657,
    images: "http://img10.static.yhbimg.com\brandLogo/2015/12/07/10/01c6a2c5872a23d09cd2535f1628af782e.jpg",
    name: "MOUSSY",
    saleSum: 679,
    url: "http://moussy.yohobuy.com"
},
{
    id: 803,
    images: "http://img10.static.yhbimg.com\brandLogo/2015/07/10/13/016e9cc4958493c1cfa398a1527b40267d.png",
    name: "MARLMARL",
    saleSum: 403,
    url: "http://marlmarl.yohobuy.com"
},
{
    id: 763,
    images: "http://img10.static.yhbimg.com\brandLogo/2015/12/09/16/01cc236a4e2285fac5eeb95fd70d523772.jpg",
    name: "Genanx",
    saleSum: 253,
    url: "http://genanx.yohobuy.com"
},
{
    id: 341,
    images: "http://img10.static.yhbimg.com\brandLogo/2015/12/07/11/014b602ed4a046e687c9fe95f023be9cf5.jpg",
    name: "鬼洗",
    saleSum: 169,
    url: "http://oniarai.yohobuy.com"
},
{
    id: 912,
    images: "http://img13.static.yhbimg.com\brandLogo/2015/12/07/15/02a63e4329a25957810d708d8adc92e991.jpg",
    name: "UNIF",
    saleSum: 14,
    url: "http://unif.yohobuy.com"
},
{
    id: 448,
    images: "http://img13.static.yhbimg.com\brandLogo/2014/12/09/15/0282ab4fe9b95529ca0994bae4b69027a0.jpg",
    name: "CUBE SUGAR",
    saleSum: 13,
    url: "http://cubesugar.yohobuy.com"
},
{
    id: 197,
    images: "http://img12.static.yhbimg.com\brandLogo/2015/12/09/16/02f9c1d2c02e0a2e3a3243aa67407e8396.jpg",
    name: "STAYREAL",
    saleSum: 11,
    url: "http://stayreal.yohobuy.com"
},
{
    id: 899,
    images: "http://img10.static.yhbimg.com\brandLogo/2015/09/09/14/0174b297526d37ad7fea4f759504a5a46a.jpg",
    name: "IKUMI",
    saleSum: 7,
    url: "http://ikumi.yohobuy.com"
}
],
md5: "b45f52ce6895864b72739743ab0adff7",
message: "操作成功"
}
```

### app.yohood.ifbinding

> 接口名：`app.yohood.ifbinding`

#### 请求参数

| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|uid|int|否|1||uid|


#### 响应

```json
{
    "appVersion": "4.3.0",
    "content_code": "201504091403001",
    "gender": "2%2C3",
    "limit": "50",
    "uid": "0"
}
```

### app.ticket.List

> 接口名：`app.ticket.List`

#### 请求参数

| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 


#### 响应

```json
{
    "alg": "SALT_MD5",
    "code": 200,
    "data": [
        "51127269",
        "51127270",
        "51127271"
    ],
    "md5": "5abd1e254f013d41df15da86ecb2f056",
    "message": "操作成功"
}
```

### app.yohood.pass

> 接口名：`app.yohood.pass`

#### 请求参数

| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|uid|int|否|1||uid|

#### 响应

```json
{
    "alg": "SALT_MD5",
    "code": 200,
    "data": {
        "head_ico": "http://static.yohobuy.com/images/v3/boy.jpg",
        "nickname": "Sky",
        "pass_card": "http://img05.static.yhbimg.com/pass/3026/32877-1-4-1-1.jpg",
        "uid": 32877,
        "userLevel": 0,
        "username": "Sky"
    },
    "md5": "0808ebec8cba6148054cceed1c1395ef",
    "message": "操作成功"
}
```
