## 1、获取文章作者信息##

获取文章作者信息（/guang/service/*/author/getAuthor）（h5接口）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|author_id|string|否|380463|0|作者的用户id|
|client_type|string|否|h5|h5|客户端类型|

注意，通用的头部没有列出。  
请求示例
http://192.168.102.205:8080/gateway/guang/service/*/author/getAuthor?author_id=380463&client_type=h5

### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
  "code": 200,
  "data": {
    "author_desc": "Because i'm fierce，bitch！",
    "avatar": "http://img12.static.yhbimg.com/yhb-img02/2015/06/12/12/02aafe4efc368f307c02b692cf1f862570.jpg?imageView/0/w/100/h/100",
    "name": "uncle-sam",
    "url": "http://guang.m.yohobuy.com/author/index?id=380463"
  },
  "message": "author info"
}
```

## 2、获取逛的详情内容 ##

获取逛的详情内容（/guang/service/*/article/getArticleContent）（h5接口）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|article_id|string|否|105|0|文章id|
|client_type|string|否|h5|h5|客户端类型| 

注意，通用的头部没有列出。  
请求示例
http://192.168.102.205:8080/gateway/guang/service/*/article/getArticleContent?article_id=105&client_type=h5

### 响应
code为200即为成功，否则是失败。  
响应JSON格式如下所示:
```json
{
  "code": 200,
  "data": [
    {
      "text": {
        "data": {
          "text": "终于迎来了“潮人”的新栏目，潮人并非只是明星idol，潮人就在我们生活之中，在你的身边。最帅最潮的人都在这，不是明星也是弄潮儿，够潮就来“show”！小编每周都会选择一些“show”上的潮人在这里展现给大伙。他们并非明星，他们都是如同普普通通的你我他。"
        },
        "template_name": "text"
      }
    },
	{
      "singleImage": {
        "data": [
          {
            "alt": "",
            "imgId": "0",
            "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/19/08/02a5a842e56b971ccf3d628cdf53f477a1.jpg?imageView/{mode}/w/{width}/h/{height}",
            "title": "",
            "url": ""
          }
        ],
        "template_intro": "一张图片",
        "template_name": "single_image"
      }
    },
	{
      "goodsGroup": {
        "data": [
          {
            "cover": {
              "cover": "http://img11.static.yhbimg.com/goodsimg/2015/10/23/08/0148bbf47d50fc6c2d18bccca37d87e723.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/90",
              "maxSortId": "1"
            },
            "list": [
              {
                "id": "51148828",
                "maxSortId": "1",
                "src": "http://img11.static.yhbimg.com/goodsimg/2015/10/23/08/0148bbf47d50fc6c2d18bccca37d87e723.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/90"
              },
              {
                "id": "51185633",
                "maxSortId": "1",
                "src": "http://img10.static.yhbimg.com/goodsimg/2015/12/17/05/015744f4a9021ce569bdb05eadbad8064a.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/90"
              }
            ]
          },
          {
            "cover": {
              "cover": "http://img13.static.yhbimg.com/goodsimg/2015/09/22/09/025cd41779251e6c96e129398367cc2e75.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/90",
              "maxSortId": "3"
            },
            "list": [
              {
                "id": "51137901",
                "maxSortId": "3",
                "src": "http://img13.static.yhbimg.com/goodsimg/2015/09/22/09/025cd41779251e6c96e129398367cc2e75.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/90"
              },
              {
                "id": "51121171",
                "maxSortId": "3",
                "src": "http://img11.static.yhbimg.com/goodsimg/2015/08/04/06/01250c31d99c2a8c24053a4cb472c30eac.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/90"
              }
            ]
          }
		],
        "template_intro": "添加商品组",
        "template_name": "goods_group"
      }
    }
  ],
  "message": "get article content success"
}
```

## 3、获取逛明星原创品牌相关的推荐内容 ##

获取逛明星原创品牌相关的推荐内容（/guang/service/*/article/getArticleByBrand）（h5接口）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|brand_id|int|否|138|0|品牌id|
|udid|String|是|dwadadas|空字符串|udid|
|limit|int|否|3|10|取推荐内容的数量|  
|client_type|string|否|iphone|h5|客户端类型|  

注意，通用的头部没有列出。  
请求示例
http://192.168.102.205:8080/gateway/guang/service/*/article/getArticleByBrand?brand_id=138&udid=xxxx&limit=3&client_type=iphone

### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
  "code": 200,
  "data": [
    {
      "cover_image_type": "1",
      "id": "33464",
      "intro": "畏手畏脚的冬季，一件温暖的羽绒服必不可少！小编良心推荐：总有一款适合你的！这鞋百搭的款式，让你10分钟就能帅气出门！",
      "like": {
        "count": "0",
        "isLiked": false
      },
      "praise_num": "0",
      "publish_time": "2月1日 14:32",
      "share_url": {
        "url": "http://guang.m.yohobuy.com/info/index?id=33464&openby:yohobuy={\"action\":\"go.share\",\"params\":{\"pic\":\"http://img12.static.yhbimg.com/yhb-img01/2016/01/19/09/02b766bce5c0c03e73fde89f1cf93650ea.jpg?imageView/2/w/640/h/640\",\"title\":\"百搭的御寒棉羽，谁都不嫌多！\",\"url\":\"http://guang.m.yohobuy.com/info/index?id=33464\",\"content\":\"潮流资讯，新鲜贩售，YOHO!有货【逛】不停\"}}"
      },
      "src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/19/09/02b766bce5c0c03e73fde89f1cf93650ea.jpg?imageView/{mode}/w/{width}/h/{height}",
      "title": "百搭的御寒棉羽，谁都不嫌多！",
      "url": "http://guang.m.yohobuy.com/info/index?id=33464&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"33464\"},\"update_flag\":\"a00334243e2c253741a0b8baacd44576\",\"shareparam\":{\"id\":33464},\"share\":\"/guang/api/v1/share/guang\",\"id\":33464,\"type\":1,\"url\":\"http://guang.m.yohobuy.com/info/index\",\"islogin\":\"N\"}}",
      "views_num": "6"
    },
    {
      "cover_image_type": "1",
      "id": "32002",
      "intro": "喜欢军事风还要来点清新？卫衣和CAP帽是你的超好帮手！",
      "like": {
        "count": "18",
        "isLiked": false
      },
      "praise_num": "18",
      "publish_time": "1月9日 09:40",
      "share_url": {
        "url": "http://guang.m.yohobuy.com/info/index?id=32002&openby:yohobuy={\"action\":\"go.share\",\"params\":{\"pic\":\"http://img11.static.yhbimg.com/yhb-img01/2016/01/07/13/0190eeeb3ba53c536bda8de8380f378ea4.jpg?imageView/2/w/640/h/640\",\"title\":\"WDYWT｜让女生好感度UP  UP最讨巧穿法！实用有型两不误\",\"url\":\"http://guang.m.yohobuy.com/info/index?id=32002\",\"content\":\"潮流资讯，新鲜贩售，YOHO!有货【逛】不停\"}}"
      },
      "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/07/13/0190eeeb3ba53c536bda8de8380f378ea4.jpg?imageView/{mode}/w/{width}/h/{height}",
      "title": "WDYWT｜让女生好感度UP  UP最讨巧穿法！实用有型两不误",
      "url": "http://guang.m.yohobuy.com/info/index?id=32002&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"32002\"},\"update_flag\":\"407664152cd1d79829afd585fcb42857\",\"shareparam\":{\"id\":32002},\"share\":\"/guang/api/v1/share/guang\",\"id\":32002,\"type\":1,\"url\":\"http://guang.m.yohobuy.com/info/index\",\"islogin\":\"N\"}}",
      "views_num": "72669"
    },
    {
      "cover_image_type": "1",
      "id": "31434",
      "intro": "羽绒服绝对是最能考验你穿搭功力的单品了。搭配好它让你帅气又有品味。",
      "like": {
        "count": "33",
        "isLiked": false
      },
      "praise_num": "33",
      "publish_time": "1月5日 12:00",
      "share_url": {
        "url": "http://guang.m.yohobuy.com/info/index?id=31434&openby:yohobuy={\"action\":\"go.share\",\"params\":{\"pic\":\"http://img11.static.yhbimg.com/yhb-img01/2016/01/06/09/01965389a509da1368bb646b2e80b2b603.jpg?imageView/2/w/640/h/640\",\"title\":\"羽绒服也能搭出轻松街头感，再也不嫌弃它丑了\",\"url\":\"http://guang.m.yohobuy.com/info/index?id=31434\",\"content\":\"潮流资讯，新鲜贩售，YOHO!有货【逛】不停\"}}"
      },
      "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/06/09/01965389a509da1368bb646b2e80b2b603.jpg?imageView/{mode}/w/{width}/h/{height}",
      "title": "羽绒服也能搭出轻松街头感，再也不嫌弃它丑了",
      "url": "http://guang.m.yohobuy.com/info/index?id=31434&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"31434\"},\"update_flag\":\"68fed099f2647092e12ddaa9043d374e\",\"shareparam\":{\"id\":31434},\"share\":\"/guang/api/v1/share/guang\",\"id\":31434,\"type\":1,\"url\":\"http://guang.m.yohobuy.com/info/index\",\"islogin\":\"N\"}}",
      "views_num": "95962"
    }
  ],
  "message": "get article by brand success"
}
```

## 4.逛明星原创品牌收藏/取消收藏 ##

逛明星原创品牌收藏/取消收藏（/guang/service/*/favorite/toggleBrand）（h5接口）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|uid|string|否|380463|0|用户id|
|brand_id|string|否|16745|0|品牌id|

注意，通用的头部没有列出。  
请求示例

### 响应
code为200即为成功，否则是失败。
响应JSON格式如下所示:
```json
{
  "code": 200,
  "data": [],
  "message": "success"
}
```

## 5.获取逛分类列表 ##

获取逛分类列表（/guang/api/*/category/get）（app接口）
#### 请求参数
无

注意，通用的头部没有列出。  
请求示例  
http://testservice.yoho.cn:28077/guang/api/v1/category/get?app_version=4.1.0.1603120001&client_secret=885531c84852f03f8a76eb8edf896f6a&client_type=iphone&gender=1%2C2%2C3&os_version=9.2.1&screen_size=320x568&udid=258e608815a77ba2f9094da936f896ef4fd65721&v=7&yh_channel=4

### 响应
code为200即为成功，否则是失败。
响应JSON格式如下所示:
```json
{
  "code": 200,
  "data": [
    {
      "id": "0",
      "name": "最新"
    },
    {
      "id": "1",
      "name": "话题"
    },
    {
      "id": "2",
      "name": "搭配"
    },
    {
      "id": "3",
      "name": "潮人"
    },
    {
      "id": "4",
      "name": "潮品hh"
    },
    {
      "id": "5",
      "name": "小贴士"
    }
  ],
  "message": "分类列表"
}
```

## 6.获取逛某一分类下资讯列表 ##

获取逛某一分类下资讯列表（/guang/api/*/article/getList）（app接口）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|sort_id|int|是|-|0|分类id|
|gender|string|是|-|emptyString|性别|
|author_id|int|是|1|0|作者id|
|tag|string|是|-|emptyString|标签|
|uid|int|是|25|0|uid|
|udid|String|是|-|emptyString|udid|
|client_type|String|是|iphone|h5|客户端类型|
|page|Integer|是|1|1|页码|
|limit|Integer|是|10|10|分页大小|

注意，通用的头部没有列出。  
请求示例  
http://testservice.yoho.cn:28077/guang/api/v2/article/getList?app_version=4.1.0.1603120001&client_secret=0955a436492e71767d4b9a825a367799&client_type=iphone&gender=2%2C3&limit=20&os_version=9.2.1&page=1&screen_size=320x568&sort_id=0&udid=258e608815a77ba2f9094da936f896ef4fd65721&uid=8039983&v=7&yh_channel=2

### 响应
code为200即为成功，否则是失败。
响应JSON格式如下所示:
```json
        {
		"code": 200,
		"data": {
			"datetime": "1458290534",
			"gender": "2,3",
			"list": {
				"adlist": [
					{
						"bgColor": "",
						"src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/15/10/01fd86495edd6c9d051ed93f50de6bbbce.jpg?imageView/{mode}/w/{width}/h/{height}",
						"title": "",
						"url": "http://feature.yoho.cn/0115LIXIANGXIANG/index.html?title=YOHO!BUY对话李祥祥SEAN&share_id=658&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"share_id\":\"658\",\"title\":\"YOHO!BUY对话李祥祥SEAN\"},\"share\":\"/operations/api/v5/webshare/getShare\",\"shareparam\":{\"share_id\":\"658\"},\"title\":\"YOHO!BUY对话李祥祥SEAN\",\"url\":\"http://feature.yoho.cn/0115LIXIANGXIANG/index.html\"}}"
					},
					{
						"bgColor": "",
						"src": "http://img12.static.yhbimg.com/yhb-img01/2016/01/15/06/028599b9ee7a7f0444bf0cbbe74be88081.jpg?imageView/{mode}/w/{width}/h/{height}",
						"title": "",
						"url": "http://feature.yohobuy.com/0/0/774/index.html?title=大学生背包调查报告&share_id=656&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"share_id\":\"656\",\"title\":\"大学生背包调查报告\"},\"share\":\"/operations/api/v5/webshare/getShare\",\"shareparam\":{\"share_id\":\"656\"},\"title\":\"大学生背包调查报告\",\"url\":\"http://feature.yohobuy.com/0/0/774/index.html\"}}"
					}
				  ],
				  "artList": [
					{
						"ads_img_size": "",
						"article_type": "1",
						"author": {
							"author_id": "521285",
							"avatar": "http://img12.static.yhbimg.com/yhb-img02/2015/06/11/20/02b8e3fd4824df3ada9a87912baed658a9.jpg?imageView/0/w/100/h/100",
							"name": "Milk",
							"url": "http://guang.m.yohobuy.com/author/index?id=521285&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"521285\"},\"share\":\"\",\"id\":521285,\"type\":0,\"islogin\":\"N\",\"url\":\"http://guang.m.yohobuy.com/author/index\"}}"
						},
						"author_id": "521285",
						"category_id": "2",
						"category_name": "搭配",
						"conver_image_type": "1",
						"id": 33534,
						"intro": "是短发的司法是的发生的法师打发是否",
						"isFavor": "N",
						"isPraise": "N",
						"is_recommended": "0",
						"praiseStatus": "true",
						"praise_num": "1",
						"publish_time": "03月04日 14:05",
						"share": {
							"url": "http://guang.m.yohobuy.com/info/index?id=33534&openby:yohobuy={\"action\":\"go.share\",\"params\":{\"pic\":\"http://img11.static.yhbimg.com/yhb-img01/2016/03/04/06/012b04df3ecc1d94afddff082d139c6f15.jpg?imageView/2/w/640/h/640\",\"title\":\"测试普通文章\",\"url\":\"http://guang.m.yohobuy.com/info/index?id=33534\",\"content\":\"潮流资讯，新鲜贩售，YOHO!有货【逛】不停\"}}"
						},
						"src": "http://img11.static.yhbimg.com/yhb-img01/2016/03/04/06/012b04df3ecc1d94afddff082d139c6f15.jpg?imageView/{mode}/w/{width}/h/{height}",
						"title": "测试普通文章",
						"url": "http://guang.m.yohobuy.com/info/index?id=33534&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"33534\"},\"update_flag\":\"d6a15c22bf7063e79c14d7ee92e14dc6\",\"shareparam\":{\"id\":33534},\"share\":\"/guang/api/v1/share/guang\",\"id\":33534,\"type\":1,\"url\":\"http://guang.m.yohobuy.com/info/index\",\"islogin\":\"N\"}}",
						"views_num": "57"
					},
					{
						"ads_img_size": "",
						"article_type": "1",
						"author": {
							"author_id": "3997053",
							"avatar": "http://img13.static.yhbimg.com/yhb-img02/2015/06/12/13/02e09398fe2b9335212f798495f8a8ae6c.jpg?imageView/0/w/100/h/100",
							"name": "艾迪虎",
							"url": "http://guang.m.yohobuy.com/author/index?id=3997053&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"3997053\"},\"share\":\"\",\"id\":3997053,\"type\":0,\"islogin\":\"N\",\"url\":\"http://guang.m.yohobuy.com/author/index\"}}"
						},
						"author_id": "3997053",
						"category_id": "5",
						"category_name": "小贴士",
						"conver_image_type": "2",
						"id": 33508,
						"intro": "“ 听说穿成这样很容易把妹 ”",
						"isFavor": "N",
						"isPraise": "N",
						"is_recommended": "0",
						"praiseStatus": "true",
						"praise_num": "0",
						"publish_time": "02月01日 14:31",
						"share": {
							"url": "http://guang.m.yohobuy.com/info/index?id=33508&openby:yohobuy={\"action\":\"go.share\",\"params\":{\"pic\":\"http://img11.static.yhbimg.com/yhb-img01/2016/01/19/11/014a55114eff791041f0228674fa08a07f.gif?imageView/2/w/640/h/640\",\"title\":\"一秒变暖男 | 男生高领衫穿搭攻略！\",\"url\":\"http://guang.m.yohobuy.com/info/index?id=33508\",\"content\":\"潮流资讯，新鲜贩售，YOHO!有货【逛】不停\"}}"
						},
						"src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/19/11/014a55114eff791041f0228674fa08a07f.gif?imageView/{mode}/w/{width}/h/{height}",
						"title": "一秒变暖男 | 男生高领衫穿搭攻略！",
						"url": "http://guang.m.yohobuy.com/info/index?id=33508&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"33508\"},\"update_flag\":\"c3481b5b2bb7d7c38385f6c096782157\",\"shareparam\":{\"id\":33508},\"share\":\"/guang/api/v1/share/guang\",\"id\":33508,\"type\":1,\"url\":\"http://guang.m.yohobuy.com/info/index\",\"islogin\":\"N\"}}",
						"views_num": "2"
					}
				]
			},
			"page": 1,
			"total": 9254,
			"totalPage": 926
		},
		"message": "资讯列表"
	}
```

## 7.资讯更新数量提醒 ##

资讯更新数量提醒（/guang/api/*/article/getArticleNotice）（app接口）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:|
|gender|string|是|1|-|性别|
|datetime|string|是|12316548|-|上次提醒时间|

注意，通用的头部没有列出。  
请求示例  
http://testservice.yoho.cn:28077/guang/api/v1/article/getArticleNotice?app_version=4.1.0.1603120001&client_secret=39dbeae016562ae785a81e4581fe4be7&client_type=iphone&datetime=1453974260.210718&gender=1%2C2%2C3&os_version=9.2.1&screen_size=320x568&udid=258e608815a77ba2f9094da936f896ef4fd65721&v=7&yh_channel=3

### 响应
code为200即为成功，否则是失败。
响应JSON格式如下所示:
```json
        {
		"code": 200,
		"data": {
			"datetime": 1458282983,
			"gender": "1,2,3",
			"total": 19
		},
		"message": "更新数量"
	}
```

## 8.获取资讯内容 ##

获取资讯内容（/guang/api/*/share/guang）（app接口）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:|
|id|int|否|1|-|资讯id|

注意，通用的头部没有列出。  
请求示例  
http://testservice.yoho.cn:28077/guang/api/v1/share/guang?app_version=4.1.0.1603120001&client_secret=b78c78d2cac2402e42b7b0af86b743fd&client_type=iphone&id=33533&os_version=9.2.1&screen_size=320x568&v=7&yh_channel=2

### 响应
code为200即为成功，否则是失败。
响应JSON格式如下所示:
```json
        {
		"code": 200,
		"data": {
			"content": "是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是",
			"pic": "http://img12.static.yhbimg.com/yhb-img01/2016/03/03/06/0232f5ed5a28935ee0c5daf8ee87114629.jpg?imageView/2/w/640/h/640",
			"praise_num": 0,
			"title": "是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是",
			"url": "http://guang.m.yohobuy.com/info/index?id=33533"
		},
		"message": "文章分享"
	}
```

## 9.获取资讯内容详情 ##

获取资讯内容详情（/guang/api/*/article/getArticleBaseInfo）（app接口）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:|
|id|int|否|1|-|资讯id|
|uid|String|是|25|-|uid|
|udid|String|是|132646783|-|udid|

注意，通用的头部没有列出。  
请求示例  
http://testservice.yoho.cn:28077/guang/api/v2/article/getArticleBaseInfo?app_version=4.1.0.1603120001&client_secret=fda947ffa036e19e63ae42d186697f95&client_type=iphone&id=33533&os_version=9.2.1&screen_size=320x568&udid=258e608815a77ba2f9094da936f896ef4fd65721&uid=8039983&v=7

### 响应
code为200即为成功，否则是失败。
响应JSON格式如下所示:
```json
        {
		"code": 200,
		"data": {
			"category_id": 4,
			"id": 33533,
			"intro": "435345345345",
			"isFavor": "N",
			"isPraise": "N",
			"is_recommended": 1,
			"praise_num": 0,
			"publish_time": "2016-02-17 10:26:50",
			"src": "http://img12.static.yhbimg.com/yhb-img01/2016/03/03/06/0232f5ed5a28935ee0c5daf8ee87114629.jpg?imageView/{mode}/w/{width}/h/{height}",
			"title": "是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是",
			"view_num": 18
		},
		"message": "文章分享"
	}
```

## 10.资讯收藏 ##

资讯收藏（/guang/api/*/favorite/setFavorite）（app接口）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:|
|article_id|int|是|1|-|资讯id|
|uid|int|是|25|-|uid|

注意，通用的头部没有列出。  
请求示例  
http://testservice.yoho.cn:28077/guang/api/v1/favorite/setFavorite?app_version=4.1.0.1603120001&article_id=33533&client_secret=19e3b29668a36dbec33cdec015f39944&client_type=iphone&os_version=9.2.1&screen_size=320x568&udid=258e608815a77ba2f9094da936f896ef4fd65721&uid=8039983&v=7

### 响应
code为200即为成功，否则是失败。
响应JSON格式如下所示:
```json
        {
		"code": 200,
		"data": [],
		"message": "收藏成功"
	}
```

## 11.资讯取消收藏 ##

资讯取消收藏（/guang/api/*/favorite/cancelFavorite）（APP接口）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:|
|article_id|int|是|1|-|资讯id|
|uid|int|是|25|-|uid|

注意，通用的头部没有列出。  
请求示例  
http://testservice.yoho.cn:28077/guang/api/v1/favorite/cancelFavorite?app_version=4.1.0.1603120001&article_id=33533&client_secret=19e3b29668a36dbec33cdec015f39944&client_type=iphone&os_version=9.2.1&screen_size=320x568&udid=258e608815a77ba2f9094da936f896ef4fd65721&uid=8039983&v=7

### 响应
code为200即为成功，否则是失败。
响应JSON格式如下所示:
```json
        {
		"code": 200,
		"data": [],
		"message": "取消收藏成功"
	}
```

## 12.资讯内容点赞 ##

资讯内容点赞（/guang/api/*/praise/setPraise）（app接口）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:|
|article_id|int|是|1|-|资讯id|
|udid|String|是|213165413|-|udid|

注意，通用的头部没有列出。  
请求示例  
http://testservice.yoho.cn:28077/guang/api/v2/praise/setPraise?app_version=4.1.0.1603120001&article_id=33532&client_secret=a6228ce8b30093cf1d144ef7065f2239&client_type=iphone&os_version=9.2.1&screen_size=320x568&udid=258e608815a77ba2f9094da936f896ef4fd65721&v=7

### 响应
code为200即为成功，否则是失败。
响应JSON格式如下所示:
```json
        {
		"code": 200,
		"data": 1,
		"message": "success"
	}
```

## 13.资讯内容取消赞 ##

资讯内容取消赞（/guang/api/*/praise/cancel）（app接口）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:|
|article_id|int|是|1|-|资讯id|
|udid|String|是|213165413|-|udid|

注意，通用的头部没有列出。  
请求示例  
http://testservice.yoho.cn:28077/guang/api/v2/praise/cancel?app_version=4.1.0.1603120001&article_id=33532&client_secret=a6228ce8b30093cf1d144ef7065f2239&client_type=iphone&os_version=9.2.1&screen_size=320x568&udid=258e608815a77ba2f9094da936f896ef4fd65721&v=7

### 响应
code为200即为成功，否则是失败。
响应JSON格式如下所示:
```json
        {
		"code": 200,
		"data": 0,
		"message": "success"
	}
```

## 14.获取资讯评论列表 ##

获取资讯评论列表（/guang/api/*/comments/getList）（app接口）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:|
|article_id|int|否|1|-|资讯id|
|page|int|是|1|1|页码|
|limit|int|是|20|10|分页大小|

注意，通用的头部没有列出。  
请求示例  
http://testservice.yoho.cn:28077/guang/api/v1/comments/getList?app_version=4.1.0.1603120001&article_id=33534&client_secret=de499548ac34cc95f2c443db34eb0bf6&client_type=iphone&limit=20&os_version=9.2.1&page=1&screen_size=320x568&udid=258e608815a77ba2f9094da936f896ef4fd65721&v=7

### 响应
code为200即为成功，否则是失败。
响应JSON格式如下所示:
```json
        {
		"code": 200,
		"data": {
			"list": [
				{
					"article_id": 33534,
					"avator": "http://img10.static.yhbimg.com/headimg/2013/11/28/09/01cae078abe5fe320c88cdf4c220212688.gif",
					"content": "哈哈",
					"create_time": "03月16日 15:48",
					"id": 23418,
					"username": "187****6435"
				},
				{
					"article_id": 33534,
					"avator": "http://head.static.yhbimg.com/yhb-head/2015/11/27/10/02497688cb0268347d08ce3df52af8a23a.jpg?imageView/0/w/100/h/100",
					"content": "dd",
					"create_time": "03月09日 15:04",
					"id": 23416,
					"username": "130****3329"
				}
			],
			"page": 1,
			"total": 3,
			"total_page": 1
		},
		"message": "Comment List!"
	}
```

## 15.资讯添加评论 ##

资讯添加评论（/guang/api/*/comments/add）（app接口）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:|
|article_id|int|否|1|-|资讯id|
|uid|int|否|25|-|uid|
|content|String|否|哈哈|-|评论内容|

注意，通用的头部没有列出。  
请求示例  
http://testservice.yoho.cn:28077/guang/api/v1/comments/add?app_version=4.1.0.1603120001&article_id=33534&client_secret=ca1b31872985e198f60ead593b36a96b&client_type=iphone&content=%E5%A7%91%E5%A7%91%E7%AC%AC%E5%9B%9B%E4%B8%AA%E7%AC%A8%E8%9B%8B&os_version=9.2.1&screen_size=320x568&udid=258e608815a77ba2f9094da936f896ef4fd65721&uid=8039983&v=7

### 响应
code为200即为成功，否则是失败。
响应JSON格式如下所示:
```json
        {
		"code": 200,
		"data": {},
		"message": "发表评论成功"
	}
```

## 16.获取我的收藏资讯列表 ##

获取我的收藏资讯列表（/guang/api/*/favorite/getUserFavArticleList）（app接口）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:|
|uid|int|是|25|-|uid|
|udid|String|是|132145631|-|udid|
|client_type|String|是|iphone|h5|客户端类型|
|page|int|是|哈哈|1|页码|
|limit|int|是|哈哈|10|分页大小|

注意，通用的头部没有列出。  
请求示例  
http://testservice.yoho.cn:28077/guang/api/v1/favorite/getUserFavArticleList?app_version=4.1.0.1603120001&client_secret=e062cc1edbc89d0da8d91d499173f992&client_type=iphone&limit=10&os_version=9.2.1&page=1&screen_size=320x568&udid=258e608815a77ba2f9094da936f896ef4fd65721&uid=8039983&v=7

### 响应
code为200即为成功，否则是失败。
响应JSON格式如下所示:
```json
        {
		"code": 200,
		"data": {
			"data": [{
					"author": {
						"author_id": "521285",
						"avatar": "http://img12.static.yhbimg.com/yhb-img02/2015/06/11/20/02b8e3fd4824df3ada9a87912baed658a9.jpg?imageView/0/w/100/h/100",
						"name": "Milk",
						"url": "http://guang.m.yohobuy.com/author/index?id=521285&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"521285\"},\"share\":\"\",\"id\":\"521285\",\"type\":0,\"islogin\":\"N\",\"url\":\"http://guang.m.yohobuy.com/author/index\"}}"
					},
					"category_id": 4,
					"category_name": "潮品hh",
					"conver_image_type": 1,
					"id": 33532,
					"intro": "是短发撒的发的发打发斯",
					"isDelete": "N",
					"isFavor": "Y",
					"isPraise": "N",
					"is_recommended": 1,
					"praise_num": 0,
					"publish_time": "02月05日  18:07",
					"src": "http://img12.static.yhbimg.com/yhb-img01/2016/02/05/10/02ba45c8f60456a672e003a875e469d0eb.jpg?imageView/{mode}/w/{width}/h/{height}",
					"title": "哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈",
					"url": "http://guang.m.yohobuy.com/info/index?id=33532&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"33532\"},\"share\":\"/guang/api/v1/share/guang?id=33532\",\"id\":\"33532\",\"title\":\"\\u54C8\\u54C8\\u54C8\\u662F\\u662F\\u662F\\u662F\\u54C8\\u54C8\\u54C8\\u662F\\u662F\\u662F\\u662F\\u54C8\\u54C8\\u54C8\\u662F\\u662F\\u662F\\u662F\\u54C8\\u54C8\",\"type\":1,\"islogin\":\"N\",\"url\":\"http://guang.m.yohobuy.com/info/index\"}}",
					"views_num": 5
				},
				{
					"author": {
						"author_id": "521285",
						"avatar": "http://img12.static.yhbimg.com/yhb-img02/2015/06/11/20/02b8e3fd4824df3ada9a87912baed658a9.jpg?imageView/0/w/100/h/100",
						"name": "Milk",
						"url": "http://guang.m.yohobuy.com/author/index?id=521285&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"521285\"},\"share\":\"\",\"id\":\"521285\",\"type\":0,\"islogin\":\"N\",\"url\":\"http://guang.m.yohobuy.com/author/index\"}}"
					},
					"category_id": 4,
					"category_name": "潮品hh",
					"conver_image_type": 1,
					"id": 33533,
					"intro": "435345345345",
					"isDelete": "N",
					"isFavor": "Y",
					"isPraise": "N",
					"is_recommended": 1,
					"praise_num": 0,
					"publish_time": "02月17日  10:26",
					"src": "http://img12.static.yhbimg.com/yhb-img01/2016/03/03/06/0232f5ed5a28935ee0c5daf8ee87114629.jpg?imageView/{mode}/w/{width}/h/{height}",
					"title": "是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是",
					"url": "http://guang.m.yohobuy.com/info/index?id=33533&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"33533\"},\"share\":\"/guang/api/v1/share/guang?id=33533\",\"id\":\"33533\",\"title\":\"\\u662F\\u54C8\\u54C8\\u54C8\\u662F\\u662F\\u662F\\u662F\\u54C8\\u54C8\\u54C8\\u662F\\u662F\\u662F\\u662F\\u54C8\\u54C8\\u54C8\\u662F\\u662F\\u662F\\u662F\\u54C8\\u54C8\\u54C8\\u662F\\u662F\\u662F\\u662F\\u54C8\\u54C8\\u54C8\\u662F\\u662F\\u662F\\u662F\\u54C8\\u54C8\\u54C8\\u662F\\u662F\\u662F\\u662F\\u54C8\\u54C8\\u54C8\\u662F\\u662F\\u662F\\u662F\\u54C8\\u54C8\\u54C8\\u662F\\u662F\\u662F\\u662F\\u54C8\\u54C8\\u54C8\\u662F\\u662F\\u662F\\u662F\",\"type\":1,\"islogin\":\"N\",\"url\":\"http://guang.m.yohobuy.com/info/index\"}}",
					"views_num": 113
				}
			],
			"page": 1,
			"total": 4,
			"totalPage": 1
		},
		"message": "收藏列表"
	}
```

## 17.获取明星原创（潮品/潮牌）列表 ##

获取明星原创（潮品/潮牌）列表（/guang/api/*/plustar/getlist）（app接口）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:|
|brand_type|int|否|1|-|类别|
|gender|int|是|1|0|性别|
|is_recommend|int|是|1|0|是否推荐|
|client_type|String|是|iphone|app|客户端类型|

注意，通用的头部没有列出。  
请求示例  
http://testservice.yoho.cn:28077/guang/api/v3/plustar/getlist?app_version=4.1.0.1603120001&brand_type=2&client_secret=b6b430ba25f469046bfd8ba59872863d&client_type=iphone&os_version=9.2.1&screen_size=320x568&v=7

### 响应
code为200即为成功，否则是失败。
响应JSON格式如下所示:
```json
        {
		"code": 200,
		"data": {
			"brand_type": 2,
			"brand_type_name": "明星潮品",
			"data": {
				"foot": [],
				"head": [],
				"list": [
					{
						"data": [
							{
								"brand_id": "891",
								"brand_name": "金銀帝國",
								"brand_title": "",
								"data": [
									{
										"src": "http://img12.static.yhbimg.com/yhb-img01/2015/09/15/07/02d0586acab715eff4e31250adba22edec.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"295\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":295},\"id\":295,\"type\":0,\"islogin\":\"N\"},\"id\":295,\"title\":\"金銀帝國\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img12.static.yhbimg.com/yhb-img01/2015/09/15/07/02a2139e57ebaf3bfc3dfbbfc25ab41998.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"295\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":295},\"id\":295,\"type\":0,\"islogin\":\"N\"},\"id\":295,\"title\":\"金銀帝國\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "295",
								"sort_id": "32767"
							},
							{
								"brand_id": "1102",
								"brand_name": "PHANTACi",
								"brand_title": "",
								"data": [
									{
										"src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/13/05/011992a28d65f3297dd46834c2093a2526.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"376\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":376},\"id\":376,\"type\":0,\"islogin\":\"N\"},\"id\":376,\"title\":\"PHANTACi\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/13/05/010af7ef4fd573a01841eaa14bf711dd4e.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"376\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":376},\"id\":376,\"type\":0,\"islogin\":\"N\"},\"id\":376,\"title\":\"PHANTACi\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "376",
								"sort_id": "190"
							},
							{
								"brand_id": "710",
								"brand_name": "MADNESS",
								"brand_title": "",
								"data": [
									{
										"src": "http://img11.static.yhbimg.com/yhb-img01/2015/10/14/06/01cd97c920f468d9794b275c973fe294cd.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"87\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":87},\"id\":87,\"type\":0,\"islogin\":\"N\"},\"id\":87,\"title\":\"MADNESS\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img12.static.yhbimg.com/yhb-img01/2015/10/14/06/025323a4d3792a3744efdd2cdd47db458a.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"87\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":87},\"id\":87,\"type\":0,\"islogin\":\"N\"},\"id\":87,\"title\":\"MADNESS\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "87",
								"sort_id": "50"
							},
							{
								"brand_id": "197",
								"brand_name": "STAYREAL",
								"brand_title": "",
								"data": [
									{
										"src": "http://img12.static.yhbimg.com/yhb-img01/2015/10/14/06/0274f62a3e125b2cc257e0c22fa0c15b70.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"71\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":71},\"id\":71,\"type\":0,\"islogin\":\"N\"},\"id\":71,\"title\":\"STAYREAL\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img12.static.yhbimg.com/yhb-img01/2015/10/14/06/02ada442188c0f3df6f461970a5c54dc73.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"71\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":71},\"id\":71,\"type\":0,\"islogin\":\"N\"},\"id\":71,\"title\":\"STAYREAL\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "71",
								"sort_id": "48"
							},
							{
								"brand_id": "614",
								"brand_name": "YYYOHOOD",
								"brand_title": "",
								"data": [
									{
										"src": "http://img12.static.yhbimg.com/yhb-img01/2015/10/14/06/028a63b7dd3f38c2e38d02910cedc47c51.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"67\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":67},\"id\":67,\"type\":0,\"islogin\":\"N\"},\"id\":67,\"title\":\"YYYOHOOD\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img11.static.yhbimg.com/yhb-img01/2015/10/14/06/010f12a2b99bbbe1400583de2e7c708bf6.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"67\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":67},\"id\":67,\"type\":0,\"islogin\":\"N\"},\"id\":67,\"title\":\"YYYOHOOD\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "67",
								"sort_id": "45"
							},
							{
								"brand_id": "543",
								"brand_name": "SPLITMAN",
								"brand_title": "",
								"data": [
									{
										"src": "http://img12.static.yhbimg.com/yhb-img01/2015/10/14/06/026615d88fea397d91990d8f729e4538b6.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"297\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":297},\"id\":297,\"type\":0,\"islogin\":\"N\"},\"id\":297,\"title\":\"SPLITMAN\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img11.static.yhbimg.com/yhb-img01/2015/10/14/06/014ec9ba7c5a26f14f6f8a8ea695f7bcf3.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"297\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":297},\"id\":297,\"type\":0,\"islogin\":\"N\"},\"id\":297,\"title\":\"SPLITMAN\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "297",
								"sort_id": "40"
							},
							{
								"brand_id": "228",
								"brand_name": "SMG",
								"brand_title": "",
								"data": [
									{
										"src": "http://img12.static.yhbimg.com/yhb-img01/2015/10/14/06/0277302f85fbfa1a56bcfda49985c1427b.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"47\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":47},\"id\":47,\"type\":0,\"islogin\":\"N\"},\"id\":47,\"title\":\"SMG\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img12.static.yhbimg.com/yhb-img01/2015/10/14/06/02dbba3122cfa23010915d18d6b08ce535.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"47\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":47},\"id\":47,\"type\":0,\"islogin\":\"N\"},\"id\":47,\"title\":\"SMG\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "47",
								"sort_id": "38"
							},
							{
								"brand_id": "598",
								"brand_name": "DOPE PLUS K",
								"brand_title": "",
								"data": [
									{
										"src": "http://img11.static.yhbimg.com/yhb-img01/2015/10/14/06/014399fe987fe4a5b6592124562dd413c3.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"299\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":299},\"id\":299,\"type\":0,\"islogin\":\"N\"},\"id\":299,\"title\":\"DOPE PLUS K\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img11.static.yhbimg.com/yhb-img01/2015/10/14/06/0170d3b6f426159e759cc51ad38bf7efb0.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"299\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":299},\"id\":299,\"type\":0,\"islogin\":\"N\"},\"id\":299,\"title\":\"DOPE PLUS K\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "299",
								"sort_id": "35"
							},
							{
								"brand_id": "108",
								"brand_name": "OVKLAB",
								"brand_title": "",
								"data": [
									{
										"src": "http://img11.static.yhbimg.com/yhb-img01/2015/10/14/06/013856339bd3b1c3c4eae6772e1d1114be.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"301\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":301},\"id\":301,\"type\":0,\"islogin\":\"N\"},\"id\":301,\"title\":\"OVKLAB\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img12.static.yhbimg.com/yhb-img01/2015/10/14/06/025946bb7fe2bc532c37a779adda432b47.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"301\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":301},\"id\":301,\"type\":0,\"islogin\":\"N\"},\"id\":301,\"title\":\"OVKLAB\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "301",
								"sort_id": "28"
							},
							{
								"brand_id": "131",
								"brand_name": "STAGE",
								"brand_title": "",
								"data": [
									{
										"src": "http://img11.static.yhbimg.com/yhb-img01/2015/05/29/16/0129fc5e63a668956e6deefc318998dfec.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"91\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":91},\"id\":91,\"type\":0,\"islogin\":\"N\"},\"id\":91,\"title\":\"STAGE\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img10.static.yhbimg.com/yhb-img01/2015/05/29/16/0116ec644c3eb9a6dc1ef6e8e5c36dbb4e.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"91\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":91},\"id\":91,\"type\":0,\"islogin\":\"N\"},\"id\":91,\"title\":\"STAGE\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "91",
								"sort_id": "24"
							},
							{
								"brand_id": "593",
								"brand_name": "Naught",
								"brand_title": "",
								"data": [
									{
										"src": "http://img12.static.yhbimg.com/yhb-img01/2015/10/14/07/02fcdc67bb394d473b28fdf2f40e478c22.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"303\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":303},\"id\":303,\"type\":0,\"islogin\":\"N\"},\"id\":303,\"title\":\"Naught\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img12.static.yhbimg.com/yhb-img01/2015/10/14/07/0297ea23c909ecb42c3e8fcb8c5cb2bdcc.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"303\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":303},\"id\":303,\"type\":0,\"islogin\":\"N\"},\"id\":303,\"title\":\"Naught\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "303",
								"sort_id": "22"
							},
							{
								"brand_id": "106",
								"brand_name": "outerspace",
								"brand_title": "",
								"data": [
									{
										"src": "http://img12.static.yhbimg.com/yhb-img01/2015/10/14/07/02c956ede9681afd0f0be6a448eceb114a.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"73\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":73},\"id\":73,\"type\":0,\"islogin\":\"N\"},\"id\":73,\"title\":\"outerspace\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img12.static.yhbimg.com/yhb-img01/2015/10/14/07/021ee7fb34ba6ce3238ba4b5e37cb6ece4.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"73\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":73},\"id\":73,\"type\":0,\"islogin\":\"N\"},\"id\":73,\"title\":\"outerspace\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "73",
								"sort_id": "18"
							},
							{
								"brand_id": "662",
								"brand_name": "CR7 underwear",
								"brand_title": "",
								"data": [
									{
										"src": "http://img11.static.yhbimg.com/yhb-img01/2015/07/03/14/0179b210fc7d6c57c73acada0eadc598ae.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"25\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":25},\"id\":25,\"type\":0,\"islogin\":\"N\"},\"id\":25,\"title\":\"CR7 underwear\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img10.static.yhbimg.com/yhb-img01/2015/07/03/14/0124693dc5fccbb4a68436d3b05cf5cc14.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"25\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":25},\"id\":25,\"type\":0,\"islogin\":\"N\"},\"id\":25,\"title\":\"CR7 underwear\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "25",
								"sort_id": "16"
							},
							{
								"brand_id": "837",
								"brand_name": "YOHO! × Why So Cool",
								"brand_title": "",
								"data": [
									{
										"src": "http://img11.static.yhbimg.com/yhb-img01/2015/10/14/07/01f6db611e992e5b3df9620bca705323c5.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"305\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":305},\"id\":305,\"type\":0,\"islogin\":\"N\"},\"id\":305,\"title\":\"YOHO! × Why So Cool\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img12.static.yhbimg.com/yhb-img01/2015/10/14/07/025afd2a21c34b9d71eb1962a7ca7f2bcf.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"305\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":305},\"id\":305,\"type\":0,\"islogin\":\"N\"},\"id\":305,\"title\":\"YOHO! × Why So Cool\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "305",
								"sort_id": "15"
							},
							{
								"brand_id": "735",
								"brand_name": "Burqa Ange 博嘉",
								"brand_title": "",
								"data": [
									{
										"src": "http://img12.static.yhbimg.com/yhb-img01/2015/10/14/07/020a8435484d3721adcbe881f240c8e3dd.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"219\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":219},\"id\":219,\"type\":0,\"islogin\":\"N\"},\"id\":219,\"title\":\"Burqa Ange 博嘉\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img12.static.yhbimg.com/yhb-img01/2015/10/14/07/02f9d14bd96a5f2090f246d5e3dfd7e9be.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"219\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":219},\"id\":219,\"type\":0,\"islogin\":\"N\"},\"id\":219,\"title\":\"Burqa Ange 博嘉\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "219",
								"sort_id": "10"
							},
							{
								"brand_id": "190",
								"brand_name": "begins",
								"brand_title": "",
								"data": [
									{
										"src": "http://img10.static.yhbimg.com/yhb-img01/2015/07/03/14/01f3608861b57f82dd4658a255d2ce65d6.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"17\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":17},\"id\":17,\"type\":0,\"islogin\":\"N\"},\"id\":17,\"title\":\"begins\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img11.static.yhbimg.com/yhb-img01/2015/07/03/14/01d3ebaf0802e8444e0d44b1578f217707.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"17\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":17},\"id\":17,\"type\":0,\"islogin\":\"N\"},\"id\":17,\"title\":\"begins\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "17",
								"sort_id": "9"
							},
							{
								"brand_id": "95",
								"brand_name": "NPC",
								"brand_title": "",
								"data": [
									{
										"src": "http://img10.static.yhbimg.com/yhb-img01/2015/05/29/17/01817a1a380f5fd6ea6295a0fe476f2f14.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"93\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":93},\"id\":93,\"type\":0,\"islogin\":\"N\"},\"id\":93,\"title\":\"NPC\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img10.static.yhbimg.com/yhb-img01/2015/05/29/17/01a4a693e8b678814471dfb65b5f1d2caa.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"93\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":93},\"id\":93,\"type\":0,\"islogin\":\"N\"},\"id\":93,\"title\":\"NPC\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "93",
								"sort_id": "8"
							},
							{
								"brand_id": "682",
								"brand_name": "DUEPLAY",
								"brand_title": "",
								"data": [
									{
										"src": "http://img10.static.yhbimg.com/yhb-img01/2015/07/03/14/01748b471bb757ca43a31086ae9b52b24b.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"33\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":33},\"id\":33,\"type\":0,\"islogin\":\"N\"},\"id\":33,\"title\":\"DUEPLAY\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img11.static.yhbimg.com/yhb-img01/2015/07/03/14/01eecf1b3b03936dd921d0a42c9fcb6011.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"33\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":33},\"id\":33,\"type\":0,\"islogin\":\"N\"},\"id\":33,\"title\":\"DUEPLAY\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "33",
								"sort_id": "4"
							},
							{
								"brand_id": "7",
								"brand_name": "adFunture",
								"brand_title": "",
								"data": [
									{
										"src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/22/07/013a48278791f1e88a9cecb13727a38d0b.png?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"426\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":426},\"id\":426,\"type\":0,\"islogin\":\"N\"},\"id\":426,\"title\":\"adFunture\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "426",
								"sort_id": "0"
							},
							{
								"brand_id": "1",
								"brand_name": "004",
								"brand_title": "",
								"data": [
									{
										"src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/22/07/013c8df966ea3fb54fc9156a4e69830c13.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"425\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":425},\"id\":425,\"type\":0,\"islogin\":\"N\"},\"id\":425,\"title\":\"004\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "425",
								"sort_id": "0"
							},
							{
								"brand_id": "266",
								"brand_name": "Hot Heart",
								"brand_title": "",
								"data": [
									{
										"src": "http://img11.static.yhbimg.com/yhb-img01/2015/06/23/10/01139c45917ebaa179915eb8485d5a8ee4.png?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"225\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":225},\"id\":225,\"type\":0,\"islogin\":\"N\"},\"id\":225,\"title\":\"Hot Heart\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									},
									{
										"src": "http://img10.static.yhbimg.com/yhb-img01/2015/06/23/10/01af9f1ed5a7fbb73fb223faa0c61edbb0.jpg?imageView/{mode}/w/{width}/h/{height}",
										"url": "http://guang.m.yohobuy.com/guang/plustar/brandinfo?openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"225\"},\"share\":\"/guang/api/v1/share/brandinfo\",\"shareparam\":{\"param\":{\"gender\":\"0\",\"id\":225},\"id\":225,\"type\":0,\"islogin\":\"N\"},\"id\":225,\"title\":\"Hot Heart\",\"url\":\"http://guang.m.yohobuy.com/guang/plustar/brandinfo\"}}"
									}
								],
								"id": "225",
								"sort_id": "0"
							}
						],
						"template_intro": "品牌列表",
						"template_name": "brand_list"
					}
				]
			}
		},
		"message": "品牌列表"
	}
```

## 18.获取明星原创详情 ##

获取明星原创详情（/guang/api/*/share/brandinfo）（app接口）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:|
|id|int|否|1|-|id|

注意，通用的头部没有列出。  
请求示例  
http://testservice.yoho.cn:28077/guang/api/v1/share/brandinfo?app_version=4.1.0.1603120001&client_secret=e04bbf190f8aca4d134d965205384101&client_type=iphone&id=295&islogin=N&os_version=9.2.1&param=%7B%20%20%20%20gender%20%3D%200%3B%20%20%20%20id%20%3D%20295%3B%7D&screen_size=320x568&type=0&v=7&yh_channel=2

### 响应
code为200即为成功，否则是失败。
响应JSON格式如下所示:
```json
        {
		"code": 200,
		"data": {
			"content": "<span style=\"font-size:14px;\"><strong>品牌故事</strong><br />\n&nbsp;<br />\n金銀帝國由Sunny， Ryan ，Chuck 創立於\n2010年，是一个融合了傳統中國風格與西洋街头風格设计理念，包含滑板，衝浪，藝術，以及音樂等多元化品牌精神的，獨一無二的服飾及飾品品牌。<br />\n\n<br />\n<br />\n金銀帝國是中國傳統元素的傳承也是西方教育的結晶。我們的理想是讓中西融合不再只是单纯的視覺及表象上的結合，而是由內而發的深层次的進化。我們的設計主軸以及品牌理念則是一種新型的生活方式。<br />\n\n<br />\n<br />\n金銀帝國推崇的是一種不墨守成規的生活方式與態度，我們鼓勵懷有夢想的年輕人自由地表達最真實的自我，去追隨自己的夢想，勇于探索未知，奮力捍卫自由，透過運動，穿著，藝術，音樂等來表達与众不同的自我。在展现个性的生活方式的同时，又不偏離東方核心價值的生活態度。</span>",
			"pic": "http://img10.static.yhbimg.com/brandLogo/2015/12/03/16/0105644fe3dcdc081327a37b005959acbc.jpg?imageMogr2/thumbnail/166x166/extent/166x166/background/d2hpdGU=/position/center/quality/80",
			"title": "金銀帝國",
			"url": "http://guang.m.yohobuy.com/plustar/brandinfo?id=295"
		},
		"message": "品牌详情分享"
	}
```

## 19.我的关注##

我的关注（/guang/api/*/attention/getlist）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|uid|string|是|13049463|0|用户id|
|gender|string|是|||性别| 
|clientType|string|否|h5|h5|客户端类型| 
|page|int|否|1|1|页码| 
|limit|int|否|10|10|分页大小| 

注意，通用的头部没有列出。  
请求示例  
http://testservice.yoho.cn:28077/guang/api/v1/attention/getlist?app_version=4.0.2&client_secret=b07737e0e6e1bad7cb584d67568c1c04&client_type=android&gender=&os_version=android5.1.1%3ANX511J&page=1&screen_size=1080x1920&uid=13049463&v=7&yh_channel=1

### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
  "code": "200",
  "message": "关注列表",
  "data": {
    "page": 1,
    "total_page": 10,
    "total": 100,
    "list": [
      {
        "brand_id": "813",
        "brand_name": "Android Homme",
        "brand_img": "http://img11.static.yhbimg.com/brandLogo/2015/12/07/10/014bc11a29a34a4b5bbb224914f8660ec6.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/90",
        "date": "1月19日",
        "url": "http://androidhomme.m.yohobuy.com?openby:yohobuy={\"action\":\"go.brand\",\"params\":{\"brand_id\":\"813\"}}",
        "product": [
          {
            "product_id": 328773,
            "product_title": "葡萄牙原产 Android Homme PROPULSION 2.5 中性高帮休闲鞋 红色",
            "product_img": "http://img11.static.yhbimg.com/goodsimg/2015/12/14/08/015b3ae8f2c2346b9fd1f9cfc6220e8080.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/90",
            "market_price": 2750,
            "sale_price": 2750,
            "url": "http://item.m.yohobuy.com/product/pro_328773_423033/ANDROIDHOMMEAHP1510020PROPULSION25.html?openby:yohobuy={\"action\":\"go.productDetail\",\"params\":{\"product_skn\":51184085}}"
          },
          {
            "product_id": 328775,
            "product_title": "葡萄牙原产 Android Homme PROPULSION 2.5 中性高帮休闲鞋 灰色",
            "product_img": "http://img10.static.yhbimg.com/goodsimg/2015/12/14/08/011e854e46f1edb3e6d09b925bedfbbc42.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/90",
            "market_price": 2750,
            "sale_price": 2750,
            "url": "http://item.m.yohobuy.com/product/pro_328775_423035/ANDROIDHOMMEAHP1510021PROPULSION25.html?openby:yohobuy={\"action\":\"go.productDetail\",\"params\":{\"product_skn\":51184086}}"
          },
          {
            "product_id": 328777,
            "product_title": "葡萄牙原产 Android Homme PROPULSION HI 中性高帮休闲鞋 红色",
            "product_img": "http://img10.static.yhbimg.com/goodsimg/2015/12/14/08/01911a55ae0a88128358f2029683cdf908.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/90",
            "market_price": 2950,
            "sale_price": 2950,
            "url": "http://item.m.yohobuy.com/product/pro_328777_423037/ANDROIDHOMMEAHP1510024PROPULSIONHI.html?openby:yohobuy={\"action\":\"go.productDetail\",\"params\":{\"product_skn\":51184089}}"
          }
        ],
        "brand_type": "recommend",
        "is_fav": "N"
      },
      {
        "brand_id": "1017",
        "brand_name": "Dolce&Gabbana",
        "brand_img": "http://img11.static.yhbimg.com/brandLogo/2015/12/07/11/01d11071751a3f462c28793f375f4c1ff7.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/90",
        "date": "1月18日",
        "url": "http://dolcegabbana.m.yohobuy.com?openby:yohobuy={\"action\":\"go.brand\",\"params\":{\"brand_id\":\"1017\"}}",
        "product": [
          {
            "product_id": 344769,
            "product_title": "Dolce&Gabbana 三眼时尚皮革休闲男士腕表（黑色）DW0639",
            "product_img": "http://img12.static.yhbimg.com/goodsimg/2016/01/14/05/02d8f444b331ad7ce9a6ee5dd627f7ebf1.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/90",
            "market_price": 1960,
            "sale_price": 1960,
            "url": "http://item.m.yohobuy.com/product/pro_344769_441915/DGHeiSeYuanXingSanYanShiShangPiGeXiuXianNanShiWanBiaoDW0639.html?openby:yohobuy={\"action\":\"go.productDetail\",\"params\":{\"product_skn\":51192198}}"
          },
          {
            "product_id": 344773,
            "product_title": "Dolce&Gabbana 现代爵士系列品味男士皮带腕表（棕色）DW0365",
            "product_img": "http://img11.static.yhbimg.com/goodsimg/2016/01/14/03/016b6d471811a08df449327dba46ec7e31.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/90",
            "market_price": 1960,
            "sale_price": 1960,
            "url": "http://item.m.yohobuy.com/product/pro_344773_441919/DGXianDaiJueShiXiLiePinWeiNanShiPiDaiWanBiaoDW0365DW0365.html?openby:yohobuy={\"action\":\"go.productDetail\",\"params\":{\"product_skn\":51192200}}"
          },
          {
            "product_id": 344775,
            "product_title": "Dolce&Gabbana 石英经典复古男表（黑色）DW0628",
            "product_img": "http://img11.static.yhbimg.com/goodsimg/2016/01/14/03/016dd535273cbefe6b1d9aac8f41208972.jpg?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/90",
            "market_price": 2100,
            "sale_price": 2100,
            "url": "http://item.m.yohobuy.com/product/pro_344775_441921/DGDGShiYingJingDianFuGuNanBiaoDW0628.html?openby:yohobuy={\"action\":\"go.productDetail\",\"params\":{\"product_skn\":51192201}}"
          }
        ],
        "brand_type": "recommend",
        "is_fav": "N"
      }
    ]
  },
  "md5": "12062cc95c00aa7b8de41c92edbeceb0"
}
```

## 20.获取文章相应的品牌信息 ##

获取文章相应的品牌信息（/guang/service/*/article/getBrand）（h5接口）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|article_id|Integer|否|123|无|文章id| 
|client_type|string|是|web|h5|客户端类型| 

注意，通用的头部没有列出。  
请求示例

### 响应
code为200即为成功，否则是失败。
响应JSON格式如下所示:
```json
        {
  "alg": "SALT_MD5",
  "code": 200,
  "data": [
    {
      "id": 138,
      "name": "THETHING",
      "thumb": "http://img11.static.yhbimg.com/brandLogo/2015/12/09/16/018d25bf4481ed2998bf33b294673a8535.jpg?imageMogr2/thumbnail/100x100/extent/100x100/background/d2hpdGU=/position/center/quality/80",
      "url": "http://thething.m.yohobuy.com"
    }
   ...
  ],
  "md5": "531101b7ffc3546bda150ac56f72772b",
  "message": "文章相关品牌列表"
}
```

## 21.获取文章内容相关的信息 ##

获取文章内容相关的信息（/guang/service/*/article/getOtherArticle）（h5接口）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|article_id|Integer|否|123|无|文章id| 
|client_type|string|是|web|h5|客户端类型| 
|tags|string|是|web|h5|客户端类型|
|offset|Integer|是|1|0|查询起始位置|
|limit|Integer|是|10|15|查询的数据总数|

注意，通用的头部没有列出。  
请求示例

### 响应
code为200即为成功，否则是失败。
响应JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": [
    {
      "cover_image_type": 0, //图片类别
      "id": 33533,           //id
      "publishTime": "1月1日 08:00",  //发布时间
      "thumb": "http://img12.static.yhbimg.com/yhb-img01/2016/03/03/06/0232f5ed5a28935ee0c5daf8ee87114629.jpg?imageView/{mode}/w/{width}/h/{height}",  //url
      "title": "是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是哈哈哈是是是是",     //标题
      "url": "http://guang.m.yohobuy.com/info/index?id=33533&openby:yohobuy={\"action\":\"go.h5\",\"params\":{\"param\":{\"id\":\"33533\"},\"update_flag\":\"138c648fe64b55adb762d74e0c426afb\",\"shareparam\":{\"id\":33533},\"share\":\"/guang/api/v1/share/guang\",\"id\":33533,\"type\":1,\"url\":\"http://guang.m.yohobuy.com/info/index\",\"islogin\":\"N\"}}"
    }
  ...
  ],
  "md5": "a99fd971831bc7138e03bbef07775580",
  "message": "文章相关内容列表"
}
```

## 22、H5查看用户是否收藏某品牌##

查看用户是否收藏某品牌（/shops/service/*/favorite/getUidBrandFav）(H5接口)

#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|uid|int|否|380463|无|用户id|
|brandId|int|否|44|无|此处为brand_id|

注意，通用的头部没有列出。  
请求示例
http://192.168.102.205:8080/gateway/shops/service/v1/favorite/getUidBrandFav?uid=3385902&brandId=44

### 响应
code为200表示已收藏。 
响应JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": [],
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "message": "favorite"
}
或者
{
  "alg": "SALT_MD5",
  "code": 404,
  "data": [],
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "message": "not favorite"
}
```

## 23、收藏商品##

收藏商品（/shops/service/*/favorite/addUidProductFav）（H5接口）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|uid|int|否|3483160|无|用户id|
|productSkn|int|否|50002409|无|productSkn|

注意，通用的头部没有列出。  
请求示例
http://192.168.102.205:8080/gateway/shops/service/v1/favorite/addUidProductFav?uid=3483160&productSkn=22657

http://192.168.102.205:8080/gateway/shops/service/v1/favorite/addUidProductFav?uid=3483160&productSkn=50002409

### 响应
code为200即为成功，否则是失败。 
响应JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 404,
  "data": [],
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "message": "product is not exist"
}
或者
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": 1973256,
  "md5": "83998acb4bf4dc541dcb7181aefb6f32",
  "message": "success"
}
或者
{
  "alg": "SALT_MD5",
  "code": 400,
  "data": [],
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "message": "Already the Favorite"
}

```

## 24、取消商品收藏##

取消商品收藏（/shops/service/*/favorite/delUidProductFav）（H5接口）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|uid|int|否|3483160|无|用户id|
|productSkn|int|否|50002409|无|productSkn|

注意，通用的头部没有列出。  
请求示例
http://192.168.102.205:8080/gateway/shops/service/v1/favorite/delUidProductFav?uid=3483160&productSkn=50002409

### 响应
code为200即为成功，否则是失败。
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": [],
  "md5": "6d729d4b35f10fc73531210bd7ecff91",
  "message": "success"
}
```

## 25、获取咨询内容##

获取咨询内容（guang/service/v2/article/getArticle）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|article_id|Integer|否|123|无|文章id| 
|client_type|string|是|web|h5|客户端类型| 

注意，通用的头部没有列出。
请求示例http://localhost:8080/gateway/guang/service/v2/article/getArticle?article_id=33&client_type=h5

### 响应
code为200即为成功，否则是失败。
响应JSON格式如下所示:
```json
{
  "code": 200,
  "data": {
    "article_gender": "1",
    "article_summary": "简单不等于随意，用心搭配才能塑造帅气外形哦。",
    "article_title": "极简主义可不是随便穿衣",
    "article_type": 1,
    "author_id": 380463,
    "brand": "",
    "browse": 27643,
    "cover_image": "http://img10.static.yhbimg.com/yhb-img01/2015/05/21/11/01bc9a8a669fc11a3fe4f76f7212f5c8d1.jpg?imageView/{mode}/w/{width}/h/{height}",
    "cover_image_type": 1,
    "create_time": 1432179360,
    "id": 33,
    "is_recommend": 0,
    "max_sort_id": 2,
    "min_sort_id": 0,
    "pageViews": 27644,
    "praise": 30,
    "publishTime": "5月21日 14:2",
    "publish_state": 1,
    "publish_time": 1432188148,
    "status": 1,
    "tag": "街头,户外,欧美",
    "tags": [
      {
        "name": "街头",
        "url": ".m.yohobuy.com/tags/index?query=街头"
      },
      {
        "name": "户外",
        "url": ".m.yohobuy.com/tags/index?query=户外"
      },
      {
        "name": "欧美",
        "url": ".m.yohobuy.com/tags/index?query=欧美"
      }
    ],
    "update_time": 1458719631,
    "url": "http://guang.m.yohobuy.com/info/index?id=33"
  },
  "message": "咨询内容"
}
```


## 25、获取咨询内容##

获取咨询内容（guang/service/v2/article/getArticle）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:|   
|article_id|Integer|否|123|无|文章id|   
|client_type|string|是|web|h5|客户端类型|   


注意，通用的头部没有列出。
请求示例http://localhost:8080/gateway/guang/service/v2/article/getArticle?article_id=33&client_type=h5

### 响应
code为200即为成功，否则是失败。
响应JSON格式如下所示:
```json
{
  "code": 200,
  "data": {
    "article_gender": "1",
    "article_summary": "简单不等于随意，用心搭配才能塑造帅气外形哦。",
    "article_title": "极简主义可不是随便穿衣",
    "article_type": 1,
    "author_id": 380463,
    "brand": "",
    "browse": 27643,
    "cover_image": "http://img10.static.yhbimg.com/yhb-img01/2015/05/21/11/01bc9a8a669fc11a3fe4f76f7212f5c8d1.jpg?imageView/{mode}/w/{width}/h/{height}",
    "cover_image_type": 1,
    "create_time": 1432179360,
    "id": 33,
    "is_recommend": 0,
    "max_sort_id": 2,
    "min_sort_id": 0,
    "pageViews": 27644,
    "praise": 30,
    "publishTime": "5月21日 14:2",
    "publish_state": 1,
    "publish_time": 1432188148,
    "status": 1,
    "tag": "街头,户外,欧美",
    "tags": [
      {
        "name": "街头",
        "url": ".m.yohobuy.com/tags/index?query=街头"
      },
      {
        "name": "户外",
        "url": ".m.yohobuy.com/tags/index?query=户外"
      },
      {
        "name": "欧美",
        "url": ".m.yohobuy.com/tags/index?query=欧美"
      }
    ],
    "update_time": 1458719631,
    "url": "http://guang.m.yohobuy.com/info/index?id=33"
  },
  "message": "咨询内容"
}
```


## 26、获取明星原创品牌详情##

获取明星原创品牌详情（/guang/api/v1/plustar/getbrandinfo）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|uid|Integer|否|123|无|用户id| 


注意，通用的头部没有列出。
请求示例http://192.168.102.205:8080/gateway/guang/api/v1/plustar/getbrandinfo?uid=123

### 响应
code为200即为成功，否则是失败。
响应JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": {
    "brand_domain": "staple",
    "brand_ico": "http://img13.static.yhbimg.com/brandLogo/2014/11/27/09/02b403bdcbfb965bdc632fea5c29816746.png?imageMogr2/thumbnail/{width}x{height}/extent/{width}x{height}/background/d2hpdGU=/position/center/quality/80",
    "brand_id": 648,
    "brand_intro": "<p><span style=\"font-size:18px;\">由Jeff\nStaple设计的鸽子无疑是潮流界中最为重要也最为吸金的动物之一。Jeff Staple是Jeff Ng的别名。Jeff\nStaple是设计界的天才，是绝对的潮流达人。Jeff Staple是斯泰伯设计 (STAPLE Design)、斯泰伯服饰\n(STAPLE Clothing)、瑞德空间 (Reed Space)\n的创始人，身兼图形设计、服装设计、艺术家、DJ、作家和创业者多重身份。</span></p>\n<p style=\"text-align: center;\"><img border=\"0\" src=\n\"http://img02.static.yohobuy.com/brandContentImg/2014/12/12/13/024e1e61fbea2ec112dab0954adae2e883.jpg\" /></p>\n<p>&nbsp;</p>\n<p><span style=\"font-size: 20px;\">1997年，Jeff Staple走进纽约The Triple\nFive Soul精品店的同时收到了他的第一个订单——12件silkscreened T恤，从此当Jeff\nStaple还是Parsons艺术学校学生的时候开始了他的限量手工T恤商品的辉煌。</span></p>\n<p><span style=\"font-size: 20px;\">在塑造这个新兴品牌的过程中，Nike于2005年聘用Jeff\nStaple担当特别限量鞋款的创意总监。STAPLE鸽子的商标被构思和植入到150双限量版DUNK PRO\nSB的设计（就算在当今也是让人垂涎欲滴）导致其主导了运动鞋的文化。</span></p>\n<p><span style=\"font-size: 20px;\">Jeff\nStaple和他的团队承担了很多著名品牌的设计工作：Nike、Burton\nSnowboards、LVMH集团、Timberland、Uniqlo、Sony\nPlaystation、Puma还有更多。1997年创建的斯泰伯设计STAPLE\nDesign，其作品可以说全球各种可以想得到的媒体形式都有。STAPLE\nClothing从男士T恤开始，如今已经扩展为全方位的服装系列。</span><br />\n&nbsp;</p>\n<p style=\"text-align: center;\"><span style=\n\"display: none;\">&nbsp;</span><img border=\"0\" src=\n\"http://img02.static.yohobuy.com/brandContentImg/2014/12/12/13/0233d236c928bbba5331ff4ec7cd02b66f.png\" /><span style=\"display: none;\">&nbsp;</span></p>\n<p><span style=\n\"font-size: 20px;\">STAPLE鸽子现在是一个世界著名的标志，代表了坚韧不拔的纽约人精神。它不仅是纽约潮流的标志还对全世界潮流界顶级零售商施加影响。STAPLE通过吸收不同的潮流元素如音乐，艺术，时尚来更完美的诠释街头文化和生活方式。</span></p>\n<p style=\"text-align: center;\"><img border=\"0\" src=\n\"http://img01.static.yohobuy.com/brandContentImg/2014/12/12/13/0179beeea32a7227b84ccbedcc02db4f99.gif\" /></p>\n<p><span style=\n\"font-size: 20px;\">相信喜欢sneaker的朋友，一定不会对这五双鞋字陌生，看到这张图时New Balance x\nSTAPLE Design\nM575白色款一时间脑海里浮现许多画面，如当时全球发售的场景、第一次见到这款鞋时的冲动！</span></p>\n<p style=\"text-align: center;\"><img border=\"0\" src=\n\"http://img02.static.yohobuy.com/brandContentImg/2014/12/12/13/0236b8d3ca657a5c318452dd036250093f.jpg\" /></p>\n<p style=\"text-align: center;\"><img border=\"0\" src=\n\"http://img02.static.yohobuy.com/brandContentImg/2014/12/12/13/0235c3b8caac10f6bc08962474e6034623.jpg\" /></p>\n<p><span style=\"font-size:20px;\">同时鸽子王Jeff\nStaple在之前也与知名玩具厂商Kidrobot推出Jeff\nStaple鸽子公仔，就连鸽子便便的设计都想到了，此款具有有话题性的公仔在全球限量800只。</span></p>\n<p style=\"text-align: center;\"><img border=\"0\" src=\n\"http://img02.static.yohobuy.com/brandContentImg/2014/12/12/14/024bb954538398a4e660ba9b04c2d71093.jpg\" /></p>\n<p><span style=\"font-size:20px;\">Jeff\nStaple将主流的廓形剪裁融入了整体造型中，获得众多潮人追捧，其中不乏大家所熟悉的林书豪、Jay-Z、BOB、Grizz\nChapman、Curren$y、Dizzy Wright、Bun B等等.</span><br />\n<span style=\"font-size: 20px;\">在闲暇时光和Jeremy\nLin一样，套上一件STAPLE卫衣少了几分球场上的生猛，却多了一些潮人的大牌范。简单而又引人注目的搭配在周末出行时，绝对是再好不过的选择。</span></p>\n<p style=\"text-align: center;\"><img border=\"0\" src=\n\"http://img02.static.yohobuy.com/brandContentImg/2014/12/12/14/02c7c4d5a3a34a4139daab607aeac62686.jpg\" /></p>\n<p><span style=\n\"font-size: 20px;\">说唱界中的里程碑，无论从歌声到穿衣打扮都是年轻人追捧和模仿的对象，每一个喜欢Rap的朋友都不可能忘却的Jay-Z，一身全黑的搭配酷劲十足，搭配STAPLE的外套更是犹如点睛之笔。</span></p>\n<p style=\"text-align: center;\"><img border=\"0\" src=\n\"http://img02.static.yohobuy.com/brandContentImg/2014/12/12/14/029d34b00646ad2addec9c3cdf3602188d.jpeg\" /></p>\n<p><span style=\n\"font-size:20px;\">BOB在演唱会时所穿着的这一身想必已经不用小编多解释什么了，简单的纯白色T恤加上STAPLE经典配色的裤装，可谓是赚足粉丝的目光，搭配舞台灯光把整体的效果发挥的玲离尽致。</span></p>\n<p style=\"text-align: center;\"><img border=\"0\" src=\n\"http://img02.static.yohobuy.com/brandContentImg/2014/12/12/14/02de6c8aa7603f9c25c137ef0c31f27137.png\" /></p>\n<p><span style=\n\"font-size:20px;\">现在“一鸽”STAPLE即将入驻YOHO!有货，引起又一阵潮流风暴，如果你也喜爱Jeff\nStaple的超凡设计，喜欢STAPLE鸽子，那么千万不要错过STAPLE\n12月15日在YOHO!有货的上线时间，同时请持续关注YOHO！有货微信，惊喜等着你~！</span></p>\n<p style=\"text-align: center;\"><img border=\"0\" src=\n\"http://img02.static.yohobuy.com/brandContentImg/2014/12/12/14/021d58f398ef5a55b8877eec4c6776d0af.jpg\" /></p>\n<p style=\"text-align: center;\"><img border=\"0\" src=\n\"http://img01.static.yohobuy.com/brandContentImg/2014/12/12/14/0199aec06fea3aa433381c8457455a909e.jpg\" /></p>\n",
    "brand_name": "STAPLE",
    "brand_type": 0,
    "brand_type_name": "潮流经典",
    "cover_img": "http://img12.static.yhbimg.com/yhb-img01/2015/10/15/09/024f83d4233fef78b395055d9543d14cb8.jpg?imageView/{mode}/w/{width}/h/{height}",
    "id": 123,
    "is_different": 1,
    "is_recommend": 2,
    "status": 1
  },
  "md5": "df6f906456537c91141a24293794d178",
  "message": "品牌详情"
}
```

## 27、获取逛的某篇文章##

获取逛的某篇文章（/guang/api/v2/article/getArticle）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|id|Integer|否|13|无|文章id| 
|client_Type|String|是|h5|h5|客户端类型| 

注意，通用的头部没有列出。
请求示例http://127.0.0.1:8080/gateway/guang/api/v2/article/getArticle?id=13&client_Type=web

### 响应
code为200即为成功，否则是失败。
响应JSON格式如下所示:
```json
{
  "code": 200,
  "data": {
    "browse": 8948,
    "publishTime": "5月21日 13:0",
    "tagsInfo": [
      {
        "name": "学院",
        "url": "http://guang.yohobuy.com/tags/index?query=学院"
      },
      {
        "name": "日系",
        "url": "http://guang.yohobuy.com/tags/index?query=日系"
      },
      {
        "name": "中性",
        "url": "http://guang.yohobuy.com/tags/index?query=中性"
      }
    ]
  },
  "message": "操作成功"
}
```


## 28、判断用户是否收藏逛的文章##

判断用户是否收藏逛的文章（guang/service/v2/article/checkArticleFav）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 | 
|:-------| -----:|-----:|-----:|-----:|----:| 
|article_id|String|否|33|无|文章id| 
|uid|String|否|5343299|否|用户id| 

注意，通用的头部没有列出。
请求示例http://127.0.0.1:8080/gateway/guang/service/v2/article/checkArticleFav?article_id=33&uid=5343299

### 响应
code为200即为成功，否则是失败。
响应JSON格式如下所示:
```json
{
  "code": 200,
  "data": false,
  "message": "操作成功"
}
```

## 29、获取48小时内浏览最多的文章 ##

获取48小时内浏览最多的文章（/guang/api/*/article/getArticleByViewsNum）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 |  
|:-------| -----:|-----:|-----:|-----:|----:|  
|page|int|否|1||第几页|  
|limit|int|否|10||一页多少条|  
|gender|String|否|1,3||性别|  
|client_type|String|否|iphone||客户端类型|  

注意，通用的头部没有列出。  
请求示例  
http://192.168.102.205:8080/geteway/guang/api/*/article/getArticleByViewsNum?page=1&limit=1&gender=1,3&client_type=h5

### 响应
code为200即为成功，否则是失败。 
响应参数，data部分  
响应JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": [
    {
      "ads_img_size": "",
      "article_type": 1,
      "author_id": 8168229,
      "category_id": 3,
      "conver_image_type": 1,
      "id": 33452,
      "intro": "终于迎来了“潮人”的新栏目，潮人并非只是明星idol，潮人就在我们生活中，你的身边。最帅最潮的人都在这，不是明星也是弄潮儿，够潮就来“show”！",
      "is_recommended": 0,
      "praiseStatus": true,
      "praise_num": 0,
      "publish_time": "01月18日 03:58",
      "share_url": {
        "url": "http://guang.m.yohobuy.com/info/index?id=33452&openby:yohobuy={\"action\":\"go.share\",\"params\":{\"pic\":\"http://img11.static.yhbimg.com/yhb-img01/2016/01/19/08/01e853f0ef05dcf84dc5a316c590f4ea56.jpg?imageView/2/w/640/h/640\",\"title\":\"最帅最潮的人都在这，不是明星也是弄潮儿，够潮就来“show”！\",\"content\":\"潮流资讯，新鲜贩售，YOHO!有货【逛】不停\",\"url\":\"http://guang.m.yohobuy.com/info/index?id=33452\"}}"
      },
      "src": "http://img11.static.yhbimg.com/yhb-img01/2016/01/19/08/01e853f0ef05dcf84dc5a316c590f4ea56.jpg?imageView/{mode}/w/{width}/h/{height}",
      "title": "最帅最潮的人都在这，不是明星也是弄潮儿，够潮就来“show”！",
      "url": "http://guang.m.yohobuy.com/info/index?id=33452",
      "views_num": 150
    }
  ],
  "md5": "6806c9559460f374d3cddd6a9c1d6636",
  "message": "获取48小时内浏览最多的文章成功！"
}
```

## 30、获取逛的热门标签 ##

获取逛的热门标签（/guang/api/*/article/getTagTop）
#### 请求参数
| 参数名称 | 参数类型 |  可否为空 | 示例 | 默认值 | 备注 |  
|:-------| -----:|-----:|-----:|-----:|----:|  
|page|int|否|1||第几页|  
|limit|int|否|10||一页多少条|  

注意，通用的头部没有列出。  
请求示例  
http://192.168.102.205:8080/geteway/guang/api/*/article/getTagTop?page=1&limit=2

### 响应
code为200即为成功，否则是失败。 
响应参数，data部分  
响应JSON格式如下所示:
```json
{
  "alg": "SALT_MD5",
  "code": 200,
  "data": [
    {
      "create_time": 1436959947,
      "id": 9,
      "tag_name": "韩系",
      "views": 96595
    },
    {
      "create_time": 1436959819,
      "id": 3,
      "tag_name": "街头",
      "views": 94789
    }
  ],
  "md5": "af3bb4eb83f81d0f2fc00d036f4c85ae",
  "message": "获取逛的热门标签成功！"
}
```
